/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         osilparse
#define yylex           osillex
#define yyerror         osilerror
#define yydebug         osildebug
#define yynerrs         osilnerrs

/* First part of user prologue.  */


#include <string>
#include <iostream>
#include <sstream>  
#include <algorithm>
 
#include "OSInstance.h" 
#include "OSGeneral.h" 
#include "OSnLNode.h"
#include "OSErrorClass.h"
#include "OSParameters.h"
#include "OSiLParserData.h"
#include "OSgLParserData.h"
#include "OSnLParserData.h"
#include "OSBase64.h"
#include "OSMathUtil.h"
#include "OSConfig.h"

#define OSINSTANCE_AVAILABLE

//#define CHECK_PARSE_TIME

//#define DEBUG

#ifdef DEBUG
#define YYDEBUG 1
#endif

#ifdef HAVE_CTIME
# include <ctime>
#else
# ifdef HAVE_TIME_H
#  include <time.h>
# else
#  error "don't have header file for time"
# endif
#endif

#ifdef HAVE_CSTRING
# include <cstring>
#else
# ifdef HAVE_STRING_H
#  include <string.h>
# else
#  error "don't have header file for string"
# endif
#endif

#ifdef HAVE_CSTDIO
# include <cstdio>
#else
# ifdef HAVE_STDIO_H
#  include <stdio.h>
# else
#  error "don't have header file for stdio"
# endif
#endif

using std::cout;
using std::endl;
using std::ostringstream;


typedef struct yy_buffer_state *YY_BUFFER_STATE;
YY_BUFFER_STATE osil_scan_string (const char *yy_str , void* yyscanner  );
int osillex_init(void** ptr_yy_globals);
int osillex_destroy (void* yyscanner );
void osilset_extra (OSiLParserData* parserData , void* yyscanner );
int osilget_lineno( void* yyscanner);
char *osilget_text (void* yyscanner );
void osilset_lineno (int line_number , void* yyscanner );
void yygetOSInstance(const char *osil, OSInstance* osinstance, OSiLParserData *parserData, OSgLParserData *osglData, OSnLParserData *osnlData);
void osil_empty_vectors( OSiLParserData* parserData);
void osgl_empty_vectors( OSgLParserData* osglData);
void osnl_empty_vectors( OSnLParserData* osnlData);

//

double atofmod1(int* osillineno, const char *ch1, const char *ch2 );
int atoimod1(int* osillineno, const char *ch1, const char *ch2);
// we distinguish a newline from other whitespace
// so that we can report proper line numbers in case of error
void osilerror_wrapper( const char* ch, int* osillineno, const char* errormsg);
bool isnewline(char c, int* osillineno);
bool parseVariables(const char **pchar, OSInstance *osinstance, int* osillineno);
bool parseObjectives(const char **pchar, OSInstance *osinstance, int* osillineno);
bool parseObjCoef(const char **pchar, int objcount, OSInstance *osinstance, int* osillineno);
bool parseConstraints(const char **pchar, OSInstance *osinstance, int* osillineno);
bool parseLinearConstraintCoefficients(const char **pchar, OSInstance *osinstance, int* osillineno);
bool parseStart(const char **pchar, OSInstance *osinstance, int* osillineno);
bool parseRowIdx(const char **pchar, OSInstance *osinstance, int* osillineno);
bool parseColIdx(const char **pchar, OSInstance *osinstance, int* osillineno);
bool parseValue(const char **pchar, OSInstance *osinstance, int* osillineno);
bool parseInstanceHeader(const char **pchar, OSInstance *osinstance, int* osillineno);
bool parseInstanceData( const char **pchar, OSInstance *osinstance, int* osillineno);
char *parseBase64( const char **p, int *dataSize, int* osillineno);

#define	ISWHITESPACE( char_) ((char_) == ' ' || \
                     (char_) == '\t' ||  (char_) == '\r')

#define	ISDIGIT(_c) ((_c) >= '0' && (_c) <= '9')

#define GETATTRIBUTETEXT  	\
	for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ; \
	if( *ch != '=') {  osilerror_wrapper( ch, osillineno, "found an attribute not defined"); return false;}  \
	ch++; \
	for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;	\
	if(*ch == '\"'){ \
		ch++; \
	    for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ; \
	    *p = ch; \
	    for( ; *ch != '\"'; ch++); \
	}\
	else{\
	    if(*ch == '\'') { \
	    	ch++; \
	        for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ; \
	        *p = ch; \
	        for( ; *ch != '\''; ch++); \
	    } \
	    else {  osilerror_wrapper( ch, osillineno,"missing quote on attribute"); return false;} \
	}\
	numChar = ch - *p; \
	attText = new char[numChar + 1]; \
	for(ki = 0; ki < numChar; ki++) attText[ki] = *((*p)++); \
	attText[ki] = '\0'; \
	attTextEnd = &attText[ki]; 
	
#define GAIL printf("GAIL ANN HONDA\n")


	
#define ECHOCHECK \
	GAIL; \
	printf("%c", ch[-2]); \
	printf("%c", ch[-1]); \
	printf("%c", ch[0]); \
	printf("%c", ch[1]); \
	printf("%c", ch[2]); \
	printf("%c", ch[3]); \
	printf("%c", ch[4]); \
	printf("%c", ch[5]); \
	printf("%c \n", ch[6]); \
	GAIL;


# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "OSParseosil.tab.hpp"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_ATTRIBUTETEXT = 3,              /* ATTRIBUTETEXT  */
  YYSYMBOL_ELEMENTTEXT = 4,                /* ELEMENTTEXT  */
  YYSYMBOL_ITEMTEXT = 5,                   /* ITEMTEXT  */
  YYSYMBOL_INTEGER = 6,                    /* INTEGER  */
  YYSYMBOL_DOUBLE = 7,                     /* DOUBLE  */
  YYSYMBOL_QUOTE = 8,                      /* QUOTE  */
  YYSYMBOL_TWOQUOTES = 9,                  /* TWOQUOTES  */
  YYSYMBOL_ENDOFELEMENT = 10,              /* ENDOFELEMENT  */
  YYSYMBOL_GREATERTHAN = 11,               /* GREATERTHAN  */
  YYSYMBOL_EMPTYSEMIDEFINITENESSATT = 12,  /* EMPTYSEMIDEFINITENESSATT  */
  YYSYMBOL_SEMIDEFINITENESSATT = 13,       /* SEMIDEFINITENESSATT  */
  YYSYMBOL_NUMBEROFQTERMSATT = 14,         /* NUMBEROFQTERMSATT  */
  YYSYMBOL_NUMBEROFCONESATT = 15,          /* NUMBEROFCONESATT  */
  YYSYMBOL_NUMBEROFSTAGESATT = 16,         /* NUMBEROFSTAGESATT  */
  YYSYMBOL_IDXONEATT = 17,                 /* IDXONEATT  */
  YYSYMBOL_IDXTWOATT = 18,                 /* IDXTWOATT  */
  YYSYMBOL_HORIZONATT = 19,                /* HORIZONATT  */
  YYSYMBOL_STARTATT = 20,                  /* STARTATT  */
  YYSYMBOL_STARTIDXATT = 21,               /* STARTIDXATT  */
  YYSYMBOL_MATRIXIDXATT = 22,              /* MATRIXIDXATT  */
  YYSYMBOL_LBMATRIXIDXATT = 23,            /* LBMATRIXIDXATT  */
  YYSYMBOL_LBCONEIDXATT = 24,              /* LBCONEIDXATT  */
  YYSYMBOL_UBMATRIXIDXATT = 25,            /* UBMATRIXIDXATT  */
  YYSYMBOL_UBCONEIDXATT = 26,              /* UBCONEIDXATT  */
  YYSYMBOL_TEMPLATEMATRIXIDXATT = 27,      /* TEMPLATEMATRIXIDXATT  */
  YYSYMBOL_REFERENCEMATRIXIDXATT = 28,     /* REFERENCEMATRIXIDXATT  */
  YYSYMBOL_VARREFERENCEMATRIXIDXATT = 29,  /* VARREFERENCEMATRIXIDXATT  */
  YYSYMBOL_OBJREFERENCEMATRIXIDXATT = 30,  /* OBJREFERENCEMATRIXIDXATT  */
  YYSYMBOL_CONREFERENCEMATRIXIDXATT = 31,  /* CONREFERENCEMATRIXIDXATT  */
  YYSYMBOL_ORDERCONEIDXATT = 32,           /* ORDERCONEIDXATT  */
  YYSYMBOL_CONSTANTMATRIXIDXATT = 33,      /* CONSTANTMATRIXIDXATT  */
  YYSYMBOL_NORMSCALEFACTORATT = 34,        /* NORMSCALEFACTORATT  */
  YYSYMBOL_DISTORTIONMATRIXIDXATT = 35,    /* DISTORTIONMATRIXIDXATT  */
  YYSYMBOL_AXISDIRECTIONATT = 36,          /* AXISDIRECTIONATT  */
  YYSYMBOL_FIRSTAXISDIRECTIONATT = 37,     /* FIRSTAXISDIRECTIONATT  */
  YYSYMBOL_SECONDAXISDIRECTIONATT = 38,    /* SECONDAXISDIRECTIONATT  */
  YYSYMBOL_OSILEND = 39,                   /* OSILEND  */
  YYSYMBOL_INSTANCEDATAEND = 40,           /* INSTANCEDATAEND  */
  YYSYMBOL_INSTANCEDATASTARTEND = 41,      /* INSTANCEDATASTARTEND  */
  YYSYMBOL_QUADRATICCOEFFICIENTSSTART = 42, /* QUADRATICCOEFFICIENTSSTART  */
  YYSYMBOL_QUADRATICCOEFFICIENTSEND = 43,  /* QUADRATICCOEFFICIENTSEND  */
  YYSYMBOL_QTERMSTART = 44,                /* QTERMSTART  */
  YYSYMBOL_QTERMEND = 45,                  /* QTERMEND  */
  YYSYMBOL_CONESSTART = 46,                /* CONESSTART  */
  YYSYMBOL_CONESEND = 47,                  /* CONESEND  */
  YYSYMBOL_NONNEGATIVECONESTART = 48,      /* NONNEGATIVECONESTART  */
  YYSYMBOL_NONNEGATIVECONEEND = 49,        /* NONNEGATIVECONEEND  */
  YYSYMBOL_NONPOSITIVECONESTART = 50,      /* NONPOSITIVECONESTART  */
  YYSYMBOL_NONPOSITIVECONEEND = 51,        /* NONPOSITIVECONEEND  */
  YYSYMBOL_ORTHANTCONESTART = 52,          /* ORTHANTCONESTART  */
  YYSYMBOL_ORTHANTCONEEND = 53,            /* ORTHANTCONEEND  */
  YYSYMBOL_POLYHEDRALCONESTART = 54,       /* POLYHEDRALCONESTART  */
  YYSYMBOL_POLYHEDRALCONEEND = 55,         /* POLYHEDRALCONEEND  */
  YYSYMBOL_QUADRATICCONESTART = 56,        /* QUADRATICCONESTART  */
  YYSYMBOL_QUADRATICCONEEND = 57,          /* QUADRATICCONEEND  */
  YYSYMBOL_ROTATEDQUADRATICCONESTART = 58, /* ROTATEDQUADRATICCONESTART  */
  YYSYMBOL_ROTATEDQUADRATICCONEEND = 59,   /* ROTATEDQUADRATICCONEEND  */
  YYSYMBOL_SEMIDEFINITECONESTART = 60,     /* SEMIDEFINITECONESTART  */
  YYSYMBOL_SEMIDEFINITECONEEND = 61,       /* SEMIDEFINITECONEEND  */
  YYSYMBOL_PRODUCTCONESTART = 62,          /* PRODUCTCONESTART  */
  YYSYMBOL_PRODUCTCONEEND = 63,            /* PRODUCTCONEEND  */
  YYSYMBOL_INTERSECTIONCONESTART = 64,     /* INTERSECTIONCONESTART  */
  YYSYMBOL_INTERSECTIONCONEEND = 65,       /* INTERSECTIONCONEEND  */
  YYSYMBOL_DUALCONESTART = 66,             /* DUALCONESTART  */
  YYSYMBOL_DUALCONEEND = 67,               /* DUALCONEEND  */
  YYSYMBOL_POLARCONESTART = 68,            /* POLARCONESTART  */
  YYSYMBOL_POLARCONEEND = 69,              /* POLARCONEEND  */
  YYSYMBOL_DIRECTIONSTART = 70,            /* DIRECTIONSTART  */
  YYSYMBOL_DIRECTIONEND = 71,              /* DIRECTIONEND  */
  YYSYMBOL_FACTORSSTART = 72,              /* FACTORSSTART  */
  YYSYMBOL_FACTORSEND = 73,                /* FACTORSEND  */
  YYSYMBOL_COMPONENTSSTART = 74,           /* COMPONENTSSTART  */
  YYSYMBOL_COMPONENTSEND = 75,             /* COMPONENTSEND  */
  YYSYMBOL_TIMEDOMAINSTART = 76,           /* TIMEDOMAINSTART  */
  YYSYMBOL_TIMEDOMAINEND = 77,             /* TIMEDOMAINEND  */
  YYSYMBOL_STAGESSTART = 78,               /* STAGESSTART  */
  YYSYMBOL_STAGESEND = 79,                 /* STAGESEND  */
  YYSYMBOL_STAGESTART = 80,                /* STAGESTART  */
  YYSYMBOL_STAGEEND = 81,                  /* STAGEEND  */
  YYSYMBOL_INTERVALSTART = 82,             /* INTERVALSTART  */
  YYSYMBOL_INTERVALEND = 83,               /* INTERVALEND  */
  YYSYMBOL_HEADERSTART = 84,               /* HEADERSTART  */
  YYSYMBOL_HEADEREND = 85,                 /* HEADEREND  */
  YYSYMBOL_FILENAMESTART = 86,             /* FILENAMESTART  */
  YYSYMBOL_FILENAMEEND = 87,               /* FILENAMEEND  */
  YYSYMBOL_FILENAMEEMPTY = 88,             /* FILENAMEEMPTY  */
  YYSYMBOL_FILENAMESTARTANDEND = 89,       /* FILENAMESTARTANDEND  */
  YYSYMBOL_FILESOURCESTART = 90,           /* FILESOURCESTART  */
  YYSYMBOL_FILESOURCEEND = 91,             /* FILESOURCEEND  */
  YYSYMBOL_FILESOURCEEMPTY = 92,           /* FILESOURCEEMPTY  */
  YYSYMBOL_FILESOURCESTARTANDEND = 93,     /* FILESOURCESTARTANDEND  */
  YYSYMBOL_FILEDESCRIPTIONSTART = 94,      /* FILEDESCRIPTIONSTART  */
  YYSYMBOL_FILEDESCRIPTIONEND = 95,        /* FILEDESCRIPTIONEND  */
  YYSYMBOL_FILEDESCRIPTIONEMPTY = 96,      /* FILEDESCRIPTIONEMPTY  */
  YYSYMBOL_FILEDESCRIPTIONSTARTANDEND = 97, /* FILEDESCRIPTIONSTARTANDEND  */
  YYSYMBOL_FILECREATORSTART = 98,          /* FILECREATORSTART  */
  YYSYMBOL_FILECREATOREND = 99,            /* FILECREATOREND  */
  YYSYMBOL_FILECREATOREMPTY = 100,         /* FILECREATOREMPTY  */
  YYSYMBOL_FILECREATORSTARTANDEND = 101,   /* FILECREATORSTARTANDEND  */
  YYSYMBOL_FILELICENCESTART = 102,         /* FILELICENCESTART  */
  YYSYMBOL_FILELICENCEEND = 103,           /* FILELICENCEEND  */
  YYSYMBOL_FILELICENCEEMPTY = 104,         /* FILELICENCEEMPTY  */
  YYSYMBOL_FILELICENCESTARTANDEND = 105,   /* FILELICENCESTARTANDEND  */
  YYSYMBOL_INDEXESSTART = 106,             /* INDEXESSTART  */
  YYSYMBOL_INDEXESEND = 107,               /* INDEXESEND  */
  YYSYMBOL_VALUESSTART = 108,              /* VALUESSTART  */
  YYSYMBOL_VALUESEND = 109,                /* VALUESEND  */
  YYSYMBOL_NONZEROSSTART = 110,            /* NONZEROSSTART  */
  YYSYMBOL_NONZEROSEND = 111,              /* NONZEROSEND  */
  YYSYMBOL_ELSTART = 112,                  /* ELSTART  */
  YYSYMBOL_ELEND = 113,                    /* ELEND  */
  YYSYMBOL_ENUMERATIONSTART = 114,         /* ENUMERATIONSTART  */
  YYSYMBOL_ENUMERATIONEND = 115,           /* ENUMERATIONEND  */
  YYSYMBOL_ITEMEMPTY = 116,                /* ITEMEMPTY  */
  YYSYMBOL_ITEMSTART = 117,                /* ITEMSTART  */
  YYSYMBOL_ITEMEND = 118,                  /* ITEMEND  */
  YYSYMBOL_ITEMSTARTANDEND = 119,          /* ITEMSTARTANDEND  */
  YYSYMBOL_BASE64START = 120,              /* BASE64START  */
  YYSYMBOL_BASE64END = 121,                /* BASE64END  */
  YYSYMBOL_NUMBEROFELATT = 122,            /* NUMBEROFELATT  */
  YYSYMBOL_NUMBEROFENUMERATIONSATT = 123,  /* NUMBEROFENUMERATIONSATT  */
  YYSYMBOL_NUMBEROFITEMSATT = 124,         /* NUMBEROFITEMSATT  */
  YYSYMBOL_EMPTYCATEGORYATT = 125,         /* EMPTYCATEGORYATT  */
  YYSYMBOL_CATEGORYATT = 126,              /* CATEGORYATT  */
  YYSYMBOL_EMPTYDESCRIPTIONATT = 127,      /* EMPTYDESCRIPTIONATT  */
  YYSYMBOL_DESCRIPTIONATT = 128,           /* DESCRIPTIONATT  */
  YYSYMBOL_EMPTYSOLVERATT = 129,           /* EMPTYSOLVERATT  */
  YYSYMBOL_SOLVERATT = 130,                /* SOLVERATT  */
  YYSYMBOL_EMPTYNAMEATT = 131,             /* EMPTYNAMEATT  */
  YYSYMBOL_NAMEATT = 132,                  /* NAMEATT  */
  YYSYMBOL_EMPTYTYPEATT = 133,             /* EMPTYTYPEATT  */
  YYSYMBOL_TYPEATT = 134,                  /* TYPEATT  */
  YYSYMBOL_EMPTYENUMTYPEATT = 135,         /* EMPTYENUMTYPEATT  */
  YYSYMBOL_ENUMTYPEATT = 136,              /* ENUMTYPEATT  */
  YYSYMBOL_EMPTYSHAPEATT = 137,            /* EMPTYSHAPEATT  */
  YYSYMBOL_SHAPEATT = 138,                 /* SHAPEATT  */
  YYSYMBOL_EMPTYUNITATT = 139,             /* EMPTYUNITATT  */
  YYSYMBOL_UNITATT = 140,                  /* UNITATT  */
  YYSYMBOL_EMPTYVALUEATT = 141,            /* EMPTYVALUEATT  */
  YYSYMBOL_VALUEATT = 142,                 /* VALUEATT  */
  YYSYMBOL_EMPTYVALUETYPEATT = 143,        /* EMPTYVALUETYPEATT  */
  YYSYMBOL_VALUETYPEATT = 144,             /* VALUETYPEATT  */
  YYSYMBOL_EMPTYCONTYPEATT = 145,          /* EMPTYCONTYPEATT  */
  YYSYMBOL_CONTYPEATT = 146,               /* CONTYPEATT  */
  YYSYMBOL_EMPTYOBJTYPEATT = 147,          /* EMPTYOBJTYPEATT  */
  YYSYMBOL_OBJTYPEATT = 148,               /* OBJTYPEATT  */
  YYSYMBOL_EMPTYVARTYPEATT = 149,          /* EMPTYVARTYPEATT  */
  YYSYMBOL_VARTYPEATT = 150,               /* VARTYPEATT  */
  YYSYMBOL_EMPTYMATRIXCONTYPEATT = 151,    /* EMPTYMATRIXCONTYPEATT  */
  YYSYMBOL_MATRIXCONTYPEATT = 152,         /* MATRIXCONTYPEATT  */
  YYSYMBOL_EMPTYMATRIXOBJTYPEATT = 153,    /* EMPTYMATRIXOBJTYPEATT  */
  YYSYMBOL_MATRIXOBJTYPEATT = 154,         /* MATRIXOBJTYPEATT  */
  YYSYMBOL_EMPTYMATRIXVARTYPEATT = 155,    /* EMPTYMATRIXVARTYPEATT  */
  YYSYMBOL_MATRIXVARTYPEATT = 156,         /* MATRIXVARTYPEATT  */
  YYSYMBOL_EMPTYMATRIXTYPEATT = 157,       /* EMPTYMATRIXTYPEATT  */
  YYSYMBOL_MATRIXTYPEATT = 158,            /* MATRIXTYPEATT  */
  YYSYMBOL_EMPTYSYMMETRYATT = 159,         /* EMPTYSYMMETRYATT  */
  YYSYMBOL_SYMMETRYATT = 160,              /* SYMMETRYATT  */
  YYSYMBOL_EMPTYROWMAJORATT = 161,         /* EMPTYROWMAJORATT  */
  YYSYMBOL_ROWMAJORATT = 162,              /* ROWMAJORATT  */
  YYSYMBOL_EMPTYBASETRANSPOSEATT = 163,    /* EMPTYBASETRANSPOSEATT  */
  YYSYMBOL_BASETRANSPOSEATT = 164,         /* BASETRANSPOSEATT  */
  YYSYMBOL_NUMBEROFBLOCKSATT = 165,        /* NUMBEROFBLOCKSATT  */
  YYSYMBOL_NUMBEROFCOLUMNSATT = 166,       /* NUMBEROFCOLUMNSATT  */
  YYSYMBOL_NUMBEROFROWSATT = 167,          /* NUMBEROFROWSATT  */
  YYSYMBOL_NUMBEROFMATRICESATT = 168,      /* NUMBEROFMATRICESATT  */
  YYSYMBOL_NUMBEROFVALUESATT = 169,        /* NUMBEROFVALUESATT  */
  YYSYMBOL_NUMBEROFCONSTRAINTSATT = 170,   /* NUMBEROFCONSTRAINTSATT  */
  YYSYMBOL_NUMBEROFCONATT = 171,           /* NUMBEROFCONATT  */
  YYSYMBOL_NUMBEROFCONIDXATT = 172,        /* NUMBEROFCONIDXATT  */
  YYSYMBOL_NUMBEROFOBJECTIVESATT = 173,    /* NUMBEROFOBJECTIVESATT  */
  YYSYMBOL_NUMBEROFOBJATT = 174,           /* NUMBEROFOBJATT  */
  YYSYMBOL_NUMBEROFOBJIDXATT = 175,        /* NUMBEROFOBJIDXATT  */
  YYSYMBOL_NUMBEROFVARIABLESATT = 176,     /* NUMBEROFVARIABLESATT  */
  YYSYMBOL_NUMBEROFVARATT = 177,           /* NUMBEROFVARATT  */
  YYSYMBOL_NUMBEROFVARIDXATT = 178,        /* NUMBEROFVARIDXATT  */
  YYSYMBOL_NUMBEROFMATRIXCONATT = 179,     /* NUMBEROFMATRIXCONATT  */
  YYSYMBOL_NUMBEROFMATRIXOBJATT = 180,     /* NUMBEROFMATRIXOBJATT  */
  YYSYMBOL_NUMBEROFMATRIXVARATT = 181,     /* NUMBEROFMATRIXVARATT  */
  YYSYMBOL_BASEMATRIXIDXATT = 182,         /* BASEMATRIXIDXATT  */
  YYSYMBOL_TARGETMATRIXFIRSTROWATT = 183,  /* TARGETMATRIXFIRSTROWATT  */
  YYSYMBOL_TARGETMATRIXFIRSTCOLATT = 184,  /* TARGETMATRIXFIRSTCOLATT  */
  YYSYMBOL_BASEMATRIXSTARTROWATT = 185,    /* BASEMATRIXSTARTROWATT  */
  YYSYMBOL_BASEMATRIXSTARTCOLATT = 186,    /* BASEMATRIXSTARTCOLATT  */
  YYSYMBOL_BASEMATRIXENDROWATT = 187,      /* BASEMATRIXENDROWATT  */
  YYSYMBOL_BASEMATRIXENDCOLATT = 188,      /* BASEMATRIXENDCOLATT  */
  YYSYMBOL_SCALARMULTIPLIERATT = 189,      /* SCALARMULTIPLIERATT  */
  YYSYMBOL_BLOCKROWIDXATT = 190,           /* BLOCKROWIDXATT  */
  YYSYMBOL_BLOCKCOLIDXATT = 191,           /* BLOCKCOLIDXATT  */
  YYSYMBOL_MATRIXVARIDXATT = 192,          /* MATRIXVARIDXATT  */
  YYSYMBOL_MATRIXOBJIDXATT = 193,          /* MATRIXOBJIDXATT  */
  YYSYMBOL_MATRIXCONIDXATT = 194,          /* MATRIXCONIDXATT  */
  YYSYMBOL_IDXATT = 195,                   /* IDXATT  */
  YYSYMBOL_INCRATT = 196,                  /* INCRATT  */
  YYSYMBOL_MULTATT = 197,                  /* MULTATT  */
  YYSYMBOL_SIZEOFATT = 198,                /* SIZEOFATT  */
  YYSYMBOL_COEFATT = 199,                  /* COEFATT  */
  YYSYMBOL_CONSTANTATT = 200,              /* CONSTANTATT  */
  YYSYMBOL_MATRICESSTART = 201,            /* MATRICESSTART  */
  YYSYMBOL_MATRICESEND = 202,              /* MATRICESEND  */
  YYSYMBOL_MATRIXSTART = 203,              /* MATRIXSTART  */
  YYSYMBOL_MATRIXEND = 204,                /* MATRIXEND  */
  YYSYMBOL_BASEMATRIXEND = 205,            /* BASEMATRIXEND  */
  YYSYMBOL_BASEMATRIXSTART = 206,          /* BASEMATRIXSTART  */
  YYSYMBOL_BLOCKSSTART = 207,              /* BLOCKSSTART  */
  YYSYMBOL_BLOCKSEND = 208,                /* BLOCKSEND  */
  YYSYMBOL_BLOCKSTART = 209,               /* BLOCKSTART  */
  YYSYMBOL_BLOCKEND = 210,                 /* BLOCKEND  */
  YYSYMBOL_COLOFFSETSTART = 211,           /* COLOFFSETSTART  */
  YYSYMBOL_COLOFFSETEND = 212,             /* COLOFFSETEND  */
  YYSYMBOL_ROWOFFSETSTART = 213,           /* ROWOFFSETSTART  */
  YYSYMBOL_ROWOFFSETEND = 214,             /* ROWOFFSETEND  */
  YYSYMBOL_ELEMENTSSTART = 215,            /* ELEMENTSSTART  */
  YYSYMBOL_ELEMENTSEND = 216,              /* ELEMENTSEND  */
  YYSYMBOL_CONSTANTELEMENTSSTART = 217,    /* CONSTANTELEMENTSSTART  */
  YYSYMBOL_CONSTANTELEMENTSEND = 218,      /* CONSTANTELEMENTSEND  */
  YYSYMBOL_VARREFERENCEELEMENTSSTART = 219, /* VARREFERENCEELEMENTSSTART  */
  YYSYMBOL_VARREFERENCEELEMENTSEND = 220,  /* VARREFERENCEELEMENTSEND  */
  YYSYMBOL_LINEARELEMENTSSTART = 221,      /* LINEARELEMENTSSTART  */
  YYSYMBOL_LINEARELEMENTSEND = 222,        /* LINEARELEMENTSEND  */
  YYSYMBOL_GENERALELEMENTSSTART = 223,     /* GENERALELEMENTSSTART  */
  YYSYMBOL_GENERALELEMENTSEND = 224,       /* GENERALELEMENTSEND  */
  YYSYMBOL_CONREFERENCEELEMENTSSTART = 225, /* CONREFERENCEELEMENTSSTART  */
  YYSYMBOL_CONREFERENCEELEMENTSEND = 226,  /* CONREFERENCEELEMENTSEND  */
  YYSYMBOL_OBJREFERENCEELEMENTSSTART = 227, /* OBJREFERENCEELEMENTSSTART  */
  YYSYMBOL_OBJREFERENCEELEMENTSEND = 228,  /* OBJREFERENCEELEMENTSEND  */
  YYSYMBOL_STRINGVALUEDELEMENTSSTART = 229, /* STRINGVALUEDELEMENTSSTART  */
  YYSYMBOL_STRINGVALUEDELEMENTSEND = 230,  /* STRINGVALUEDELEMENTSEND  */
  YYSYMBOL_STARTVECTORSTART = 231,         /* STARTVECTORSTART  */
  YYSYMBOL_STARTVECTOREND = 232,           /* STARTVECTOREND  */
  YYSYMBOL_INDEXSTART = 233,               /* INDEXSTART  */
  YYSYMBOL_INDEXEND = 234,                 /* INDEXEND  */
  YYSYMBOL_VALUESTART = 235,               /* VALUESTART  */
  YYSYMBOL_VALUEEND = 236,                 /* VALUEEND  */
  YYSYMBOL_VARIDXSTART = 237,              /* VARIDXSTART  */
  YYSYMBOL_VARIDXEND = 238,                /* VARIDXEND  */
  YYSYMBOL_TRANSFORMATIONSTART = 239,      /* TRANSFORMATIONSTART  */
  YYSYMBOL_TRANSFORMATIONEND = 240,        /* TRANSFORMATIONEND  */
  YYSYMBOL_MATRIXPROGRAMMINGSTART = 241,   /* MATRIXPROGRAMMINGSTART  */
  YYSYMBOL_MATRIXPROGRAMMINGEND = 242,     /* MATRIXPROGRAMMINGEND  */
  YYSYMBOL_MATRIXVARIABLESSTART = 243,     /* MATRIXVARIABLESSTART  */
  YYSYMBOL_MATRIXVARIABLESEND = 244,       /* MATRIXVARIABLESEND  */
  YYSYMBOL_MATRIXVARSTART = 245,           /* MATRIXVARSTART  */
  YYSYMBOL_MATRIXVAREND = 246,             /* MATRIXVAREND  */
  YYSYMBOL_MATRIXOBJECTIVESSTART = 247,    /* MATRIXOBJECTIVESSTART  */
  YYSYMBOL_MATRIXOBJECTIVESEND = 248,      /* MATRIXOBJECTIVESEND  */
  YYSYMBOL_MATRIXOBJSTART = 249,           /* MATRIXOBJSTART  */
  YYSYMBOL_MATRIXOBJEND = 250,             /* MATRIXOBJEND  */
  YYSYMBOL_MATRIXCONSTRAINTSSTART = 251,   /* MATRIXCONSTRAINTSSTART  */
  YYSYMBOL_MATRIXCONSTRAINTSEND = 252,     /* MATRIXCONSTRAINTSEND  */
  YYSYMBOL_MATRIXCONSTART = 253,           /* MATRIXCONSTART  */
  YYSYMBOL_MATRIXCONEND = 254,             /* MATRIXCONEND  */
  YYSYMBOL_CONSTART = 255,                 /* CONSTART  */
  YYSYMBOL_CONEND = 256,                   /* CONEND  */
  YYSYMBOL_CONSTRAINTSSTART = 257,         /* CONSTRAINTSSTART  */
  YYSYMBOL_CONSTRAINTSEND = 258,           /* CONSTRAINTSEND  */
  YYSYMBOL_OBJSTART = 259,                 /* OBJSTART  */
  YYSYMBOL_OBJEND = 260,                   /* OBJEND  */
  YYSYMBOL_OBJECTIVESSTART = 261,          /* OBJECTIVESSTART  */
  YYSYMBOL_OBJECTIVESEND = 262,            /* OBJECTIVESEND  */
  YYSYMBOL_VARSTART = 263,                 /* VARSTART  */
  YYSYMBOL_VAREND = 264,                   /* VAREND  */
  YYSYMBOL_VARIABLESSTART = 265,           /* VARIABLESSTART  */
  YYSYMBOL_VARIABLESEND = 266,             /* VARIABLESEND  */
  YYSYMBOL_GENERALSTART = 267,             /* GENERALSTART  */
  YYSYMBOL_GENERALEND = 268,               /* GENERALEND  */
  YYSYMBOL_SYSTEMSTART = 269,              /* SYSTEMSTART  */
  YYSYMBOL_SYSTEMEND = 270,                /* SYSTEMEND  */
  YYSYMBOL_SERVICESTART = 271,             /* SERVICESTART  */
  YYSYMBOL_SERVICEEND = 272,               /* SERVICEEND  */
  YYSYMBOL_JOBSTART = 273,                 /* JOBSTART  */
  YYSYMBOL_JOBEND = 274,                   /* JOBEND  */
  YYSYMBOL_OPTIMIZATIONSTART = 275,        /* OPTIMIZATIONSTART  */
  YYSYMBOL_OPTIMIZATIONEND = 276,          /* OPTIMIZATIONEND  */
  YYSYMBOL_ATEQUALITYSTART = 277,          /* ATEQUALITYSTART  */
  YYSYMBOL_ATEQUALITYEND = 278,            /* ATEQUALITYEND  */
  YYSYMBOL_ATLOWERSTART = 279,             /* ATLOWERSTART  */
  YYSYMBOL_ATLOWEREND = 280,               /* ATLOWEREND  */
  YYSYMBOL_ATUPPERSTART = 281,             /* ATUPPERSTART  */
  YYSYMBOL_ATUPPEREND = 282,               /* ATUPPEREND  */
  YYSYMBOL_BASICSTART = 283,               /* BASICSTART  */
  YYSYMBOL_BASICEND = 284,                 /* BASICEND  */
  YYSYMBOL_ISFREESTART = 285,              /* ISFREESTART  */
  YYSYMBOL_ISFREEEND = 286,                /* ISFREEEND  */
  YYSYMBOL_SUPERBASICSTART = 287,          /* SUPERBASICSTART  */
  YYSYMBOL_SUPERBASICEND = 288,            /* SUPERBASICEND  */
  YYSYMBOL_UNKNOWNSTART = 289,             /* UNKNOWNSTART  */
  YYSYMBOL_UNKNOWNEND = 290,               /* UNKNOWNEND  */
  YYSYMBOL_SERVICEURISTART = 291,          /* SERVICEURISTART  */
  YYSYMBOL_SERVICEURIEND = 292,            /* SERVICEURIEND  */
  YYSYMBOL_SERVICENAMESTART = 293,         /* SERVICENAMESTART  */
  YYSYMBOL_SERVICENAMEEND = 294,           /* SERVICENAMEEND  */
  YYSYMBOL_INSTANCENAMESTART = 295,        /* INSTANCENAMESTART  */
  YYSYMBOL_INSTANCENAMEEND = 296,          /* INSTANCENAMEEND  */
  YYSYMBOL_JOBIDSTART = 297,               /* JOBIDSTART  */
  YYSYMBOL_JOBIDEND = 298,                 /* JOBIDEND  */
  YYSYMBOL_OTHERSTART = 299,               /* OTHERSTART  */
  YYSYMBOL_OTHEREND = 300,                 /* OTHEREND  */
  YYSYMBOL_DUMMY = 301,                    /* DUMMY  */
  YYSYMBOL_NONLINEAREXPRESSIONSSTART = 302, /* NONLINEAREXPRESSIONSSTART  */
  YYSYMBOL_NONLINEAREXPRESSIONSEND = 303,  /* NONLINEAREXPRESSIONSEND  */
  YYSYMBOL_NUMBEROFNONLINEAREXPRESSIONS = 304, /* NUMBEROFNONLINEAREXPRESSIONS  */
  YYSYMBOL_NLSTART = 305,                  /* NLSTART  */
  YYSYMBOL_NLEND = 306,                    /* NLEND  */
  YYSYMBOL_MATRIXEXPRESSIONSSTART = 307,   /* MATRIXEXPRESSIONSSTART  */
  YYSYMBOL_MATRIXEXPRESSIONSEND = 308,     /* MATRIXEXPRESSIONSEND  */
  YYSYMBOL_NUMBEROFEXPR = 309,             /* NUMBEROFEXPR  */
  YYSYMBOL_EXPRSTART = 310,                /* EXPRSTART  */
  YYSYMBOL_EXPREND = 311,                  /* EXPREND  */
  YYSYMBOL_NUMBEROFMATRIXTERMSATT = 312,   /* NUMBEROFMATRIXTERMSATT  */
  YYSYMBOL_MATRIXTERMSTART = 313,          /* MATRIXTERMSTART  */
  YYSYMBOL_MATRIXTERMEND = 314,            /* MATRIXTERMEND  */
  YYSYMBOL_POWERSTART = 315,               /* POWERSTART  */
  YYSYMBOL_POWEREND = 316,                 /* POWEREND  */
  YYSYMBOL_PLUSSTART = 317,                /* PLUSSTART  */
  YYSYMBOL_PLUSEND = 318,                  /* PLUSEND  */
  YYSYMBOL_MINUSSTART = 319,               /* MINUSSTART  */
  YYSYMBOL_MINUSEND = 320,                 /* MINUSEND  */
  YYSYMBOL_DIVIDESTART = 321,              /* DIVIDESTART  */
  YYSYMBOL_DIVIDEEND = 322,                /* DIVIDEEND  */
  YYSYMBOL_LNSTART = 323,                  /* LNSTART  */
  YYSYMBOL_LNEND = 324,                    /* LNEND  */
  YYSYMBOL_SQRTSTART = 325,                /* SQRTSTART  */
  YYSYMBOL_SQRTEND = 326,                  /* SQRTEND  */
  YYSYMBOL_SUMSTART = 327,                 /* SUMSTART  */
  YYSYMBOL_SUMEND = 328,                   /* SUMEND  */
  YYSYMBOL_PRODUCTSTART = 329,             /* PRODUCTSTART  */
  YYSYMBOL_PRODUCTEND = 330,               /* PRODUCTEND  */
  YYSYMBOL_EXPSTART = 331,                 /* EXPSTART  */
  YYSYMBOL_EXPEND = 332,                   /* EXPEND  */
  YYSYMBOL_NEGATESTART = 333,              /* NEGATESTART  */
  YYSYMBOL_NEGATEEND = 334,                /* NEGATEEND  */
  YYSYMBOL_IFSTART = 335,                  /* IFSTART  */
  YYSYMBOL_IFEND = 336,                    /* IFEND  */
  YYSYMBOL_SQUARESTART = 337,              /* SQUARESTART  */
  YYSYMBOL_SQUAREEND = 338,                /* SQUAREEND  */
  YYSYMBOL_COSSTART = 339,                 /* COSSTART  */
  YYSYMBOL_COSEND = 340,                   /* COSEND  */
  YYSYMBOL_SINSTART = 341,                 /* SINSTART  */
  YYSYMBOL_SINEND = 342,                   /* SINEND  */
  YYSYMBOL_VARIABLESTART = 343,            /* VARIABLESTART  */
  YYSYMBOL_VARIABLEEND = 344,              /* VARIABLEEND  */
  YYSYMBOL_ABSSTART = 345,                 /* ABSSTART  */
  YYSYMBOL_ABSEND = 346,                   /* ABSEND  */
  YYSYMBOL_ERFSTART = 347,                 /* ERFSTART  */
  YYSYMBOL_ERFEND = 348,                   /* ERFEND  */
  YYSYMBOL_MAXSTART = 349,                 /* MAXSTART  */
  YYSYMBOL_MAXEND = 350,                   /* MAXEND  */
  YYSYMBOL_ALLDIFFSTART = 351,             /* ALLDIFFSTART  */
  YYSYMBOL_ALLDIFFEND = 352,               /* ALLDIFFEND  */
  YYSYMBOL_MINSTART = 353,                 /* MINSTART  */
  YYSYMBOL_MINEND = 354,                   /* MINEND  */
  YYSYMBOL_ESTART = 355,                   /* ESTART  */
  YYSYMBOL_EEND = 356,                     /* EEND  */
  YYSYMBOL_PISTART = 357,                  /* PISTART  */
  YYSYMBOL_PIEND = 358,                    /* PIEND  */
  YYSYMBOL_TIMESSTART = 359,               /* TIMESSTART  */
  YYSYMBOL_TIMESEND = 360,                 /* TIMESEND  */
  YYSYMBOL_NUMBERSTART = 361,              /* NUMBERSTART  */
  YYSYMBOL_NUMBEREND = 362,                /* NUMBEREND  */
  YYSYMBOL_MATRIXDETERMINANTSTART = 363,   /* MATRIXDETERMINANTSTART  */
  YYSYMBOL_MATRIXDETERMINANTEND = 364,     /* MATRIXDETERMINANTEND  */
  YYSYMBOL_MATRIXTRACESTART = 365,         /* MATRIXTRACESTART  */
  YYSYMBOL_MATRIXTRACEEND = 366,           /* MATRIXTRACEEND  */
  YYSYMBOL_MATRIXTOSCALARSTART = 367,      /* MATRIXTOSCALARSTART  */
  YYSYMBOL_MATRIXTOSCALAREND = 368,        /* MATRIXTOSCALAREND  */
  YYSYMBOL_MATRIXDIAGONALSTART = 369,      /* MATRIXDIAGONALSTART  */
  YYSYMBOL_MATRIXDIAGONALEND = 370,        /* MATRIXDIAGONALEND  */
  YYSYMBOL_MATRIXDOTTIMESSTART = 371,      /* MATRIXDOTTIMESSTART  */
  YYSYMBOL_MATRIXDOTTIMESEND = 372,        /* MATRIXDOTTIMESEND  */
  YYSYMBOL_MATRIXLOWERTRIANGLESTART = 373, /* MATRIXLOWERTRIANGLESTART  */
  YYSYMBOL_MATRIXLOWERTRIANGLEEND = 374,   /* MATRIXLOWERTRIANGLEEND  */
  YYSYMBOL_MATRIXUPPERTRIANGLESTART = 375, /* MATRIXUPPERTRIANGLESTART  */
  YYSYMBOL_MATRIXUPPERTRIANGLEEND = 376,   /* MATRIXUPPERTRIANGLEEND  */
  YYSYMBOL_MATRIXMERGESTART = 377,         /* MATRIXMERGESTART  */
  YYSYMBOL_MATRIXMERGEEND = 378,           /* MATRIXMERGEEND  */
  YYSYMBOL_MATRIXMINUSSTART = 379,         /* MATRIXMINUSSTART  */
  YYSYMBOL_MATRIXMINUSEND = 380,           /* MATRIXMINUSEND  */
  YYSYMBOL_MATRIXNEGATESTART = 381,        /* MATRIXNEGATESTART  */
  YYSYMBOL_MATRIXNEGATEEND = 382,          /* MATRIXNEGATEEND  */
  YYSYMBOL_MATRIXPLUSSTART = 383,          /* MATRIXPLUSSTART  */
  YYSYMBOL_MATRIXPLUSEND = 384,            /* MATRIXPLUSEND  */
  YYSYMBOL_MATRIXTIMESSTART = 385,         /* MATRIXTIMESSTART  */
  YYSYMBOL_MATRIXTIMESEND = 386,           /* MATRIXTIMESEND  */
  YYSYMBOL_MATRIXPRODUCTSTART = 387,       /* MATRIXPRODUCTSTART  */
  YYSYMBOL_MATRIXPRODUCTEND = 388,         /* MATRIXPRODUCTEND  */
  YYSYMBOL_MATRIXSCALARTIMESSTART = 389,   /* MATRIXSCALARTIMESSTART  */
  YYSYMBOL_MATRIXSCALARTIMESEND = 390,     /* MATRIXSCALARTIMESEND  */
  YYSYMBOL_MATRIXSUBMATRIXATSTART = 391,   /* MATRIXSUBMATRIXATSTART  */
  YYSYMBOL_MATRIXSUBMATRIXATEND = 392,     /* MATRIXSUBMATRIXATEND  */
  YYSYMBOL_MATRIXTRANSPOSESTART = 393,     /* MATRIXTRANSPOSESTART  */
  YYSYMBOL_MATRIXTRANSPOSEEND = 394,       /* MATRIXTRANSPOSEEND  */
  YYSYMBOL_MATRIXREFERENCESTART = 395,     /* MATRIXREFERENCESTART  */
  YYSYMBOL_MATRIXREFERENCEEND = 396,       /* MATRIXREFERENCEEND  */
  YYSYMBOL_IDENTITYMATRIXSTART = 397,      /* IDENTITYMATRIXSTART  */
  YYSYMBOL_IDENTITYMATRIXEND = 398,        /* IDENTITYMATRIXEND  */
  YYSYMBOL_MATRIXINVERSESTART = 399,       /* MATRIXINVERSESTART  */
  YYSYMBOL_MATRIXINVERSEEND = 400,         /* MATRIXINVERSEEND  */
  YYSYMBOL_EMPTYINCLUDEDIAGONALATT = 401,  /* EMPTYINCLUDEDIAGONALATT  */
  YYSYMBOL_INCLUDEDIAGONALATT = 402,       /* INCLUDEDIAGONALATT  */
  YYSYMBOL_EMPTYIDATT = 403,               /* EMPTYIDATT  */
  YYSYMBOL_IDATT = 404,                    /* IDATT  */
  YYSYMBOL_405_ = 405,                     /* ' '  */
  YYSYMBOL_406_t_ = 406,                   /* '\t'  */
  YYSYMBOL_407_r_ = 407,                   /* '\r'  */
  YYSYMBOL_408_n_ = 408,                   /* '\n'  */
  YYSYMBOL_YYACCEPT = 409,                 /* $accept  */
  YYSYMBOL_osildoc = 410,                  /* osildoc  */
  YYSYMBOL_theInstanceEnd = 411,           /* theInstanceEnd  */
  YYSYMBOL_osilEnd = 412,                  /* osilEnd  */
  YYSYMBOL_osilEnding = 413,               /* osilEnding  */
  YYSYMBOL_quadraticCoefficients = 414,    /* quadraticCoefficients  */
  YYSYMBOL_quadraticCoefficientsStart = 415, /* quadraticCoefficientsStart  */
  YYSYMBOL_osilQuadnumberATT = 416,        /* osilQuadnumberATT  */
  YYSYMBOL_qTermlist = 417,                /* qTermlist  */
  YYSYMBOL_qterm = 418,                    /* qterm  */
  YYSYMBOL_qtermStart = 419,               /* qtermStart  */
  YYSYMBOL_qtermend = 420,                 /* qtermend  */
  YYSYMBOL_anotherqTermATT = 421,          /* anotherqTermATT  */
  YYSYMBOL_qtermatt = 422,                 /* qtermatt  */
  YYSYMBOL_osilQtermidxOneATT = 423,       /* osilQtermidxOneATT  */
  YYSYMBOL_osilQtermidxTwoATT = 424,       /* osilQtermidxTwoATT  */
  YYSYMBOL_osilQtermcoefATT = 425,         /* osilQtermcoefATT  */
  YYSYMBOL_osilQtermidxATT = 426,          /* osilQtermidxATT  */
  YYSYMBOL_matrices = 427,                 /* matrices  */
  YYSYMBOL_matricesStart = 428,            /* matricesStart  */
  YYSYMBOL_matricesAttributes = 429,       /* matricesAttributes  */
  YYSYMBOL_matricesContent = 430,          /* matricesContent  */
  YYSYMBOL_matricesEmpty = 431,            /* matricesEmpty  */
  YYSYMBOL_matricesLaden = 432,            /* matricesLaden  */
  YYSYMBOL_matrixList = 433,               /* matrixList  */
  YYSYMBOL_cones = 434,                    /* cones  */
  YYSYMBOL_conesStart = 435,               /* conesStart  */
  YYSYMBOL_conesAttributes = 436,          /* conesAttributes  */
  YYSYMBOL_conesContent = 437,             /* conesContent  */
  YYSYMBOL_conesEmpty = 438,               /* conesEmpty  */
  YYSYMBOL_conesLaden = 439,               /* conesLaden  */
  YYSYMBOL_coneList = 440,                 /* coneList  */
  YYSYMBOL_cone = 441,                     /* cone  */
  YYSYMBOL_nonnegativeCone = 442,          /* nonnegativeCone  */
  YYSYMBOL_nonnegativeConeStart = 443,     /* nonnegativeConeStart  */
  YYSYMBOL_nonnegativeConeAttributes = 444, /* nonnegativeConeAttributes  */
  YYSYMBOL_nonnegativeConeAttList = 445,   /* nonnegativeConeAttList  */
  YYSYMBOL_nonnegativeConeAtt = 446,       /* nonnegativeConeAtt  */
  YYSYMBOL_nonnegativeConeEnd = 447,       /* nonnegativeConeEnd  */
  YYSYMBOL_nonpositiveCone = 448,          /* nonpositiveCone  */
  YYSYMBOL_nonpositiveConeStart = 449,     /* nonpositiveConeStart  */
  YYSYMBOL_nonpositiveConeAttributes = 450, /* nonpositiveConeAttributes  */
  YYSYMBOL_nonpositiveConeAttList = 451,   /* nonpositiveConeAttList  */
  YYSYMBOL_nonpositiveConeAtt = 452,       /* nonpositiveConeAtt  */
  YYSYMBOL_nonpositiveConeEnd = 453,       /* nonpositiveConeEnd  */
  YYSYMBOL_generalOrthantCone = 454,       /* generalOrthantCone  */
  YYSYMBOL_generalOrthantConeStart = 455,  /* generalOrthantConeStart  */
  YYSYMBOL_generalOrthantConeAttributes = 456, /* generalOrthantConeAttributes  */
  YYSYMBOL_generalOrthantConeAttList = 457, /* generalOrthantConeAttList  */
  YYSYMBOL_generalOrthantConeAtt = 458,    /* generalOrthantConeAtt  */
  YYSYMBOL_generalOrthantConeContent = 459, /* generalOrthantConeContent  */
  YYSYMBOL_generalOrthantConeDirectionList = 460, /* generalOrthantConeDirectionList  */
  YYSYMBOL_generalOrthantConeDirections = 461, /* generalOrthantConeDirections  */
  YYSYMBOL_generalOrthantConeDirection = 462, /* generalOrthantConeDirection  */
  YYSYMBOL_generalOrthantConeDirectionStart = 463, /* generalOrthantConeDirectionStart  */
  YYSYMBOL_generalOrthantConeDirectionAttributes = 464, /* generalOrthantConeDirectionAttributes  */
  YYSYMBOL_generalOrthantConeDirectionAttributeList = 465, /* generalOrthantConeDirectionAttributeList  */
  YYSYMBOL_generalOrthantConeDirectionAtt = 466, /* generalOrthantConeDirectionAtt  */
  YYSYMBOL_generalOrthantConeDirectionEnd = 467, /* generalOrthantConeDirectionEnd  */
  YYSYMBOL_generalOrthantConeEnd = 468,    /* generalOrthantConeEnd  */
  YYSYMBOL_polyhedralCone = 469,           /* polyhedralCone  */
  YYSYMBOL_polyhedralConeStart = 470,      /* polyhedralConeStart  */
  YYSYMBOL_polyhedralConeAttributes = 471, /* polyhedralConeAttributes  */
  YYSYMBOL_polyhedralConeAttList = 472,    /* polyhedralConeAttList  */
  YYSYMBOL_polyhedralConeAtt = 473,        /* polyhedralConeAtt  */
  YYSYMBOL_referenceMatrixATT = 474,       /* referenceMatrixATT  */
  YYSYMBOL_polyhedralConeEnd = 475,        /* polyhedralConeEnd  */
  YYSYMBOL_quadraticCone = 476,            /* quadraticCone  */
  YYSYMBOL_quadraticConeStart = 477,       /* quadraticConeStart  */
  YYSYMBOL_quadraticConeAttributes = 478,  /* quadraticConeAttributes  */
  YYSYMBOL_quadraticConeAttList = 479,     /* quadraticConeAttList  */
  YYSYMBOL_quadraticConeAtt = 480,         /* quadraticConeAtt  */
  YYSYMBOL_quadraticConeEnd = 481,         /* quadraticConeEnd  */
  YYSYMBOL_rotatedQuadraticCone = 482,     /* rotatedQuadraticCone  */
  YYSYMBOL_rotatedQuadraticConeStart = 483, /* rotatedQuadraticConeStart  */
  YYSYMBOL_rotatedQuadraticConeAttributes = 484, /* rotatedQuadraticConeAttributes  */
  YYSYMBOL_rotatedQuadraticConeAttList = 485, /* rotatedQuadraticConeAttList  */
  YYSYMBOL_rotatedQuadraticConeAtt = 486,  /* rotatedQuadraticConeAtt  */
  YYSYMBOL_rotatedQuadraticConeEnd = 487,  /* rotatedQuadraticConeEnd  */
  YYSYMBOL_semidefiniteCone = 488,         /* semidefiniteCone  */
  YYSYMBOL_semidefiniteConeStart = 489,    /* semidefiniteConeStart  */
  YYSYMBOL_semidefiniteConeAttributes = 490, /* semidefiniteConeAttributes  */
  YYSYMBOL_semidefiniteConeAttList = 491,  /* semidefiniteConeAttList  */
  YYSYMBOL_semidefiniteConeAtt = 492,      /* semidefiniteConeAtt  */
  YYSYMBOL_semidefiniteConeEnd = 493,      /* semidefiniteConeEnd  */
  YYSYMBOL_productCone = 494,              /* productCone  */
  YYSYMBOL_productConeStart = 495,         /* productConeStart  */
  YYSYMBOL_productConeAttributes = 496,    /* productConeAttributes  */
  YYSYMBOL_productConeAttList = 497,       /* productConeAttList  */
  YYSYMBOL_productConeAtt = 498,           /* productConeAtt  */
  YYSYMBOL_productConeContent = 499,       /* productConeContent  */
  YYSYMBOL_productConeFactors = 500,       /* productConeFactors  */
  YYSYMBOL_productConeFactorsStart = 501,  /* productConeFactorsStart  */
  YYSYMBOL_productConeFactorsAttributes = 502, /* productConeFactorsAttributes  */
  YYSYMBOL_productConeFactorsContent = 503, /* productConeFactorsContent  */
  YYSYMBOL_productConeFactorsEmpty = 504,  /* productConeFactorsEmpty  */
  YYSYMBOL_productConeFactorsLaden = 505,  /* productConeFactorsLaden  */
  YYSYMBOL_productConeFactorList = 506,    /* productConeFactorList  */
  YYSYMBOL_productConeFactorsEnd = 507,    /* productConeFactorsEnd  */
  YYSYMBOL_productConeEnd = 508,           /* productConeEnd  */
  YYSYMBOL_intersectionCone = 509,         /* intersectionCone  */
  YYSYMBOL_intersectionConeStart = 510,    /* intersectionConeStart  */
  YYSYMBOL_intersectionConeAttributes = 511, /* intersectionConeAttributes  */
  YYSYMBOL_intersectionConeAttList = 512,  /* intersectionConeAttList  */
  YYSYMBOL_intersectionConeAtt = 513,      /* intersectionConeAtt  */
  YYSYMBOL_intersectionConeContent = 514,  /* intersectionConeContent  */
  YYSYMBOL_intersectionConeComponents = 515, /* intersectionConeComponents  */
  YYSYMBOL_intersectionConeComponentsStart = 516, /* intersectionConeComponentsStart  */
  YYSYMBOL_intersectionConeComponentsAttributes = 517, /* intersectionConeComponentsAttributes  */
  YYSYMBOL_intersectionConeComponentsContent = 518, /* intersectionConeComponentsContent  */
  YYSYMBOL_intersectionConeComponentsEmpty = 519, /* intersectionConeComponentsEmpty  */
  YYSYMBOL_intersectionConeComponentsLaden = 520, /* intersectionConeComponentsLaden  */
  YYSYMBOL_intersectionConeComponentList = 521, /* intersectionConeComponentList  */
  YYSYMBOL_intersectionConeComponentsEnd = 522, /* intersectionConeComponentsEnd  */
  YYSYMBOL_intersectionConeEnd = 523,      /* intersectionConeEnd  */
  YYSYMBOL_matrixProgramming = 524,        /* matrixProgramming  */
  YYSYMBOL_matrixProgrammingStart = 525,   /* matrixProgrammingStart  */
  YYSYMBOL_matrixProgrammingContent = 526, /* matrixProgrammingContent  */
  YYSYMBOL_matrixProgrammingEmpty = 527,   /* matrixProgrammingEmpty  */
  YYSYMBOL_matrixProgrammingLaden = 528,   /* matrixProgrammingLaden  */
  YYSYMBOL_matrixVariables = 529,          /* matrixVariables  */
  YYSYMBOL_matrixVariablesStart = 530,     /* matrixVariablesStart  */
  YYSYMBOL_matrixVariablesAttributes = 531, /* matrixVariablesAttributes  */
  YYSYMBOL_matrixVariablesContent = 532,   /* matrixVariablesContent  */
  YYSYMBOL_matrixVariablesEmpty = 533,     /* matrixVariablesEmpty  */
  YYSYMBOL_matrixVariablesLaden = 534,     /* matrixVariablesLaden  */
  YYSYMBOL_matrixVariablesEnd = 535,       /* matrixVariablesEnd  */
  YYSYMBOL_matrixVarList = 536,            /* matrixVarList  */
  YYSYMBOL_matrixVar = 537,                /* matrixVar  */
  YYSYMBOL_matrixVarStart = 538,           /* matrixVarStart  */
  YYSYMBOL_matrixVarAttributes = 539,      /* matrixVarAttributes  */
  YYSYMBOL_matrixVarAttList = 540,         /* matrixVarAttList  */
  YYSYMBOL_matrixVarAtt = 541,             /* matrixVarAtt  */
  YYSYMBOL_matrixVarEnd = 542,             /* matrixVarEnd  */
  YYSYMBOL_matrixObjectives = 543,         /* matrixObjectives  */
  YYSYMBOL_matrixObjectivesStart = 544,    /* matrixObjectivesStart  */
  YYSYMBOL_matrixObjectivesAttributes = 545, /* matrixObjectivesAttributes  */
  YYSYMBOL_matrixObjectivesContent = 546,  /* matrixObjectivesContent  */
  YYSYMBOL_matrixObjectivesEmpty = 547,    /* matrixObjectivesEmpty  */
  YYSYMBOL_matrixObjectivesLaden = 548,    /* matrixObjectivesLaden  */
  YYSYMBOL_matrixObjectivesEnd = 549,      /* matrixObjectivesEnd  */
  YYSYMBOL_matrixObjList = 550,            /* matrixObjList  */
  YYSYMBOL_matrixObj = 551,                /* matrixObj  */
  YYSYMBOL_matrixObjStart = 552,           /* matrixObjStart  */
  YYSYMBOL_matrixObjAttributes = 553,      /* matrixObjAttributes  */
  YYSYMBOL_matrixObjAttList = 554,         /* matrixObjAttList  */
  YYSYMBOL_matrixObjAtt = 555,             /* matrixObjAtt  */
  YYSYMBOL_matrixObjEnd = 556,             /* matrixObjEnd  */
  YYSYMBOL_matrixConstraints = 557,        /* matrixConstraints  */
  YYSYMBOL_matrixConstraintsStart = 558,   /* matrixConstraintsStart  */
  YYSYMBOL_matrixConstraintsAttributes = 559, /* matrixConstraintsAttributes  */
  YYSYMBOL_matrixConstraintsContent = 560, /* matrixConstraintsContent  */
  YYSYMBOL_matrixConstraintsEmpty = 561,   /* matrixConstraintsEmpty  */
  YYSYMBOL_matrixConstraintsLaden = 562,   /* matrixConstraintsLaden  */
  YYSYMBOL_matrixConstraintsEnd = 563,     /* matrixConstraintsEnd  */
  YYSYMBOL_matrixConList = 564,            /* matrixConList  */
  YYSYMBOL_matrixCon = 565,                /* matrixCon  */
  YYSYMBOL_matrixConStart = 566,           /* matrixConStart  */
  YYSYMBOL_matrixConAttributes = 567,      /* matrixConAttributes  */
  YYSYMBOL_matrixConAttList = 568,         /* matrixConAttList  */
  YYSYMBOL_matrixConAtt = 569,             /* matrixConAtt  */
  YYSYMBOL_matrixConEnd = 570,             /* matrixConEnd  */
  YYSYMBOL_timeDomain = 571,               /* timeDomain  */
  YYSYMBOL_timeDomainStart = 572,          /* timeDomainStart  */
  YYSYMBOL_timeDomainContent = 573,        /* timeDomainContent  */
  YYSYMBOL_timeDomainEmpty = 574,          /* timeDomainEmpty  */
  YYSYMBOL_timeDomainLaden = 575,          /* timeDomainLaden  */
  YYSYMBOL_stages = 576,                   /* stages  */
  YYSYMBOL_stagesstart = 577,              /* stagesstart  */
  YYSYMBOL_osilNumberofstagesATT = 578,    /* osilNumberofstagesATT  */
  YYSYMBOL_stagelist = 579,                /* stagelist  */
  YYSYMBOL_stage = 580,                    /* stage  */
  YYSYMBOL_581_1 = 581,                    /* $@1  */
  YYSYMBOL_osilStagenameATT = 582,         /* osilStagenameATT  */
  YYSYMBOL_stageend = 583,                 /* stageend  */
  YYSYMBOL_stagecontent = 584,             /* stagecontent  */
  YYSYMBOL_stagevariables = 585,           /* stagevariables  */
  YYSYMBOL_anotherstagevarATT = 586,       /* anotherstagevarATT  */
  YYSYMBOL_stagevaratt = 587,              /* stagevaratt  */
  YYSYMBOL_osilNumberofstagevariablesATT = 588, /* osilNumberofstagevariablesATT  */
  YYSYMBOL_osilStagevarstartidxATT = 589,  /* osilStagevarstartidxATT  */
  YYSYMBOL_restofstagevariables = 590,     /* restofstagevariables  */
  YYSYMBOL_emptyvarlist = 591,             /* emptyvarlist  */
  YYSYMBOL_stagevarlist = 592,             /* stagevarlist  */
  YYSYMBOL_stagevar = 593,                 /* stagevar  */
  YYSYMBOL_594_2 = 594,                    /* $@2  */
  YYSYMBOL_osilStagevaridxATT = 595,       /* osilStagevaridxATT  */
  YYSYMBOL_stagevarend = 596,              /* stagevarend  */
  YYSYMBOL_stageconstraints = 597,         /* stageconstraints  */
  YYSYMBOL_anotherstageconATT = 598,       /* anotherstageconATT  */
  YYSYMBOL_stageconatt = 599,              /* stageconatt  */
  YYSYMBOL_osilNumberofstageconstraintsATT = 600, /* osilNumberofstageconstraintsATT  */
  YYSYMBOL_osilStageconstartidxATT = 601,  /* osilStageconstartidxATT  */
  YYSYMBOL_restofstageconstraints = 602,   /* restofstageconstraints  */
  YYSYMBOL_emptyconlist = 603,             /* emptyconlist  */
  YYSYMBOL_stageconlist = 604,             /* stageconlist  */
  YYSYMBOL_stagecon = 605,                 /* stagecon  */
  YYSYMBOL_606_3 = 606,                    /* $@3  */
  YYSYMBOL_osilStageconidxATT = 607,       /* osilStageconidxATT  */
  YYSYMBOL_stageconend = 608,              /* stageconend  */
  YYSYMBOL_stageobjectives = 609,          /* stageobjectives  */
  YYSYMBOL_anotherstageobjATT = 610,       /* anotherstageobjATT  */
  YYSYMBOL_stageobjatt = 611,              /* stageobjatt  */
  YYSYMBOL_osilNumberofstageobjectivesATT = 612, /* osilNumberofstageobjectivesATT  */
  YYSYMBOL_restofstageobjectives = 613,    /* restofstageobjectives  */
  YYSYMBOL_emptyobjlist = 614,             /* emptyobjlist  */
  YYSYMBOL_stageobjlist = 615,             /* stageobjlist  */
  YYSYMBOL_stageobj = 616,                 /* stageobj  */
  YYSYMBOL_617_4 = 617,                    /* $@4  */
  YYSYMBOL_osilStageobjidxATT = 618,       /* osilStageobjidxATT  */
  YYSYMBOL_stageobjend = 619,              /* stageobjend  */
  YYSYMBOL_interval = 620,                 /* interval  */
  YYSYMBOL_621_5 = 621,                    /* $@5  */
  YYSYMBOL_intervalend = 622,              /* intervalend  */
  YYSYMBOL_anotherIntervalATT = 623,       /* anotherIntervalATT  */
  YYSYMBOL_intervalatt = 624,              /* intervalatt  */
  YYSYMBOL_osilStageobjstartidxATT = 625,  /* osilStageobjstartidxATT  */
  YYSYMBOL_osilIntervalhorizonATT = 626,   /* osilIntervalhorizonATT  */
  YYSYMBOL_osilIntervalstartATT = 627,     /* osilIntervalstartATT  */
  YYSYMBOL_numberOfMatricesATT = 628,      /* numberOfMatricesATT  */
  YYSYMBOL_numberOfConesATT = 629,         /* numberOfConesATT  */
  YYSYMBOL_numberOfMatrixVarATT = 630,     /* numberOfMatrixVarATT  */
  YYSYMBOL_numberOfMatrixObjATT = 631,     /* numberOfMatrixObjATT  */
  YYSYMBOL_numberOfMatrixConATT = 632,     /* numberOfMatrixConATT  */
  YYSYMBOL_normScaleFactorATT = 633,       /* normScaleFactorATT  */
  YYSYMBOL_distortionMatrixIdxATT = 634,   /* distortionMatrixIdxATT  */
  YYSYMBOL_axisDirectionATT = 635,         /* axisDirectionATT  */
  YYSYMBOL_firstAxisDirectionATT = 636,    /* firstAxisDirectionATT  */
  YYSYMBOL_secondAxisDirectionATT = 637,   /* secondAxisDirectionATT  */
  YYSYMBOL_semidefinitenessATT = 638,      /* semidefinitenessATT  */
  YYSYMBOL_matrixIdxATT = 639,             /* matrixIdxATT  */
  YYSYMBOL_lbMatrixIdxATT = 640,           /* lbMatrixIdxATT  */
  YYSYMBOL_ubMatrixIdxATT = 641,           /* ubMatrixIdxATT  */
  YYSYMBOL_constantMatrixIdxATT = 642,     /* constantMatrixIdxATT  */
  YYSYMBOL_templateMatrixIdxATT = 643,     /* templateMatrixIdxATT  */
  YYSYMBOL_varReferenceMatrixIdxATT = 644, /* varReferenceMatrixIdxATT  */
  YYSYMBOL_objReferenceMatrixIdxATT = 645, /* objReferenceMatrixIdxATT  */
  YYSYMBOL_conReferenceMatrixIdxATT = 646, /* conReferenceMatrixIdxATT  */
  YYSYMBOL_lbConeIdxATT = 647,             /* lbConeIdxATT  */
  YYSYMBOL_ubConeIdxATT = 648,             /* ubConeIdxATT  */
  YYSYMBOL_orderConeIdxATT = 649,          /* orderConeIdxATT  */
  YYSYMBOL_aNumber = 650,                  /* aNumber  */
  YYSYMBOL_quote = 651,                    /* quote  */
  YYSYMBOL_xmlWhiteSpace = 652,            /* xmlWhiteSpace  */
  YYSYMBOL_xmlWhiteSpaceChar = 653,        /* xmlWhiteSpaceChar  */
  YYSYMBOL_osglIntArrayData = 654,         /* osglIntArrayData  */
  YYSYMBOL_osglIntVectorElArray = 655,     /* osglIntVectorElArray  */
  YYSYMBOL_osglIntVectorEl = 656,          /* osglIntVectorEl  */
  YYSYMBOL_osglIntVectorElStart = 657,     /* osglIntVectorElStart  */
  YYSYMBOL_osglIntVectorElAttributes = 658, /* osglIntVectorElAttributes  */
  YYSYMBOL_osglIntVectorElAttList = 659,   /* osglIntVectorElAttList  */
  YYSYMBOL_osglIntVectorElAtt = 660,       /* osglIntVectorElAtt  */
  YYSYMBOL_osglIntVectorElContent = 661,   /* osglIntVectorElContent  */
  YYSYMBOL_osglIntVectorBase64 = 662,      /* osglIntVectorBase64  */
  YYSYMBOL_osglIntVectorBase64Content = 663, /* osglIntVectorBase64Content  */
  YYSYMBOL_osglIntVectorBase64Empty = 664, /* osglIntVectorBase64Empty  */
  YYSYMBOL_osglIntVectorBase64Laden = 665, /* osglIntVectorBase64Laden  */
  YYSYMBOL_osglDblArrayData = 666,         /* osglDblArrayData  */
  YYSYMBOL_osglDblVectorElArray = 667,     /* osglDblVectorElArray  */
  YYSYMBOL_osglDblVectorEl = 668,          /* osglDblVectorEl  */
  YYSYMBOL_osglDblVectorElStart = 669,     /* osglDblVectorElStart  */
  YYSYMBOL_osglDblVectorElAttributes = 670, /* osglDblVectorElAttributes  */
  YYSYMBOL_osglDblVectorElContent = 671,   /* osglDblVectorElContent  */
  YYSYMBOL_osglDblVectorBase64 = 672,      /* osglDblVectorBase64  */
  YYSYMBOL_osglDblVectorBase64Content = 673, /* osglDblVectorBase64Content  */
  YYSYMBOL_osglDblVectorBase64Empty = 674, /* osglDblVectorBase64Empty  */
  YYSYMBOL_osglDblVectorBase64Laden = 675, /* osglDblVectorBase64Laden  */
  YYSYMBOL_osglMatrix = 676,               /* osglMatrix  */
  YYSYMBOL_matrixStart = 677,              /* matrixStart  */
  YYSYMBOL_matrixAttributes = 678,         /* matrixAttributes  */
  YYSYMBOL_matrixAttributeList = 679,      /* matrixAttributeList  */
  YYSYMBOL_matrixAttribute = 680,          /* matrixAttribute  */
  YYSYMBOL_matrixContent = 681,            /* matrixContent  */
  YYSYMBOL_matrixEmpty = 682,              /* matrixEmpty  */
  YYSYMBOL_matrixLaden = 683,              /* matrixLaden  */
  YYSYMBOL_matrixBody = 684,               /* matrixBody  */
  YYSYMBOL_baseMatrix = 685,               /* baseMatrix  */
  YYSYMBOL_baseMatrixStart = 686,          /* baseMatrixStart  */
  YYSYMBOL_baseMatrixAttributes = 687,     /* baseMatrixAttributes  */
  YYSYMBOL_baseMatrixAttList = 688,        /* baseMatrixAttList  */
  YYSYMBOL_baseMatrixAtt = 689,            /* baseMatrixAtt  */
  YYSYMBOL_baseMatrixEnd = 690,            /* baseMatrixEnd  */
  YYSYMBOL_matrixConstructorList = 691,    /* matrixConstructorList  */
  YYSYMBOL_matrixConstructor = 692,        /* matrixConstructor  */
  YYSYMBOL_constantElements = 693,         /* constantElements  */
  YYSYMBOL_constantElementsStart = 694,    /* constantElementsStart  */
  YYSYMBOL_constantElementsAttributes = 695, /* constantElementsAttributes  */
  YYSYMBOL_constantElementsAttList = 696,  /* constantElementsAttList  */
  YYSYMBOL_constantElementsAtt = 697,      /* constantElementsAtt  */
  YYSYMBOL_constantElementsContent = 698,  /* constantElementsContent  */
  YYSYMBOL_constantElementsNonzeros = 699, /* constantElementsNonzeros  */
  YYSYMBOL_matrixElementsStartVector = 700, /* matrixElementsStartVector  */
  YYSYMBOL_matrixElementsStartVectorStart = 701, /* matrixElementsStartVectorStart  */
  YYSYMBOL_matrixElementsStartVectorContent = 702, /* matrixElementsStartVectorContent  */
  YYSYMBOL_matrixElementsStartVectorEmpty = 703, /* matrixElementsStartVectorEmpty  */
  YYSYMBOL_matrixElementsStartVectorLaden = 704, /* matrixElementsStartVectorLaden  */
  YYSYMBOL_matrixElementsStartVectorBody = 705, /* matrixElementsStartVectorBody  */
  YYSYMBOL_matrixElementsIndexVector = 706, /* matrixElementsIndexVector  */
  YYSYMBOL_matrixElementsIndexStart = 707, /* matrixElementsIndexStart  */
  YYSYMBOL_matrixElementsIndexContent = 708, /* matrixElementsIndexContent  */
  YYSYMBOL_matrixElementsIndexEmpty = 709, /* matrixElementsIndexEmpty  */
  YYSYMBOL_matrixElementsIndexLaden = 710, /* matrixElementsIndexLaden  */
  YYSYMBOL_matrixElementsIndexBody = 711,  /* matrixElementsIndexBody  */
  YYSYMBOL_constantElementsValues = 712,   /* constantElementsValues  */
  YYSYMBOL_constantElementsValueStart = 713, /* constantElementsValueStart  */
  YYSYMBOL_constantElementsValueContent = 714, /* constantElementsValueContent  */
  YYSYMBOL_constantElementsValueEmpty = 715, /* constantElementsValueEmpty  */
  YYSYMBOL_constantElementsValueLaden = 716, /* constantElementsValueLaden  */
  YYSYMBOL_constantElementsValueBody = 717, /* constantElementsValueBody  */
  YYSYMBOL_varReferenceElements = 718,     /* varReferenceElements  */
  YYSYMBOL_varReferenceElementsStart = 719, /* varReferenceElementsStart  */
  YYSYMBOL_varReferenceElementsAttributes = 720, /* varReferenceElementsAttributes  */
  YYSYMBOL_varReferenceElementsAttList = 721, /* varReferenceElementsAttList  */
  YYSYMBOL_varReferenceElementsAtt = 722,  /* varReferenceElementsAtt  */
  YYSYMBOL_varReferenceElementsContent = 723, /* varReferenceElementsContent  */
  YYSYMBOL_varReferenceElementsNonzeros = 724, /* varReferenceElementsNonzeros  */
  YYSYMBOL_varReferenceElementsValues = 725, /* varReferenceElementsValues  */
  YYSYMBOL_varReferenceElementsValuesStart = 726, /* varReferenceElementsValuesStart  */
  YYSYMBOL_varReferenceElementsValuesContent = 727, /* varReferenceElementsValuesContent  */
  YYSYMBOL_varReferenceElementsValuesEmpty = 728, /* varReferenceElementsValuesEmpty  */
  YYSYMBOL_varReferenceElementsValuesLaden = 729, /* varReferenceElementsValuesLaden  */
  YYSYMBOL_varReferenceElementsValuesBody = 730, /* varReferenceElementsValuesBody  */
  YYSYMBOL_linearElements = 731,           /* linearElements  */
  YYSYMBOL_linearElementsStart = 732,      /* linearElementsStart  */
  YYSYMBOL_linearElementsAttributes = 733, /* linearElementsAttributes  */
  YYSYMBOL_linearElementsAttList = 734,    /* linearElementsAttList  */
  YYSYMBOL_linearElementsAtt = 735,        /* linearElementsAtt  */
  YYSYMBOL_linearElementsContent = 736,    /* linearElementsContent  */
  YYSYMBOL_linearElementsNonzeros = 737,   /* linearElementsNonzeros  */
  YYSYMBOL_linearElementsValues = 738,     /* linearElementsValues  */
  YYSYMBOL_linearElementsValuesStart = 739, /* linearElementsValuesStart  */
  YYSYMBOL_linearElementsValuesContent = 740, /* linearElementsValuesContent  */
  YYSYMBOL_linearElementsValuesEmpty = 741, /* linearElementsValuesEmpty  */
  YYSYMBOL_linearElementsValuesLaden = 742, /* linearElementsValuesLaden  */
  YYSYMBOL_linearElementsValuesBody = 743, /* linearElementsValuesBody  */
  YYSYMBOL_linearElementsValuesElList = 744, /* linearElementsValuesElList  */
  YYSYMBOL_linearElementsValuesEl = 745,   /* linearElementsValuesEl  */
  YYSYMBOL_linearElementsValuesElStart = 746, /* linearElementsValuesElStart  */
  YYSYMBOL_linearElementsValuesElAttributes = 747, /* linearElementsValuesElAttributes  */
  YYSYMBOL_linearElementsValuesElAttList = 748, /* linearElementsValuesElAttList  */
  YYSYMBOL_linearElementsValuesElAtt = 749, /* linearElementsValuesElAtt  */
  YYSYMBOL_linearElementsValuesElContent = 750, /* linearElementsValuesElContent  */
  YYSYMBOL_linearElementsValuesElEmpty = 751, /* linearElementsValuesElEmpty  */
  YYSYMBOL_linearElementsValuesElLaden = 752, /* linearElementsValuesElLaden  */
  YYSYMBOL_linearElementsValuesVarIdxList = 753, /* linearElementsValuesVarIdxList  */
  YYSYMBOL_linearElementsValuesVarIdx = 754, /* linearElementsValuesVarIdx  */
  YYSYMBOL_linearElementsValuesVarIdxStart = 755, /* linearElementsValuesVarIdxStart  */
  YYSYMBOL_LinearElementsValuesVarIdxCoefATT = 756, /* LinearElementsValuesVarIdxCoefATT  */
  YYSYMBOL_linearElementsValuesVarIdxContent = 757, /* linearElementsValuesVarIdxContent  */
  YYSYMBOL_generalElements = 758,          /* generalElements  */
  YYSYMBOL_generalElementsStart = 759,     /* generalElementsStart  */
  YYSYMBOL_generalElementsAttributes = 760, /* generalElementsAttributes  */
  YYSYMBOL_generalElementsAttList = 761,   /* generalElementsAttList  */
  YYSYMBOL_generalElementsAtt = 762,       /* generalElementsAtt  */
  YYSYMBOL_generalElementsContent = 763,   /* generalElementsContent  */
  YYSYMBOL_generalElementsNonzeros = 764,  /* generalElementsNonzeros  */
  YYSYMBOL_generalElementsValues = 765,    /* generalElementsValues  */
  YYSYMBOL_generalElementsValuesStart = 766, /* generalElementsValuesStart  */
  YYSYMBOL_generalElementsValuesContent = 767, /* generalElementsValuesContent  */
  YYSYMBOL_generalElementsValuesEmpty = 768, /* generalElementsValuesEmpty  */
  YYSYMBOL_generalElementsValuesLaden = 769, /* generalElementsValuesLaden  */
  YYSYMBOL_generalElementsElList = 770,    /* generalElementsElList  */
  YYSYMBOL_generalElementsEl = 771,        /* generalElementsEl  */
  YYSYMBOL_generalElementsElStart = 772,   /* generalElementsElStart  */
  YYSYMBOL_generalElementsElContent = 773, /* generalElementsElContent  */
  YYSYMBOL_generalElementsElEmpty = 774,   /* generalElementsElEmpty  */
  YYSYMBOL_generalElementsElLaden = 775,   /* generalElementsElLaden  */
  YYSYMBOL_objReferenceElements = 776,     /* objReferenceElements  */
  YYSYMBOL_objReferenceElementsStart = 777, /* objReferenceElementsStart  */
  YYSYMBOL_objReferenceElementsAttributes = 778, /* objReferenceElementsAttributes  */
  YYSYMBOL_objReferenceElementsAttList = 779, /* objReferenceElementsAttList  */
  YYSYMBOL_objReferenceElementsAtt = 780,  /* objReferenceElementsAtt  */
  YYSYMBOL_objReferenceElementsContent = 781, /* objReferenceElementsContent  */
  YYSYMBOL_objReferenceElementsNonzeros = 782, /* objReferenceElementsNonzeros  */
  YYSYMBOL_objReferenceElementsValues = 783, /* objReferenceElementsValues  */
  YYSYMBOL_objReferenceElementsValuesStart = 784, /* objReferenceElementsValuesStart  */
  YYSYMBOL_objReferenceElementsValuesContent = 785, /* objReferenceElementsValuesContent  */
  YYSYMBOL_objReferenceElementsValuesEmpty = 786, /* objReferenceElementsValuesEmpty  */
  YYSYMBOL_objReferenceElementsValuesLaden = 787, /* objReferenceElementsValuesLaden  */
  YYSYMBOL_objReferenceElementsValuesBody = 788, /* objReferenceElementsValuesBody  */
  YYSYMBOL_conReferenceElements = 789,     /* conReferenceElements  */
  YYSYMBOL_conReferenceElementsStart = 790, /* conReferenceElementsStart  */
  YYSYMBOL_conReferenceElementsAttributes = 791, /* conReferenceElementsAttributes  */
  YYSYMBOL_conReferenceElementsAttList = 792, /* conReferenceElementsAttList  */
  YYSYMBOL_conReferenceElementsAtt = 793,  /* conReferenceElementsAtt  */
  YYSYMBOL_conReferenceElementsContent = 794, /* conReferenceElementsContent  */
  YYSYMBOL_conReferenceElementsNonzeros = 795, /* conReferenceElementsNonzeros  */
  YYSYMBOL_conReferenceElementsValues = 796, /* conReferenceElementsValues  */
  YYSYMBOL_conReferenceElementsValuesStart = 797, /* conReferenceElementsValuesStart  */
  YYSYMBOL_conReferenceElementsValuesContent = 798, /* conReferenceElementsValuesContent  */
  YYSYMBOL_conReferenceElementsValuesEmpty = 799, /* conReferenceElementsValuesEmpty  */
  YYSYMBOL_conReferenceElementsValuesLaden = 800, /* conReferenceElementsValuesLaden  */
  YYSYMBOL_conReferenceElementsElList = 801, /* conReferenceElementsElList  */
  YYSYMBOL_conReferenceElementsEl = 802,   /* conReferenceElementsEl  */
  YYSYMBOL_conReferenceElementsElStart = 803, /* conReferenceElementsElStart  */
  YYSYMBOL_conReferenceElementsElAttributeList = 804, /* conReferenceElementsElAttributeList  */
  YYSYMBOL_conReferenceElementsElAttribute = 805, /* conReferenceElementsElAttribute  */
  YYSYMBOL_conReferenceElementsElContent = 806, /* conReferenceElementsElContent  */
  YYSYMBOL_matrixTransformation = 807,     /* matrixTransformation  */
  YYSYMBOL_matrixTransformationStart = 808, /* matrixTransformationStart  */
  YYSYMBOL_matrixTransformationShapeATT = 809, /* matrixTransformationShapeATT  */
  YYSYMBOL_matrixTransformationEnd = 810,  /* matrixTransformationEnd  */
  YYSYMBOL_matrixBlocks = 811,             /* matrixBlocks  */
  YYSYMBOL_matrixBlocksStart = 812,        /* matrixBlocksStart  */
  YYSYMBOL_matrixBlocksAttributes = 813,   /* matrixBlocksAttributes  */
  YYSYMBOL_matrixBlocksContent = 814,      /* matrixBlocksContent  */
  YYSYMBOL_matrixBlocksEnd = 815,          /* matrixBlocksEnd  */
  YYSYMBOL_colOffsets = 816,               /* colOffsets  */
  YYSYMBOL_colOffsetStart = 817,           /* colOffsetStart  */
  YYSYMBOL_colOffsetNumberOfElAttribute = 818, /* colOffsetNumberOfElAttribute  */
  YYSYMBOL_colOffsetContent = 819,         /* colOffsetContent  */
  YYSYMBOL_colOffsetEmpty = 820,           /* colOffsetEmpty  */
  YYSYMBOL_colOffsetLaden = 821,           /* colOffsetLaden  */
  YYSYMBOL_colOffsetBody = 822,            /* colOffsetBody  */
  YYSYMBOL_rowOffsets = 823,               /* rowOffsets  */
  YYSYMBOL_rowOffsetStart = 824,           /* rowOffsetStart  */
  YYSYMBOL_rowOffsetNumberOfElAttribute = 825, /* rowOffsetNumberOfElAttribute  */
  YYSYMBOL_rowOffsetContent = 826,         /* rowOffsetContent  */
  YYSYMBOL_rowOffsetEmpty = 827,           /* rowOffsetEmpty  */
  YYSYMBOL_rowOffsetLaden = 828,           /* rowOffsetLaden  */
  YYSYMBOL_rowOffsetBody = 829,            /* rowOffsetBody  */
  YYSYMBOL_blockList = 830,                /* blockList  */
  YYSYMBOL_matrixBlock = 831,              /* matrixBlock  */
  YYSYMBOL_matrixBlockStart = 832,         /* matrixBlockStart  */
  YYSYMBOL_matrixBlockAttributes = 833,    /* matrixBlockAttributes  */
  YYSYMBOL_matrixBlockAttList = 834,       /* matrixBlockAttList  */
  YYSYMBOL_matrixBlockAtt = 835,           /* matrixBlockAtt  */
  YYSYMBOL_matrixBlockContent = 836,       /* matrixBlockContent  */
  YYSYMBOL_blockEmpty = 837,               /* blockEmpty  */
  YYSYMBOL_blockLaden = 838,               /* blockLaden  */
  YYSYMBOL_blockBody = 839,                /* blockBody  */
  YYSYMBOL_osglNumberOfBlocksATT = 840,    /* osglNumberOfBlocksATT  */
  YYSYMBOL_osglNumberOfColumnsATT = 841,   /* osglNumberOfColumnsATT  */
  YYSYMBOL_osglNumberOfElATT = 842,        /* osglNumberOfElATT  */
  YYSYMBOL_osglNumberOfRowsATT = 843,      /* osglNumberOfRowsATT  */
  YYSYMBOL_osglNumberOfValuesATT = 844,    /* osglNumberOfValuesATT  */
  YYSYMBOL_osglNumberOfVarIdxATT = 845,    /* osglNumberOfVarIdxATT  */
  YYSYMBOL_osglBase64SizeATT = 846,        /* osglBase64SizeATT  */
  YYSYMBOL_osglBaseMatrixIdxATT = 847,     /* osglBaseMatrixIdxATT  */
  YYSYMBOL_osglBaseMatrixStartRowATT = 848, /* osglBaseMatrixStartRowATT  */
  YYSYMBOL_osglBaseMatrixStartColATT = 849, /* osglBaseMatrixStartColATT  */
  YYSYMBOL_osglBaseMatrixEndRowATT = 850,  /* osglBaseMatrixEndRowATT  */
  YYSYMBOL_osglBaseMatrixEndColATT = 851,  /* osglBaseMatrixEndColATT  */
  YYSYMBOL_osglBlockRowIdxATT = 852,       /* osglBlockRowIdxATT  */
  YYSYMBOL_osglBlockColIdxATT = 853,       /* osglBlockColIdxATT  */
  YYSYMBOL_osglCoefATT = 854,              /* osglCoefATT  */
  YYSYMBOL_osglConstantATT = 855,          /* osglConstantATT  */
  YYSYMBOL_osglIdxATT = 856,               /* osglIdxATT  */
  YYSYMBOL_osglIncrATT = 857,              /* osglIncrATT  */
  YYSYMBOL_osglMultATT = 858,              /* osglMultATT  */
  YYSYMBOL_osglScalarMultiplierATT = 859,  /* osglScalarMultiplierATT  */
  YYSYMBOL_osglTargetMatrixFirstRowATT = 860, /* osglTargetMatrixFirstRowATT  */
  YYSYMBOL_osglTargetMatrixFirstColATT = 861, /* osglTargetMatrixFirstColATT  */
  YYSYMBOL_osglBaseTransposeATT = 862,     /* osglBaseTransposeATT  */
  YYSYMBOL_baseTransposeAttEmpty = 863,    /* baseTransposeAttEmpty  */
  YYSYMBOL_baseTransposeAttContent = 864,  /* baseTransposeAttContent  */
  YYSYMBOL_osglNameATT = 865,              /* osglNameATT  */
  YYSYMBOL_nameAttEmpty = 866,             /* nameAttEmpty  */
  YYSYMBOL_nameAttContent = 867,           /* nameAttContent  */
  YYSYMBOL_osglRowMajorATT = 868,          /* osglRowMajorATT  */
  YYSYMBOL_rowMajorAttEmpty = 869,         /* rowMajorAttEmpty  */
  YYSYMBOL_rowMajorAttContent = 870,       /* rowMajorAttContent  */
  YYSYMBOL_osglShapeATT = 871,             /* osglShapeATT  */
  YYSYMBOL_shapeAttEmpty = 872,            /* shapeAttEmpty  */
  YYSYMBOL_shape = 873,                    /* shape  */
  YYSYMBOL_osglSymmetryATT = 874,          /* osglSymmetryATT  */
  YYSYMBOL_symmetryAttEmpty = 875,         /* symmetryAttEmpty  */
  YYSYMBOL_symmetryAttContent = 876,       /* symmetryAttContent  */
  YYSYMBOL_osglTypeATT = 877,              /* osglTypeATT  */
  YYSYMBOL_typeAttEmpty = 878,             /* typeAttEmpty  */
  YYSYMBOL_typeAttContent = 879,           /* typeAttContent  */
  YYSYMBOL_osglValueATT = 880,             /* osglValueATT  */
  YYSYMBOL_valueAttEmpty = 881,            /* valueAttEmpty  */
  YYSYMBOL_valueAttContent = 882,          /* valueAttContent  */
  YYSYMBOL_osglValueTypeATT = 883,         /* osglValueTypeATT  */
  YYSYMBOL_valueTypeAttEmpty = 884,        /* valueTypeAttEmpty  */
  YYSYMBOL_valueTypeAttContent = 885,      /* valueTypeAttContent  */
  YYSYMBOL_osglVarTypeATT = 886,           /* osglVarTypeATT  */
  YYSYMBOL_varTypeAttEmpty = 887,          /* varTypeAttEmpty  */
  YYSYMBOL_varTypeAttContent = 888,        /* varTypeAttContent  */
  YYSYMBOL_nonlinearExpressions = 889,     /* nonlinearExpressions  */
  YYSYMBOL_nonlinearExpressionsStart = 890, /* nonlinearExpressionsStart  */
  YYSYMBOL_nlnumberatt = 891,              /* nlnumberatt  */
  YYSYMBOL_nlnodes = 892,                  /* nlnodes  */
  YYSYMBOL_scalarExpressionTree = 893,     /* scalarExpressionTree  */
  YYSYMBOL_nlstart = 894,                  /* nlstart  */
  YYSYMBOL_nlAttributes = 895,             /* nlAttributes  */
  YYSYMBOL_nlAttributeList = 896,          /* nlAttributeList  */
  YYSYMBOL_nlAttribute = 897,              /* nlAttribute  */
  YYSYMBOL_nlnode = 898,                   /* nlnode  */
  YYSYMBOL_E = 899,                        /* E  */
  YYSYMBOL_900_6 = 900,                    /* $@6  */
  YYSYMBOL_eend = 901,                     /* eend  */
  YYSYMBOL_PI = 902,                       /* PI  */
  YYSYMBOL_903_7 = 903,                    /* $@7  */
  YYSYMBOL_piend = 904,                    /* piend  */
  YYSYMBOL_times = 905,                    /* times  */
  YYSYMBOL_906_8 = 906,                    /* $@8  */
  YYSYMBOL_plus = 907,                     /* plus  */
  YYSYMBOL_908_9 = 908,                    /* $@9  */
  YYSYMBOL_minus = 909,                    /* minus  */
  YYSYMBOL_910_10 = 910,                   /* $@10  */
  YYSYMBOL_negate = 911,                   /* negate  */
  YYSYMBOL_912_11 = 912,                   /* $@11  */
  YYSYMBOL_divide = 913,                   /* divide  */
  YYSYMBOL_914_12 = 914,                   /* $@12  */
  YYSYMBOL_power = 915,                    /* power  */
  YYSYMBOL_916_13 = 916,                   /* $@13  */
  YYSYMBOL_ln = 917,                       /* ln  */
  YYSYMBOL_918_14 = 918,                   /* $@14  */
  YYSYMBOL_sqrt = 919,                     /* sqrt  */
  YYSYMBOL_920_15 = 920,                   /* $@15  */
  YYSYMBOL_square = 921,                   /* square  */
  YYSYMBOL_922_16 = 922,                   /* $@16  */
  YYSYMBOL_cos = 923,                      /* cos  */
  YYSYMBOL_924_17 = 924,                   /* $@17  */
  YYSYMBOL_sin = 925,                      /* sin  */
  YYSYMBOL_926_18 = 926,                   /* $@18  */
  YYSYMBOL_exp = 927,                      /* exp  */
  YYSYMBOL_928_19 = 928,                   /* $@19  */
  YYSYMBOL_abs = 929,                      /* abs  */
  YYSYMBOL_absStart = 930,                 /* absStart  */
  YYSYMBOL_absEnd = 931,                   /* absEnd  */
  YYSYMBOL_erf = 932,                      /* erf  */
  YYSYMBOL_933_20 = 933,                   /* $@20  */
  YYSYMBOL_if = 934,                       /* if  */
  YYSYMBOL_935_21 = 935,                   /* $@21  */
  YYSYMBOL_matrixDeterminant = 936,        /* matrixDeterminant  */
  YYSYMBOL_937_22 = 937,                   /* $@22  */
  YYSYMBOL_matrixTrace = 938,              /* matrixTrace  */
  YYSYMBOL_939_23 = 939,                   /* $@23  */
  YYSYMBOL_matrixToScalar = 940,           /* matrixToScalar  */
  YYSYMBOL_941_24 = 941,                   /* $@24  */
  YYSYMBOL_number = 942,                   /* number  */
  YYSYMBOL_numberStart = 943,              /* numberStart  */
  YYSYMBOL_numberEnd = 944,                /* numberEnd  */
  YYSYMBOL_numberAttributeList = 945,      /* numberAttributeList  */
  YYSYMBOL_numberAttribute = 946,          /* numberAttribute  */
  YYSYMBOL_numberidATT = 947,              /* numberidATT  */
  YYSYMBOL_948_25 = 948,                   /* $@25  */
  YYSYMBOL_variable = 949,                 /* variable  */
  YYSYMBOL_950_26 = 950,                   /* $@26  */
  YYSYMBOL_variableend = 951,              /* variableend  */
  YYSYMBOL_952_27 = 952,                   /* $@27  */
  YYSYMBOL_anotherVariableATT = 953,       /* anotherVariableATT  */
  YYSYMBOL_variableATT = 954,              /* variableATT  */
  YYSYMBOL_variablecoefATT = 955,          /* variablecoefATT  */
  YYSYMBOL_variableidxATT = 956,           /* variableidxATT  */
  YYSYMBOL_sum = 957,                      /* sum  */
  YYSYMBOL_958_28 = 958,                   /* $@28  */
  YYSYMBOL_anothersumnlnode = 959,         /* anothersumnlnode  */
  YYSYMBOL_allDiff = 960,                  /* allDiff  */
  YYSYMBOL_961_29 = 961,                   /* $@29  */
  YYSYMBOL_anotherallDiffnlnode = 962,     /* anotherallDiffnlnode  */
  YYSYMBOL_max = 963,                      /* max  */
  YYSYMBOL_964_30 = 964,                   /* $@30  */
  YYSYMBOL_anothermaxnlnode = 965,         /* anothermaxnlnode  */
  YYSYMBOL_min = 966,                      /* min  */
  YYSYMBOL_967_31 = 967,                   /* $@31  */
  YYSYMBOL_anotherminnlnode = 968,         /* anotherminnlnode  */
  YYSYMBOL_product = 969,                  /* product  */
  YYSYMBOL_970_32 = 970,                   /* $@32  */
  YYSYMBOL_anotherproductnlnode = 971,     /* anotherproductnlnode  */
  YYSYMBOL_OSnLMNode = 972,                /* OSnLMNode  */
  YYSYMBOL_matrixReference = 973,          /* matrixReference  */
  YYSYMBOL_matrixReferenceStart = 974,     /* matrixReferenceStart  */
  YYSYMBOL_matrixReferenceEnd = 975,       /* matrixReferenceEnd  */
  YYSYMBOL_matrixVarReference = 976,       /* matrixVarReference  */
  YYSYMBOL_matrixVarReferenceStart = 977,  /* matrixVarReferenceStart  */
  YYSYMBOL_matrixVarReferenceEnd = 978,    /* matrixVarReferenceEnd  */
  YYSYMBOL_matrixVarIdxATT = 979,          /* matrixVarIdxATT  */
  YYSYMBOL_matrixObjReference = 980,       /* matrixObjReference  */
  YYSYMBOL_matrixObjReferenceStart = 981,  /* matrixObjReferenceStart  */
  YYSYMBOL_matrixObjReferenceEnd = 982,    /* matrixObjReferenceEnd  */
  YYSYMBOL_matrixObjIdxATT = 983,          /* matrixObjIdxATT  */
  YYSYMBOL_matrixConReference = 984,       /* matrixConReference  */
  YYSYMBOL_matrixConReferenceStart = 985,  /* matrixConReferenceStart  */
  YYSYMBOL_matrixConReferenceEnd = 986,    /* matrixConReferenceEnd  */
  YYSYMBOL_matrixConIdxATT = 987,          /* matrixConIdxATT  */
  YYSYMBOL_matrixDiagonal = 988,           /* matrixDiagonal  */
  YYSYMBOL_matrixDiagonalStart = 989,      /* matrixDiagonalStart  */
  YYSYMBOL_matrixDiagonalContent = 990,    /* matrixDiagonalContent  */
  YYSYMBOL_matrixDotTimes = 991,           /* matrixDotTimes  */
  YYSYMBOL_matrixDotTimesStart = 992,      /* matrixDotTimesStart  */
  YYSYMBOL_matrixDotTimesContent = 993,    /* matrixDotTimesContent  */
  YYSYMBOL_identityMatrix = 994,           /* identityMatrix  */
  YYSYMBOL_identityMatrixStart = 995,      /* identityMatrixStart  */
  YYSYMBOL_identityMatrixContent = 996,    /* identityMatrixContent  */
  YYSYMBOL_matrixInverse = 997,            /* matrixInverse  */
  YYSYMBOL_matrixInverseStart = 998,       /* matrixInverseStart  */
  YYSYMBOL_matrixInverseContent = 999,     /* matrixInverseContent  */
  YYSYMBOL_matrixLowerTriangle = 1000,     /* matrixLowerTriangle  */
  YYSYMBOL_matrixLowerTriangleStart = 1001, /* matrixLowerTriangleStart  */
  YYSYMBOL_matrixLowerTriangleAttribute = 1002, /* matrixLowerTriangleAttribute  */
  YYSYMBOL_matrixLowerTriangleContent = 1003, /* matrixLowerTriangleContent  */
  YYSYMBOL_matrixUpperTriangle = 1004,     /* matrixUpperTriangle  */
  YYSYMBOL_matrixUpperTriangleStart = 1005, /* matrixUpperTriangleStart  */
  YYSYMBOL_matrixUpperTriangleAttribute = 1006, /* matrixUpperTriangleAttribute  */
  YYSYMBOL_matrixUpperTriangleContent = 1007, /* matrixUpperTriangleContent  */
  YYSYMBOL_includeDiagonalATT = 1008,      /* includeDiagonalATT  */
  YYSYMBOL_matrixMerge = 1009,             /* matrixMerge  */
  YYSYMBOL_matrixMergeStart = 1010,        /* matrixMergeStart  */
  YYSYMBOL_matrixMergeEnd = 1011,          /* matrixMergeEnd  */
  YYSYMBOL_matrixMinus = 1012,             /* matrixMinus  */
  YYSYMBOL_matrixMinusStart = 1013,        /* matrixMinusStart  */
  YYSYMBOL_matrixMinusContent = 1014,      /* matrixMinusContent  */
  YYSYMBOL_matrixNegate = 1015,            /* matrixNegate  */
  YYSYMBOL_matrixNegateStart = 1016,       /* matrixNegateStart  */
  YYSYMBOL_matrixNegateContent = 1017,     /* matrixNegateContent  */
  YYSYMBOL_matrixPlus = 1018,              /* matrixPlus  */
  YYSYMBOL_matrixPlusStart = 1019,         /* matrixPlusStart  */
  YYSYMBOL_matrixPlusContent = 1020,       /* matrixPlusContent  */
  YYSYMBOL_matrixTimes = 1021,             /* matrixTimes  */
  YYSYMBOL_matrixTimesStart = 1022,        /* matrixTimesStart  */
  YYSYMBOL_matrixTimesContent = 1023,      /* matrixTimesContent  */
  YYSYMBOL_matrixProduct = 1024,           /* matrixProduct  */
  YYSYMBOL_1025_33 = 1025,                 /* $@33  */
  YYSYMBOL_anothermatrixproductnode = 1026, /* anothermatrixproductnode  */
  YYSYMBOL_matrixScalarTimes = 1027,       /* matrixScalarTimes  */
  YYSYMBOL_matrixScalarTimesStart = 1028,  /* matrixScalarTimesStart  */
  YYSYMBOL_matrixScalarTimesContent = 1029, /* matrixScalarTimesContent  */
  YYSYMBOL_matrixSubMatrixAt = 1030,       /* matrixSubMatrixAt  */
  YYSYMBOL_matrixSubMatrixAtStart = 1031,  /* matrixSubMatrixAtStart  */
  YYSYMBOL_matrixSubMatrixAtContent = 1032, /* matrixSubMatrixAtContent  */
  YYSYMBOL_matrixTranspose = 1033,         /* matrixTranspose  */
  YYSYMBOL_matrixTransposeStart = 1034,    /* matrixTransposeStart  */
  YYSYMBOL_matrixTransposeContent = 1035,  /* matrixTransposeContent  */
  YYSYMBOL_matrixExpressions = 1036,       /* matrixExpressions  */
  YYSYMBOL_matrixExpressionsStart = 1037,  /* matrixExpressionsStart  */
  YYSYMBOL_matrixExpressionsAtt = 1038,    /* matrixExpressionsAtt  */
  YYSYMBOL_numberOfExprATT = 1039,         /* numberOfExprATT  */
  YYSYMBOL_matrixExpressionsContent = 1040, /* matrixExpressionsContent  */
  YYSYMBOL_matrixExpressionsEmpty = 1041,  /* matrixExpressionsEmpty  */
  YYSYMBOL_matrixExpressionsLaden = 1042,  /* matrixExpressionsLaden  */
  YYSYMBOL_matrixExprList = 1043,          /* matrixExprList  */
  YYSYMBOL_matrixExpr = 1044,              /* matrixExpr  */
  YYSYMBOL_matrixExprStart = 1045,         /* matrixExprStart  */
  YYSYMBOL_matrixExprAttributes = 1046,    /* matrixExprAttributes  */
  YYSYMBOL_matrixExprAttributeList = 1047, /* matrixExprAttributeList  */
  YYSYMBOL_exprAttribute = 1048            /* exprAttribute  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;


/* Second part of user prologue.  */

int osillex(YYSTYPE* lvalp,  YYLTYPE* llocp, void* scanner );
void osilerror(YYLTYPE* mytype, OSInstance *osinstance, OSiLParserData *parserData, OSgLParserData* osglData, OSnLParserData *osnlData, std::string errormsg );
std::string addErrorMsg(YYLTYPE* mytype, OSInstance *osinstance, OSiLParserData* parserData, OSgLParserData* osglData, OSnLParserData *osnlData, std::string errormsg ) ;
 
#define scanner parserData->scanner



#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1213

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  409
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  640
/* YYNRULES -- Number of rules.  */
#define YYNRULES  965
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1498

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   659


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,   406,
     408,     2,     2,   407,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,   405,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   426,   426,   429,   430,   432,   441,   442,   445,   446,
     450,   455,   465,   465,   467,   480,   486,   487,   490,   491,
     494,   497,   500,   503,   509,   516,   523,   531,   536,   536,
     544,   550,   562,   562,   564,   566,   573,   573,   576,   576,
     582,   588,   600,   600,   602,   604,   608,   608,   616,   617,
     618,   619,   620,   621,   623,   630,   631,   636,   638,   647,
     649,   649,   652,   657,   662,   667,   667,   669,   672,   681,
     683,   683,   686,   691,   696,   701,   701,   704,   706,   715,
     725,   725,   728,   733,   738,   744,   744,   750,   752,   752,
     754,   756,   763,   803,   804,   806,   806,   808,   808,   810,
     812,   814,   823,   825,   825,   828,   833,   838,   843,   848,
     859,   859,   863,   865,   877,   879,   879,   882,   887,   892,
     896,   901,   906,   913,   913,   915,   917,   930,   932,   932,
     935,   940,   945,   950,   955,   960,   965,   972,   972,   976,
     978,   988,   990,   990,   993,   998,  1003,  1007,  1014,  1014,
    1028,  1030,  1039,  1041,  1041,  1044,  1049,  1054,  1059,  1061,
    1063,  1069,  1075,  1075,  1077,  1079,  1081,  1083,  1097,  1100,
    1102,  1111,  1113,  1113,  1116,  1121,  1126,  1131,  1133,  1135,
    1141,  1147,  1147,  1149,  1151,  1153,  1155,  1169,  1178,  1178,
    1180,  1185,  1185,  1187,  1190,  1192,  1192,  1199,  1204,  1214,
    1214,  1216,  1218,  1220,  1222,  1222,  1224,  1229,  1245,  1293,
    1293,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,  1306,  1309,  1310,  1312,  1312,  1318,  1323,  1333,  1333,
    1335,  1337,  1339,  1341,  1341,  1343,  1348,  1361,  1394,  1394,
    1397,  1398,  1399,  1400,  1401,  1402,  1403,  1404,  1407,  1408,
    1411,  1411,  1417,  1422,  1432,  1432,  1434,  1436,  1438,  1440,
    1440,  1442,  1447,  1462,  1501,  1501,  1504,  1505,  1506,  1507,
    1508,  1509,  1510,  1511,  1512,  1515,  1516,  1559,  1559,  1561,
    1563,  1563,  1565,  1566,  1569,  1570,  1573,  1624,  1626,  1640,
    1641,  1643,  1643,  1667,  1668,  1671,  1672,  1674,  1676,  1677,
    1681,  1682,  1684,  1685,  1687,  1706,  1717,  1724,  1729,  1730,
    1732,  1733,  1735,  1735,  1738,  1750,  1751,  1753,  1754,  1758,
    1759,  1761,  1762,  1764,  1783,  1794,  1801,  1806,  1807,  1809,
    1810,  1812,  1812,  1815,  1827,  1828,  1830,  1840,  1844,  1845,
    1847,  1848,  1850,  1869,  1876,  1881,  1882,  1884,  1885,  1887,
    1887,  1890,  1902,  1903,  1908,  1908,  1916,  1917,  1919,  1920,
    1922,  1926,  1932,  1943,  1948,  1963,  1974,  1985,  1993,  2001,
    2020,  2031,  2042,  2054,  2065,  2076,  2088,  2099,  2111,  2123,
    2135,  2147,  2159,  2171,  2183,  2195,  2207,  2234,  2235,  2242,
    2244,  2244,  2246,  2247,  2248,  2249,  2413,  2421,  2423,  2423,
    2425,  2427,  2436,  2438,  2438,  2440,  2440,  2442,  2458,  2461,
    2461,  2463,  2463,  2466,  2497,  2505,  2507,  2507,  2509,  2511,
    2519,  2519,  2521,  2537,  2539,  2539,  2541,  2541,  2543,  2820,
    2871,  2894,  2912,  2912,  2915,  2916,  2917,  2918,  2919,  2923,
    2981,  3039,  3098,  3098,  3100,  3102,  3142,  3144,  3144,  3149,
    3167,  3194,  3194,  3197,  3198,  3199,  3200,  3201,  3202,  3203,
    3204,  3205,  3208,  3208,  3210,  3210,  3215,  3215,  3215,  3215,
    3216,  3216,  3216,  3216,  3218,  3220,  3229,  3235,  3235,  3238,
    3244,  3250,  3252,  3252,  3258,  3268,  3278,  3278,  3280,  3282,
    3284,  3287,  3298,  3305,  3305,  3307,  3309,  3311,  3317,  3327,
    3334,  3334,  3336,  3338,  3340,  3343,  3345,  3354,  3360,  3360,
    3363,  3369,  3375,  3377,  3377,  3379,  3389,  3396,  3396,  3398,
    3400,  3402,  3404,  3406,  3415,  3421,  3421,  3424,  3430,  3436,
    3438,  3438,  3441,  3446,  3457,  3472,  3472,  3474,  3476,  3478,
    3480,  3480,  3482,  3489,  3496,  3509,  3509,  3512,  3513,  3515,
    3515,  3517,  3519,  3521,  3521,  3524,  3526,  3534,  3534,  3539,
    3546,  3548,  3557,  3563,  3563,  3566,  3572,  3578,  3580,  3580,
    3582,  3583,  3585,  3600,  3600,  3602,  3604,  3606,  3606,  3608,
    3610,  3625,  3625,  3627,  3629,  3639,  3641,  3650,  3656,  3656,
    3659,  3665,  3671,  3673,  3673,  3675,  3685,  3692,  3692,  3694,
    3696,  3698,  3701,  3703,  3712,  3718,  3718,  3721,  3727,  3733,
    3735,  3735,  3738,  3743,  3754,  3769,  3769,  3771,  3773,  3775,
    3775,  3777,  3785,  3797,  3797,  3800,  3801,  3802,  3820,  3853,
    3856,  3874,  3874,  3885,  3892,  3902,  3910,  3916,  3918,  3932,
    3944,  3950,  3956,  3956,  3958,  3960,  3962,  3964,  3974,  3980,
    3986,  3986,  3988,  3990,  3992,  3994,  3994,  3999,  4004,  4016,
    4018,  4018,  4021,  4022,  4023,  4031,  4038,  4038,  4040,  4042,
    4048,  4062,  4073,  4117,  4240,  4251,  4273,  4297,  4308,  4322,
    4337,  4352,  4364,  4376,  4394,  4412,  4425,  4438,  4448,  4485,
    4496,  4506,  4518,  4532,  4532,  4534,  4544,  4706,  4706,  4708,
    4715,  4742,  4742,  4744,  4753,  4767,  4767,  4769,  4776,  4803,
    4803,  4805,  4812,  4821,  4821,  4823,  4830,  4857,  4857,  4861,
    4869,  4878,  4878,  4880,  4887,  4896,  4896,  4898,  4905,  4944,
    4945,  4951,  4957,  4978,  4979,  4981,  4989,  5008,  5015,  5015,
    5018,  5024,  5034,  5035,  5036,  5037,  5038,  5039,  5040,  5041,
    5042,  5043,  5044,  5045,  5046,  5047,  5048,  5049,  5050,  5051,
    5052,  5053,  5054,  5055,  5056,  5057,  5059,  5060,  5061,  5065,
    5065,  5068,  5069,  5071,  5071,  5074,  5075,  5079,  5079,  5084,
    5084,  5089,  5089,  5094,  5094,  5099,  5099,  5104,  5104,  5109,
    5109,  5114,  5114,  5119,  5119,  5124,  5124,  5129,  5129,  5134,
    5134,  5139,  5141,  5147,  5154,  5154,  5160,  5160,  5172,  5172,
    5177,  5177,  5182,  5182,  5192,  5199,  5205,  5206,  5208,  5209,
    5212,  5216,  5220,  5224,  5223,  5242,  5241,  5248,  5249,  5251,
    5250,  5257,  5258,  5261,  5267,  5275,  5282,  5300,  5300,  5311,
    5311,  5314,  5314,  5328,  5329,  5332,  5332,  5345,  5346,  5349,
    5349,  5362,  5363,  5366,  5366,  5376,  5377,  5383,  5384,  5385,
    5386,  5387,  5388,  5389,  5390,  5391,  5392,  5393,  5394,  5395,
    5396,  5397,  5398,  5399,  5400,  5401,  5404,  5409,  5416,  5417,
    5419,  5427,  5432,  5439,  5440,  5442,  5449,  5454,  5461,  5462,
    5464,  5471,  5476,  5483,  5484,  5486,  5493,  5495,  5501,  5503,
    5505,  5511,  5513,  5515,  5521,  5523,  5525,  5531,  5533,  5535,
    5541,  5541,  5546,  5548,  5550,  5556,  5556,  5561,  5563,  5572,
    5574,  5579,  5579,  5581,  5583,  5589,  5592,  5594,  5600,  5603,
    5605,  5611,  5614,  5616,  5622,  5626,  5625,  5637,  5637,  5644,
    5646,  5652,  5654,  5656,  5662,  5665,  5667,  5673,  5683,  5683,
    5689,  5697,  5699,  5719,  5719,  5721,  5723,  5725,  5725,  5727,
    5737,  5756,  5762,  5762,  5765,  5773
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "ATTRIBUTETEXT",
  "ELEMENTTEXT", "ITEMTEXT", "INTEGER", "DOUBLE", "QUOTE", "TWOQUOTES",
  "ENDOFELEMENT", "GREATERTHAN", "EMPTYSEMIDEFINITENESSATT",
  "SEMIDEFINITENESSATT", "NUMBEROFQTERMSATT", "NUMBEROFCONESATT",
  "NUMBEROFSTAGESATT", "IDXONEATT", "IDXTWOATT", "HORIZONATT", "STARTATT",
  "STARTIDXATT", "MATRIXIDXATT", "LBMATRIXIDXATT", "LBCONEIDXATT",
  "UBMATRIXIDXATT", "UBCONEIDXATT", "TEMPLATEMATRIXIDXATT",
  "REFERENCEMATRIXIDXATT", "VARREFERENCEMATRIXIDXATT",
  "OBJREFERENCEMATRIXIDXATT", "CONREFERENCEMATRIXIDXATT",
  "ORDERCONEIDXATT", "CONSTANTMATRIXIDXATT", "NORMSCALEFACTORATT",
  "DISTORTIONMATRIXIDXATT", "AXISDIRECTIONATT", "FIRSTAXISDIRECTIONATT",
  "SECONDAXISDIRECTIONATT", "OSILEND", "INSTANCEDATAEND",
  "INSTANCEDATASTARTEND", "QUADRATICCOEFFICIENTSSTART",
  "QUADRATICCOEFFICIENTSEND", "QTERMSTART", "QTERMEND", "CONESSTART",
  "CONESEND", "NONNEGATIVECONESTART", "NONNEGATIVECONEEND",
  "NONPOSITIVECONESTART", "NONPOSITIVECONEEND", "ORTHANTCONESTART",
  "ORTHANTCONEEND", "POLYHEDRALCONESTART", "POLYHEDRALCONEEND",
  "QUADRATICCONESTART", "QUADRATICCONEEND", "ROTATEDQUADRATICCONESTART",
  "ROTATEDQUADRATICCONEEND", "SEMIDEFINITECONESTART",
  "SEMIDEFINITECONEEND", "PRODUCTCONESTART", "PRODUCTCONEEND",
  "INTERSECTIONCONESTART", "INTERSECTIONCONEEND", "DUALCONESTART",
  "DUALCONEEND", "POLARCONESTART", "POLARCONEEND", "DIRECTIONSTART",
  "DIRECTIONEND", "FACTORSSTART", "FACTORSEND", "COMPONENTSSTART",
  "COMPONENTSEND", "TIMEDOMAINSTART", "TIMEDOMAINEND", "STAGESSTART",
  "STAGESEND", "STAGESTART", "STAGEEND", "INTERVALSTART", "INTERVALEND",
  "HEADERSTART", "HEADEREND", "FILENAMESTART", "FILENAMEEND",
  "FILENAMEEMPTY", "FILENAMESTARTANDEND", "FILESOURCESTART",
  "FILESOURCEEND", "FILESOURCEEMPTY", "FILESOURCESTARTANDEND",
  "FILEDESCRIPTIONSTART", "FILEDESCRIPTIONEND", "FILEDESCRIPTIONEMPTY",
  "FILEDESCRIPTIONSTARTANDEND", "FILECREATORSTART", "FILECREATOREND",
  "FILECREATOREMPTY", "FILECREATORSTARTANDEND", "FILELICENCESTART",
  "FILELICENCEEND", "FILELICENCEEMPTY", "FILELICENCESTARTANDEND",
  "INDEXESSTART", "INDEXESEND", "VALUESSTART", "VALUESEND",
  "NONZEROSSTART", "NONZEROSEND", "ELSTART", "ELEND", "ENUMERATIONSTART",
  "ENUMERATIONEND", "ITEMEMPTY", "ITEMSTART", "ITEMEND", "ITEMSTARTANDEND",
  "BASE64START", "BASE64END", "NUMBEROFELATT", "NUMBEROFENUMERATIONSATT",
  "NUMBEROFITEMSATT", "EMPTYCATEGORYATT", "CATEGORYATT",
  "EMPTYDESCRIPTIONATT", "DESCRIPTIONATT", "EMPTYSOLVERATT", "SOLVERATT",
  "EMPTYNAMEATT", "NAMEATT", "EMPTYTYPEATT", "TYPEATT", "EMPTYENUMTYPEATT",
  "ENUMTYPEATT", "EMPTYSHAPEATT", "SHAPEATT", "EMPTYUNITATT", "UNITATT",
  "EMPTYVALUEATT", "VALUEATT", "EMPTYVALUETYPEATT", "VALUETYPEATT",
  "EMPTYCONTYPEATT", "CONTYPEATT", "EMPTYOBJTYPEATT", "OBJTYPEATT",
  "EMPTYVARTYPEATT", "VARTYPEATT", "EMPTYMATRIXCONTYPEATT",
  "MATRIXCONTYPEATT", "EMPTYMATRIXOBJTYPEATT", "MATRIXOBJTYPEATT",
  "EMPTYMATRIXVARTYPEATT", "MATRIXVARTYPEATT", "EMPTYMATRIXTYPEATT",
  "MATRIXTYPEATT", "EMPTYSYMMETRYATT", "SYMMETRYATT", "EMPTYROWMAJORATT",
  "ROWMAJORATT", "EMPTYBASETRANSPOSEATT", "BASETRANSPOSEATT",
  "NUMBEROFBLOCKSATT", "NUMBEROFCOLUMNSATT", "NUMBEROFROWSATT",
  "NUMBEROFMATRICESATT", "NUMBEROFVALUESATT", "NUMBEROFCONSTRAINTSATT",
  "NUMBEROFCONATT", "NUMBEROFCONIDXATT", "NUMBEROFOBJECTIVESATT",
  "NUMBEROFOBJATT", "NUMBEROFOBJIDXATT", "NUMBEROFVARIABLESATT",
  "NUMBEROFVARATT", "NUMBEROFVARIDXATT", "NUMBEROFMATRIXCONATT",
  "NUMBEROFMATRIXOBJATT", "NUMBEROFMATRIXVARATT", "BASEMATRIXIDXATT",
  "TARGETMATRIXFIRSTROWATT", "TARGETMATRIXFIRSTCOLATT",
  "BASEMATRIXSTARTROWATT", "BASEMATRIXSTARTCOLATT", "BASEMATRIXENDROWATT",
  "BASEMATRIXENDCOLATT", "SCALARMULTIPLIERATT", "BLOCKROWIDXATT",
  "BLOCKCOLIDXATT", "MATRIXVARIDXATT", "MATRIXOBJIDXATT",
  "MATRIXCONIDXATT", "IDXATT", "INCRATT", "MULTATT", "SIZEOFATT",
  "COEFATT", "CONSTANTATT", "MATRICESSTART", "MATRICESEND", "MATRIXSTART",
  "MATRIXEND", "BASEMATRIXEND", "BASEMATRIXSTART", "BLOCKSSTART",
  "BLOCKSEND", "BLOCKSTART", "BLOCKEND", "COLOFFSETSTART", "COLOFFSETEND",
  "ROWOFFSETSTART", "ROWOFFSETEND", "ELEMENTSSTART", "ELEMENTSEND",
  "CONSTANTELEMENTSSTART", "CONSTANTELEMENTSEND",
  "VARREFERENCEELEMENTSSTART", "VARREFERENCEELEMENTSEND",
  "LINEARELEMENTSSTART", "LINEARELEMENTSEND", "GENERALELEMENTSSTART",
  "GENERALELEMENTSEND", "CONREFERENCEELEMENTSSTART",
  "CONREFERENCEELEMENTSEND", "OBJREFERENCEELEMENTSSTART",
  "OBJREFERENCEELEMENTSEND", "STRINGVALUEDELEMENTSSTART",
  "STRINGVALUEDELEMENTSEND", "STARTVECTORSTART", "STARTVECTOREND",
  "INDEXSTART", "INDEXEND", "VALUESTART", "VALUEEND", "VARIDXSTART",
  "VARIDXEND", "TRANSFORMATIONSTART", "TRANSFORMATIONEND",
  "MATRIXPROGRAMMINGSTART", "MATRIXPROGRAMMINGEND", "MATRIXVARIABLESSTART",
  "MATRIXVARIABLESEND", "MATRIXVARSTART", "MATRIXVAREND",
  "MATRIXOBJECTIVESSTART", "MATRIXOBJECTIVESEND", "MATRIXOBJSTART",
  "MATRIXOBJEND", "MATRIXCONSTRAINTSSTART", "MATRIXCONSTRAINTSEND",
  "MATRIXCONSTART", "MATRIXCONEND", "CONSTART", "CONEND",
  "CONSTRAINTSSTART", "CONSTRAINTSEND", "OBJSTART", "OBJEND",
  "OBJECTIVESSTART", "OBJECTIVESEND", "VARSTART", "VAREND",
  "VARIABLESSTART", "VARIABLESEND", "GENERALSTART", "GENERALEND",
  "SYSTEMSTART", "SYSTEMEND", "SERVICESTART", "SERVICEEND", "JOBSTART",
  "JOBEND", "OPTIMIZATIONSTART", "OPTIMIZATIONEND", "ATEQUALITYSTART",
  "ATEQUALITYEND", "ATLOWERSTART", "ATLOWEREND", "ATUPPERSTART",
  "ATUPPEREND", "BASICSTART", "BASICEND", "ISFREESTART", "ISFREEEND",
  "SUPERBASICSTART", "SUPERBASICEND", "UNKNOWNSTART", "UNKNOWNEND",
  "SERVICEURISTART", "SERVICEURIEND", "SERVICENAMESTART", "SERVICENAMEEND",
  "INSTANCENAMESTART", "INSTANCENAMEEND", "JOBIDSTART", "JOBIDEND",
  "OTHERSTART", "OTHEREND", "DUMMY", "NONLINEAREXPRESSIONSSTART",
  "NONLINEAREXPRESSIONSEND", "NUMBEROFNONLINEAREXPRESSIONS", "NLSTART",
  "NLEND", "MATRIXEXPRESSIONSSTART", "MATRIXEXPRESSIONSEND",
  "NUMBEROFEXPR", "EXPRSTART", "EXPREND", "NUMBEROFMATRIXTERMSATT",
  "MATRIXTERMSTART", "MATRIXTERMEND", "POWERSTART", "POWEREND",
  "PLUSSTART", "PLUSEND", "MINUSSTART", "MINUSEND", "DIVIDESTART",
  "DIVIDEEND", "LNSTART", "LNEND", "SQRTSTART", "SQRTEND", "SUMSTART",
  "SUMEND", "PRODUCTSTART", "PRODUCTEND", "EXPSTART", "EXPEND",
  "NEGATESTART", "NEGATEEND", "IFSTART", "IFEND", "SQUARESTART",
  "SQUAREEND", "COSSTART", "COSEND", "SINSTART", "SINEND", "VARIABLESTART",
  "VARIABLEEND", "ABSSTART", "ABSEND", "ERFSTART", "ERFEND", "MAXSTART",
  "MAXEND", "ALLDIFFSTART", "ALLDIFFEND", "MINSTART", "MINEND", "ESTART",
  "EEND", "PISTART", "PIEND", "TIMESSTART", "TIMESEND", "NUMBERSTART",
  "NUMBEREND", "MATRIXDETERMINANTSTART", "MATRIXDETERMINANTEND",
  "MATRIXTRACESTART", "MATRIXTRACEEND", "MATRIXTOSCALARSTART",
  "MATRIXTOSCALAREND", "MATRIXDIAGONALSTART", "MATRIXDIAGONALEND",
  "MATRIXDOTTIMESSTART", "MATRIXDOTTIMESEND", "MATRIXLOWERTRIANGLESTART",
  "MATRIXLOWERTRIANGLEEND", "MATRIXUPPERTRIANGLESTART",
  "MATRIXUPPERTRIANGLEEND", "MATRIXMERGESTART", "MATRIXMERGEEND",
  "MATRIXMINUSSTART", "MATRIXMINUSEND", "MATRIXNEGATESTART",
  "MATRIXNEGATEEND", "MATRIXPLUSSTART", "MATRIXPLUSEND",
  "MATRIXTIMESSTART", "MATRIXTIMESEND", "MATRIXPRODUCTSTART",
  "MATRIXPRODUCTEND", "MATRIXSCALARTIMESSTART", "MATRIXSCALARTIMESEND",
  "MATRIXSUBMATRIXATSTART", "MATRIXSUBMATRIXATEND", "MATRIXTRANSPOSESTART",
  "MATRIXTRANSPOSEEND", "MATRIXREFERENCESTART", "MATRIXREFERENCEEND",
  "IDENTITYMATRIXSTART", "IDENTITYMATRIXEND", "MATRIXINVERSESTART",
  "MATRIXINVERSEEND", "EMPTYINCLUDEDIAGONALATT", "INCLUDEDIAGONALATT",
  "EMPTYIDATT", "IDATT", "' '", "'\\t'", "'\\r'", "'\\n'", "$accept",
  "osildoc", "theInstanceEnd", "osilEnd", "osilEnding",
  "quadraticCoefficients", "quadraticCoefficientsStart",
  "osilQuadnumberATT", "qTermlist", "qterm", "qtermStart", "qtermend",
  "anotherqTermATT", "qtermatt", "osilQtermidxOneATT",
  "osilQtermidxTwoATT", "osilQtermcoefATT", "osilQtermidxATT", "matrices",
  "matricesStart", "matricesAttributes", "matricesContent",
  "matricesEmpty", "matricesLaden", "matrixList", "cones", "conesStart",
  "conesAttributes", "conesContent", "conesEmpty", "conesLaden",
  "coneList", "cone", "nonnegativeCone", "nonnegativeConeStart",
  "nonnegativeConeAttributes", "nonnegativeConeAttList",
  "nonnegativeConeAtt", "nonnegativeConeEnd", "nonpositiveCone",
  "nonpositiveConeStart", "nonpositiveConeAttributes",
  "nonpositiveConeAttList", "nonpositiveConeAtt", "nonpositiveConeEnd",
  "generalOrthantCone", "generalOrthantConeStart",
  "generalOrthantConeAttributes", "generalOrthantConeAttList",
  "generalOrthantConeAtt", "generalOrthantConeContent",
  "generalOrthantConeDirectionList", "generalOrthantConeDirections",
  "generalOrthantConeDirection", "generalOrthantConeDirectionStart",
  "generalOrthantConeDirectionAttributes",
  "generalOrthantConeDirectionAttributeList",
  "generalOrthantConeDirectionAtt", "generalOrthantConeDirectionEnd",
  "generalOrthantConeEnd", "polyhedralCone", "polyhedralConeStart",
  "polyhedralConeAttributes", "polyhedralConeAttList", "polyhedralConeAtt",
  "referenceMatrixATT", "polyhedralConeEnd", "quadraticCone",
  "quadraticConeStart", "quadraticConeAttributes", "quadraticConeAttList",
  "quadraticConeAtt", "quadraticConeEnd", "rotatedQuadraticCone",
  "rotatedQuadraticConeStart", "rotatedQuadraticConeAttributes",
  "rotatedQuadraticConeAttList", "rotatedQuadraticConeAtt",
  "rotatedQuadraticConeEnd", "semidefiniteCone", "semidefiniteConeStart",
  "semidefiniteConeAttributes", "semidefiniteConeAttList",
  "semidefiniteConeAtt", "semidefiniteConeEnd", "productCone",
  "productConeStart", "productConeAttributes", "productConeAttList",
  "productConeAtt", "productConeContent", "productConeFactors",
  "productConeFactorsStart", "productConeFactorsAttributes",
  "productConeFactorsContent", "productConeFactorsEmpty",
  "productConeFactorsLaden", "productConeFactorList",
  "productConeFactorsEnd", "productConeEnd", "intersectionCone",
  "intersectionConeStart", "intersectionConeAttributes",
  "intersectionConeAttList", "intersectionConeAtt",
  "intersectionConeContent", "intersectionConeComponents",
  "intersectionConeComponentsStart",
  "intersectionConeComponentsAttributes",
  "intersectionConeComponentsContent", "intersectionConeComponentsEmpty",
  "intersectionConeComponentsLaden", "intersectionConeComponentList",
  "intersectionConeComponentsEnd", "intersectionConeEnd",
  "matrixProgramming", "matrixProgrammingStart",
  "matrixProgrammingContent", "matrixProgrammingEmpty",
  "matrixProgrammingLaden", "matrixVariables", "matrixVariablesStart",
  "matrixVariablesAttributes", "matrixVariablesContent",
  "matrixVariablesEmpty", "matrixVariablesLaden", "matrixVariablesEnd",
  "matrixVarList", "matrixVar", "matrixVarStart", "matrixVarAttributes",
  "matrixVarAttList", "matrixVarAtt", "matrixVarEnd", "matrixObjectives",
  "matrixObjectivesStart", "matrixObjectivesAttributes",
  "matrixObjectivesContent", "matrixObjectivesEmpty",
  "matrixObjectivesLaden", "matrixObjectivesEnd", "matrixObjList",
  "matrixObj", "matrixObjStart", "matrixObjAttributes", "matrixObjAttList",
  "matrixObjAtt", "matrixObjEnd", "matrixConstraints",
  "matrixConstraintsStart", "matrixConstraintsAttributes",
  "matrixConstraintsContent", "matrixConstraintsEmpty",
  "matrixConstraintsLaden", "matrixConstraintsEnd", "matrixConList",
  "matrixCon", "matrixConStart", "matrixConAttributes", "matrixConAttList",
  "matrixConAtt", "matrixConEnd", "timeDomain", "timeDomainStart",
  "timeDomainContent", "timeDomainEmpty", "timeDomainLaden", "stages",
  "stagesstart", "osilNumberofstagesATT", "stagelist", "stage", "$@1",
  "osilStagenameATT", "stageend", "stagecontent", "stagevariables",
  "anotherstagevarATT", "stagevaratt", "osilNumberofstagevariablesATT",
  "osilStagevarstartidxATT", "restofstagevariables", "emptyvarlist",
  "stagevarlist", "stagevar", "$@2", "osilStagevaridxATT", "stagevarend",
  "stageconstraints", "anotherstageconATT", "stageconatt",
  "osilNumberofstageconstraintsATT", "osilStageconstartidxATT",
  "restofstageconstraints", "emptyconlist", "stageconlist", "stagecon",
  "$@3", "osilStageconidxATT", "stageconend", "stageobjectives",
  "anotherstageobjATT", "stageobjatt", "osilNumberofstageobjectivesATT",
  "restofstageobjectives", "emptyobjlist", "stageobjlist", "stageobj",
  "$@4", "osilStageobjidxATT", "stageobjend", "interval", "$@5",
  "intervalend", "anotherIntervalATT", "intervalatt",
  "osilStageobjstartidxATT", "osilIntervalhorizonATT",
  "osilIntervalstartATT", "numberOfMatricesATT", "numberOfConesATT",
  "numberOfMatrixVarATT", "numberOfMatrixObjATT", "numberOfMatrixConATT",
  "normScaleFactorATT", "distortionMatrixIdxATT", "axisDirectionATT",
  "firstAxisDirectionATT", "secondAxisDirectionATT", "semidefinitenessATT",
  "matrixIdxATT", "lbMatrixIdxATT", "ubMatrixIdxATT",
  "constantMatrixIdxATT", "templateMatrixIdxATT",
  "varReferenceMatrixIdxATT", "objReferenceMatrixIdxATT",
  "conReferenceMatrixIdxATT", "lbConeIdxATT", "ubConeIdxATT",
  "orderConeIdxATT", "aNumber", "quote", "xmlWhiteSpace",
  "xmlWhiteSpaceChar", "osglIntArrayData", "osglIntVectorElArray",
  "osglIntVectorEl", "osglIntVectorElStart", "osglIntVectorElAttributes",
  "osglIntVectorElAttList", "osglIntVectorElAtt", "osglIntVectorElContent",
  "osglIntVectorBase64", "osglIntVectorBase64Content",
  "osglIntVectorBase64Empty", "osglIntVectorBase64Laden",
  "osglDblArrayData", "osglDblVectorElArray", "osglDblVectorEl",
  "osglDblVectorElStart", "osglDblVectorElAttributes",
  "osglDblVectorElContent", "osglDblVectorBase64",
  "osglDblVectorBase64Content", "osglDblVectorBase64Empty",
  "osglDblVectorBase64Laden", "osglMatrix", "matrixStart",
  "matrixAttributes", "matrixAttributeList", "matrixAttribute",
  "matrixContent", "matrixEmpty", "matrixLaden", "matrixBody",
  "baseMatrix", "baseMatrixStart", "baseMatrixAttributes",
  "baseMatrixAttList", "baseMatrixAtt", "baseMatrixEnd",
  "matrixConstructorList", "matrixConstructor", "constantElements",
  "constantElementsStart", "constantElementsAttributes",
  "constantElementsAttList", "constantElementsAtt",
  "constantElementsContent", "constantElementsNonzeros",
  "matrixElementsStartVector", "matrixElementsStartVectorStart",
  "matrixElementsStartVectorContent", "matrixElementsStartVectorEmpty",
  "matrixElementsStartVectorLaden", "matrixElementsStartVectorBody",
  "matrixElementsIndexVector", "matrixElementsIndexStart",
  "matrixElementsIndexContent", "matrixElementsIndexEmpty",
  "matrixElementsIndexLaden", "matrixElementsIndexBody",
  "constantElementsValues", "constantElementsValueStart",
  "constantElementsValueContent", "constantElementsValueEmpty",
  "constantElementsValueLaden", "constantElementsValueBody",
  "varReferenceElements", "varReferenceElementsStart",
  "varReferenceElementsAttributes", "varReferenceElementsAttList",
  "varReferenceElementsAtt", "varReferenceElementsContent",
  "varReferenceElementsNonzeros", "varReferenceElementsValues",
  "varReferenceElementsValuesStart", "varReferenceElementsValuesContent",
  "varReferenceElementsValuesEmpty", "varReferenceElementsValuesLaden",
  "varReferenceElementsValuesBody", "linearElements",
  "linearElementsStart", "linearElementsAttributes",
  "linearElementsAttList", "linearElementsAtt", "linearElementsContent",
  "linearElementsNonzeros", "linearElementsValues",
  "linearElementsValuesStart", "linearElementsValuesContent",
  "linearElementsValuesEmpty", "linearElementsValuesLaden",
  "linearElementsValuesBody", "linearElementsValuesElList",
  "linearElementsValuesEl", "linearElementsValuesElStart",
  "linearElementsValuesElAttributes", "linearElementsValuesElAttList",
  "linearElementsValuesElAtt", "linearElementsValuesElContent",
  "linearElementsValuesElEmpty", "linearElementsValuesElLaden",
  "linearElementsValuesVarIdxList", "linearElementsValuesVarIdx",
  "linearElementsValuesVarIdxStart", "LinearElementsValuesVarIdxCoefATT",
  "linearElementsValuesVarIdxContent", "generalElements",
  "generalElementsStart", "generalElementsAttributes",
  "generalElementsAttList", "generalElementsAtt", "generalElementsContent",
  "generalElementsNonzeros", "generalElementsValues",
  "generalElementsValuesStart", "generalElementsValuesContent",
  "generalElementsValuesEmpty", "generalElementsValuesLaden",
  "generalElementsElList", "generalElementsEl", "generalElementsElStart",
  "generalElementsElContent", "generalElementsElEmpty",
  "generalElementsElLaden", "objReferenceElements",
  "objReferenceElementsStart", "objReferenceElementsAttributes",
  "objReferenceElementsAttList", "objReferenceElementsAtt",
  "objReferenceElementsContent", "objReferenceElementsNonzeros",
  "objReferenceElementsValues", "objReferenceElementsValuesStart",
  "objReferenceElementsValuesContent", "objReferenceElementsValuesEmpty",
  "objReferenceElementsValuesLaden", "objReferenceElementsValuesBody",
  "conReferenceElements", "conReferenceElementsStart",
  "conReferenceElementsAttributes", "conReferenceElementsAttList",
  "conReferenceElementsAtt", "conReferenceElementsContent",
  "conReferenceElementsNonzeros", "conReferenceElementsValues",
  "conReferenceElementsValuesStart", "conReferenceElementsValuesContent",
  "conReferenceElementsValuesEmpty", "conReferenceElementsValuesLaden",
  "conReferenceElementsElList", "conReferenceElementsEl",
  "conReferenceElementsElStart", "conReferenceElementsElAttributeList",
  "conReferenceElementsElAttribute", "conReferenceElementsElContent",
  "matrixTransformation", "matrixTransformationStart",
  "matrixTransformationShapeATT", "matrixTransformationEnd",
  "matrixBlocks", "matrixBlocksStart", "matrixBlocksAttributes",
  "matrixBlocksContent", "matrixBlocksEnd", "colOffsets", "colOffsetStart",
  "colOffsetNumberOfElAttribute", "colOffsetContent", "colOffsetEmpty",
  "colOffsetLaden", "colOffsetBody", "rowOffsets", "rowOffsetStart",
  "rowOffsetNumberOfElAttribute", "rowOffsetContent", "rowOffsetEmpty",
  "rowOffsetLaden", "rowOffsetBody", "blockList", "matrixBlock",
  "matrixBlockStart", "matrixBlockAttributes", "matrixBlockAttList",
  "matrixBlockAtt", "matrixBlockContent", "blockEmpty", "blockLaden",
  "blockBody", "osglNumberOfBlocksATT", "osglNumberOfColumnsATT",
  "osglNumberOfElATT", "osglNumberOfRowsATT", "osglNumberOfValuesATT",
  "osglNumberOfVarIdxATT", "osglBase64SizeATT", "osglBaseMatrixIdxATT",
  "osglBaseMatrixStartRowATT", "osglBaseMatrixStartColATT",
  "osglBaseMatrixEndRowATT", "osglBaseMatrixEndColATT",
  "osglBlockRowIdxATT", "osglBlockColIdxATT", "osglCoefATT",
  "osglConstantATT", "osglIdxATT", "osglIncrATT", "osglMultATT",
  "osglScalarMultiplierATT", "osglTargetMatrixFirstRowATT",
  "osglTargetMatrixFirstColATT", "osglBaseTransposeATT",
  "baseTransposeAttEmpty", "baseTransposeAttContent", "osglNameATT",
  "nameAttEmpty", "nameAttContent", "osglRowMajorATT", "rowMajorAttEmpty",
  "rowMajorAttContent", "osglShapeATT", "shapeAttEmpty", "shape",
  "osglSymmetryATT", "symmetryAttEmpty", "symmetryAttContent",
  "osglTypeATT", "typeAttEmpty", "typeAttContent", "osglValueATT",
  "valueAttEmpty", "valueAttContent", "osglValueTypeATT",
  "valueTypeAttEmpty", "valueTypeAttContent", "osglVarTypeATT",
  "varTypeAttEmpty", "varTypeAttContent", "nonlinearExpressions",
  "nonlinearExpressionsStart", "nlnumberatt", "nlnodes",
  "scalarExpressionTree", "nlstart", "nlAttributes", "nlAttributeList",
  "nlAttribute", "nlnode", "E", "$@6", "eend", "PI", "$@7", "piend",
  "times", "$@8", "plus", "$@9", "minus", "$@10", "negate", "$@11",
  "divide", "$@12", "power", "$@13", "ln", "$@14", "sqrt", "$@15",
  "square", "$@16", "cos", "$@17", "sin", "$@18", "exp", "$@19", "abs",
  "absStart", "absEnd", "erf", "$@20", "if", "$@21", "matrixDeterminant",
  "$@22", "matrixTrace", "$@23", "matrixToScalar", "$@24", "number",
  "numberStart", "numberEnd", "numberAttributeList", "numberAttribute",
  "numberidATT", "$@25", "variable", "$@26", "variableend", "$@27",
  "anotherVariableATT", "variableATT", "variablecoefATT", "variableidxATT",
  "sum", "$@28", "anothersumnlnode", "allDiff", "$@29",
  "anotherallDiffnlnode", "max", "$@30", "anothermaxnlnode", "min", "$@31",
  "anotherminnlnode", "product", "$@32", "anotherproductnlnode",
  "OSnLMNode", "matrixReference", "matrixReferenceStart",
  "matrixReferenceEnd", "matrixVarReference", "matrixVarReferenceStart",
  "matrixVarReferenceEnd", "matrixVarIdxATT", "matrixObjReference",
  "matrixObjReferenceStart", "matrixObjReferenceEnd", "matrixObjIdxATT",
  "matrixConReference", "matrixConReferenceStart", "matrixConReferenceEnd",
  "matrixConIdxATT", "matrixDiagonal", "matrixDiagonalStart",
  "matrixDiagonalContent", "matrixDotTimes", "matrixDotTimesStart",
  "matrixDotTimesContent", "identityMatrix", "identityMatrixStart",
  "identityMatrixContent", "matrixInverse", "matrixInverseStart",
  "matrixInverseContent", "matrixLowerTriangle",
  "matrixLowerTriangleStart", "matrixLowerTriangleAttribute",
  "matrixLowerTriangleContent", "matrixUpperTriangle",
  "matrixUpperTriangleStart", "matrixUpperTriangleAttribute",
  "matrixUpperTriangleContent", "includeDiagonalATT", "matrixMerge",
  "matrixMergeStart", "matrixMergeEnd", "matrixMinus", "matrixMinusStart",
  "matrixMinusContent", "matrixNegate", "matrixNegateStart",
  "matrixNegateContent", "matrixPlus", "matrixPlusStart",
  "matrixPlusContent", "matrixTimes", "matrixTimesStart",
  "matrixTimesContent", "matrixProduct", "$@33",
  "anothermatrixproductnode", "matrixScalarTimes",
  "matrixScalarTimesStart", "matrixScalarTimesContent",
  "matrixSubMatrixAt", "matrixSubMatrixAtStart",
  "matrixSubMatrixAtContent", "matrixTranspose", "matrixTransposeStart",
  "matrixTransposeContent", "matrixExpressions", "matrixExpressionsStart",
  "matrixExpressionsAtt", "numberOfExprATT", "matrixExpressionsContent",
  "matrixExpressionsEmpty", "matrixExpressionsLaden", "matrixExprList",
  "matrixExpr", "matrixExprStart", "matrixExprAttributes",
  "matrixExprAttributeList", "exprAttribute", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-1315)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
      14, -1315,    97,  -189,   104, -1315, -1315,   -78,  -166,   119,
   -1315, -1315,    96,   -24,   138, -1315,   143,    60, -1315,   -89,
     142,   155,   126, -1315,   161,  -177,   162, -1315, -1315, -1315,
   -1315, -1315,    99,   195,   172,   202, -1315,   177, -1315, -1315,
   -1315, -1315, -1315,   199, -1315, -1315, -1315, -1315,   167,    41,
   -1315,   182,   221, -1315,   -58, -1315, -1315, -1315,   197, -1315,
   -1315, -1315, -1315, -1315,   212,    48,   224,   230,   -50, -1315,
   -1315,   213,   258,   262,   268,   270, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315,   223, -1315,   220, -1315, -1315, -1315,
   -1315,    33,   101,   282,   301, -1315, -1315, -1315, -1315, -1315,
   -1315,   590, -1315,   330,   338, -1315, -1315, -1315, -1315, -1315,
   -1315,   344,   348,   373, -1315, -1315, -1315, -1315, -1315, -1315,
     290,   353,   300,   305, -1315,   132,   209,   414,   293, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
     316,   -26, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,    94,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315,   590, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,   419,
     452,   453,   467,   490,   495,    37, -1315,   497, -1315, -1315,
   -1315, -1315,   139,   328,   501,   319, -1315,   507, -1315, -1315,
   -1315, -1315, -1315,   321,   -16,   329,   -16,   331,   -16,   334,
      50,   361,   259,   363,   254,   365,    22,   500,   -16,   504,
     -16, -1315,   311, -1315, -1315, -1315, -1315,   535, -1315,   537,
   -1315,   539,   536,   538, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315,   590,   590,   590,   590,
     590,   590, -1315, -1315,   590,   590,   590,   590,   590,   590,
   -1315,   590, -1315, -1315, -1315,   371,   382,   590,   135,   135,
     135, -1315,   204,    35, -1315,   544, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315,   548,   477, -1315,
     492,    90, -1315,   320,   249,   552,   384, -1315,   558, -1315,
   -1315, -1315, -1315, -1315,   562,   152, -1315,   517, -1315, -1315,
   -1315, -1315, -1315, -1315,   523, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,   524, -1315,
     570, -1315, -1315, -1315, -1315, -1315, -1315,   525, -1315,   572,
     573,   575, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
     526, -1315,   576,   578, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315,   527, -1315,   584, -1315, -1315, -1315, -1315,
   -1315,   518, -1315, -1315, -1315, -1315, -1315,   515, -1315, -1315,
   -1315, -1315, -1315, -1315,   387, -1315, -1315,   585,   587,   588,
     592,   593,   590,   590,   590,   590,   277,   274,   299,   206,
     271,   272,   590,   264,   269,   265,    43,   256,   318,   411,
     450, -1315,   252, -1315, -1315,   253, -1315,   590, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315,   246, -1315,    19,
   -1315,   418, -1315,   420, -1315,   422, -1315,   135, -1315,   135,
   -1315,   590, -1315,   135, -1315,   217, -1315,   217, -1315,   388,
   -1315,   135, -1315,   135, -1315,   135, -1315,   135, -1315, -1315,
     590, -1315,   590, -1315,   135,   257,   261, -1315, -1315, -1315,
     263, -1315,   628,   667, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315,  -159,  -159,   664, -1315, -1315,   542, -1315,   595,
     668,   672, -1315, -1315, -1315, -1315, -1315,   674,   392, -1315,
     678, -1315, -1315, -1315, -1315, -1315,   679,   156, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315,   633,   618, -1315,   683,
   -1315, -1315,   684,   685, -1315,   686,   687, -1315,   688, -1315,
     631,   577, -1315,   630,   577, -1315,    89,   397,   136, -1315,
   -1315, -1315,   689,   690,   385,   386,   380,   381, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315,   590, -1315, -1315, -1315,
   -1315,   505,   694,   697, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315,   350, -1315, -1315,
     700,   703,   399,   704,   401,   705,   403,   706,   405,   345,
   -1315,   135, -1315,   322, -1315,   317, -1315,   713,   707, -1315,
     708, -1315, -1315,   343, -1315,   135, -1315,   340, -1315,   135,
   -1315,   135, -1315,   135, -1315,   590, -1315,   333, -1315, -1315,
   -1315, -1315,   717, -1315,   718,   730,   408, -1315, -1315, -1315,
     729, -1315, -1315, -1315, -1315, -1315,   731,   171, -1315, -1315,
   -1315, -1315, -1315, -1315,   423,    42, -1315, -1315, -1315, -1315,
   -1315,   733,   735,   737,   739,   741,   743, -1315, -1315, -1315,
     745,   425, -1315, -1315, -1315,   427, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,   303,
   -1315,   594, -1315,   532, -1315, -1315,   752,   749,   753,   772,
     774,   776,   778,   780,   782, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315,   456, -1315, -1315,   788, -1315, -1315,  -114,
     790,   792, -1315,   404, -1315,   796, -1315,   560, -1315,   802,
   -1315,   564, -1315,   804, -1315,   565, -1315, -1315,   449, -1315,
   -1315,   808,   135,   135, -1315,   432, -1315,   439,   441,   435,
     590, -1315, -1315,   821, -1315,   823, -1315,   568, -1315,   827,
     829,   831,  -178, -1315, -1315, -1315, -1315, -1315, -1315,   438,
      87, -1315,   597, -1315,   833,   837,   839,   843,   845,   847,
   -1315,   854,   851, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315,   440,   -54, -1315,
   -1315, -1315, -1315, -1315, -1315,   855, -1315,   747, -1315, -1315,
   -1315, -1315,   747, -1315, -1315, -1315,   852,   -40,   860,   -40,
     862,   -40,   863,   -40,   864,   -40,   865,   -40,   866, -1315,
     857,   867, -1315, -1315, -1315,   873,   874,   875,   876,   877,
     878,   879, -1315, -1315,   543,   880,   881, -1315, -1315,   882,
     883, -1315,   884, -1315,   885, -1315,   886, -1315, -1315, -1315,
     512, -1315,   519, -1315, -1315, -1315, -1315, -1315,   590, -1315,
   -1315, -1315,   815,   640, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315,   442,   170, -1315,   648, -1315,   891,   892,   893, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,   896,
     898,   900,   902,   904,   906,   908,   912, -1315,   849, -1315,
   -1315, -1315, -1315,   914,   716,   853, -1315,   816, -1315,   859,
   -1315,   699, -1315,   929,   928, -1315, -1315, -1315, -1315, -1315,
     699, -1315, -1315, -1315,   699, -1315, -1315, -1315,   699, -1315,
   -1315, -1315,   699, -1315, -1315, -1315,   699, -1315, -1315, -1315,
     135,   932,   748, -1315, -1315,    23,   934,   936,   938,   940,
     942,   944,   946,   948, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315,   135,    39, -1315, -1315,   701,   947,
     -50, -1315,   709, -1315,   952, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315,   955,   958,   959,   960,
     961,   962,   963,   964,   965, -1315,   966, -1315, -1315,   967,
     444, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
     734,   446,   968,   971,   734, -1315,   734, -1315,   734, -1315,
     734, -1315,   734, -1315,   726,   970, -1315,   727,   577, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,   589, -1315,
     714,   974,   975, -1315, -1315, -1315, -1315, -1315,    51, -1315,
   -1315,   135, -1315, -1315, -1315, -1315,   973,   976,   977,   978,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315,   981, -1315,    44,
   -1315, -1315, -1315,   979,   267, -1315,   770,   754,   455, -1315,
     747, -1315, -1315, -1315, -1315,   983,   757,   773,   759,   775,
     760,   777,   761,   771,   763,   779, -1315, -1315, -1315, -1315,
   -1315,   577,   457, -1315, -1315, -1315,   736, -1315,   740,   994,
     998, -1315,   750,   999,  1001, -1315, -1315, -1315, -1315, -1315,
      53,   695,  1002, -1315, -1315, -1315,  1003,   894, -1315,  1006,
   -1315,  1005, -1315, -1315, -1315, -1315, -1315, -1315,   459, -1315,
     747, -1315, -1315, -1315, -1315,   784, -1315, -1315, -1315,   461,
   -1315, -1315, -1315,   463, -1315, -1315, -1315,   468, -1315, -1315,
   -1315,   470, -1315, -1315, -1315,   472, -1315,   276,   476, -1315,
   -1315,   747, -1315, -1315, -1315, -1315, -1315,   819,  1009,  1010,
   -1315,   762, -1315,   764,  1015,  1016, -1315,   765,  1017,  1018,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,   910,
    1022, -1315,   909, -1315, -1315, -1315, -1315,   797, -1315, -1315,
     747, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315,   747, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
     747, -1315, -1315, -1315, -1315,   812,  1024,   478, -1315, -1315,
   -1315, -1315,   835,  1025,  1026, -1315,   781, -1315,   783,  1029,
    1030, -1315,  1031,   716, -1315,   925, -1315,   805, -1315, -1315,
     809,   810,   935,   -75, -1315,   813,   -57,   480,   -35, -1315,
     826, -1315,  1038, -1315,   786, -1315,  1040,   482, -1315, -1315,
   -1315, -1315,   856,  1044,  1045, -1315,   484, -1315, -1315,   858,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,   486,
   -1315, -1315, -1315, -1315, -1315, -1315,   311, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,  1046, -1315,
    1050, -1315,   801, -1315,  1051,   491, -1315, -1315, -1315,    66,
   -1315, -1315, -1315,  1047, -1315,   566,  -105, -1315,   590, -1315,
   -1315, -1315,    28, -1315,   850,  1055,  1056, -1315,  1057, -1315,
    1058, -1315,   803, -1315,   945, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315,  1059,  1060, -1315, -1315, -1315,   956,  1064,
   -1315,  1070, -1315, -1315, -1315, -1315, -1315, -1315, -1315,    89,
   -1315, -1315, -1315, -1315,  1066, -1315, -1315,   969,   -38,  1069,
   -1315, -1315,   972,  1068, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315,   887,  1071,  1072, -1315, -1315,  1073,  1067, -1315, -1315,
   -1315, -1315,  1077, -1315,  1076,   861, -1315, -1315
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       8,    10,     0,   729,     0,     1,   731,    28,     0,     0,
      12,    30,    38,     0,     0,   733,     0,     0,    40,   188,
       0,     0,     0,    31,     0,     0,     0,     9,    15,    13,
      18,   190,   277,     0,     0,     0,    41,     0,    34,    36,
      29,    32,    33,     0,   730,   736,   734,   738,     0,     0,
     279,     0,     0,   193,   195,   189,   191,   192,     0,    44,
      46,    39,    42,    43,     0,     0,     0,     0,   737,    11,
      16,     0,     0,     0,     0,     0,    14,    19,    20,    21,
      22,    23,     4,     3,     7,   282,   354,   278,   280,   281,
     197,   224,     0,     0,     0,   365,    35,   430,    37,   432,
     732,     0,   707,     0,     0,   740,   741,   705,   706,   739,
      17,     0,     0,     0,   390,     6,     2,     5,   283,   287,
       0,     0,     0,     0,   226,   250,     0,     0,     0,   198,
     366,    45,    58,    68,    78,   101,   113,   126,   140,   151,
     170,    47,    48,    60,    49,    70,    50,    80,    51,   103,
      52,   115,    53,   128,    54,   142,    55,   153,    56,   172,
       0,   431,   787,   779,   781,   785,   789,   791,   837,   853,
     799,   783,   806,   793,   795,   797,   825,   802,   804,   845,
     841,   849,   769,   773,   777,   815,   808,   810,   812,     0,
     763,   764,   744,   745,   747,   748,   749,   750,   752,   753,
     754,   756,   755,   757,   759,     0,   760,   758,   766,   767,
     768,   742,   818,   743,   746,   765,   761,   762,   751,     0,
       0,     0,     0,     0,     0,     0,   284,     0,   291,   285,
     358,   252,   948,     0,     0,     0,   227,     0,   201,   204,
     196,   199,   200,     0,    59,     0,    69,     0,    79,     0,
     102,     0,   114,     0,   127,     0,   141,     0,   152,     0,
     171,   444,   447,   429,   442,   443,   699,     0,   715,     0,
     711,     0,     0,     0,   433,   436,   435,   437,   697,   698,
     434,   709,   710,   438,   713,   714,     0,     0,     0,     0,
       0,     0,   839,   855,     0,     0,     0,     0,     0,     0,
     831,     0,   847,   843,   851,     0,     0,     0,     0,     0,
       0,   735,     0,     0,   708,     0,    24,    25,    27,    26,
     390,   390,   392,   393,   394,   395,   391,     0,   291,   289,
       0,     0,   950,     0,     0,     0,     0,   253,     0,   230,
     233,   225,   228,   229,     0,     0,    65,     0,    57,    61,
      63,    62,    64,    75,     0,    67,    71,    73,    72,    74,
      85,    88,    77,    81,    83,    82,    84,   110,     0,   100,
       0,   104,   107,   106,   105,   108,   123,     0,   112,     0,
       0,     0,   116,   121,   120,   122,   118,   117,   119,   137,
       0,   125,     0,     0,   129,   134,   133,   135,   136,   131,
     130,   132,   148,     0,   139,     0,   143,   147,   145,   144,
     146,     0,   150,   154,   156,   155,   157,     0,   169,   173,
     175,   174,   176,   449,     0,   464,   451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   771,     0,   770,   775,     0,   774,     0,   882,   887,
     892,   897,   900,   909,   914,   920,   924,   927,   930,   933,
     935,   940,   943,   946,   877,   903,   906,     0,   857,     0,
     858,     0,   859,     0,   860,     0,   861,     0,   862,     0,
     875,     0,   863,     0,   864,   910,   865,   915,   866,     0,
     867,     0,   868,     0,   869,     0,   870,     0,   871,   872,
       0,   873,     0,   874,     0,     0,     0,   803,   801,   816,
       0,   719,     0,     0,   820,   821,   717,   718,   814,   819,
     822,   687,   387,   388,     0,   286,   290,   293,   356,     0,
       0,     0,   355,   359,   360,   361,   194,     0,     0,   951,
       0,   256,   259,   251,   254,   255,     0,     0,   367,   203,
     207,   202,   205,   209,    66,    76,     0,    87,   111,     0,
     124,   390,     0,     0,   138,     0,     0,   149,     0,   160,
       0,     0,   179,     0,     0,   445,   446,     0,   450,   700,
     716,   712,     0,     0,     0,     0,     0,     0,   790,   792,
     838,   840,   854,   856,   800,   784,     0,   794,   796,   798,
     827,     0,     0,     0,   826,   832,   833,   834,   805,   846,
     848,   842,   844,   850,   852,   772,   776,     0,   937,   809,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     896,     0,   899,     0,   902,     0,   905,     0,     0,   911,
       0,   916,   921,     0,   919,     0,   923,     0,   926,     0,
     929,     0,   932,     0,   939,     0,   942,     0,   945,   811,
     813,   817,     0,   823,     0,     0,     0,   357,   390,   390,
       0,   955,   957,   949,   953,   954,     0,     0,   368,   232,
     236,   231,   234,   238,     0,   208,    99,    86,    91,    89,
      93,     0,     0,     0,     0,     0,     0,   375,   168,   158,
       0,     0,   161,   187,   177,     0,   180,   635,   475,   506,
     523,   561,   603,   586,   630,   465,   466,   477,   467,   508,
     468,   525,   469,   563,   470,   588,   471,   605,   472,   631,
     473,     0,   463,     0,   448,   695,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   452,   453,   456,   457,   458,
     459,   461,   454,   455,   460,   693,   694,   672,   674,   788,
     780,   782,   786,     0,   828,   829,     0,   390,   778,     0,
       0,     0,   878,     0,   876,     0,   883,     0,   881,     0,
     888,     0,   886,     0,   893,     0,   891,   898,     0,   904,
     907,     0,     0,     0,   922,     0,   928,     0,     0,     0,
       0,   947,   720,     0,   288,     0,   295,   298,   292,     0,
       0,     0,     0,   369,   258,   262,   257,   260,   264,     0,
     237,   222,     0,   206,     0,     0,     0,     0,     0,     0,
     727,     0,     0,   210,   215,   217,   213,   214,   216,   218,
     212,   211,   221,   219,   220,   725,   726,     0,    92,   109,
     370,   371,   372,   373,   374,     0,   164,   398,   159,   162,
     163,   183,   398,   178,   181,   182,     0,   476,     0,   507,
       0,   524,     0,   562,     0,   587,     0,   604,     0,   632,
       0,     0,   636,   462,   390,     0,     0,     0,     0,     0,
       0,     0,   390,   807,     0,     0,     0,   936,   938,     0,
       0,   879,     0,   884,     0,   889,     0,   894,   901,   918,
       0,   908,     0,   913,   925,   931,   934,   941,     0,   824,
     294,   300,     0,   317,   363,   364,   952,   956,   960,   958,
     962,     0,   263,   248,     0,   235,     0,     0,     0,   239,
     245,   242,   243,   244,   241,   240,   247,   246,   223,     0,
       0,     0,     0,     0,     0,     0,     0,    97,     0,    90,
      94,    96,    95,     0,     0,     0,   166,   396,   397,     0,
     185,     0,   703,     0,     0,   478,   479,   480,   701,   702,
       0,   509,   510,   511,     0,   526,   527,   528,     0,   564,
     565,   566,     0,   589,   590,   591,     0,   606,   607,   608,
       0,     0,     0,   634,   696,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   830,   836,   835,   376,   880,   885,
     890,   895,   912,   917,     0,     0,   296,   319,   336,     0,
     961,   275,     0,   261,     0,   265,   270,   272,   268,   269,
     271,   273,   267,   266,   274,   249,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   728,     0,    98,   673,     0,
       0,   167,   165,   401,   399,   403,   186,   184,   485,   474,
     482,     0,     0,     0,   513,   505,   530,   522,   568,   560,
     593,   585,   610,   602,     0,     0,   640,     0,     0,   389,
     678,   691,   692,   679,   680,   681,   682,   690,     0,   308,
     312,     0,     0,   301,   302,   303,   299,   306,     0,   338,
     297,     0,   964,   965,   963,   276,     0,     0,     0,     0,
     377,   384,   378,   385,   380,   381,   689,     0,   412,     0,
     408,   409,   410,     0,   402,   492,     0,     0,     0,   488,
     398,   484,   486,   487,   704,     0,     0,     0,   532,     0,
     570,     0,     0,     0,   612,     0,   633,   629,   671,   648,
     655,     0,     0,   641,   944,   309,   312,   310,     0,     0,
       0,   327,   331,     0,     0,   320,   321,   322,   318,   325,
       0,     0,     0,   382,   386,   379,     0,     0,   411,     0,
     400,     0,   404,   406,   405,   481,   499,   483,     0,   495,
     398,   491,   493,   494,   490,     0,   675,   516,   514,     0,
     512,   534,   531,     0,   529,   572,   569,     0,   567,   596,
     594,     0,   592,   614,   611,     0,   609,     0,     0,   649,
     644,   398,   639,   642,   643,   307,   311,     0,     0,     0,
     328,   331,   329,     0,     0,     0,   345,   349,     0,     0,
     339,   340,   337,   343,   341,   959,   383,   677,   413,     0,
       0,   502,   416,   498,   500,   501,   497,     0,   489,   519,
     398,   515,   517,   518,   537,   540,   533,   535,   536,   575,
     577,   571,   573,   574,   599,   398,   595,   597,   598,   617,
     619,   613,   615,   616,   638,   658,   637,   656,   660,   652,
     398,   647,   650,   651,   646,     0,     0,     0,   305,   304,
     326,   330,     0,     0,     0,   346,   349,   347,     0,     0,
       0,   407,     0,     0,   504,   414,   415,     0,   496,   521,
       0,     0,   539,     0,   601,     0,     0,     0,   659,   654,
       0,   645,     0,   315,     0,   313,     0,     0,   324,   323,
     344,   348,     0,     0,     0,   688,     0,   419,   417,   420,
     503,   520,   538,   543,   541,   545,   580,   576,   578,     0,
     600,   622,   618,   620,   623,   668,   447,   657,   666,   667,
     390,   390,   661,   662,   663,   664,   665,   653,     0,   316,
       0,   334,     0,   332,     0,     0,   362,   342,   427,     0,
     423,   424,   425,     0,   421,     0,   544,   583,     0,   579,
     581,   582,     0,   464,     0,     0,     0,   314,     0,   335,
       0,   352,     0,   350,     0,   426,   390,   418,   551,   553,
     542,   549,   550,     0,     0,   546,   547,   548,     0,     0,
     723,     0,   624,   621,   627,   626,   625,   721,   722,   670,
     669,   390,   390,   333,     0,   353,   428,     0,     0,     0,
     390,   584,     0,     0,   683,   684,   351,   422,   552,   556,
     554,   557,     0,     0,   628,   724,     0,     0,   558,   676,
     686,   390,     0,   555,     0,     0,   685,   559
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315,   766, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315,   -99, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315,  -164, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315,  -238, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315,   836,   838, -1315, -1315, -1315, -1315,
   -1315,   147,   149, -1315,  -783, -1315, -1315, -1315,   151,   153,
   -1315,  -567, -1314,  -319, -1315,  -863, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315,  -290, -1315, -1315, -1315,
   -1315, -1315,  -326, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315,  -734, -1315, -1315, -1315, -1315, -1315,  -926, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315,  -236,  -579,  -233,  -570, -1315,  -235, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315,    61,  -322,  -801,
   -1315, -1315, -1315, -1315, -1315, -1315,  -218, -1315, -1315,  -517,
   -1315, -1315,  -706, -1315, -1315,  -246, -1315, -1315,  -310, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,  -205,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315,  -303, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,   606,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315,
   -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315, -1315
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     2,    84,   116,   117,     3,     4,    10,    17,    29,
      30,    76,    49,    77,    78,    79,    80,    81,    12,    13,
      22,    40,    41,    42,    65,    19,    20,    35,    61,    62,
      63,    94,   141,   142,   143,   243,   244,   349,   348,   144,
     145,   245,   246,   356,   355,   146,   147,   247,   248,   363,
     362,   566,   567,   699,   700,   857,   858,   970,   969,   697,
     148,   149,   249,   250,   371,   372,   369,   150,   151,   251,
     252,   382,   378,   152,   153,   253,   254,   394,   391,   154,
     155,   255,   256,   406,   404,   156,   157,   257,   258,   413,
     412,   580,   581,   711,   868,   869,   870,   975,  1072,   709,
     158,   159,   259,   260,   419,   418,   583,   584,   715,   873,
     874,   875,   979,  1077,   714,    32,    33,    55,    56,    57,
      91,    92,   128,   240,   241,   242,   561,   345,   562,   563,
     694,   695,   843,   833,   125,   126,   235,   341,   342,   343,
     691,   557,   692,   693,   829,   830,   949,   945,   232,   233,
     336,   553,   554,   555,   826,   687,   827,   828,   941,   942,
    1045,  1043,    51,    52,    87,    88,    89,   120,   121,   228,
     328,   329,   330,   676,   818,   932,   933,  1035,  1113,  1114,
    1115,  1116,  1117,  1176,  1177,  1178,  1317,  1355,  1038,  1118,
    1185,  1186,  1187,  1188,  1189,  1251,  1252,  1253,  1357,  1403,
    1120,  1190,  1260,  1261,  1262,  1263,  1326,  1327,  1328,  1405,
    1433,   122,   123,   542,   331,   543,  1264,   544,   545,    23,
      36,   129,   236,   337,   383,   384,   385,   397,   398,   407,
     632,   844,   845,   950,   846,   847,   952,  1049,   848,   849,
     953,   224,  1014,   225,   326,   976,   977,  1074,  1075,  1143,
    1144,  1202,  1200,   978,  1140,  1141,  1142,  1334,  1335,  1368,
    1369,  1413,  1437,  1336,  1410,  1411,  1412,    98,    99,   160,
     161,   274,   263,   264,   265,   424,   425,   426,   587,   588,
     755,   744,   586,   725,   726,   727,   876,   877,   985,  1079,
    1146,  1080,  1081,  1151,  1152,  1153,  1215,  1147,  1148,  1211,
    1212,  1213,  1277,  1207,  1208,  1273,  1274,  1275,  1337,   728,
     729,   878,   879,   991,  1085,  1157,  1218,  1219,  1281,  1282,
    1283,  1340,   730,   731,   880,   881,   995,  1087,  1159,  1222,
    1223,  1286,  1287,  1288,  1341,  1342,  1374,  1375,  1415,  1416,
    1445,  1440,  1441,  1442,  1468,  1480,  1481,  1487,  1493,   732,
     733,   882,   883,   999,  1089,  1161,  1226,  1227,  1291,  1292,
    1293,  1343,  1378,  1379,  1419,  1420,  1421,   734,   735,   884,
     885,  1003,  1091,  1163,  1230,  1231,  1296,  1297,  1298,  1345,
     736,   737,   886,   887,  1007,  1093,  1165,  1234,  1235,  1301,
    1302,  1303,  1346,  1383,  1384,  1422,  1452,  1453,   738,   739,
     888,  1167,   740,   741,   891,  1013,  1306,  1097,  1098,  1172,
    1242,  1243,  1244,  1315,  1170,  1171,  1238,  1311,  1312,  1313,
    1350,  1237,  1307,  1308,  1347,  1348,  1392,  1387,  1388,  1389,
    1424,   892,   275,   712,   276,   986,  1446,  1070,   756,   757,
     758,   759,   760,  1393,  1394,  1488,  1447,   105,  1203,   852,
     761,   762,   763,   764,   765,   766,   277,   278,   279,   987,
     988,   989,   106,   107,   108,   280,   281,   282,   283,   284,
     285,   525,   526,   527,  1456,  1457,  1458,   854,   855,   856,
       7,     8,    15,    25,    46,    47,    67,    68,   109,   189,
     190,   305,   453,   191,   306,   456,   192,   307,   193,   287,
     194,   288,   195,   295,   196,   289,   197,   286,   198,   290,
     199,   291,   200,   297,   201,   298,   202,   299,   203,   294,
     204,   205,   518,   206,   301,   207,   296,   208,   308,   209,
     309,   210,   310,   211,   212,   528,   313,   529,   530,   813,
     213,   300,   614,   904,   446,   615,   616,   617,   214,   292,
     438,   215,   303,   449,   216,   302,   448,   217,   304,   450,
     218,   293,   439,   477,   478,   479,   784,   480,   481,   788,
     634,   482,   483,   792,   636,   484,   485,   796,   638,   486,
     487,   640,   488,   489,   642,   490,   491,   644,   492,   493,
     646,   494,   495,   648,   921,   496,   497,   650,   923,   649,
     498,   499,   654,   500,   501,   656,   502,   503,   658,   504,
     505,   660,   506,   507,   662,   508,   628,   779,   509,   510,
     664,   511,   512,   666,   513,   514,   668,   333,   334,   548,
     549,   683,   684,   685,   822,   939,   940,  1039,  1040,  1124
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     312,   532,   533,   524,   702,   716,   515,   516,   350,   980,
     357,   351,   364,   358,   373,   365,   386,   374,   399,   387,
     408,   400,   414,   409,   420,   415,   352,   421,   359,   956,
     366,  1099,   375,   889,   388,   405,   401,  1376,   410,  1449,
     416,   630,   422,   320,   321,   519,   520,   951,  1197,  1109,
    1110,    70,    71,   610,   611,  1381,     1,   971,    72,    73,
    1111,  1181,  1182,  1256,  1257,   834,   835,   836,   837,   838,
    1434,   839,  1183,  1443,  1258,  1478,  1425,  1426,   370,   268,
     269,   432,   433,   434,   435,   436,   437,   102,   103,   440,
     441,   442,   443,   444,   445,  1444,   447,     5,   268,   269,
     538,   539,   457,    27,    28,   266,   267,   268,   269,   540,
     541,   819,   820,     6,   838,   266,   267,   946,     9,   947,
     948,   982,   983,    11,   270,   271,    44,    16,    45,   984,
     937,   458,   938,   270,   271,   459,    38,    39,    14,   460,
     272,   273,    18,   842,    21,   104,    24,  1474,  1475,    26,
     272,   273,    31,   266,   267,  1390,  1391,    34,  1156,  1048,
    1158,  1377,  1160,    37,  1162,  1198,  1164,    43,   268,   269,
      48,  1450,  1451,   266,   267,    50,   521,   522,    69,  1382,
      58,   266,   267,    64,   639,    90,   641,  1435,   272,   273,
     645,   840,   841,   834,   835,   836,   837,   838,   655,  1479,
     657,  1044,   659,    93,   661,    53,    54,    66,   272,   273,
     906,   667,    59,    60,   631,  1112,   272,   273,   266,   267,
      95,  1184,    82,    83,  1201,   842,  1259,   594,   595,   596,
     597,    85,    86,   601,   603,   100,    74,   606,   612,   842,
      75,   101,   613,   620,   622,   624,   322,   323,   324,   325,
      96,    97,   627,   272,   273,   461,  1084,   462,   110,   463,
    1086,   464,   115,   465,  1088,   466,   111,   467,  1090,   468,
     112,   469,  1092,   470,   907,   471,   113,   472,   114,   473,
     124,   474,   127,   475,   842,   476,   643,  1214,   379,   380,
     130,   392,   393,   379,   380,   381,   717,   118,   119,   745,
     746,   266,   267,   238,   239,   663,   718,   665,   719,   992,
     720,   996,   721,  1000,   722,  1004,   723,  1008,   747,   748,
     749,   750,   751,   752,   753,   754,   261,   262,   724,   339,
     340,   346,   347,   219,  1123,  1023,   272,   273,   798,   353,
     354,   360,   361,  1204,   367,   368,   220,  1276,   131,   132,
     221,   133,   805,   134,   222,   135,   807,   136,   808,   137,
     809,   138,   993,   139,   997,   140,  1001,   226,  1005,   227,
    1009,   376,   377,   389,   390,   402,   403,   229,  1314,   223,
     458,   451,   452,   231,   459,   266,   267,   230,   460,   234,
     266,   267,   454,   455,   551,   552,   559,   560,   652,   653,
     311,   773,   681,   682,   689,   690,   775,   742,   743,   782,
     783,   786,   787,   790,   791,   794,   795,  1339,   816,   817,
     272,   273,   237,   824,   825,   272,   273,   314,   322,   323,
     324,   325,  1344,   831,   832,   866,   867,   871,   872,   523,
     102,   103,   322,   323,   324,   325,   332,  1349,   943,   944,
     967,   968,  1041,  1042,  1138,  1139,  1149,  1150,   315,   850,
     810,   316,   851,  1201,   842,  1209,  1210,  1240,  1241,  1271,
    1272,  1279,  1280,  1284,  1285,   317,   908,   853,  1289,  1290,
    1294,  1295,  1299,  1300,  1304,  1305,  1309,  1310,  1353,  1354,
    1385,  1386,  1401,  1402,  1408,  1409,  1417,  1418,   318,   920,
     922,  1431,  1432,   319,   461,   327,   462,   335,   463,   338,
     464,   411,   465,   344,   466,   417,   467,   423,   468,  1173,
     469,   162,   470,   163,   471,   164,   472,   165,   473,   166,
     474,   167,   475,   168,   476,   169,   602,   170,   427,   171,
     428,   172,   429,   173,   430,   174,   431,   175,   972,   176,
     517,   177,   531,   178,   534,   179,   535,   180,   547,   181,
     550,   182,   546,   183,   556,   184,   564,   185,  1414,   186,
     558,   187,   537,   188,   565,  1015,  1438,  1439,   569,   568,
     571,   572,   570,   573,   575,   574,   576,   578,   577,   582,
     579,   585,  1239,   589,   954,   590,   591,   955,   592,   593,
     599,   598,   607,   604,   618,   928,   605,   609,   625,   608,
     629,   626,   957,   633,   162,   635,   163,   637,   164,   647,
     165,  1455,   166,   669,   167,   671,   168,   600,   169,   670,
     170,   672,   171,   162,   172,   163,   173,   164,   174,   165,
     175,   166,   176,   167,   177,   168,   178,   169,   179,   170,
     180,   171,   181,   172,   182,   173,   183,   174,   184,   175,
     185,   176,   186,   177,   187,   178,   188,   179,   619,   180,
     673,   181,   674,   182,   675,   183,   678,   184,   677,   185,
     679,   186,   680,   187,   686,   188,   696,   688,   698,   701,
     703,   704,   705,   706,   708,   713,   707,   767,   768,   710,
     771,   769,   776,   772,   770,   777,  1052,  1094,   780,  1053,
     778,   781,   785,   789,   793,   797,   801,   800,   802,   803,
     799,   804,   806,  1034,  1054,   812,   162,   811,   163,   814,
     164,  1108,   165,   815,   166,   821,   167,   893,   168,   823,
     169,   859,   170,   860,   171,   861,   172,   862,   173,   863,
     174,   864,   175,   865,   176,   894,   177,   895,   178,   890,
     179,   896,   180,   621,   181,   162,   182,   163,   183,   164,
     184,   165,   185,   166,   186,   167,   187,   168,   188,   169,
     897,   170,   898,   171,   899,   172,   900,   173,   901,   174,
     902,   175,   903,   176,   905,   177,   909,   178,   910,   179,
     911,   180,   912,   181,   623,   182,   913,   183,   914,   184,
     916,   185,   924,   186,   915,   187,   919,   188,  1191,   917,
     162,   918,   163,   925,   164,   927,   165,   926,   166,   929,
     167,   930,   168,   931,   169,   934,   170,   935,   171,   936,
     172,   959,   173,   958,   174,   960,   175,   961,   176,   774,
     177,   962,   178,   963,   179,   964,   180,   965,   181,   966,
     182,   973,   183,   981,   184,  1011,   185,   974,   186,  1467,
     187,   990,   188,   994,   998,  1002,  1006,  1010,  1012,  1016,
    1017,  1018,  1019,  1020,  1021,  1022,  1032,  1024,  1025,  1026,
    1027,  1028,  1029,  1030,  1031,  1033,  1036,  1037,  1055,  1056,
    1057,  1058,  1059,  1483,  1060,   162,  1061,   163,  1062,   164,
    1063,   165,  1064,   166,  1069,   167,  1065,   168,  1066,   169,
    1067,   170,  1068,   171,  1494,   172,  1071,   173,  1073,   174,
    1078,   175,  1082,   176,  1076,   177,  1083,   178,  1095,   179,
    1169,   180,  1100,   181,  1101,   182,  1102,   183,  1103,   184,
    1104,   185,  1105,   186,  1106,   187,  1107,   188,  1121,  1096,
    1126,  1127,  1119,  1125,  1128,  1129,  1166,  1145,  1130,  1131,
    1132,  1133,  1134,  1135,  1136,  1137,  1154,  1155,  1168,  1192,
    1175,  1174,  1179,  1180,  1193,  1194,  1195,  1196,  1205,  1206,
    1199,  1216,  1217,  1220,  1221,  1225,  1229,  1224,  1233,  1232,
    1248,  1228,  1245,  1247,  1249,  1236,  1265,  1254,  1250,  1255,
    1266,  1267,  1269,  1270,  1316,  1268,  1278,  1318,  1319,  1322,
    1320,  1323,  1324,  1331,  1351,  1329,  1330,  1325,  1332,  1333,
    1356,  1338,  1352,  1358,  1359,  1363,  1364,  1367,  1396,  1365,
    1397,  1370,  1362,  1360,  1398,  1371,  1372,  1373,  1400,  1380,
    1399,  1404,  1406,  1407,  1427,   842,  1428,  1429,  1436,  1430,
    1460,  1461,  1462,  1465,  1464,  1463,  1466,  1469,  1470,  1471,
    1472,  1015,  1015,  1473,  1476,  1482,  1485,  1246,  1492,  1489,
    1490,  1491,  1477,  1495,  1496,  1484,  1486,  1321,  1361,  1046,
     395,  1047,   396,  1050,   536,  1051,  1423,  1459,  1366,  1497,
    1454,  1122,  1395,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1015,  1015,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1448
};

static const yytype_int16 yycheck[] =
{
     205,   320,   321,   313,   571,   584,   309,   310,   244,   872,
     246,   244,   248,   246,   250,   248,   252,   250,   254,   252,
     256,   254,   258,   256,   260,   258,   244,   260,   246,   830,
     248,     8,   250,   739,   252,    13,   254,   112,   256,    11,
     258,    22,   260,     6,     7,    10,    11,   830,     4,    10,
      11,    10,    11,    10,    11,   112,    42,   858,    17,    18,
      21,    10,    11,    10,    11,    23,    24,    25,    26,    27,
       4,    29,    21,   178,    21,   113,  1390,  1391,    28,   133,
     134,   286,   287,   288,   289,   290,   291,   137,   138,   294,
     295,   296,   297,   298,   299,   200,   301,     0,   133,   134,
      10,    11,   307,    43,    44,   131,   132,   133,   134,    19,
      20,   678,   679,   302,    27,   131,   132,    30,    14,    32,
      33,   161,   162,   201,   159,   160,   303,     8,   305,   169,
     308,   245,   310,   159,   160,   249,    10,    11,   304,   253,
     166,   167,    46,   197,   168,   195,     8,  1461,  1462,     6,
     166,   167,   241,   131,   132,   190,   191,    15,  1084,   942,
    1086,   236,  1088,     8,  1090,   121,  1092,     6,   133,   134,
       8,   143,   144,   131,   132,    76,   141,   142,    11,   236,
       8,   131,   132,     6,   487,   243,   489,   121,   166,   167,
     493,   149,   150,    23,    24,    25,    26,    27,   501,   237,
     503,    31,   505,     6,   507,    10,    11,     8,   166,   167,
     777,   514,    10,    11,   195,   176,   166,   167,   131,   132,
       8,   170,    40,    41,   196,   197,   173,   432,   433,   434,
     435,    10,    11,   438,   439,    11,   195,   442,   195,   197,
     199,    11,   199,   448,   449,   450,   405,   406,   407,   408,
     202,   203,   457,   166,   167,   369,   990,   371,    45,   373,
     994,   375,    39,   377,   998,   379,     8,   381,  1002,   383,
       8,   385,  1006,   387,   388,   389,     8,   391,     8,   393,
     247,   395,   181,   397,   197,   399,   491,  1150,    34,    35,
       8,    37,    38,    34,    35,    36,   207,    77,    78,   163,
     164,   131,   132,    10,    11,   510,   217,   512,   219,   879,
     221,   881,   223,   883,   225,   885,   227,   887,   182,   183,
     184,   185,   186,   187,   188,   189,    10,    11,   239,    10,
      11,    10,    11,     3,  1040,   902,   166,   167,   641,    10,
      11,    10,    11,  1144,    10,    11,     8,  1210,    47,    48,
       6,    50,   655,    52,     6,    54,   659,    56,   661,    58,
     663,    60,   879,    62,   881,    64,   883,    77,   885,    16,
     887,    10,    11,    10,    11,    10,    11,    77,  1241,     6,
     245,    10,    11,   251,   249,   131,   132,    82,   253,   180,
     131,   132,    10,    11,    10,    11,   244,   245,    10,    11,
     306,   606,    10,    11,   248,   249,   611,    10,    11,    10,
      11,    10,    11,    10,    11,    10,    11,  1280,    10,    11,
     166,   167,     8,   252,   253,   166,   167,     8,   405,   406,
     407,   408,  1295,    10,    11,    10,    11,    10,    11,   404,
     137,   138,   405,   406,   407,   408,   307,  1310,    10,    11,
      10,    11,    10,    11,    10,    11,    10,    11,     6,   695,
     665,     8,   695,   196,   197,    10,    11,    10,    11,    10,
      11,    10,    11,    10,    11,     8,   779,   695,    10,    11,
      10,    11,    10,    11,   208,   209,    10,    11,    10,    11,
      10,    11,    10,    11,    10,    11,    10,    11,     8,   802,
     803,    10,    11,     8,   369,     8,   371,   179,   373,     8,
     375,    11,   377,     6,   379,    11,   381,   206,   383,  1098,
     385,   315,   387,   317,   389,   319,   391,   321,   393,   323,
     395,   325,   397,   327,   399,   329,   330,   331,     3,   333,
       3,   335,     3,   337,     8,   339,     8,   341,   858,   343,
     346,   345,     8,   347,     6,   349,    79,   351,   309,   353,
       8,   355,   242,   357,     6,   359,    49,   361,  1369,   363,
       8,   365,    80,   367,    51,   894,    10,    11,     8,    55,
       8,     8,    57,     8,     8,    59,     8,     3,    61,    74,
      72,   204,  1171,     8,   830,     8,     8,   830,     6,     6,
     326,   324,   338,   332,   348,   810,   334,   342,   356,   340,
     364,   358,   830,   195,   315,   195,   317,   195,   319,   402,
     321,  1422,   323,   366,   325,   362,   327,   328,   329,   368,
     331,     3,   333,   315,   335,   317,   337,   319,   339,   321,
     341,   323,   343,   325,   345,   327,   347,   329,   349,   331,
     351,   333,   353,   335,   355,   337,   357,   339,   359,   341,
     361,   343,   363,   345,   365,   347,   367,   349,   350,   351,
       3,   353,     8,   355,   132,   357,     8,   359,    83,   361,
       8,   363,     8,   365,     6,   367,    53,     8,    70,     6,
       6,     6,     6,     6,    63,    65,     8,     8,     8,   122,
     320,   316,     8,   322,   318,     8,   942,  1010,     8,   942,
     360,     8,     8,     8,     8,   370,     3,   400,    11,    11,
     398,   378,   382,   928,   942,     8,   315,   394,   317,    11,
     319,  1034,   321,     3,   323,     6,   325,   205,   327,     8,
     329,     8,   331,     8,   333,     8,   335,     8,   337,     8,
     339,     8,   341,     8,   343,     3,   345,     8,   347,   165,
     349,     8,   351,   352,   353,   315,   355,   317,   357,   319,
     359,   321,   361,   323,   363,   325,   365,   327,   367,   329,
       8,   331,     8,   333,     8,   335,     8,   337,     8,   339,
       8,   341,   336,   343,     6,   345,     6,   347,     6,   349,
     396,   351,     6,   353,   354,   355,   246,   357,     6,   359,
       6,   361,   380,   363,   250,   365,     8,   367,  1121,   254,
     315,   372,   317,   384,   319,   390,   321,   386,   323,     8,
     325,     8,   327,   265,   329,     8,   331,     8,   333,     8,
     335,     8,   337,   246,   339,     8,   341,     8,   343,   344,
     345,     8,   347,     8,   349,     8,   351,     3,   353,     8,
     355,     6,   357,    11,   359,     8,   361,   120,   363,  1436,
     365,    11,   367,    11,    11,    11,    11,    11,    11,     6,
       6,     6,     6,     6,     6,     6,   374,   344,     8,     8,
       8,     8,     8,     8,     8,   376,    81,   257,   250,     8,
       8,     8,     6,  1470,     6,   315,     6,   317,     6,   319,
       6,   321,     6,   323,   198,   325,     8,   327,     6,   329,
      71,   331,     8,   333,  1491,   335,    73,   337,   112,   339,
     231,   341,     3,   343,    75,   345,     8,   347,     6,   349,
     213,   351,     8,   353,     8,   355,     8,   357,     8,   359,
       8,   361,     8,   363,     8,   365,     8,   367,    11,   211,
       8,     6,   261,   254,     6,     6,   240,   233,     8,     8,
       8,     8,     8,     8,     8,     8,     8,     6,     8,     6,
     266,   392,     8,     8,     8,     8,     8,     6,   218,   235,
      11,     8,   235,   220,   235,   235,   235,   222,   235,   228,
       6,   224,   266,   263,     6,   226,   311,     8,   258,     8,
       8,     8,     6,     8,   195,   121,   232,     8,     8,   255,
     258,     6,     6,   113,   212,     8,     8,   262,     6,   120,
     195,   234,     8,     8,     8,     6,     6,   112,  1348,     8,
     214,   236,   259,   262,     6,   236,   236,   112,     8,   236,
     264,   195,     8,     8,     8,   197,     6,   256,    11,     8,
     210,     6,     6,   260,     6,     8,   121,     8,     8,   113,
       6,  1390,  1391,     3,     8,     6,     8,  1176,    11,     8,
       8,     8,   113,     6,     8,   113,   199,  1251,  1326,   942,
     254,   942,   254,   942,   328,   942,  1386,  1423,  1333,   238,
    1422,  1040,  1348,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1461,  1462,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1418
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,    42,   410,   414,   415,     0,   302,   889,   890,    14,
     416,   201,   427,   428,   304,   891,     8,   417,    46,   434,
     435,   168,   429,   628,     8,   892,     6,    43,    44,   418,
     419,   241,   524,   525,    15,   436,   629,     8,    10,    11,
     430,   431,   432,     6,   303,   305,   893,   894,     8,   421,
      76,   571,   572,    10,    11,   526,   527,   528,     8,    10,
      11,   437,   438,   439,     6,   433,     8,   895,   896,    11,
      10,    11,    17,    18,   195,   199,   420,   422,   423,   424,
     425,   426,    40,    41,   411,    10,    11,   573,   574,   575,
     243,   529,   530,     6,   440,     8,   202,   203,   676,   677,
      11,    11,   137,   138,   195,   856,   871,   872,   873,   897,
      45,     8,     8,     8,     8,    39,   412,   413,    77,    78,
     576,   577,   620,   621,   247,   543,   544,   181,   531,   630,
       8,    47,    48,    50,    52,    54,    56,    58,    60,    62,
      64,   441,   442,   443,   448,   449,   454,   455,   469,   470,
     476,   477,   482,   483,   488,   489,   494,   495,   509,   510,
     678,   679,   315,   317,   319,   321,   323,   325,   327,   329,
     331,   333,   335,   337,   339,   341,   343,   345,   347,   349,
     351,   353,   355,   357,   359,   361,   363,   365,   367,   898,
     899,   902,   905,   907,   909,   911,   913,   915,   917,   919,
     921,   923,   925,   927,   929,   930,   932,   934,   936,   938,
     940,   942,   943,   949,   957,   960,   963,   966,   969,     3,
       8,     6,     6,     6,   650,   652,    77,    16,   578,    77,
      82,   251,   557,   558,   180,   545,   631,     8,    10,    11,
     532,   533,   534,   444,   445,   450,   451,   456,   457,   471,
     472,   478,   479,   484,   485,   490,   491,   496,   497,   511,
     512,    10,    11,   681,   682,   683,   131,   132,   133,   134,
     159,   160,   166,   167,   680,   841,   843,   865,   866,   867,
     874,   875,   876,   877,   878,   879,   916,   908,   910,   914,
     918,   920,   958,   970,   928,   912,   935,   922,   924,   926,
     950,   933,   964,   961,   967,   900,   903,   906,   937,   939,
     941,   306,   898,   945,     8,     6,     8,     8,     8,     8,
       6,     7,   405,   406,   407,   408,   653,     8,   579,   580,
     581,   623,   307,  1036,  1037,   179,   559,   632,     8,    10,
      11,   546,   547,   548,     6,   536,    10,    11,   447,   446,
     841,   843,   865,    10,    11,   453,   452,   841,   843,   865,
      10,    11,   459,   458,   841,   843,   865,    10,    11,   475,
      28,   473,   474,   841,   843,   865,    10,    11,   481,    34,
      35,    36,   480,   633,   634,   635,   841,   843,   865,    10,
      11,   487,    37,    38,   486,   633,   634,   636,   637,   841,
     843,   865,    10,    11,   493,    13,   492,   638,   841,   843,
     865,    11,   499,   498,   841,   843,   865,    11,   514,   513,
     841,   843,   865,   206,   684,   685,   686,     3,     3,     3,
       8,     8,   898,   898,   898,   898,   898,   898,   959,   971,
     898,   898,   898,   898,   898,   898,   953,   898,   965,   962,
     968,    10,    11,   901,    10,    11,   904,   898,   245,   249,
     253,   369,   371,   373,   375,   377,   379,   381,   383,   385,
     387,   389,   391,   393,   395,   397,   399,   972,   973,   974,
     976,   977,   980,   981,   984,   985,   988,   989,   991,   992,
     994,   995,   997,   998,  1000,  1001,  1004,  1005,  1009,  1010,
    1012,  1013,  1015,  1016,  1018,  1019,  1021,  1022,  1024,  1027,
    1028,  1030,  1031,  1033,  1034,   972,   972,   346,   931,    10,
      11,   141,   142,   404,   877,   880,   881,   882,   944,   946,
     947,     8,   652,   652,     6,    79,   580,    80,    10,    11,
      19,    20,   622,   624,   626,   627,   242,   309,  1038,  1039,
       8,    10,    11,   560,   561,   562,     6,   550,     8,   244,
     245,   535,   537,   538,    49,    51,   460,   461,    55,     8,
      57,     8,     8,     8,    59,     8,     8,    61,     3,    72,
     500,   501,    74,   515,   516,   204,   691,   687,   688,     8,
       8,     8,     6,     6,   898,   898,   898,   898,   324,   326,
     328,   898,   330,   898,   332,   334,   898,   338,   340,   342,
      10,    11,   195,   199,   951,   954,   955,   956,   348,   350,
     898,   352,   898,   354,   898,   356,   358,   898,  1025,   364,
      22,   195,   639,   195,   979,   195,   983,   195,   987,   972,
     990,   972,   993,   898,   996,   972,   999,   402,  1002,  1008,
    1006,  1008,    10,    11,  1011,   972,  1014,   972,  1017,   972,
    1020,   972,  1023,   898,  1029,   898,  1032,   972,  1035,   366,
     368,   362,     3,     3,     8,   132,   582,    83,     8,     8,
       8,    10,    11,  1040,  1041,  1042,     6,   564,     8,   248,
     249,   549,   551,   552,   539,   540,    53,   468,    70,   462,
     463,     6,   650,     6,     6,     6,     6,     8,    63,   508,
     122,   502,   842,    65,   523,   517,   842,   207,   217,   219,
     221,   223,   225,   227,   239,   692,   693,   694,   718,   719,
     731,   732,   758,   759,   776,   777,   789,   790,   807,   808,
     811,   812,    10,    11,   690,   163,   164,   182,   183,   184,
     185,   186,   187,   188,   189,   689,   847,   848,   849,   850,
     851,   859,   860,   861,   862,   863,   864,     8,     8,   316,
     318,   320,   322,   898,   344,   898,     8,     8,   360,  1026,
       8,     8,    10,    11,   975,     8,    10,    11,   978,     8,
      10,    11,   982,     8,    10,    11,   986,   370,   972,   398,
     400,     3,    11,    11,   378,   972,   382,   972,   972,   972,
     898,   394,     8,   948,    11,     3,    10,    11,   583,   650,
     650,     6,  1043,     8,   252,   253,   563,   565,   566,   553,
     554,    10,    11,   542,    23,    24,    25,    26,    27,    29,
     149,   150,   197,   541,   640,   641,   643,   644,   647,   648,
     841,   843,   858,   865,   886,   887,   888,   464,   465,     8,
       8,     8,     8,     8,     8,     8,    10,    11,   503,   504,
     505,    10,    11,   518,   519,   520,   695,   696,   720,   721,
     733,   734,   760,   761,   778,   779,   791,   792,   809,   871,
     165,   813,   840,   205,     3,     8,     8,     8,     8,     8,
       8,     8,     8,   336,   952,     6,   650,   388,   972,     6,
       6,   396,     6,   246,     6,   250,     6,   254,   372,     8,
     972,  1003,   972,  1007,   380,   384,   386,   390,   898,     8,
       8,   265,   584,   585,     8,     8,     8,   308,   310,  1044,
    1045,   567,   568,    10,    11,   556,    30,    32,    33,   555,
     642,   643,   645,   649,   841,   843,   858,   865,   246,     8,
       8,     8,     8,     8,     8,     3,     8,    10,    11,   467,
     466,   858,   877,     6,   120,   506,   654,   655,   662,   521,
     654,    11,   161,   162,   169,   697,   844,   868,   869,   870,
      11,   722,   844,   868,    11,   735,   844,   868,    11,   762,
     844,   868,    11,   780,   844,   868,    11,   793,   844,   868,
      11,     8,    11,   814,   651,   652,     6,     6,     6,     6,
       6,     6,     6,   650,   344,     8,     8,     8,     8,     8,
       8,     8,   374,   376,   898,   586,    81,   257,   597,  1046,
    1047,    10,    11,   570,    31,   569,   640,   641,   643,   646,
     647,   648,   841,   843,   865,   250,     8,     8,     8,     6,
       6,     6,     6,     6,     6,     8,     6,    71,     8,   198,
     846,    73,   507,   112,   656,   657,    75,   522,   231,   698,
     700,   701,     3,     8,   700,   723,   700,   736,   700,   763,
     700,   781,   700,   794,   972,     6,   211,   816,   817,     8,
       8,     8,     8,     8,     8,     8,     8,     8,   972,    10,
      11,    21,   176,   587,   588,   589,   590,   591,   598,   261,
     609,    11,   856,   871,  1048,   254,     8,     6,     6,     6,
       8,     8,     8,     8,     8,     8,     8,     8,    10,    11,
     663,   664,   665,   658,   659,   233,   699,   706,   707,    10,
      11,   702,   703,   704,     8,     6,   706,   724,   706,   737,
     706,   764,   706,   782,   706,   795,   240,   810,     8,   213,
     823,   824,   818,   842,   392,   266,   592,   593,   594,     8,
       8,    10,    11,    21,   170,   599,   600,   601,   602,   603,
     610,   972,     6,     8,     8,     8,     6,     4,   121,    11,
     661,   196,   660,   857,   858,   218,   235,   712,   713,    10,
      11,   708,   709,   710,   654,   705,     8,   235,   725,   726,
     220,   235,   738,   739,   222,   235,   765,   766,   224,   235,
     783,   784,   228,   235,   796,   797,   226,   830,   825,   842,
      10,    11,   819,   820,   821,   266,   593,   263,     6,     6,
     258,   604,   605,   606,     8,     8,    10,    11,    21,   173,
     611,   612,   613,   614,   625,   311,     8,     8,   121,     6,
       8,    10,    11,   714,   715,   716,   654,   711,   232,    10,
      11,   727,   728,   729,    10,    11,   740,   741,   742,    10,
      11,   767,   768,   769,    10,    11,   785,   786,   787,    10,
      11,   798,   799,   800,   208,   209,   815,   831,   832,    10,
      11,   826,   827,   828,   654,   822,   195,   595,     8,     8,
     258,   605,   255,     6,     6,   262,   615,   616,   617,     8,
       8,   113,     6,   120,   666,   667,   672,   717,   234,   654,
     730,   743,   744,   770,   654,   788,   801,   833,   834,   654,
     829,   212,     8,    10,    11,   596,   195,   607,     8,     8,
     262,   616,   259,     6,     6,     8,   846,   112,   668,   669,
     236,   236,   236,   112,   745,   746,   112,   236,   771,   772,
     236,   112,   236,   802,   803,    10,    11,   836,   837,   838,
     190,   191,   835,   852,   853,   874,   877,   214,     6,   264,
       8,    10,    11,   608,   195,   618,     8,     8,    10,    11,
     673,   674,   675,   670,   858,   747,   748,    10,    11,   773,
     774,   775,   804,   685,   839,   651,   651,     8,     6,   256,
       8,    10,    11,   619,     4,   121,    11,   671,    10,    11,
     750,   751,   752,   178,   200,   749,   845,   855,   898,    11,
     143,   144,   805,   806,   857,   858,   883,   884,   885,   691,
     210,     6,     6,     8,     6,   260,   121,   650,   753,     8,
       8,   113,     6,     3,   651,   651,     8,   113,   113,   237,
     754,   755,     6,   650,   113,     8,   199,   756,   854,     8,
       8,     8,    11,   757,   650,     6,     8,   238
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   409,   410,   411,   411,   412,   413,   413,   414,   414,
     415,   416,   417,   417,   418,   419,   420,   420,   421,   421,
     422,   422,   422,   422,   423,   424,   425,   426,   427,   427,
     428,   429,   430,   430,   431,   432,   433,   433,   434,   434,
     435,   436,   437,   437,   438,   439,   440,   440,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   442,   443,   444,
     445,   445,   446,   446,   446,   447,   447,   448,   449,   450,
     451,   451,   452,   452,   452,   453,   453,   454,   455,   456,
     457,   457,   458,   458,   458,   459,   459,   460,   461,   461,
     462,   463,   464,   465,   465,   466,   466,   467,   467,   468,
     469,   470,   471,   472,   472,   473,   473,   473,   473,   474,
     475,   475,   476,   477,   478,   479,   479,   480,   480,   480,
     480,   480,   480,   481,   481,   482,   483,   484,   485,   485,
     486,   486,   486,   486,   486,   486,   486,   487,   487,   488,
     489,   490,   491,   491,   492,   492,   492,   492,   493,   493,
     494,   495,   496,   497,   497,   498,   498,   498,   499,   500,
     501,   502,   503,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   512,   513,   513,   513,   514,   515,   516,
     517,   518,   518,   519,   520,   521,   522,   523,   524,   524,
     525,   526,   526,   527,   528,   529,   529,   530,   531,   532,
     532,   533,   534,   535,   536,   536,   537,   538,   539,   540,
     540,   541,   541,   541,   541,   541,   541,   541,   541,   541,
     541,   541,   542,   542,   543,   543,   544,   545,   546,   546,
     547,   548,   549,   550,   550,   551,   552,   553,   554,   554,
     555,   555,   555,   555,   555,   555,   555,   555,   556,   556,
     557,   557,   558,   559,   560,   560,   561,   562,   563,   564,
     564,   565,   566,   567,   568,   568,   569,   569,   569,   569,
     569,   569,   569,   569,   569,   570,   570,   571,   571,   572,
     573,   573,   574,   574,   575,   575,   576,   577,   578,   579,
     579,   581,   580,   582,   582,   583,   583,   584,   585,   585,
     586,   586,   587,   587,   588,   589,   590,   590,   591,   591,
     592,   592,   594,   593,   595,   596,   596,   597,   597,   598,
     598,   599,   599,   600,   601,   602,   602,   603,   603,   604,
     604,   606,   605,   607,   608,   608,   609,   609,   610,   610,
     611,   611,   612,   613,   613,   614,   614,   615,   615,   617,
     616,   618,   619,   619,   621,   620,   622,   622,   623,   623,
     624,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   650,   651,
     652,   652,   653,   653,   653,   653,   654,   654,   655,   655,
     656,   657,   658,   659,   659,   660,   660,   661,   662,   663,
     663,   664,   664,   665,   666,   666,   667,   667,   668,   669,
     670,   670,   671,   672,   673,   673,   674,   674,   675,   676,
     677,   678,   679,   679,   680,   680,   680,   680,   680,   538,
     552,   566,   681,   681,   682,   683,   684,   685,   685,   686,
     687,   688,   688,   689,   689,   689,   689,   689,   689,   689,
     689,   689,   690,   690,   691,   691,   692,   692,   692,   692,
     692,   692,   692,   692,   693,   694,   695,   696,   696,   697,
     697,   698,   699,   699,   700,   701,   702,   702,   703,   704,
     705,   706,   707,   708,   708,   709,   710,   711,   712,   713,
     714,   714,   715,   716,   717,   718,   719,   720,   721,   721,
     722,   722,   723,   724,   724,   725,   726,   727,   727,   728,
     729,   730,   731,   732,   733,   734,   734,   735,   735,   736,
     737,   737,   738,   738,   739,   740,   740,   741,   742,   743,
     744,   744,   745,   746,   747,   748,   748,   749,   749,   750,
     750,   751,   752,   753,   753,   754,   755,   756,   756,   757,
     758,   759,   760,   761,   761,   762,   762,   763,   764,   764,
     765,   765,   766,   767,   767,   768,   769,   770,   770,   771,
     772,   773,   773,   774,   775,   776,   777,   778,   779,   779,
     780,   780,   781,   782,   782,   783,   784,   785,   785,   786,
     787,   788,   789,   790,   791,   792,   792,   793,   793,   794,
     795,   795,   796,   796,   797,   798,   798,   799,   800,   801,
     801,   802,   803,   804,   804,   805,   805,   805,   806,   807,
     808,   809,   809,   810,   811,   812,   813,   814,   815,   816,
     817,   818,   819,   819,   820,   821,   822,   823,   824,   825,
     826,   826,   827,   828,   829,   830,   830,   831,   832,   833,
     834,   834,   835,   835,   835,   835,   836,   836,   837,   838,
     839,   840,   841,   842,   843,   844,   845,   846,   847,   848,
     849,   850,   851,   852,   853,   854,   855,   856,   857,   858,
     859,   860,   861,   862,   862,   863,   864,   865,   865,   866,
     867,   868,   868,   869,   870,   871,   871,   872,   873,   874,
     874,   875,   876,   877,   877,   878,   879,   880,   880,   881,
     882,   883,   883,   884,   885,   886,   886,   887,   888,   889,
     889,   890,   891,   892,   892,   893,   894,   895,   896,   896,
     897,   897,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   900,
     899,   901,   901,   903,   902,   904,   904,   906,   905,   908,
     907,   910,   909,   912,   911,   914,   913,   916,   915,   918,
     917,   920,   919,   922,   921,   924,   923,   926,   925,   928,
     927,   929,   930,   931,   933,   932,   935,   934,   937,   936,
     939,   938,   941,   940,   942,   943,   944,   944,   945,   945,
     946,   946,   946,   948,   947,   950,   949,   951,   951,   952,
     951,   953,   953,   954,   954,   955,   956,   958,   957,   959,
     959,   961,   960,   962,   962,   964,   963,   965,   965,   967,
     966,   968,   968,   970,   969,   971,   971,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   973,   974,   975,   975,
     639,   976,   977,   978,   978,   979,   980,   981,   982,   982,
     983,   984,   985,   986,   986,   987,   988,   989,   990,   991,
     992,   993,   994,   995,   996,   997,   998,   999,  1000,  1001,
    1002,  1002,  1003,  1004,  1005,  1006,  1006,  1007,  1008,  1009,
    1010,  1011,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,
    1019,  1020,  1021,  1022,  1023,  1025,  1024,  1026,  1026,  1027,
    1028,  1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,  1036,
    1037,  1038,  1039,  1040,  1040,  1041,  1042,  1043,  1043,  1044,
    1045,  1046,  1047,  1047,  1048,  1048
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     8,     1,     1,     1,     1,     0,     0,     4,
       1,     5,     0,     2,     3,     1,     1,     2,     0,     2,
       1,     1,     1,     1,     4,     4,     4,     4,     0,     3,
       1,     1,     1,     1,     1,     3,     0,     2,     0,     3,
       1,     1,     1,     1,     1,     3,     0,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     1,
       0,     2,     1,     1,     1,     1,     2,     3,     1,     1,
       0,     2,     1,     1,     1,     1,     2,     3,     1,     1,
       0,     2,     1,     1,     1,     1,     3,     1,     0,     2,
       3,     1,     1,     0,     2,     1,     1,     1,     2,     1,
       3,     1,     1,     0,     2,     1,     1,     1,     1,     4,
       1,     2,     3,     1,     1,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     1,     1,     0,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       1,     1,     0,     2,     1,     1,     1,     1,     1,     2,
       3,     1,     1,     0,     2,     1,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     3,
       1,     1,     0,     2,     1,     1,     1,     3,     3,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     0,     2,
       1,     1,     1,     1,     6,     0,     3,     1,     1,     1,
       1,     1,     3,     1,     0,     2,     3,     1,     1,     0,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     0,     3,     1,     1,     1,     1,
       1,     3,     1,     0,     2,     3,     1,     1,     0,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       0,     3,     1,     1,     1,     1,     1,     3,     1,     0,
       2,     3,     1,     1,     0,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     0,     2,     1,
       1,     1,     1,     2,     3,     3,     4,     1,     5,     1,
       2,     0,     4,     0,     3,     1,     3,     3,     0,     3,
       0,     2,     1,     1,     4,     4,     1,     3,     1,     2,
       1,     2,     0,     4,     4,     1,     2,     0,     3,     0,
       2,     1,     1,     4,     4,     1,     3,     1,     2,     1,
       2,     0,     4,     4,     1,     2,     0,     3,     0,     2,
       1,     1,     4,     1,     3,     1,     2,     1,     2,     0,
       4,     4,     1,     2,     0,     4,     1,     2,     0,     2,
       1,     1,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     3,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     3,     3,     2,
       0,     2,     1,     1,     1,     1,     1,     1,     0,     2,
       3,     1,     1,     0,     2,     1,     1,     3,     3,     1,
       1,     2,     1,     3,     1,     1,     0,     2,     3,     1,
       0,     1,     3,     3,     1,     1,     2,     1,     3,     3,
       1,     1,     0,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     0,     3,     1,
       1,     0,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     0,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     1,     0,     2,     1,
       1,     3,     0,     2,     2,     1,     1,     1,     1,     3,
       1,     2,     1,     1,     1,     1,     3,     1,     2,     1,
       1,     1,     1,     3,     1,     4,     1,     1,     0,     2,
       1,     1,     3,     0,     2,     2,     1,     1,     1,     1,
       3,     1,     4,     1,     1,     0,     2,     1,     1,     3,
       0,     2,     0,     2,     1,     1,     1,     1,     3,     1,
       0,     2,     3,     1,     1,     0,     2,     1,     1,     1,
       1,     1,     3,     0,     2,     3,     1,     0,     1,     3,
       4,     1,     1,     0,     2,     1,     1,     3,     0,     2,
       0,     2,     1,     1,     1,     1,     3,     0,     2,     2,
       1,     1,     1,     1,     3,     4,     1,     1,     0,     2,
       1,     1,     3,     0,     2,     2,     1,     1,     1,     1,
       3,     1,     4,     1,     1,     0,     2,     1,     1,     3,
       0,     2,     0,     2,     1,     1,     1,     1,     3,     0,
       2,     3,     1,     0,     2,     1,     1,     1,     3,     5,
       1,     0,     1,     1,     3,     1,     1,     5,     1,     3,
       1,     1,     1,     1,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     3,     1,     0,     2,     3,     1,     1,
       0,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       2,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     1,     1,     1,     3,     1,     1,     1,
       3,     1,     1,     1,     3,     1,     1,     1,     3,     1,
       1,     1,     3,     1,     1,     1,     3,     1,     1,     1,
       3,     1,     1,     1,     3,     1,     1,     1,     3,     0,
       4,     1,     5,     0,     2,     5,     1,     1,     0,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       3,     1,     2,     0,     3,     1,     2,     0,     5,     0,
       5,     0,     5,     0,     4,     0,     5,     0,     5,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     3,     1,     1,     0,     4,     0,     6,     0,     4,
       0,     4,     0,     4,     3,     1,     1,     2,     0,     2,
       1,     1,     1,     0,     4,     0,     4,     1,     2,     0,
       4,     0,     2,     1,     1,     4,     4,     0,     4,     0,
       2,     0,     4,     0,     2,     0,     4,     0,     2,     0,
       4,     0,     2,     0,     4,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     2,
       4,     3,     1,     1,     2,     4,     3,     1,     1,     2,
       4,     3,     1,     1,     2,     4,     2,     1,     2,     2,
       1,     3,     2,     1,     2,     2,     1,     2,     4,     1,
       0,     1,     2,     4,     1,     0,     1,     2,     3,     2,
       1,     1,     2,     2,     1,     3,     2,     1,     2,     2,
       1,     3,     2,     1,     3,     0,     4,     0,     2,     2,
       1,     3,     2,     1,     6,     2,     1,     2,     0,     3,
       1,     1,     4,     1,     1,     1,     3,     0,     2,     5,
       1,     1,     0,     2,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, osinstance, parserData, osglData, osnlData, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, osinstance, parserData, osglData, osnlData); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, OSInstance *osinstance, OSiLParserData *parserData, OSgLParserData *osglData, OSnLParserData *osnlData)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (osinstance);
  YY_USE (parserData);
  YY_USE (osglData);
  YY_USE (osnlData);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, OSInstance *osinstance, OSiLParserData *parserData, OSgLParserData *osglData, OSnLParserData *osnlData)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, osinstance, parserData, osglData, osnlData);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, OSInstance *osinstance, OSiLParserData *parserData, OSgLParserData *osglData, OSnLParserData *osnlData)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), osinstance, parserData, osglData, osnlData);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, osinstance, parserData, osglData, osnlData); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, OSInstance *osinstance, OSiLParserData *parserData, OSgLParserData *osglData, OSnLParserData *osnlData)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (osinstance);
  YY_USE (parserData);
  YY_USE (osglData);
  YY_USE (osnlData);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (OSInstance *osinstance, OSiLParserData *parserData, OSgLParserData *osglData, OSnLParserData *osnlData)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 5: /* osilEnd: osilEnding  */
    {
        if (parserData->parser_errors != "")
        {
            parserData->parser_errors += ("\n\nOSiL input is either invalid or not well-formed.\n"); 
            osilerror( NULL, osinstance, parserData, osglData, osnlData, parserData->parser_errors);
        }
    }
    break;

  case 7: /* osilEnding: %empty  */
      { parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "unexpected end of file, expecting </osil>");}
    break;

  case 9: /* quadraticCoefficients: quadraticCoefficientsStart osilQuadnumberATT qTermlist QUADRATICCOEFFICIENTSEND  */
    {if(osinstance->instanceData->quadraticCoefficients->numberOfQuadraticTerms > parserData->qtermcount ) 
    parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of qterms less than numberOfQuadraticTerms");}
    break;

  case 10: /* quadraticCoefficientsStart: QUADRATICCOEFFICIENTSSTART  */
{
    osinstance->instanceData->quadraticCoefficients = new QuadraticCoefficients();
}
    break;

  case 11: /* osilQuadnumberATT: NUMBEROFQTERMSATT QUOTE INTEGER QUOTE GREATERTHAN  */
{ 
if ( *(yyvsp[-3].sval) != *(yyvsp[-1].sval) ) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
osinstance->instanceData->quadraticCoefficients->numberOfQuadraticTerms = (yyvsp[-2].ival);  
if(osinstance->instanceData->quadraticCoefficients->numberOfQuadraticTerms > 0 ) 
osinstance->instanceData->quadraticCoefficients->qTerm = new QuadraticTerm*[ (yyvsp[-2].ival) ];
for(int i = 0; i < (yyvsp[-2].ival); i++) osinstance->instanceData->quadraticCoefficients->qTerm[i] = new QuadraticTerm();
parserData->qtermcount = 0;
}
    break;

  case 14: /* qterm: qtermStart anotherqTermATT qtermend  */
{
    parserData->qtermcount++; 
    if(!parserData->qtermidxattON)  parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "the qTerm attribute idx is required"); 
    if(!parserData->qtermidxOneattON)  parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "the qTerm attribute idxOne is required"); 
    if(!parserData->qtermidxTwoattON)  parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "the qTerm attribute idxTwo is required"); 
    parserData->qtermidattON = false; 
    parserData->qtermidxattON = false; 
    parserData->qtermidxOneattON = false; 
    parserData->qtermidxTwoattON = false;
    parserData->qtermcoefattON = false;
}
    break;

  case 15: /* qtermStart: QTERMSTART  */
{
    if(osinstance->instanceData->quadraticCoefficients->numberOfQuadraticTerms <= parserData->qtermcount )
     parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many QuadraticTerms");
}
    break;

  case 20: /* qtermatt: osilQtermidxOneATT  */
            { if(parserData->qtermidxOneattON) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many qTerm idxOne attributes"); 
            parserData->qtermidxOneattON = true;  }
    break;

  case 21: /* qtermatt: osilQtermidxTwoATT  */
            { if(parserData->qtermidxTwoattON) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many qTerm idxTwo attributes"); 
            parserData->qtermidxTwoattON = true;  }
    break;

  case 22: /* qtermatt: osilQtermcoefATT  */
            { if(parserData->qtermcoefattON) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many qTerm coef attributes"); 
            parserData->qtermcoefattON = true;  }
    break;

  case 23: /* qtermatt: osilQtermidxATT  */
            { if(parserData->qtermidxattON) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many qTerm idx attributes"); 
            parserData->qtermidxattON = true;  }
    break;

  case 24: /* osilQtermidxOneATT: IDXONEATT QUOTE INTEGER QUOTE  */
                                                    {  if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
osinstance->instanceData->quadraticCoefficients->qTerm[parserData->qtermcount]->idxOne = (yyvsp[-1].ival);
    if( (yyvsp[-1].ival) >= osinstance->instanceData->variables->numberOfVariables){
         parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "variable index exceeds number of variables");
     }
}
    break;

  case 25: /* osilQtermidxTwoATT: IDXTWOATT QUOTE INTEGER QUOTE  */
                                                   { if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
osinstance->instanceData->quadraticCoefficients->qTerm[parserData->qtermcount]->idxTwo = (yyvsp[-1].ival);
    if( (yyvsp[-1].ival) >= osinstance->instanceData->variables->numberOfVariables){
         parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "variable index exceeds number of variables");
     }
}
    break;

  case 26: /* osilQtermcoefATT: COEFATT QUOTE aNumber QUOTE  */
                                               {if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
osinstance->instanceData->quadraticCoefficients->qTerm[parserData->qtermcount]->coef = parserData->tempVal;}
    break;

  case 27: /* osilQtermidxATT: IDXATT QUOTE INTEGER QUOTE  */
                                             {  if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
osinstance->instanceData->quadraticCoefficients->qTerm[parserData->qtermcount]->idx = (yyvsp[-1].ival);}
    break;

  case 29: /* matrices: matricesStart matricesAttributes matricesContent  */
{
    if (osglData->matrixCounter < osglData->numberOfMatrices) parserData->parser_errors += 
        addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "fewer matrices than specified");
    osinstance->instanceData->matrices->numberOfMatrices = osglData->numberOfMatrices;
    osinstance->instanceData->matrices->matrix = osglData->matrix;
}
    break;

  case 30: /* matricesStart: MATRICESSTART  */
{
    osinstance->instanceData->matrices = new Matrices();
    osglData->numberOfMatricesPresent = false;
}
    break;

  case 31: /* matricesAttributes: numberOfMatricesATT  */
{
    if (osglData->numberOfMatrices < 0) parserData->parser_errors +=
        addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfMatrices cannot be negative");
    else
    {
        osglData->matrix = new OSMatrix*[osglData->numberOfMatrices];
        for (int i=0; i < osglData->numberOfMatrices; i++)
            osglData->matrix[i] = NULL;
    }
}
    break;

  case 39: /* cones: conesStart conesAttributes conesContent  */
{
    if (parserData->coneCounter < parserData->numberOfCones) parserData->parser_errors += 
        addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "fewer cones than specified");
}
    break;

  case 40: /* conesStart: CONESSTART  */
{
    osinstance->instanceData->cones = new Cones();
    parserData->coneCounter = 0;
}
    break;

  case 41: /* conesAttributes: numberOfConesATT  */
{
    if (parserData->numberOfCones < 0) parserData->parser_errors +=
        addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfCones cannot be negative");
    else
    {
        osinstance->instanceData->cones->cone = new Cone*[parserData->numberOfCones];
        for (int i=0; i < parserData->numberOfCones; i++)
            osinstance->instanceData->cones->cone[i] = NULL;
    }
}
    break;

  case 45: /* conesLaden: GREATERTHAN coneList CONESEND  */
{
}
    break;

  case 47: /* coneList: coneList cone  */
{
    parserData->coneCounter++;
    if (parserData->coneCounter > parserData->numberOfCones) parserData->parser_errors +=
        addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "encountered more cones than specified");
    osinstance->instanceData->cones->numberOfCones = parserData->coneCounter;
}
    break;

  case 58: /* nonnegativeConeStart: NONNEGATIVECONESTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osinstance->instanceData->cones->cone[parserData->coneCounter] = new NonnegativeCone();
    osinstance->instanceData->cones->cone[parserData->coneCounter]->coneType = ENUM_CONE_TYPE_nonnegative;    
}
    break;

  case 62: /* nonnegativeConeAtt: osglNumberOfRowsATT  */
        {
            ((NonnegativeCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfRows
                = osglData->numberOfRows;
        }
    break;

  case 63: /* nonnegativeConeAtt: osglNumberOfColumnsATT  */
        {
            ((NonnegativeCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfColumns
                = osglData->numberOfColumns;
        }
    break;

  case 64: /* nonnegativeConeAtt: osglNameATT  */
        {
            ((NonnegativeCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->name = osglData->name;
        }
    break;

  case 68: /* nonpositiveConeStart: NONPOSITIVECONESTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osinstance->instanceData->cones->cone[parserData->coneCounter] = new NonpositiveCone();    
    osinstance->instanceData->cones->cone[parserData->coneCounter]->coneType = ENUM_CONE_TYPE_nonpositive;    
}
    break;

  case 72: /* nonpositiveConeAtt: osglNumberOfRowsATT  */
        {
            ((NonpositiveCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfRows
                = osglData->numberOfRows;
        }
    break;

  case 73: /* nonpositiveConeAtt: osglNumberOfColumnsATT  */
        {
            ((NonpositiveCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfColumns
                = osglData->numberOfColumns;
        }
    break;

  case 74: /* nonpositiveConeAtt: osglNameATT  */
        {
            ((NonpositiveCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->name = osglData->name;
        }
    break;

  case 78: /* generalOrthantConeStart: ORTHANTCONESTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osinstance->instanceData->cones->cone[parserData->coneCounter] = new OrthantCone();
    osinstance->instanceData->cones->cone[parserData->coneCounter]->coneType = ENUM_CONE_TYPE_orthant;
}
    break;

  case 79: /* generalOrthantConeAttributes: generalOrthantConeAttList  */
{
    osglData->numberOfEl = (osglData->numberOfRows)*(osglData->numberOfColumns);
    ((OrthantCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->ub 
        = new double[osglData->numberOfEl];  
    ((OrthantCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->lb
        = new double[osglData->numberOfEl];   
    osglData->osglCounter = 0;
}
    break;

  case 82: /* generalOrthantConeAtt: osglNumberOfRowsATT  */
        {
            ((OrthantCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfRows
                = osglData->numberOfRows;
        }
    break;

  case 83: /* generalOrthantConeAtt: osglNumberOfColumnsATT  */
        {
            ((OrthantCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfColumns
                = osglData->numberOfColumns;
        }
    break;

  case 84: /* generalOrthantConeAtt: osglNameATT  */
        {
            ((OrthantCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->name = osglData->name;
        }
    break;

  case 86: /* generalOrthantConeContent: GREATERTHAN generalOrthantConeDirectionList generalOrthantConeEnd  */
{
    if (osglData->osglCounter != osglData->numberOfEl)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of directions does not match");
}
    break;

  case 91: /* generalOrthantConeDirectionStart: DIRECTIONSTART  */
{
    osglData->typePresent = false;
    osglData->multPresent = false;
    osglData->mult = 1;
}
    break;

  case 92: /* generalOrthantConeDirectionAttributes: generalOrthantConeDirectionAttributeList  */
{
    double ubt;
    double lbt;
    if (osglData->type == "nonnegative")
    {
        ubt = OSDBL_MAX;
        lbt = 0.0;
    }
    else if (osglData->type == "nonpositive")
    {
        ubt = 0.0;
        lbt = -OSDBL_MAX;
    }
    else if (osglData->type == "free")
    {
        ubt =  OSDBL_MAX;
        lbt = -OSDBL_MAX;
    }
    else if (osglData->type == "zero")
    {
        ubt = 0.0;
        lbt = 0.0;
    }
    else
    {
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "unrecognized direction type");
        ubt = 0.0;
        lbt = 0.0;
    }
    if (osglData->osglCounter + osglData->mult > osglData->numberOfEl)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "Too many directions given");
    for (int i=0; i < osglData->mult; i++)
    {
        ((OrthantCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->ub[osglData->osglCounter+i] = ubt;
        ((OrthantCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->lb[osglData->osglCounter+i] = lbt;
    }
    osglData->osglCounter += osglData->mult;
}
    break;

  case 101: /* polyhedralConeStart: POLYHEDRALCONESTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osinstance->instanceData->cones->cone[parserData->coneCounter] = new PolyhedralCone();
    osinstance->instanceData->cones->cone[parserData->coneCounter]->coneType = ENUM_CONE_TYPE_polyhedral;    
}
    break;

  case 105: /* polyhedralConeAtt: osglNumberOfRowsATT  */
        {
            ((PolyhedralCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfRows
                = osglData->numberOfRows;
        }
    break;

  case 106: /* polyhedralConeAtt: osglNumberOfColumnsATT  */
        {
            ((PolyhedralCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfColumns
                = osglData->numberOfColumns;
        }
    break;

  case 107: /* polyhedralConeAtt: referenceMatrixATT  */
        {
            ((PolyhedralCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->referenceMatrixIdx
                = parserData->referenceMatrixIdx;
        }
    break;

  case 108: /* polyhedralConeAtt: osglNameATT  */
        {
            ((PolyhedralCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->name = osglData->name;
        }
    break;

  case 109: /* referenceMatrixATT: REFERENCEMATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->referenceMatrixIdxPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "polyhedral cone referenceMatrixIdx attribute previously set");
    if ((yyvsp[-1].ival) <= 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "polyhedral cone reference matrix index cannot be negative");
    parserData->referenceMatrixIdxPresent = true;
    parserData->referenceMatrixIdx = (yyvsp[-1].ival); 
}
    break;

  case 113: /* quadraticConeStart: QUADRATICCONESTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    parserData->normScaleFactorPresent = false;
    parserData->distortionMatrixPresent = false;
    parserData->axisDirectionPresent = false;
    osinstance->instanceData->cones->cone[parserData->coneCounter] = new QuadraticCone();    
    osinstance->instanceData->cones->cone[parserData->coneCounter]->coneType = ENUM_CONE_TYPE_quadratic;    
}
    break;

  case 117: /* quadraticConeAtt: osglNumberOfRowsATT  */
        {
            ((QuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfRows
                = osglData->numberOfRows;
        }
    break;

  case 118: /* quadraticConeAtt: osglNumberOfColumnsATT  */
        {
            ((QuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfColumns
                = osglData->numberOfColumns;
        }
    break;

  case 119: /* quadraticConeAtt: osglNameATT  */
        {
            ((QuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->name = osglData->name;
        }
    break;

  case 120: /* quadraticConeAtt: distortionMatrixIdxATT  */
        {
            ((QuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->distortionMatrixIdx
                = parserData->distortionMatrix;
        }
    break;

  case 121: /* quadraticConeAtt: normScaleFactorATT  */
        {
            ((QuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->normScaleFactor
                = parserData->normScaleFactor;
        }
    break;

  case 122: /* quadraticConeAtt: axisDirectionATT  */
        {
            ((QuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->axisDirection
                = parserData->axisDirection;
        }
    break;

  case 126: /* rotatedQuadraticConeStart: ROTATEDQUADRATICCONESTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    parserData->normScaleFactorPresent = false;
    parserData->distortionMatrixPresent = false;
    parserData->firstAxisDirectionPresent = false;
    parserData->secondAxisDirectionPresent = false;
    osinstance->instanceData->cones->cone[parserData->coneCounter] = new RotatedQuadraticCone();    
    osinstance->instanceData->cones->cone[parserData->coneCounter]->coneType = ENUM_CONE_TYPE_rotatedQuadratic;    
}
    break;

  case 130: /* rotatedQuadraticConeAtt: osglNumberOfRowsATT  */
        {
            ((RotatedQuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfRows
                = osglData->numberOfRows;
        }
    break;

  case 131: /* rotatedQuadraticConeAtt: osglNumberOfColumnsATT  */
        {
            ((RotatedQuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfColumns
                = osglData->numberOfColumns;
        }
    break;

  case 132: /* rotatedQuadraticConeAtt: osglNameATT  */
        {
            ((RotatedQuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->name
                = osglData->name;
        }
    break;

  case 133: /* rotatedQuadraticConeAtt: distortionMatrixIdxATT  */
        {
            ((RotatedQuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->distortionMatrixIdx
                = parserData->distortionMatrix;
        }
    break;

  case 134: /* rotatedQuadraticConeAtt: normScaleFactorATT  */
        {
            ((RotatedQuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->normScaleFactor
                = parserData->normScaleFactor;
        }
    break;

  case 135: /* rotatedQuadraticConeAtt: firstAxisDirectionATT  */
        {
            ((RotatedQuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->firstAxisDirection
                = parserData->firstAxisDirection;
        }
    break;

  case 136: /* rotatedQuadraticConeAtt: secondAxisDirectionATT  */
        {
            ((RotatedQuadraticCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->secondAxisDirection
                = parserData->secondAxisDirection;
        }
    break;

  case 140: /* semidefiniteConeStart: SEMIDEFINITECONESTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    parserData->semidefinitenessPresent = false;
    osinstance->instanceData->cones->cone[parserData->coneCounter] = new SemidefiniteCone();    
    osinstance->instanceData->cones->cone[parserData->coneCounter]->coneType = ENUM_CONE_TYPE_semidefinite;    
}
    break;

  case 144: /* semidefiniteConeAtt: osglNumberOfRowsATT  */
        {
            ((SemidefiniteCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfRows
                = osglData->numberOfRows;
        }
    break;

  case 145: /* semidefiniteConeAtt: osglNumberOfColumnsATT  */
        {
            ((SemidefiniteCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfColumns
                = osglData->numberOfColumns;
        }
    break;

  case 146: /* semidefiniteConeAtt: osglNameATT  */
        {
            ((SemidefiniteCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->name = osglData->name;
        }
    break;

  case 147: /* semidefiniteConeAtt: semidefinitenessATT  */
        {
            ((SemidefiniteCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->semidefiniteness
                = parserData->semidefiniteness;
        }
    break;

  case 151: /* productConeStart: PRODUCTCONESTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osinstance->instanceData->cones->cone[parserData->coneCounter] = new ProductCone();
    osinstance->instanceData->cones->cone[parserData->coneCounter]->coneType = ENUM_CONE_TYPE_product;    
}
    break;

  case 155: /* productConeAtt: osglNumberOfRowsATT  */
        {
            ((ProductCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfRows
                = osglData->numberOfRows;
        }
    break;

  case 156: /* productConeAtt: osglNumberOfColumnsATT  */
        {
            ((ProductCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfColumns
                = osglData->numberOfColumns;
        }
    break;

  case 157: /* productConeAtt: osglNameATT  */
        {
            ((ProductCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->name = osglData->name;
        }
    break;

  case 160: /* productConeFactorsStart: FACTORSSTART  */
{
    osglData->numberOfEl = 0;
    osglData->numberOfElPresent = false;
}
    break;

  case 161: /* productConeFactorsAttributes: osglNumberOfElATT  */
{
    osglData->osglCounter = 0; 
    osglData->osglIntArray = new int[osglData->numberOfEl];
}
    break;

  case 167: /* productConeFactorsEnd: FACTORSEND  */
{
    if (osglData->osglCounter != osglData->numberOfEl)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of factors does not match numberOfEl");
    ((ProductCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->factors = new IntVector();
    ((ProductCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->factors->numberOfEl
        = osglData->numberOfEl;
    ((ProductCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->factors ->el 
        = osglData->osglIntArray;
    osglData->osglIntArray = NULL;   // to facilitate garbage collection without a segfault
    parserData->suppressFurtherErrorMessages = false;
    parserData->ignoreDataAfterErrors = false;        
}
    break;

  case 170: /* intersectionConeStart: INTERSECTIONCONESTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osinstance->instanceData->cones->cone[parserData->coneCounter] = new IntersectionCone();    
    osinstance->instanceData->cones->cone[parserData->coneCounter]->coneType = ENUM_CONE_TYPE_intersection;    
}
    break;

  case 174: /* intersectionConeAtt: osglNumberOfRowsATT  */
        {
            ((IntersectionCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfRows
                = osglData->numberOfRows;
        }
    break;

  case 175: /* intersectionConeAtt: osglNumberOfColumnsATT  */
        {
            ((IntersectionCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->numberOfColumns
                = osglData->numberOfColumns;
        }
    break;

  case 176: /* intersectionConeAtt: osglNameATT  */
        {
            ((IntersectionCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->name = osglData->name;
        }
    break;

  case 179: /* intersectionConeComponentsStart: COMPONENTSSTART  */
{
    osglData->numberOfEl = 0;
    osglData->numberOfElPresent = false;
}
    break;

  case 180: /* intersectionConeComponentsAttributes: osglNumberOfElATT  */
{
    osglData->osglCounter = 0; 
    osglData->osglIntArray = new int[osglData->numberOfEl];
}
    break;

  case 186: /* intersectionConeComponentsEnd: COMPONENTSEND  */
{
    if (osglData->osglCounter != osglData->numberOfEl)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of components does not match numberOfEl");
    ((IntersectionCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->components = new IntVector();
    ((IntersectionCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->components->numberOfEl
        = osglData->numberOfEl;
    ((IntersectionCone*)osinstance->instanceData->cones->cone[parserData->coneCounter])->components ->el 
        = osglData->osglIntArray;
    osglData->osglIntArray = NULL;   // to facilitate garbage collection without a segfault
    parserData->suppressFurtherErrorMessages = false;
    parserData->ignoreDataAfterErrors = false;        
}
    break;

  case 190: /* matrixProgrammingStart: MATRIXPROGRAMMINGSTART  */
{
    osinstance->instanceData->matrixProgramming = new MatrixProgramming();
}
    break;

  case 196: /* matrixVariables: matrixVariablesStart matrixVariablesAttributes matrixVariablesContent  */
    {  
        if (parserData->kounter < parserData->numberOfMatrixVar)  
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of matrixVar less than number attribute");   
    }
    break;

  case 197: /* matrixVariablesStart: MATRIXVARIABLESSTART  */
{
    osinstance->instanceData->matrixProgramming->matrixVariables = new MatrixVariables(); 
}
    break;

  case 198: /* matrixVariablesAttributes: numberOfMatrixVarATT  */
{
    osinstance->instanceData->matrixProgramming->matrixVariables->numberOfMatrixVar = parserData->numberOfMatrixVar;
    osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar
        = new MatrixVar*[parserData->numberOfMatrixVar];
    for (int i=0; i < parserData->numberOfMatrixVar; i++)
        osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[i] = new MatrixVar();
    parserData->kounter = 0;
}
    break;

  case 206: /* matrixVar: matrixVarStart matrixVarAttributes matrixVarEnd  */
{
    parserData->kounter += osglData->mult;
}
    break;

  case 207: /* matrixVarStart: MATRIXVARSTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osglData->multPresent = false;
    osglData->mult = 1;
    osglData->varTypePresent = false;
    parserData->templateMatrixIdxPresent = false;
    parserData->varReferenceMatrixIdxPresent = false;
    parserData->lbMatrixIdxPresent = false;
    parserData->lbConeIdxPresent = false;
    parserData->ubMatrixIdxPresent = false;
    parserData->ubConeIdxPresent = false;
}
    break;

  case 208: /* matrixVarAttributes: matrixVarAttList  */
{
    if (osglData->numberOfRowsPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute \"numberOfRows\" missing");
    if (osglData->numberOfColumnsPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute \"numberOfColumns\" missing");
    if (parserData->kounter + osglData->mult > parserData->numberOfMatrixVar) 
        parserData->parser_errors += 
            addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of matrixVar greater than number attribute");
    for (int i=0; i<osglData->mult; i++)
    {
        osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->numberOfRows
            = osglData->numberOfRows;
        osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->numberOfColumns
            = osglData->numberOfColumns;
        if (osglData->namePresent)
            osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->name
                = osglData->name;
        if (parserData->templateMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->templateMatrixIdx
                = parserData->templateMatrixIdx;
        if (parserData->varReferenceMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->varReferenceMatrixIdx
                = parserData->varReferenceMatrixIdx;
        if (parserData->lbMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->lbMatrixIdx
                = parserData->lbMatrixIdx;
        if (parserData->lbConeIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->lbConeIdx
                = parserData->lbConeIdx;
        if (parserData->ubMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->ubMatrixIdx
                = parserData->ubMatrixIdx;
        if (parserData->ubConeIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->ubConeIdx
                = parserData->ubConeIdx;
        if (osglData->varTypePresent)
        {
            if (returnVarType(osglData->varType[0]) > 0)  
                osinstance->instanceData->matrixProgramming->matrixVariables->matrixVar[parserData->kounter+i]->varType
                = osglData->varType[0];
            else
                parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData,
                    "varType must be one of C, B, I, S, D, J");
        }
    }
}
    break;

  case 225: /* matrixObjectives: matrixObjectivesStart matrixObjectivesAttributes matrixObjectivesContent  */
    {  
        if (parserData->kounter < parserData->numberOfMatrixObj)  
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of matrixObj less than number attribute");
    }
    break;

  case 226: /* matrixObjectivesStart: MATRIXOBJECTIVESSTART  */
{
    osinstance->instanceData->matrixProgramming->matrixObjectives = new MatrixObjectives(); 
}
    break;

  case 227: /* matrixObjectivesAttributes: numberOfMatrixObjATT  */
{
    osinstance->instanceData->matrixProgramming->matrixObjectives->numberOfMatrixObj = parserData->numberOfMatrixObj;
    osinstance->instanceData->matrixProgramming->matrixObjectives->matrixObj
        = new MatrixObj*[parserData->numberOfMatrixObj];
    for (int i=0; i < parserData->numberOfMatrixObj; i++)
        osinstance->instanceData->matrixProgramming->matrixObjectives->matrixObj[i] = new MatrixObj();
    parserData->kounter = 0;
}
    break;

  case 235: /* matrixObj: matrixObjStart matrixObjAttributes matrixObjEnd  */
{
    parserData->kounter += osglData->mult;
}
    break;

  case 236: /* matrixObjStart: MATRIXOBJSTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osglData->multPresent = false;
    osglData->mult = 1;
    parserData->templateMatrixIdxPresent = false;
    parserData->objReferenceMatrixIdxPresent = false;
    parserData->orderConeIdxPresent = false;
    parserData->constantMatrixIdxPresent = false;
}
    break;

  case 237: /* matrixObjAttributes: matrixObjAttList  */
{
    if (osglData->numberOfRowsPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute \"numberOfRows\" missing");
    if (osglData->numberOfColumnsPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute \"numberOfColumns\" missing");
    if (parserData->kounter + osglData->mult > parserData->numberOfMatrixObj) 
        parserData->parser_errors += 
            addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of matrixObj greater than number attribute");
    for (int i=0; i<osglData->mult; i++)
    {
        osinstance->instanceData->matrixProgramming->matrixObjectives->matrixObj[parserData->kounter+i]->numberOfRows
            = osglData->numberOfRows;
        osinstance->instanceData->matrixProgramming->matrixObjectives->matrixObj[parserData->kounter+i]->numberOfColumns
                = osglData->numberOfColumns;
        if (osglData->namePresent)
            osinstance->instanceData->matrixProgramming->matrixObjectives->matrixObj[parserData->kounter+i]->name
                = osglData->name;
        if (parserData->templateMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixObjectives->matrixObj[parserData->kounter+i]->templateMatrixIdx
                = parserData->templateMatrixIdx;
        if (parserData->objReferenceMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixObjectives->matrixObj[parserData->kounter+i]->objReferenceMatrixIdx
                = parserData->objReferenceMatrixIdx;
        if (parserData->orderConeIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixObjectives->matrixObj[parserData->kounter+i]->orderConeIdx
                = parserData->orderConeIdx;
        if (parserData->constantMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixObjectives->matrixObj[parserData->kounter+i]->constantMatrixIdx
                = parserData->constantMatrixIdx;
    }
}
    break;

  case 251: /* matrixConstraints: matrixConstraintsStart matrixConstraintsAttributes matrixConstraintsContent  */
    {  
        if (parserData->kounter < parserData->numberOfMatrixCon)  
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of matrixCon less than number attribute");   
    }
    break;

  case 252: /* matrixConstraintsStart: MATRIXCONSTRAINTSSTART  */
{
    osinstance->instanceData->matrixProgramming->matrixConstraints = new MatrixConstraints(); 
}
    break;

  case 253: /* matrixConstraintsAttributes: numberOfMatrixConATT  */
{
    osinstance->instanceData->matrixProgramming->matrixConstraints->numberOfMatrixCon = parserData->numberOfMatrixCon;
    osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon
        = new MatrixCon*[parserData->numberOfMatrixCon];
    for (int i=0; i < parserData->numberOfMatrixCon; i++)
        osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[i] = new MatrixCon();
    parserData->kounter = 0;
}
    break;

  case 261: /* matrixCon: matrixConStart matrixConAttributes matrixConEnd  */
{
    parserData->kounter += osglData->mult;
}
    break;

  case 262: /* matrixConStart: MATRIXCONSTART  */
{
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osglData->multPresent = false;
    osglData->mult = 1;
    parserData->templateMatrixIdxPresent = false;
    parserData->conReferenceMatrixIdxPresent = false;
    parserData->lbMatrixIdxPresent = false;
    parserData->lbConeIdxPresent = false;
    parserData->ubMatrixIdxPresent = false;
    parserData->ubConeIdxPresent = false;
}
    break;

  case 263: /* matrixConAttributes: matrixConAttList  */
{
    if (osglData->numberOfRowsPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute \"numberOfRows\" missing");
    if (osglData->numberOfColumnsPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute \"numberOfColumns\" missing");
    if (parserData->kounter + osglData->mult > parserData->numberOfMatrixCon) 
        parserData->parser_errors += 
            addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of matrixCon greater than number attribute");
    for (int i=0; i<osglData->mult; i++)
    {
        osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[parserData->kounter+i]->numberOfRows
            = osglData->numberOfRows;
        osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[parserData->kounter+i]->numberOfColumns
            = osglData->numberOfColumns;
        if (osglData->namePresent)
            osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[parserData->kounter+i]->name
                = osglData->name;
        if (parserData->templateMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[parserData->kounter+i]->templateMatrixIdx
                = parserData->templateMatrixIdx;
        if (parserData->conReferenceMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[parserData->kounter+i]->conReferenceMatrixIdx
                = parserData->conReferenceMatrixIdx;
        if (parserData->lbMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[parserData->kounter+i]->lbMatrixIdx
                = parserData->lbMatrixIdx;
        if (parserData->lbConeIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[parserData->kounter+i]->lbConeIdx
                = parserData->lbConeIdx;
        if (parserData->ubMatrixIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[parserData->kounter+i]->ubMatrixIdx
                = parserData->ubMatrixIdx;
        if (parserData->ubConeIdxPresent)
            osinstance->instanceData->matrixProgramming->matrixConstraints->matrixCon[parserData->kounter+i]->ubConeIdx
                = parserData->ubConeIdx;
    }
}
    break;

  case 279: /* timeDomainStart: TIMEDOMAINSTART  */
                                 {osinstance->instanceData->timeDomain = new TimeDomain();}
    break;

  case 286: /* stages: stagesstart osilNumberofstagesATT stagelist STAGESEND  */
{
    if( osinstance->instanceData->timeDomain->stages->numberOfStages > parserData->stagecount )
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of stages less than numberOfStages");
 /* After stages have been processed, make sure that all variables and constraints have been assigned
  * to a stage (uniquely) and all objectives have been assigned as well (possibly more than once).
  * For future reference also record the stage to which each variable and constraint belongs. 
  */
    parserData->m_miVarStageInfo = new int [ osinstance->instanceData->variables->numberOfVariables ];
    parserData->m_miObjStageInfo = new int [ osinstance->instanceData->objectives->numberOfObjectives ];
    parserData->m_miConStageInfo = new int [ osinstance->instanceData->constraints->numberOfConstraints ];
    parserData->nvarcovered = 0;
    for (int i = 0; i < osinstance->instanceData->variables->numberOfVariables; i++)
         parserData->m_miVarStageInfo[i] = -1;
    for (int i = 0; i < osinstance->instanceData->objectives->numberOfObjectives; i++)
         parserData->m_miObjStageInfo[i] = -1;
    for (int i = 0; i < osinstance->instanceData->constraints->numberOfConstraints; i++)
         parserData->m_miConStageInfo[i] = -1;
    for (int k = 0; k < osinstance->instanceData->timeDomain->stages->numberOfStages; k++)
        {for (int i = 0; i < osinstance->instanceData->timeDomain->stages->stage[k]->variables->numberOfVariables; i++)
            {            
            if (parserData->m_miVarStageInfo[ osinstance->instanceData->timeDomain->stages->stage[k]->variables->var[i]->idx ] != -1)
                    parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "variable belongs to two stages");
                parserData->m_miVarStageInfo[ osinstance->instanceData->timeDomain->stages->stage[k]->variables->var[i]->idx ] = k;
            };
         parserData->nvarcovered += osinstance->instanceData->timeDomain->stages->stage[k]->variables->numberOfVariables;
        };
    if (parserData->nvarcovered != osinstance->instanceData->variables->numberOfVariables)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "some variables not assigned to any stage");
    parserData->nconcovered = 0;
    for (int k = 0; k < osinstance->instanceData->timeDomain->stages->numberOfStages; k++)
        {for (int i = 0; i < osinstance->instanceData->timeDomain->stages->stage[k]->constraints->numberOfConstraints; i++)
            {if (parserData->m_miConStageInfo[ osinstance->instanceData->timeDomain->stages->stage[k]->constraints->con[i]->idx ] != -1)
                parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "constraint belongs to two stages");
                 parserData->m_miConStageInfo[ osinstance->instanceData->timeDomain->stages->stage[k]->constraints->con[i]->idx ] = k;
            };
         parserData->nconcovered += osinstance->instanceData->timeDomain->stages->stage[k]->constraints->numberOfConstraints;
        };
    if (parserData->nconcovered != osinstance->instanceData->constraints->numberOfConstraints)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "some constraints not assigned to any stage");
    for (int k = 0; k < osinstance->instanceData->timeDomain->stages->numberOfStages; k++)
        { for (int i = 0; i < osinstance->instanceData->timeDomain->stages->stage[k]->objectives->numberOfObjectives; i++)
            { if (parserData->m_miObjStageInfo[ -osinstance->instanceData->timeDomain->stages->stage[k]->objectives->obj[i]->idx-1 ] == -1)
                    parserData->m_miObjStageInfo[ -osinstance->instanceData->timeDomain->stages->stage[k]->objectives->obj[i]->idx-1 ] = k;
            };
        };
    for (int i = 0; i < osinstance->instanceData->objectives->numberOfObjectives; i++)
        if (parserData->m_miObjStageInfo[i] == -1)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "some objectives not assigned to any stage");
}
    break;

  case 287: /* stagesstart: STAGESSTART  */
                         {osinstance->instanceData->timeDomain->stages = new TimeDomainStages();}
    break;

  case 288: /* osilNumberofstagesATT: NUMBEROFSTAGESATT QUOTE INTEGER QUOTE GREATERTHAN  */
                                                                         {
    if ( *(yyvsp[-3].sval) != *(yyvsp[-1].sval) ) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if ((yyvsp[-2].ival) < 1) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of stages must be positive");
    osinstance->instanceData->timeDomain->stages->numberOfStages = (yyvsp[-2].ival);
    if (osinstance->instanceData->timeDomain->stages->numberOfStages > 0 )
        osinstance->instanceData->timeDomain->stages->stage = new TimeDomainStage*[ (yyvsp[-2].ival) ];
    for(int i = 0; i < (yyvsp[-2].ival); i++) 
    {    osinstance->instanceData->timeDomain->stages->stage[i] = new TimeDomainStage();
        osinstance->instanceData->timeDomain->stages->stage[i]->variables   = new TimeDomainStageVariables();
        osinstance->instanceData->timeDomain->stages->stage[i]->constraints = new TimeDomainStageConstraints();
        osinstance->instanceData->timeDomain->stages->stage[i]->objectives  = new TimeDomainStageObjectives();
    }
}
    break;

  case 291: /* $@1: %empty  */
       {
    if( osinstance->instanceData->timeDomain->stages->numberOfStages <= parserData->stagecount)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many stages");
    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->numberOfVariables = 0;
    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->numberOfConstraints = 0;
    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->numberOfObjectives = 0;
}
    break;

  case 292: /* stage: $@1 STAGESTART osilStagenameATT stageend  */
                                     { /* set defaults for next stage */
    parserData->stagenameON = false;
    parserData->stageVariablesON = false;
    parserData->stageObjectivesON = false;
    parserData->stageConstraintsON = false;
    parserData->stageVariablesOrdered = false;
    parserData->stageObjectivesOrdered = false;
    parserData->stageConstraintsOrdered = false;
    parserData->stageVariableStartIdx = 0;
    parserData->stageObjectiveStartIdx = 0;
    parserData->stageConstraintStartIdx = 0;
    parserData->stagevarcount = 0;
    parserData->stageconcount = 0;
    parserData->stageobjcount = 0;
    parserData->stagecount++;
}
    break;

  case 294: /* osilStagenameATT: NAMEATT ATTRIBUTETEXT QUOTE  */
                                      {
          osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->name = (yyvsp[-1].sval); free((yyvsp[-1].sval));}
    break;

  case 299: /* stagevariables: VARIABLESSTART anotherstagevarATT restofstagevariables  */
                                                               {
        parserData->stageVariablesON = true;
        }
    break;

  case 304: /* osilNumberofstagevariablesATT: NUMBEROFVARIABLESATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of variables cannot be negative");
    if ((yyvsp[-1].ival) > osinstance->instanceData->variables->numberOfVariables)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many variables in this stage");         
    if ((yyvsp[-1].ival) > 0) {
        if (osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->numberOfVariables > 0)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "duplicate attribute numberOfVariables");
        osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->numberOfVariables = (yyvsp[-1].ival);
        osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->var = new TimeDomainStageVar*[ (yyvsp[-1].ival) ];
        for (int i = 0; i < (yyvsp[-1].ival); i++) 
        {    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->var[i] = new TimeDomainStageVar;
            osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->var[i]->idx = 0; 
        }
    };
}
    break;

  case 305: /* osilStagevarstartidxATT: STARTIDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->stageVariablesOrdered == true) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "duplicate attribute");
    if ((yyvsp[-1].ival) < 0 && (yyvsp[-1].ival) >= osinstance->instanceData->variables->numberOfVariables)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "variable index out of range");
    parserData->stageVariablesOrdered = true;
    parserData->stageVariableStartIdx = (yyvsp[-1].ival);
}
    break;

  case 306: /* restofstagevariables: emptyvarlist  */
                                   {
    if ((parserData->stageVariablesOrdered != true) && 
         (osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->numberOfVariables > 0) ) 
          parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "varlist missing");
    for (int i = 0; i < osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->numberOfVariables; i++)
        osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->var[i]->idx = parserData->stageVariableStartIdx + i;
    }
    break;

  case 307: /* restofstagevariables: GREATERTHAN stagevarlist VARIABLESEND  */
                                            {
      if (parserData->stagevarcount < osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->numberOfVariables)
          parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too few variables supplied");
      }
    break;

  case 312: /* $@2: %empty  */
          {if (parserData->stageVariablesOrdered == true) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "no varlist expected");}
    break;

  case 314: /* osilStagevaridxATT: IDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->variables->numberOfVariables)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "variable index out of range");         
    if (parserData->stagevarcount >= osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->numberOfVariables) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many variables in this stage");
    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->variables->var[parserData->stagevarcount]->idx = (yyvsp[-1].ival);
    parserData->stagevarcount++;
}
    break;

  case 318: /* stageconstraints: CONSTRAINTSSTART anotherstageconATT restofstageconstraints  */
                                                                   {
        parserData->stageConstraintsON = true;
    }
    break;

  case 323: /* osilNumberofstageconstraintsATT: NUMBEROFCONSTRAINTSATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of constraints cannot be negative");
    if ((yyvsp[-1].ival) > osinstance->instanceData->constraints->numberOfConstraints)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many constraints in this stage");         
    if ((yyvsp[-1].ival) > 0) {
        if (osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->numberOfConstraints > 0)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "duplicate attribute numberOfConstraints");
        osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->numberOfConstraints = (yyvsp[-1].ival);
        osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->con = new TimeDomainStageCon*[ (yyvsp[-1].ival) ];
        for (int i = 0; i < (yyvsp[-1].ival); i++) 
        {    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->con[i] = new TimeDomainStageCon;
            osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->con[i]->idx = 0; 
        }
    };
}
    break;

  case 324: /* osilStageconstartidxATT: STARTIDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->stageConstraintsOrdered == true) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "duplicate attribute");
    if ((yyvsp[-1].ival) < 0 && (yyvsp[-1].ival) >= osinstance->instanceData->constraints->numberOfConstraints)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "constraint index out of range");
    parserData->stageConstraintsOrdered = true;
    parserData->stageConstraintStartIdx = (yyvsp[-1].ival);
}
    break;

  case 325: /* restofstageconstraints: emptyconlist  */
                                     {
    if ((parserData->stageConstraintsOrdered != true) && 
         (osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->numberOfConstraints > 0) ) 
          parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "conlist missing");
    for (int i = 0; i < osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->numberOfConstraints; i++)
        osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->con[i]->idx = parserData->stageConstraintStartIdx + i;
    }
    break;

  case 326: /* restofstageconstraints: GREATERTHAN stageconlist CONSTRAINTSEND  */
                                              {
      if (parserData->stageconcount < osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->numberOfConstraints)
          parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too few constraints supplied");
      }
    break;

  case 331: /* $@3: %empty  */
          {if (parserData->stageConstraintsOrdered == true) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "no conlist expected");}
    break;

  case 333: /* osilStageconidxATT: IDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->constraints->numberOfConstraints)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "constraint index out of range");         
    if (parserData->stageconcount >= osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->numberOfConstraints) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many constraints in this stage");
    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->constraints->con[parserData->stageconcount]->idx = (yyvsp[-1].ival);
    parserData->stageconcount++;
}
    break;

  case 336: /* stageobjectives: %empty  */
                 { /* By default, an objective belongs to every stage */
            osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->numberOfObjectives = 
                osinstance->instanceData->objectives->numberOfObjectives;
            osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->obj = 
                new TimeDomainStageObj*[ osinstance->instanceData->objectives->numberOfObjectives ];
            for (int i = 0; i < osinstance->instanceData->objectives->numberOfObjectives; i++) 
            {    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->obj[i] = new TimeDomainStageObj;
                osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->obj[i]->idx = -(i+1); 
            }
    }
    break;

  case 337: /* stageobjectives: OBJECTIVESSTART anotherstageobjATT restofstageobjectives  */
                                                               {
      parserData->stageObjectivesON = true;
    }
    break;

  case 342: /* osilNumberofstageobjectivesATT: NUMBEROFOBJECTIVESATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of objectives cannot be negative");
    if ((yyvsp[-1].ival) > osinstance->instanceData->objectives->numberOfObjectives)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many objectives in this stage");         
    if ((yyvsp[-1].ival) > 0) {
        if (osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->numberOfObjectives > 0)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "duplicate attribute numberOfObjectives");
        osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->numberOfObjectives = (yyvsp[-1].ival);
        osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->obj = new TimeDomainStageObj*[ (yyvsp[-1].ival) ];
        for (int i = 0; i < (yyvsp[-1].ival); i++) 
        {    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->obj[i] = new TimeDomainStageObj;
            osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->obj[i]->idx = 0; 
        }
    };
}
    break;

  case 343: /* restofstageobjectives: emptyobjlist  */
                                    {
    if ((parserData->stageObjectivesOrdered != true) && 
         (osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->numberOfObjectives > 0) ) 
          parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "objlist missing");
    for (int i = 0; i < osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->numberOfObjectives; i++)
        osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->obj[i]->idx = parserData->stageObjectiveStartIdx - i;
    }
    break;

  case 344: /* restofstageobjectives: GREATERTHAN stageobjlist OBJECTIVESEND  */
                                             {
      if (parserData->stageobjcount < osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->numberOfObjectives)
          parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too few objectives supplied");
    }
    break;

  case 349: /* $@4: %empty  */
          {if (parserData->stageObjectivesOrdered == true) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "no objlist expected");}
    break;

  case 351: /* osilStageobjidxATT: IDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if ((yyvsp[-1].ival) >= 0 || (yyvsp[-1].ival) >= -osinstance->instanceData->objectives->numberOfObjectives - 1)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "objective index out of range");         
    if (parserData->stageobjcount >= osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->numberOfObjectives) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many objectives in this stage");
    osinstance->instanceData->timeDomain->stages->stage[parserData->stagecount]->objectives->obj[parserData->stageobjcount]->idx = (yyvsp[-1].ival);
    parserData->stageobjcount++;
}
    break;

  case 354: /* $@5: %empty  */
        {osinstance->instanceData->timeDomain->interval = new TimeDomainInterval();
        }
    break;

  case 355: /* interval: $@5 INTERVALSTART anotherIntervalATT intervalend  */
                                                     {
        parserData->intervalhorizonON = false;
        parserData->intervalstartON = false;
        printf("Interval not yet supported.\n\n");
}
    break;

  case 360: /* intervalatt: osilIntervalhorizonATT  */
        { if(parserData->intervalhorizonON) 
       parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many interval horizon attributes");
        parserData->intervalhorizonON = true; }
    break;

  case 361: /* intervalatt: osilIntervalstartATT  */
        { if(parserData->intervalstartON) 
       parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many interval start attributes");
        parserData->intervalstartON = true; }
    break;

  case 362: /* osilStageobjstartidxATT: STARTIDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->stageObjectivesOrdered == true) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "duplicate attribute");
    if ((yyvsp[-1].ival) >= 0 && (yyvsp[-1].ival) <= -osinstance->instanceData->objectives->numberOfObjectives - 1)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "objective index out of range");
    parserData->stageObjectivesOrdered = true;
    parserData->stageObjectiveStartIdx = (yyvsp[-1].ival);
}
    break;

  case 363: /* osilIntervalhorizonATT: HORIZONATT QUOTE aNumber QUOTE  */
{
        if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
        parserData->intervalhorizon = parserData->tempVal;}
    break;

  case 364: /* osilIntervalstartATT: STARTATT QUOTE aNumber QUOTE  */
                                                   {
        if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
        parserData->intervalstart = parserData->tempVal;}
    break;

  case 365: /* numberOfMatricesATT: NUMBEROFMATRICESATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (osglData->numberOfMatricesPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfMatrices attribute previously set");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <matrix> elements cannot be negative");
    osglData->numberOfMatricesPresent = true;
    osglData->numberOfMatrices = (yyvsp[-1].ival);
}
    break;

  case 366: /* numberOfConesATT: NUMBEROFCONESATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->numberOfConesPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfCones attribute previously set");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <cone> elements cannot be negative");
    parserData->numberOfConesPresent = true;
    parserData->numberOfCones = (yyvsp[-1].ival); 
}
    break;

  case 367: /* numberOfMatrixVarATT: NUMBEROFMATRIXVARATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of matrix variables cannot be negative");
    parserData->numberOfMatrixVar = (yyvsp[-1].ival); 
}
    break;

  case 368: /* numberOfMatrixObjATT: NUMBEROFMATRIXOBJATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of matrix objectives cannot be negative");
    parserData->numberOfMatrixObj = (yyvsp[-1].ival); 
}
    break;

  case 369: /* numberOfMatrixConATT: NUMBEROFMATRIXCONATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of matrix constraints cannot be negative");
    parserData->numberOfMatrixCon = (yyvsp[-1].ival); 
}
    break;

  case 370: /* normScaleFactorATT: NORMSCALEFACTORATT QUOTE aNumber QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->normScaleFactorPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "normScaleFactor attribute previously set");
    if (parserData->tempVal <= 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "scale factor must be positive");
    parserData->normScaleFactorPresent = true;
    parserData->normScaleFactor = parserData->tempVal; 
}
    break;

  case 371: /* distortionMatrixIdxATT: DISTORTIONMATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->distortionMatrixPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "distortionMatrixIdx attribute previously set");
    if ((yyvsp[-1].ival) <= 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "distortion matrix index cannot be negative");
    parserData->distortionMatrixPresent = true;
    parserData->distortionMatrix = (yyvsp[-1].ival); 
}
    break;

  case 372: /* axisDirectionATT: AXISDIRECTIONATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->axisDirectionPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "axisDirection attribute previously set");
    if ((yyvsp[-1].ival) <= 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "axis direction index cannot be negative");
    parserData->axisDirectionPresent = true;
    parserData->axisDirection = (yyvsp[-1].ival); 
}
    break;

  case 373: /* firstAxisDirectionATT: FIRSTAXISDIRECTIONATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->firstAxisDirectionPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "firstAxisDirection attribute previously set");
    if ((yyvsp[-1].ival) <= 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "axis direction index cannot be negative");
    parserData->firstAxisDirectionPresent = true;
    parserData->firstAxisDirection = (yyvsp[-1].ival); 
}
    break;

  case 374: /* secondAxisDirectionATT: SECONDAXISDIRECTIONATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->secondAxisDirectionPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "secondAxisDirection attribute previously set");
    if ((yyvsp[-1].ival) <= 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "axis direction index cannot be negative");
    parserData->secondAxisDirectionPresent = true;
    parserData->secondAxisDirection = (yyvsp[-1].ival); 
}
    break;

  case 375: /* semidefinitenessATT: SEMIDEFINITENESSATT ATTRIBUTETEXT QUOTE  */
{
    if (parserData->semidefinitenessPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "name attribute previously set");
    parserData->semidefinitenessPresent = true;
    if (strcmp((yyvsp[-1].sval), "positive") && strcmp((yyvsp[-1].sval), "negative"))
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "semidefiniteness must be either \"positive\" or \"negative\"");
    else
        parserData->semidefiniteness = (yyvsp[-1].sval); 
    free((yyvsp[-1].sval));
}
    break;

  case 376: /* matrixIdxATT: MATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->matrixIdxPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "matrixIdx attribute previously set");
    if ((yyvsp[-1].ival) <= 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "matrix index cannot be negative");
    parserData->matrixIdxPresent = true;
    parserData->matrixIdx = (yyvsp[-1].ival); 
}
    break;

  case 377: /* lbMatrixIdxATT: LBMATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (parserData->lbMatrixIdxPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one lbMatrix attribute allowed");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->matrices->numberOfMatrices)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "illegal value for lbMatrix attribute");
    parserData->lbMatrixIdxPresent = true;
    parserData->lbMatrixIdx = (yyvsp[-1].ival);
}
    break;

  case 378: /* ubMatrixIdxATT: UBMATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (parserData->ubMatrixIdxPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one ubMatrix attribute allowed");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->matrices->numberOfMatrices)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "illegal value for ubMatrix attribute");
    parserData->ubMatrixIdxPresent = true;
    parserData->ubMatrixIdx = (yyvsp[-1].ival);
}
    break;

  case 379: /* constantMatrixIdxATT: CONSTANTMATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (parserData->constantMatrixIdxPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one constant matrix attribute allowed");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->matrices->numberOfMatrices)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "illegal value for constant matrix attribute");
    parserData->constantMatrixIdxPresent = true;
    parserData->constantMatrixIdx = (yyvsp[-1].ival);
}
    break;

  case 380: /* templateMatrixIdxATT: TEMPLATEMATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
    if (parserData->templateMatrixIdxPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "templateMatrixIdx attribute previously set");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->matrices->numberOfMatrices)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "template matrix index cannot be negative");
    parserData->templateMatrixIdxPresent = true;
    parserData->templateMatrixIdx = (yyvsp[-1].ival); 
}
    break;

  case 381: /* varReferenceMatrixIdxATT: VARREFERENCEMATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (parserData->varReferenceMatrixIdxPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one varReference matrix attribute allowed");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->matrices->numberOfMatrices)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "illegal value for varReference matrix attribute");
    parserData->varReferenceMatrixIdxPresent = true;
    parserData->varReferenceMatrixIdx = (yyvsp[-1].ival);
}
    break;

  case 382: /* objReferenceMatrixIdxATT: OBJREFERENCEMATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (parserData->objReferenceMatrixIdxPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one objReference matrix attribute allowed");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->matrices->numberOfMatrices)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "illegal value for objReference matrix attribute");
    parserData->objReferenceMatrixIdxPresent = true;
    parserData->objReferenceMatrixIdx = (yyvsp[-1].ival);
}
    break;

  case 383: /* conReferenceMatrixIdxATT: CONREFERENCEMATRIXIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (parserData->conReferenceMatrixIdxPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one conReference matrix attribute allowed");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->matrices->numberOfMatrices)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "illegal value for conReference matrix attribute");
    parserData->conReferenceMatrixIdxPresent = true;
    parserData->conReferenceMatrixIdx = (yyvsp[-1].ival);
}
    break;

  case 384: /* lbConeIdxATT: LBCONEIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (parserData->lbConeIdxPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one lbCone attribute allowed");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->cones->numberOfCones)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "illegal value for lbCone attribute");
    parserData->lbConeIdxPresent = true;
    parserData->lbConeIdx = (yyvsp[-1].ival);
}
    break;

  case 385: /* ubConeIdxATT: UBCONEIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (parserData->ubConeIdxPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one ubCone attribute allowed");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->cones->numberOfCones)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "illegal value for ubCone attribute");
    parserData->ubConeIdxPresent = true;
    parserData->ubConeIdx = (yyvsp[-1].ival);
}
    break;

  case 386: /* orderConeIdxATT: ORDERCONEIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (parserData->orderConeIdxPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one orderCone attribute allowed");
    if ((yyvsp[-1].ival) < 0 || (yyvsp[-1].ival) >= osinstance->instanceData->cones->numberOfCones)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "illegal value for orderCone attribute");
    parserData->orderConeIdxPresent = true;
    parserData->orderConeIdx = (yyvsp[-1].ival);
}
    break;

  case 387: /* aNumber: xmlWhiteSpace INTEGER xmlWhiteSpace  */
                                        {parserData->tempVal = (yyvsp[-1].ival);}
    break;

  case 388: /* aNumber: xmlWhiteSpace DOUBLE xmlWhiteSpace  */
                                        {parserData->tempVal = (yyvsp[-1].dval);}
    break;

  case 396: /* osglIntArrayData: osglIntVectorElArray  */
    {
         if (osglData->osglCounter < osglData->numberOfEl)
        {
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "fewer data elements than specified");
            parserData->ignoreDataAfterErrors = true;
        }
    }
    break;

  case 401: /* osglIntVectorElStart: ELSTART  */
{    
    osglData->multPresent = false;
    osglData->incrPresent = false;
    osglData->mult = 1;
    osglData->incr = 0;
}
    break;

  case 407: /* osglIntVectorElContent: GREATERTHAN INTEGER ELEND  */
{
    if (osglData->osglCounter + osglData->mult > osglData->numberOfEl)
    {
        if (!parserData->suppressFurtherErrorMessages)
        {
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more data elements than specified");
            parserData->suppressFurtherErrorMessages = true;
            parserData->ignoreDataAfterErrors = true;
        }
    }
    else
        for (int i=0; i<osglData->mult; i++)
            osglData->osglIntArray[osglData->osglCounter++] = (yyvsp[-1].ival) + i*osglData->incr;    
}
    break;

  case 413: /* osglIntVectorBase64Laden: GREATERTHAN ELEMENTTEXT BASE64END  */
{
    char* b64string = (yyvsp[-1].sval);
    if( b64string == NULL) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "base 64 data expected"); 
    if (osglData->base64Size != sizeof(int))
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "base 64 encoded with a size of int different than on this machine"); 

    std::string base64decodeddata = Base64::decodeb64( b64string );
    int base64decodeddatalength = base64decodeddata.length();
    int *intvec = NULL;
    if ( osglData->numberOfEl != (base64decodeddatalength/osglData->base64Size) )
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "base 64 data length does not match numberOfEl"); 
    else
    {
        intvec = (int*)&base64decodeddata[0];
        for(int i = 0; i < (base64decodeddatalength/osglData->base64Size); i++)
        {
            osglData->osglIntArray[i] = *(intvec++);
        }
    }
    //delete[] b64string;
    free((yyvsp[-1].sval));
}
    break;

  case 414: /* osglDblArrayData: osglDblVectorElArray  */
    {
        if (osglData->osglCounter < osglData->numberOfEl)
        {
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "fewer data elements than specified");
            parserData->ignoreDataAfterErrors = true;
        }
    }
    break;

  case 419: /* osglDblVectorElStart: ELSTART  */
{    
    osglData->multPresent = false;
    osglData->incrPresent = false;
    osglData->mult = 1;
}
    break;

  case 422: /* osglDblVectorElContent: GREATERTHAN aNumber ELEND  */
{
    if (osglData->osglCounter + osglData->mult > osglData->numberOfEl)
    {
        if (!parserData->suppressFurtherErrorMessages)
        {
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more data elements than specified");
            parserData->suppressFurtherErrorMessages = true;
            parserData->ignoreDataAfterErrors = true;
        }
    }
    else
        for (int i=0; i<osglData->mult; i++)
            osglData->osglDblArray[osglData->osglCounter++] = parserData->tempVal;    
}
    break;

  case 428: /* osglDblVectorBase64Laden: GREATERTHAN ELEMENTTEXT BASE64END  */
{
    char* b64string = (yyvsp[-1].sval);
    if( b64string == NULL) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "base 64 data expected"); 
    if (osglData->base64Size != sizeof(int))
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "base 64 encoded with a size of int different than on this machine"); 

    std::string base64decodeddata = Base64::decodeb64( b64string );
    int base64decodeddatalength = base64decodeddata.length();
    double *dblvec = NULL;
    if ( osglData->numberOfEl != (base64decodeddatalength/osglData->base64Size) )
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "base 64 data length does not match numberOfEl"); 
    else
    {
        dblvec = (double*)&base64decodeddata[0];
        for(int i = 0; i < (base64decodeddatalength/osglData->base64Size); i++)
        {
            osglData->osglDblArray[i] = *(dblvec++);
        }
    }
    //delete[] b64string;
    free((yyvsp[-1].sval));
}
    break;

  case 429: /* osglMatrix: matrixStart matrixAttributes matrixContent  */
{
//  IMPORTANT -- HERE IS WHERE WE CREATE THE CONSTRUCTOR LISTS
    osglData->matrix[osglData->matrixCounter] = 
        ((OSMatrix*)osglData->mtxConstructorVec[0])->createConstructorTreeFromPrefix(osglData->mtxConstructorVec);
    osglData->matrix[osglData->matrixCounter]->idx = osglData->matrixCounter;
    osglData->matrixCounter++;
}
    break;

  case 430: /* matrixStart: MATRIXSTART  */
{
    if (osglData->matrixCounter >= osglData->numberOfMatrices)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more matrices than specified");
    osglData->symmetryPresent = false;
    osglData->typePresent = false;
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osglData->mtxConstructorVec.clear();
    osglData->mtxBlocksVec.clear();
    osglData->mtxBlkVec.clear();
    osglData->nBlocksVec.clear();

    /**
     *  The <matrix> tag combines the functions of the <nl> tag and the top OSnLNode,
     *  so we also initial the storage vectors here
     */
    osglData->tempC = new OSMatrix();
    osglData->mtxConstructorVec.push_back((OSMatrix*)osglData->tempC);
    osglData->mtxBlkVec.push_back((OSMatrix*)osglData->tempC);
}
    break;

  case 431: /* matrixAttributes: matrixAttributeList  */
{
    if (osglData->numberOfRowsPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute numberOfRows is missing");    
    else
        ((OSMatrix*)osglData->tempC)->numberOfRows = osglData->numberOfRows;
    if (osglData->numberOfColumnsPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute numberOfColumns is missing");
    else
        ((OSMatrix*)osglData->tempC)->numberOfColumns = osglData->numberOfColumns;
    if (osglData->symmetryPresent == true)
        ((OSMatrix*)osglData->tempC)->symmetry = (ENUM_MATRIX_SYMMETRY)returnMatrixSymmetry(osglData->symmetry);
    if (osglData->namePresent == true)
        ((OSMatrix*)osglData->tempC)->name = osglData->name;
    if (osglData->typePresent == true)
        ((OSMatrix*)osglData->tempC)->matrixType = (ENUM_MATRIX_TYPE)returnMatrixType(osglData->type);
}
    break;

  case 439: /* matrixVarStart: MATRIXVARSTART  */
{
    if (osglData->matrixCounter >= osglData->numberOfMatrixVar)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more matrices than specified");
    osglData->symmetryPresent = false;
    osglData->typePresent = false;
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osglData->matrixVarIdxPresent = false;

    osglData->mtxConstructorVec.clear();
    osglData->mtxBlocksVec.clear();
    osglData->mtxBlkVec.clear();
    osglData->nBlocksVec.clear();

    /**
     *  The <matrix> tag combines the functions of the <nl> tag and the top OSnLNode,
     *  so we also initial the storage vectors here
     */
    osglData->tempC = new OSMatrixWithMatrixVarIdx();
    osglData->mtxConstructorVec.push_back((OSMatrixWithMatrixVarIdx*)osglData->tempC);
    osglData->mtxBlkVec.push_back((OSMatrixWithMatrixVarIdx*)osglData->tempC);
}
    break;

  case 440: /* matrixObjStart: MATRIXOBJSTART  */
{
    if (osglData->matrixCounter >= osglData->numberOfMatrixObj)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more matrices than specified");
    osglData->symmetryPresent = false;
    osglData->typePresent = false;
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osglData->matrixObjIdxPresent = false;

    osglData->mtxConstructorVec.clear();
    osglData->mtxBlocksVec.clear();
    osglData->mtxBlkVec.clear();
    osglData->nBlocksVec.clear();

    /**
     *  The <matrix> tag combines the functions of the <nl> tag and the top OSnLNode,
     *  so we also initial the storage vectors here
     */
    osglData->tempC = new OSMatrixWithMatrixObjIdx();
    osglData->mtxConstructorVec.push_back((OSMatrixWithMatrixObjIdx*)osglData->tempC);
    osglData->mtxBlkVec.push_back((OSMatrixWithMatrixObjIdx*)osglData->tempC);
}
    break;

  case 441: /* matrixConStart: MATRIXCONSTART  */
{
    if (osglData->matrixCounter >= osglData->numberOfMatrixCon)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more matrices than specified");
    osglData->symmetryPresent = false;
    osglData->typePresent = false;
    osglData->numberOfRowsPresent = false;
    osglData->numberOfColumnsPresent = false;
    osglData->namePresent = false;
    osglData->matrixConIdxPresent = false;

    osglData->mtxConstructorVec.clear();
    osglData->mtxBlocksVec.clear();
    osglData->mtxBlkVec.clear();
    osglData->nBlocksVec.clear();

    /**
     *  The <matrix> tag combines the functions of the <nl> tag and the top OSnLNode,
     *  so we also initial the storage vectors here
     */
    osglData->tempC = new OSMatrixWithMatrixConIdx();
    osglData->mtxConstructorVec.push_back((OSMatrixWithMatrixConIdx*)osglData->tempC);
    osglData->mtxBlkVec.push_back((OSMatrixWithMatrixConIdx*)osglData->tempC);
}
    break;

  case 445: /* matrixLaden: GREATERTHAN matrixBody MATRIXEND  */
{
    osglData->mtxBlkVec.back()->m_mChildren = 
        new MatrixNode*[osglData->mtxBlkVec.back()->inumberOfChildren];
    osglData->mtxBlkVec.pop_back();
}
    break;

  case 448: /* baseMatrix: baseMatrixStart baseMatrixAttributes baseMatrixEnd  */
{
    osglData->mtxBlkVec.back()->inumberOfChildren++; 
}
    break;

  case 449: /* baseMatrixStart: BASEMATRIXSTART  */
{
    osglData->tempC = new BaseMatrix();
    osglData->mtxConstructorVec.push_back((BaseMatrix*)osglData->tempC);

    osglData->baseMatrixIdxPresent = false;
    osglData->targetMatrixFirstRowPresent = false;
    osglData->targetMatrixFirstColPresent = false;
    osglData->baseMatrixStartRowPresent = false;
    osglData->baseMatrixStartColPresent = false;
    osglData->baseMatrixEndRowPresent = false;
    osglData->baseMatrixEndColPresent = false;
    osglData->baseTransposePresent = false;
    osglData->scalarMultiplierPresent = false;
    osglData->baseMatrixEndRow = -1;
    osglData->baseMatrixEndCol = -1;
}
    break;

  case 450: /* baseMatrixAttributes: baseMatrixAttList  */
{
    if (osglData->baseMatrixIdxPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute baseMatrixIdx is missing");
    else
    {
        ((BaseMatrix*)osglData->tempC)->baseMatrixIdx = osglData->baseMatrixIdx;
        ((BaseMatrix*)osglData->tempC)->baseMatrix = (OSMatrix*)osglData->matrix[osglData->baseMatrixIdx];
    }
    if (osglData->targetMatrixFirstRowPresent == true)
        ((BaseMatrix*)osglData->tempC)->targetMatrixFirstRow = osglData->targetMatrixFirstRow;
    if (osglData->targetMatrixFirstColPresent == true)
        ((BaseMatrix*)osglData->tempC)->targetMatrixFirstCol = osglData->targetMatrixFirstCol;
    if (osglData->baseMatrixStartRowPresent == true)
        ((BaseMatrix*)osglData->tempC)->baseMatrixStartRow = osglData->baseMatrixStartRow;
    if (osglData->baseMatrixStartColPresent == true)
        ((BaseMatrix*)osglData->tempC)->baseMatrixStartCol = osglData->baseMatrixStartCol;
    if (osglData->baseMatrixEndRowPresent == true)
        ((BaseMatrix*)osglData->tempC)->baseMatrixEndRow = osglData->baseMatrixEndRow;
    if (osglData->baseMatrixEndColPresent == true)
        ((BaseMatrix*)osglData->tempC)->baseMatrixEndCol = osglData->baseMatrixEndCol;
    if (osglData->baseTransposePresent == true)
        ((BaseMatrix*)osglData->tempC)->baseTranspose = osglData->baseTranspose;
    if (osglData->scalarMultiplierPresent == true)
        ((BaseMatrix*)osglData->tempC)->scalarMultiplier = osglData->scalarMultiplier;
}
    break;

  case 465: /* matrixConstructorList: matrixConstructorList matrixConstructor  */
{
    osglData->mtxBlkVec.back()->inumberOfChildren++;
}
    break;

  case 475: /* constantElementsStart: CONSTANTELEMENTSSTART  */
{
    osglData->tempC = new ConstantMatrixElements(); 
    osglData->mtxConstructorVec.push_back(osglData->tempC);
    osglData->numberOfValuesPresent = false;        
    osglData->rowMajorPresent = false;
    osglData->rowMajor = false;
}
    break;

  case 476: /* constantElementsAttributes: constantElementsAttList  */
{
    if (osglData->numberOfValuesPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "<constantElements>: numberOfValues attribute missing");    
}
    break;

  case 479: /* constantElementsAtt: osglNumberOfValuesATT  */
    {
        ((ConstantMatrixElements*)osglData->tempC)->numberOfValues = osglData->numberOfValues;
        if (osglData->numberOfValues > 0)
            ((MatrixType*)osglData->mtxBlkVec.back())->matrixType = ENUM_MATRIX_TYPE_constant;
    }
    break;

  case 480: /* constantElementsAtt: osglRowMajorATT  */
    {
        ((ConstantMatrixElements*)osglData->tempC)->rowMajor = osglData->rowMajor;
    }
    break;

  case 484: /* matrixElementsStartVector: matrixElementsStartVectorStart matrixElementsStartVectorContent  */
{
    ((MatrixElements*)osglData->tempC)->start = new IntVector();
    ((MatrixElements*)osglData->tempC)->start->numberOfEl = osglData->numberOfEl;
    ((MatrixElements*)osglData->tempC)->start->el = osglData->osglIntArray;
    osglData->osglIntArray = NULL;   // to facilitate garbage collection without a segfault
    parserData->suppressFurtherErrorMessages = false;
    parserData->ignoreDataAfterErrors = false;        
}
    break;

  case 485: /* matrixElementsStartVectorStart: STARTVECTORSTART  */
{
    if (osglData->rowMajor == false)
        osglData->numberOfEl = ((MatrixType*)osglData->mtxBlkVec.back())->numberOfColumns + 1;
    else
        osglData->numberOfEl = ((MatrixType*)osglData->mtxBlkVec.back())->numberOfRows + 1;
    osglData->osglIntArray = new int[osglData->numberOfEl];
    osglData->osglCounter = 0;
}
    break;

  case 491: /* matrixElementsIndexVector: matrixElementsIndexStart matrixElementsIndexContent  */
{
    ((MatrixElements*)osglData->tempC)->index = new IntVector();
    ((MatrixElements*)osglData->tempC)->index->numberOfEl
        = ((MatrixElements*)osglData->tempC)->numberOfValues;
    ((MatrixElements*)osglData->tempC)->index->el = osglData->osglIntArray;
    osglData->osglIntArray = NULL;   // to facilitate garbage collection without a segfault
    parserData->suppressFurtherErrorMessages = false;
    parserData->ignoreDataAfterErrors = false;        
}
    break;

  case 492: /* matrixElementsIndexStart: INDEXSTART  */
{
    osglData->numberOfEl = ((MatrixElements*)osglData->tempC)->numberOfValues;
    osglData->osglIntArray = new int[osglData->numberOfEl];
    osglData->osglCounter = 0;
}
    break;

  case 498: /* constantElementsValues: constantElementsValueStart constantElementsValueContent  */
{
    ((ConstantMatrixElements*)osglData->tempC)->value = new ConstantMatrixValues();
    ((ConstantMatrixElements*)osglData->tempC)->value->numberOfEl = osglData->numberOfEl;
    ((ConstantMatrixElements*)osglData->tempC)->value->el = osglData->osglDblArray;
    osglData->osglDblArray = NULL;   // to facilitate garbage collection without a segfault
    parserData->suppressFurtherErrorMessages = false;
    parserData->ignoreDataAfterErrors = false;        
}
    break;

  case 499: /* constantElementsValueStart: VALUESTART  */
{
    osglData->numberOfEl = ((ConstantMatrixElements*)osglData->tempC)->numberOfValues;
    osglData->osglDblArray = new double[osglData->numberOfEl];
    osglData->osglCounter = 0;
}
    break;

  case 506: /* varReferenceElementsStart: VARREFERENCEELEMENTSSTART  */
{
    osglData->tempC = new VarReferenceMatrixElements();
    osglData->mtxConstructorVec.push_back(osglData->tempC);
    osglData->numberOfValuesPresent = false;        
    osglData->rowMajorPresent = false;
    osglData->rowMajor = false;
}
    break;

  case 507: /* varReferenceElementsAttributes: varReferenceElementsAttList  */
{
    if (osglData->numberOfValuesPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "<varReferenceElements>: numberOfValues attribute missing");    
}
    break;

  case 510: /* varReferenceElementsAtt: osglNumberOfValuesATT  */
    {
        ((VarReferenceMatrixElements*)osglData->tempC)->numberOfValues = osglData->numberOfValues;
        if (osglData->numberOfValues > 0)
            ((MatrixType*)osglData->mtxBlkVec.back())->matrixType = ENUM_MATRIX_TYPE_varReference;
    }
    break;

  case 511: /* varReferenceElementsAtt: osglRowMajorATT  */
    {
        ((VarReferenceMatrixElements*)osglData->tempC)->rowMajor = osglData->rowMajor;
    }
    break;

  case 515: /* varReferenceElementsValues: varReferenceElementsValuesStart varReferenceElementsValuesContent  */
{
    ((VarReferenceMatrixElements*)osglData->tempC)->value = new VarReferenceMatrixValues();
    ((VarReferenceMatrixElements*)osglData->tempC)->value->numberOfEl = osglData->numberOfEl;
    ((VarReferenceMatrixElements*)osglData->tempC)->value->el = osglData->osglIntArray;
    osglData->osglIntArray = NULL;   // to facilitate garbage collection without a segfault
    parserData->suppressFurtherErrorMessages = false;
    parserData->ignoreDataAfterErrors = false;        
}
    break;

  case 516: /* varReferenceElementsValuesStart: VALUESTART  */
{
    osglData->numberOfEl = ((VarReferenceMatrixElements*)osglData->tempC)->numberOfValues;
    osglData->osglIntArray = new int[osglData->numberOfEl];
    osglData->osglCounter = 0;
}
    break;

  case 523: /* linearElementsStart: LINEARELEMENTSSTART  */
{
    osglData->tempC = new LinearMatrixElements();
    osglData->mtxConstructorVec.push_back(osglData->tempC);
    osglData->numberOfValuesPresent = false;        
    osglData->rowMajorPresent = false;
    osglData->rowMajor = false;
}
    break;

  case 524: /* linearElementsAttributes: linearElementsAttList  */
{
    if (osglData->numberOfValuesPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "<linearElements>: numberOfValues attribute missing");    
}
    break;

  case 527: /* linearElementsAtt: osglNumberOfValuesATT  */
    {
        ((LinearMatrixElements*)osglData->tempC)->numberOfValues = osglData->numberOfValues;
        if (osglData->numberOfValues > 0)
            ((MatrixType*)osglData->mtxBlkVec.back())->matrixType = ENUM_MATRIX_TYPE_linear;
    }
    break;

  case 528: /* linearElementsAtt: osglRowMajorATT  */
    {
        ((LinearMatrixElements*)osglData->tempC)->rowMajor = osglData->rowMajor;
    }
    break;

  case 532: /* linearElementsValues: %empty  */
    {
        if (osglData->numberOfValues > 0)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "expected <value> element");
    }
    break;

  case 533: /* linearElementsValues: linearElementsValuesStart linearElementsValuesContent  */
    {
        if (osglData->numberOfValues > osglData->nonzeroCounter)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too few <el> elements");
        else if (osglData->numberOfValues < osglData->nonzeroCounter)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many <el> elements");        
        ((LinearMatrixElements*)osglData->tempC)->value->numberOfEl = osglData->numberOfEl;
        parserData->suppressFurtherErrorMessages = false;
        parserData->ignoreDataAfterErrors = false;        
    }
    break;

  case 534: /* linearElementsValuesStart: VALUESTART  */
{
    osglData->numberOfValues = ((LinearMatrixElements*)osglData->tempC)->numberOfValues;
    osglData->nonzeroCounter = 0;
    ((LinearMatrixElements*)osglData->tempC)->value = new LinearMatrixValues();
    ((LinearMatrixElements*)osglData->tempC)->value->numberOfEl
        = ((LinearMatrixElements*)osglData->tempC)->numberOfValues;    
    ((LinearMatrixElements*)osglData->tempC)->value->el
        = new LinearMatrixElement*[((LinearMatrixElements*)osglData->tempC)->numberOfValues]; 
    for (int i=0; i < ((LinearMatrixElements*)osglData->tempC)->numberOfValues; i++)
        ((LinearMatrixElements*)osglData->tempC)->value->el[i] = new LinearMatrixElement(); 
    osglData->osglCounter = 0;
    osglData->numberOfVarIdxPresent = false;
}
    break;

  case 542: /* linearElementsValuesEl: linearElementsValuesElStart linearElementsValuesElAttributes linearElementsValuesElContent  */
{
    osglData->nonzeroCounter++;
    if (osglData->nonzeroCounter > osglData->numberOfValues)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "linear matrix elements: too many nonzeros");    
}
    break;

  case 543: /* linearElementsValuesElStart: ELSTART  */
{
    osglData->numberOfVarIdxPresent = false;
    osglData->constantPresent = false;
    osglData->constant = 0.0;
}
    break;

  case 544: /* linearElementsValuesElAttributes: linearElementsValuesElAttList  */
{
    if (!osglData->numberOfVarIdxPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfVarIdx attribute missing");
    ((LinearMatrixElements*)osglData->tempC)->value->el[osglData->nonzeroCounter]->numberOfVarIdx
        = osglData->numberOfVarIdx;
    ((LinearMatrixElements*)osglData->tempC)->value->el[osglData->nonzeroCounter]->varIdx
        = new LinearMatrixElementTerm*[osglData->numberOfVarIdx];
    ((LinearMatrixElements*)osglData->tempC)->value->el[osglData->nonzeroCounter]->constant
        = osglData->constant;
    osglData->osglCounter = 0;
}
    break;

  case 556: /* linearElementsValuesVarIdxStart: VARIDXSTART  */
{
    osglData->coefPresent = false;
    osglData->coef = 1.0;
    ((LinearMatrixElements*)osglData->tempC)->value->el[osglData->nonzeroCounter]->varIdx[osglData->osglCounter]
        = new LinearMatrixElementTerm();
}
    break;

  case 558: /* LinearElementsValuesVarIdxCoefATT: osglCoefATT  */
{
    ((LinearMatrixElements*)osglData->tempC)->value->el[osglData->nonzeroCounter]->varIdx[osglData->osglCounter]->coef = osglData->coef;
}
    break;

  case 559: /* linearElementsValuesVarIdxContent: GREATERTHAN INTEGER VARIDXEND  */
{
    ((LinearMatrixElements*)osglData->tempC)->value->el[osglData->nonzeroCounter]->varIdx[osglData->osglCounter]->idx = (yyvsp[-1].ival);
    osglData->osglCounter++;
}
    break;

  case 561: /* generalElementsStart: GENERALELEMENTSSTART  */
{
    osglData->tempC = new GeneralMatrixElements();
    osglData->mtxConstructorVec.push_back(osglData->tempC);
    osglData->numberOfValuesPresent = false;        
    osglData->rowMajorPresent = false;
    osglData->rowMajor = false;
}
    break;

  case 562: /* generalElementsAttributes: generalElementsAttList  */
{
    if (osglData->numberOfValuesPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "<generalElements>: numberOfValues attribute missing");    
}
    break;

  case 565: /* generalElementsAtt: osglNumberOfValuesATT  */
    {
        ((GeneralMatrixElements*)osglData->tempC)->numberOfValues = osglData->numberOfValues;
        if (osglData->numberOfValues > 0)
            ((MatrixType*)osglData->mtxBlkVec.back())->matrixType = ENUM_MATRIX_TYPE_general;
    }
    break;

  case 566: /* generalElementsAtt: osglRowMajorATT  */
    {
        ((GeneralMatrixElements*)osglData->tempC)->rowMajor = osglData->rowMajor;
    }
    break;

  case 572: /* generalElementsValuesStart: VALUESTART  */
{
    osglData->nonzeroCounter = 0;
    osglData->numberOfValues = ((GeneralMatrixElements*)osglData->tempC)->numberOfValues;

    ((GeneralMatrixElements*)osglData->tempC)->value = new GeneralMatrixValues();
    ((GeneralMatrixElements*)osglData->tempC)->value->numberOfEl
        = osglData->numberOfValues;
    ((GeneralMatrixElements*)osglData->tempC)->value->el
        = new ScalarExpressionTree*[osglData->numberOfValues];

    for (int i=0; i<osglData->numberOfValues; i++)
        ((GeneralMatrixElements*)osglData->tempC)->value->el[i] = new ScalarExpressionTree();
}
    break;

  case 580: /* generalElementsElStart: ELSTART  */
    {
        if (osglData->nonzeroCounter >= osglData->numberOfValues) 
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <el> terms greater than expected");
        // clear the vectors of pointers
        osnlData->nlNodeVec.clear();
        osnlData->sumVec.clear();
        osnlData->allDiffVec.clear();
        osnlData->maxVec.clear();
        osnlData->minVec.clear();
        osnlData->productVec.clear();
        osnlData->matrixSumVec.clear();
        osnlData->matrixProductVec.clear();
    }
    break;

  case 584: /* generalElementsElLaden: GREATERTHAN nlnode ELEND  */
    {
    // IMPORTANT -- HERE IS WHERE WE CREATE THE EXPRESSION TREE

        ((GeneralMatrixElements*)osglData->tempC)->value->el[osglData->nonzeroCounter]->m_treeRoot = 
            ((OSnLNode*)osnlData->nlNodeVec[ 0])->createExpressionTreeFromPrefix( osnlData->nlNodeVec);
        osglData->nonzeroCounter++;
    }
    break;

  case 586: /* objReferenceElementsStart: OBJREFERENCEELEMENTSSTART  */
{
    osglData->tempC = new ObjReferenceMatrixElements();
    osglData->mtxConstructorVec.push_back(osglData->tempC);
    osglData->numberOfValuesPresent = false;        
    osglData->rowMajorPresent = false;
    osglData->rowMajor = false;
}
    break;

  case 587: /* objReferenceElementsAttributes: objReferenceElementsAttList  */
{
    if (osglData->numberOfValuesPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "<objReferenceElements>: numberOfValues attribute missing");    
}
    break;

  case 590: /* objReferenceElementsAtt: osglNumberOfValuesATT  */
    {
        ((ObjReferenceMatrixElements*)osglData->tempC)->numberOfValues = osglData->numberOfValues;
        if (osglData->numberOfValues > 0)
            ((MatrixType*)osglData->mtxBlkVec.back())->matrixType = ENUM_MATRIX_TYPE_objReference;
    }
    break;

  case 591: /* objReferenceElementsAtt: osglRowMajorATT  */
    {
        ((ObjReferenceMatrixElements*)osglData->tempC)->rowMajor = osglData->rowMajor;
    }
    break;

  case 595: /* objReferenceElementsValues: objReferenceElementsValuesStart objReferenceElementsValuesContent  */
{
    ((ObjReferenceMatrixElements*)osglData->tempC)->value = new ObjReferenceMatrixValues();
    ((ObjReferenceMatrixElements*)osglData->tempC)->value->numberOfEl = osglData->numberOfEl;
    ((ObjReferenceMatrixElements*)osglData->tempC)->value->el = osglData->osglIntArray;
    osglData->osglIntArray = NULL;   // to facilitate garbage collection without a segfault
    parserData->suppressFurtherErrorMessages = false;
    parserData->ignoreDataAfterErrors = false;        
}
    break;

  case 596: /* objReferenceElementsValuesStart: VALUESTART  */
{
    osglData->numberOfEl = ((ObjReferenceMatrixElements*)osglData->tempC)->numberOfValues;
    osglData->osglIntArray = new int[osglData->numberOfEl];
    osglData->osglCounter = 0;
}
    break;

  case 603: /* conReferenceElementsStart: CONREFERENCEELEMENTSSTART  */
{
    osglData->tempC = new ConReferenceMatrixElements();
    osglData->mtxConstructorVec.push_back(osglData->tempC);
    osglData->numberOfValuesPresent = false;        
    osglData->rowMajorPresent = false;
    osglData->rowMajor = false;
}
    break;

  case 604: /* conReferenceElementsAttributes: conReferenceElementsAttList  */
{
    if (osglData->numberOfValuesPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "<conReferenceElements>: numberOfValues attribute missing");    
}
    break;

  case 607: /* conReferenceElementsAtt: osglNumberOfValuesATT  */
    {
        ((ConReferenceMatrixElements*)osglData->tempC)->numberOfValues = osglData->numberOfValues;
        if (osglData->numberOfValues > 0)
            ((MatrixType*)osglData->mtxBlkVec.back())->matrixType = ENUM_MATRIX_TYPE_conReference;
    }
    break;

  case 608: /* conReferenceElementsAtt: osglRowMajorATT  */
    {
        ((ConReferenceMatrixElements*)osglData->tempC)->rowMajor = osglData->rowMajor;
    }
    break;

  case 612: /* conReferenceElementsValues: %empty  */
    {
        if (osglData->numberOfValues > 0)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "expected <value> element");
    }
    break;

  case 613: /* conReferenceElementsValues: conReferenceElementsValuesStart conReferenceElementsValuesContent  */
    {
        if (osglData->numberOfValues > osglData->nonzeroCounter)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too few <el> elements");
        else if (osglData->numberOfValues < osglData->nonzeroCounter)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many <el> elements");        
        ((ConReferenceMatrixElements*)osglData->tempC)->value->numberOfEl = osglData->numberOfEl;
        parserData->suppressFurtherErrorMessages = false;
        parserData->ignoreDataAfterErrors = false;        
    }
    break;

  case 614: /* conReferenceElementsValuesStart: VALUESTART  */
{
    osglData->numberOfValues = ((ConReferenceMatrixElements*)osglData->tempC)->numberOfValues;
    osglData->nonzeroCounter = 0;

    ((ConReferenceMatrixElements*)osglData->tempC)->value = new ConReferenceMatrixValues();
    ((ConReferenceMatrixElements*)osglData->tempC)->value->numberOfEl
        = osglData->numberOfValues;
    ((ConReferenceMatrixElements*)osglData->tempC)->value->el
        = new ConReferenceMatrixElement*[osglData->numberOfValues];

    for (int i=0; i<osglData->numberOfValues; i++)
        ((ConReferenceMatrixElements*)osglData->tempC)->value->el[i] = new ConReferenceMatrixElement();
}
    break;

  case 621: /* conReferenceElementsEl: conReferenceElementsElStart conReferenceElementsElAttributeList conReferenceElementsElContent  */
{
//    osglData->nonzeroCounter++;
//    if (osglData->nonzeroCounter > osglData->osglNumberOfNonzeros)
//        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "conReference matrix elements: too many nonzeros");
}
    break;

  case 622: /* conReferenceElementsElStart: ELSTART  */
    {
        if (osglData->nonzeroCounter >= osglData->numberOfValues) 
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <el> terms greater than expected");
        osglData->valueTypePresent = false;
        osglData->multPresent = false;
        osglData->incrPresent = false;
        osglData->mult = 1;
        osglData->incr = 0;
        osglData->valueType = ""; //ENUM_CONREFERENCE_VALUETYPE_value;
    }
    break;

  case 628: /* conReferenceElementsElContent: GREATERTHAN INTEGER ELEND  */
{
    if (osglData->nonzeroCounter + osglData->mult > osglData->numberOfEl)
    {
        if (!parserData->suppressFurtherErrorMessages)
        {
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more data elements than specified");
            parserData->suppressFurtherErrorMessages = true;
            parserData->ignoreDataAfterErrors = true;
        }
    }
    else
    {
        if (osglData->valueType == "")
            osglData->valueType = "value";
        if (returnConReferenceValueType(osglData->valueType) <= 0)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData,
                "valueType must be one of \"value\", \"status\", \"surplus\", \"shortage\"");
        else
        {
            for (int i=0; i<osglData->mult; i++)
            {
                ((ConReferenceMatrixElements*)osglData->tempC)->value->el[osglData->nonzeroCounter + i]->conReference
                    = (yyvsp[-1].ival) + i*osglData->incr;
                ((ConReferenceMatrixElements*)osglData->tempC)->value->el[osglData->nonzeroCounter + i]->valueType
                    = (ENUM_CONREFERENCE_VALUETYPE)returnConReferenceValueType(osglData->valueType);
            }
        }
        osglData->nonzeroCounter += osglData->mult;
    }
}
    break;

  case 630: /* matrixTransformationStart: TRANSFORMATIONSTART  */
{
    osglData->tempC = new MatrixTransformation();
    osglData->mtxConstructorVec.push_back((MatrixTransformation*)osglData->tempC);

    // clear the vectors of pointers
    osnlData->nlNodeVec.clear();
    osnlData->sumVec.clear();
    osnlData->allDiffVec.clear();
    osnlData->maxVec.clear();
    osnlData->minVec.clear();
    osnlData->productVec.clear();
    osnlData->matrixSumVec.clear();
    osnlData->matrixProductVec.clear();

    osglData->shapePresent = false;   
}
    break;

  case 632: /* matrixTransformationShapeATT: osglShapeATT  */
{
    if (returnNlExprShape(osglData->shape) > 0)
        ((MatrixTransformation*)osglData->tempC)->shape 
            = (ENUM_NL_EXPR_SHAPE)returnNlExprShape(osglData->shape);
    else
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData,
            "unknown shape specified in matrix transformation");
}
    break;

  case 633: /* matrixTransformationEnd: TRANSFORMATIONEND  */
{
    // IMPORTANT -- HERE IS WHERE WE CREATE THE EXPRESSION TREE
    ((MatrixTransformation*)osglData->tempC)->transformation = 
        ((OSnLMNode*)osnlData->nlNodeVec[ 0])->createExpressionTreeFromPrefix( osnlData->nlNodeVec);
}
    break;

  case 634: /* matrixBlocks: matrixBlocksStart matrixBlocksAttributes matrixBlocksContent  */
{
    // clean up temporary arrays without deleting the information
    osglData->rowOffsets.back() = NULL;  
    osglData->colOffsets.back() = NULL;
    osglData->osglIntArray = NULL;
    osglData->rowOffsets.pop_back();
    osglData->colOffsets.pop_back();
}
    break;

  case 635: /* matrixBlocksStart: BLOCKSSTART  */
{
    osglData->tempC = new MatrixBlocks();
    osglData->mtxConstructorVec.push_back((MatrixBlocks*)osglData->tempC);
    osglData->mtxBlocksVec.push_back((MatrixBlocks*)osglData->tempC);
    osglData->numberOfBlocksPresent = false;
}
    break;

  case 636: /* matrixBlocksAttributes: osglNumberOfBlocksATT  */
{
    osglData->nBlocksVec.push_back(osglData->numberOfBlocks);
    ((MatrixBlocks*)osglData->tempC)->inumberOfChildren = 0;
}
    break;

  case 638: /* matrixBlocksEnd: BLOCKSEND  */
{
    if ( (int)((MatrixBlocks*)osglData->mtxBlocksVec.back())->inumberOfChildren != 
                           osglData->nBlocksVec.back())
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
            "Number of blocks does not agree with attribute value numberOfBlocks");

    ((MatrixBlocks*)osglData->mtxBlocksVec.back())->m_mChildren
        = new MatrixNode*[((MatrixBlocks*)osglData->mtxBlocksVec.back())->inumberOfChildren];
    osglData->mtxBlocksVec.pop_back();
    osglData->nBlocksVec.pop_back();
}
    break;

  case 639: /* colOffsets: colOffsetStart colOffsetNumberOfElAttribute colOffsetContent  */
{
    if (osglData->osglCounter != osglData->numberOfEl)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of colOffsets does not match numberOfEl");
    ((MatrixBlocks*)osglData->tempC)->colOffset = new IntVector();
    ((MatrixBlocks*)osglData->tempC)->colOffset->numberOfEl = osglData->numberOfEl;
    ((MatrixBlocks*)osglData->tempC)->colOffset->el = osglData->osglIntArray;
    osglData->colOffsets.push_back(osglData->osglIntArray);
    parserData->suppressFurtherErrorMessages = false;
    parserData->ignoreDataAfterErrors = false;        
}
    break;

  case 640: /* colOffsetStart: COLOFFSETSTART  */
{
    osglData->numberOfEl = 0;
    osglData->numberOfElPresent = false;
}
    break;

  case 641: /* colOffsetNumberOfElAttribute: osglNumberOfElATT  */
{
    osglData->osglCounter = 0; 
    osglData->osglIntArray = new int[osglData->numberOfEl];
}
    break;

  case 647: /* rowOffsets: rowOffsetStart rowOffsetNumberOfElAttribute rowOffsetContent  */
{
    ((MatrixBlocks*)osglData->tempC)->rowOffset = new IntVector();
    ((MatrixBlocks*)osglData->tempC)->rowOffset->numberOfEl = osglData->numberOfEl;
    ((MatrixBlocks*)osglData->tempC)->rowOffset->el = osglData->osglIntArray;
    osglData->rowOffsets.push_back(osglData->osglIntArray);
    parserData->suppressFurtherErrorMessages = false;
    parserData->ignoreDataAfterErrors = false;        
}
    break;

  case 648: /* rowOffsetStart: ROWOFFSETSTART  */
{
    osglData->numberOfEl = 0;
    osglData->numberOfElPresent = false;
}
    break;

  case 649: /* rowOffsetNumberOfElAttribute: osglNumberOfElATT  */
{
    osglData->osglCounter = 0; 
    osglData->osglIntArray = new int[osglData->numberOfEl];
}
    break;

  case 656: /* blockList: blockList matrixBlock  */
{
    ((MatrixBlocks*)osglData->mtxBlocksVec.back())->inumberOfChildren++;
}
    break;

  case 657: /* matrixBlock: matrixBlockStart matrixBlockAttributes matrixBlockContent  */
{
    osglData->mtxBlkVec.pop_back();
}
    break;

  case 658: /* matrixBlockStart: BLOCKSTART  */
{
    osglData->tempC = new MatrixBlock();
    osglData->mtxConstructorVec.push_back((MatrixBlock*)osglData->tempC);
    osglData->mtxBlkVec.push_back(osglData->tempC);

    osglData->symmetryPresent = false;
    osglData->typePresent = false;
    osglData->blockRowIdxPresent = false;
    osglData->blockColIdxPresent = false;   
}
    break;

  case 664: /* matrixBlockAtt: osglSymmetryATT  */
    {
        if (verifyMatrixSymmetry(osglData->symmetry) == false)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "symmetry type not recognized");
        parserData->errorText = NULL;
        ((MatrixBlock*)osglData->tempC)->symmetry
            = (ENUM_MATRIX_SYMMETRY)returnMatrixSymmetry(osglData->symmetry);
    }
    break;

  case 665: /* matrixBlockAtt: osglTypeATT  */
    {
        ((MatrixBlock*)osglData->tempC)->type
            = (ENUM_MATRIX_TYPE)returnMatrixType(osglData->type);
    }
    break;

  case 669: /* blockLaden: GREATERTHAN blockBody BLOCKEND  */
{
    osglData->mtxBlkVec.back()->m_mChildren = 
        new MatrixNode*[osglData->mtxBlkVec.back()->inumberOfChildren];
}
    break;

  case 671: /* osglNumberOfBlocksATT: NUMBEROFBLOCKSATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->numberOfBlocksPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfBlocks attribute previously set");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <blocks> cannot be negative");
    osglData->numberOfBlocksPresent = true;        
    osglData->numberOfBlocks = (yyvsp[-1].ival);
}
    break;

  case 672: /* osglNumberOfColumnsATT: NUMBEROFCOLUMNSATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->numberOfColumnsPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfColumns attribute previously set");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <blocks> cannot be negative");
    osglData->numberOfColumnsPresent = true;        
    osglData->numberOfColumns = (yyvsp[-1].ival);
}
    break;

  case 673: /* osglNumberOfElATT: NUMBEROFELATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->numberOfElPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfEl attribute previously set");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <el> cannot be negative");
    osglData->numberOfElPresent = true;        
    osglData->numberOfEl = (yyvsp[-1].ival);
}
    break;

  case 674: /* osglNumberOfRowsATT: NUMBEROFROWSATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->numberOfRowsPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfRows attribute previously set");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <rows> cannot be negative");
    osglData->numberOfRowsPresent = true;        
    osglData->numberOfRows = (yyvsp[-1].ival);
}
    break;

  case 675: /* osglNumberOfValuesATT: NUMBEROFVALUESATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->numberOfValuesPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfValues attribute previously set");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <values> cannot be negative");
    osglData->numberOfValuesPresent = true;        
    osglData->numberOfValues = (yyvsp[-1].ival);
}
    break;

  case 676: /* osglNumberOfVarIdxATT: NUMBEROFVARIDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->numberOfVarIdxPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "numberOfVarIdx attribute previously set");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of <varIdx> cannot be negative");
    osglData->numberOfVarIdxPresent = true;        
    osglData->numberOfVarIdx = (yyvsp[-1].ival);
}
    break;

  case 677: /* osglBase64SizeATT: SIZEOFATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->base64SizePresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "base64Size attribute previously set");
    if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "base64Size cannot be negative");
    osglData->base64SizePresent = true;        
    osglData->base64Size = (yyvsp[-1].ival);
}
    break;

  case 678: /* osglBaseMatrixIdxATT: BASEMATRIXIDXATT QUOTE INTEGER QUOTE  */
{ 
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->baseMatrixIdxPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one baseMatrixIdx attribute in <baseMatrix> element");
    if ((yyvsp[-1].ival) < 0)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "baseMatrix idx cannot be negative");
    if ((yyvsp[-1].ival) > osglData->matrixCounter)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "baseMatrix idx exceeds number of matrices so far");
    osglData->baseMatrixIdxPresent = true;   
    osglData->baseMatrixIdx = (yyvsp[-1].ival); 
}
    break;

  case 679: /* osglBaseMatrixStartRowATT: BASEMATRIXSTARTROWATT QUOTE INTEGER QUOTE  */
{ 
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
                                         "start and end quotes are not the same");
    if (osglData->baseMatrixStartRowPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
            "more than one baseMatrixStartRow attribute in <baseMatrix> element");
    if ((yyvsp[-1].ival) < 0)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
                                         "baseMatrix first row cannot be negative");
    osglData->baseMatrixStartRowPresent = true;   
    osglData->baseMatrixStartRow = (yyvsp[-1].ival); 
}
    break;

  case 680: /* osglBaseMatrixStartColATT: BASEMATRIXSTARTCOLATT QUOTE INTEGER QUOTE  */
{ 
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
                                         "start and end quotes are not the same");
    if (osglData->baseMatrixStartColPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
            "more than one baseMatrixStartCol attribute in <baseMatrix> element");
    if ((yyvsp[-1].ival) < 0)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
                                         "baseMatrix first column cannot be negative");
    osglData->baseMatrixStartColPresent = true;   
    osglData->baseMatrixStartCol = (yyvsp[-1].ival); 
}
    break;

  case 681: /* osglBaseMatrixEndRowATT: BASEMATRIXENDROWATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->baseMatrixEndRowPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one baseMatrixEndRow attribute in <baseMatrix> element");
    if ((yyvsp[-1].ival) < 0)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "baseMatrix end row cannot be negative");
    osglData->baseMatrixEndRowPresent = true;   
    osglData->baseMatrixEndRow = (yyvsp[-1].ival); 
}
    break;

  case 682: /* osglBaseMatrixEndColATT: BASEMATRIXENDCOLATT QUOTE INTEGER QUOTE  */
{ 
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->baseMatrixEndColPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one baseMatrixEndCol attribute in <baseMatrix> element");
    if ((yyvsp[-1].ival) < 0)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "baseMatrix end col cannot be negative");
    osglData->baseMatrixEndColPresent = true;   
    osglData->baseMatrixEndCol = (yyvsp[-1].ival); 
}
    break;

  case 683: /* osglBlockRowIdxATT: BLOCKROWIDXATT quote INTEGER quote  */
{
    if (osglData->blockRowIdxPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "blockRowIdx attribute previously set");
    else
    {
        if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "blockRowIdx cannot be negative");
        osglData->blockRowIdxPresent = true;        
        osglData->blockRowIdx = (yyvsp[-1].ival);
        ((MatrixBlock*)osglData->tempC)->blockRowIdx = (yyvsp[-1].ival);
    }

    // compute the size of the block
    ((MatrixBlock*)osglData->tempC)->numberOfRows 
        = osglData->rowOffsets.back()[osglData->blockRowIdx+1]
        - osglData->rowOffsets.back()[osglData->blockRowIdx];
}
    break;

  case 684: /* osglBlockColIdxATT: BLOCKCOLIDXATT quote INTEGER quote  */
{
    if (osglData->blockColIdxPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "blockColIdx attribute previously set");
    else
    {
        if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "blockColIdx cannot be negative");
        osglData->blockColIdxPresent = true;
        osglData->blockColIdx = (yyvsp[-1].ival);       
        ((MatrixBlock*)osglData->tempC)->blockColIdx = (yyvsp[-1].ival);
    }

    // compute the size of the block
    ((MatrixBlock*)osglData->tempC)->numberOfColumns 
        = osglData->colOffsets.back()[osglData->blockColIdx+1] 
        - osglData->colOffsets.back()[osglData->blockColIdx];
}
    break;

  case 685: /* osglCoefATT: COEFATT QUOTE aNumber QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->coefPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "linear matrix elements: duplicate coef");    
    else
    {
        osglData->coef = parserData->tempVal;
        osglData->coefPresent = true;
    }
}
    break;

  case 686: /* osglConstantATT: CONSTANTATT QUOTE aNumber QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->constantPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "linear matrix elements: duplicate constant");    
    else
    {
        osglData->constant = parserData->tempVal;
        osglData->constantPresent = true;
    }
}
    break;

  case 687: /* osglIdxATT: IDXATT QUOTE INTEGER QUOTE  */
    { 
        if (osglData->idxPresent == true)
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one idx attribute");
        osglData->idxPresent = true;
        if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
        osglData->idx = (yyvsp[-1].ival);
    }
    break;

  case 688: /* osglIncrATT: INCRATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->incrPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one incr attribute allowed");
    osglData->incrPresent = true;
    osglData->incr = (yyvsp[-1].ival);
}
    break;

  case 689: /* osglMultATT: MULTATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->multPresent) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "only one mult attribute allowed");
    if ((yyvsp[-1].ival) <= 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mult must be positive");
    osglData->multPresent = true;
    osglData->mult = (yyvsp[-1].ival);
}
    break;

  case 690: /* osglScalarMultiplierATT: SCALARMULTIPLIERATT QUOTE aNumber QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->scalarMultiplierPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one scalar multiplier attribute in <baseMatrix> element");
    osglData->scalarMultiplierPresent = true;   
    osglData->scalarMultiplier = parserData->tempVal;
}
    break;

  case 691: /* osglTargetMatrixFirstRowATT: TARGETMATRIXFIRSTROWATT QUOTE INTEGER QUOTE  */
{ 
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->targetMatrixFirstRowPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one targetMatrixFirstRow attribute in <baseMatrix> element");
    if ((yyvsp[-1].ival) < 0)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "targetMatrix first row cannot be negative");
    osglData->targetMatrixFirstRowPresent = true;   
    osglData->targetMatrixFirstRow = (yyvsp[-1].ival); 
}
    break;

  case 692: /* osglTargetMatrixFirstColATT: TARGETMATRIXFIRSTCOLATT QUOTE INTEGER QUOTE  */
{ 
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) 
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    if (osglData->targetMatrixFirstColPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one targetMatrixFirstCol attribute in <baseMatrix> element");
    if ((yyvsp[-1].ival) < 0)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "targetMatrix first col cannot be negative");
    osglData->targetMatrixFirstColPresent = true;   
    osglData->targetMatrixFirstCol = (yyvsp[-1].ival); 
}
    break;

  case 695: /* baseTransposeAttEmpty: EMPTYBASETRANSPOSEATT  */
{
    if (osglData->baseTransposePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
            "more than one baseTranspose attribute in <baseMatrix> element");
    else
        osglData->baseTranspose    = true;
    osglData->baseTransposePresent = true;   
}
    break;

  case 696: /* baseTransposeAttContent: BASETRANSPOSEATT ATTRIBUTETEXT quote  */
{
    if (osglData->baseTransposePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
            "more than one baseTranspose attribute in <baseMatrix> element");
    else
    {
        if      (strcmp((yyvsp[-1].sval),"false") == 0) osglData->baseTranspose = false;
        else if (strcmp((yyvsp[-1].sval),"true" ) == 0) osglData->baseTranspose = true;
        else parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
            "baseTranspose attribute in <baseMatrix> element must be \"true\" or \"false\"");
    }
    osglData->baseTransposePresent = true;
    free((yyvsp[-1].sval));
}
    break;

  case 699: /* nameAttEmpty: EMPTYNAMEATT  */
{ 
    if (osglData->namePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one name attribute");
    osglData->namePresent = true;   
}
    break;

  case 700: /* nameAttContent: NAMEATT ATTRIBUTETEXT QUOTE  */
{ 
    if (osglData->namePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one name attribute");
    osglData->namePresent = true;   
    osglData->name = (yyvsp[-1].sval); 
    free((yyvsp[-1].sval));
}
    break;

  case 703: /* rowMajorAttEmpty: EMPTYROWMAJORATT  */
{
    if (osglData->rowMajorPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "rowMajor attribute encountered more than once");
    else
        osglData->rowMajor = true;
    osglData->rowMajorPresent = true;
}
    break;

  case 704: /* rowMajorAttContent: ROWMAJORATT ATTRIBUTETEXT QUOTE  */
{
    if (osglData->rowMajorPresent)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "rowMajor attribute encountered more than once");
    else
    {
        if      (strcmp((yyvsp[-1].sval),"false") == 0) osglData->rowMajor = false;
        else if (strcmp((yyvsp[-1].sval),"true" ) == 0) osglData->rowMajor = true;
        else parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "rowMajor attribute must be \"true\" or \"false\"");
    }
    osglData->rowMajorPresent = true;
    free((yyvsp[-1].sval));
}
    break;

  case 707: /* shapeAttEmpty: EMPTYSHAPEATT  */
{
   if (osglData->shapePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one shape attribute");
    osglData->shapePresent = true;   
}
    break;

  case 708: /* shape: SHAPEATT ATTRIBUTETEXT QUOTE  */
{
    if (osglData->shapePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one shape attribute");
    osglData->shapePresent = true;   
    osglData->shape = (yyvsp[-1].sval);
    free((yyvsp[-1].sval));
}
    break;

  case 711: /* symmetryAttEmpty: EMPTYSYMMETRYATT  */
{ 
    if (osglData->symmetryPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one symmetry attribute in <matrix> element");
    osglData->symmetryPresent = true;   
}
    break;

  case 712: /* symmetryAttContent: SYMMETRYATT ATTRIBUTETEXT QUOTE  */
{ 
    if (osglData->symmetryPresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one symmetry attribute in <matrix> element");
    osglData->symmetryPresent = true;   
    osglData->symmetry = (yyvsp[-1].sval); 
    free((yyvsp[-1].sval));
}
    break;

  case 715: /* typeAttEmpty: EMPTYTYPEATT  */
{
    if (osglData->typePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one type attribute");
    osglData->typePresent = true;
}
    break;

  case 716: /* typeAttContent: TYPEATT ATTRIBUTETEXT QUOTE  */
{
    if (osglData->typePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one type attribute");
    osglData->typePresent = true;
    osglData->type = (yyvsp[-1].sval); 
    free((yyvsp[-1].sval));
}
    break;

  case 719: /* valueAttEmpty: EMPTYVALUEATT  */
{ 
    if (osglData->valuePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one value attribute");
    osglData->valuePresent = true;   
    osglData->value = "";   
}
    break;

  case 720: /* valueAttContent: VALUEATT ATTRIBUTETEXT QUOTE  */
{ 
    if (osglData->valuePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one value attribute");
    osglData->valuePresent = true;   
    osglData->value = (yyvsp[-1].sval); 
    free((yyvsp[-1].sval));
}
    break;

  case 723: /* valueTypeAttEmpty: EMPTYVALUETYPEATT  */
{
    if (osglData->valueTypePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one valueType attribute");
    osglData->valueTypePresent = true;   
}
    break;

  case 724: /* valueTypeAttContent: VALUETYPEATT ATTRIBUTETEXT QUOTE  */
{
    if (osglData->valueTypePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one valueType attribute");
    osglData->valueTypePresent = true;   
    osglData->valueType = (yyvsp[-1].sval); 
    free((yyvsp[-1].sval));
}
    break;

  case 727: /* varTypeAttEmpty: EMPTYVARTYPEATT  */
{
    if (osglData->varTypePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one varType attribute");
    osglData->varTypePresent = true;   
}
    break;

  case 728: /* varTypeAttContent: VARTYPEATT ATTRIBUTETEXT QUOTE  */
{
    if (osglData->varTypePresent == true)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "more than one varType attribute");
    osglData->varTypePresent = true;   
    osglData->varType = (yyvsp[-1].sval); 
    free((yyvsp[-1].sval));
}
    break;

  case 730: /* nonlinearExpressions: nonlinearExpressionsStart nlnumberatt nlnodes NONLINEAREXPRESSIONSEND  */
    {  
        if (osnlData->tmpnlcount < osnlData->nlnodenumber)  
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of nl terms less than number attribute");   
    }
    break;

  case 731: /* nonlinearExpressionsStart: NONLINEAREXPRESSIONSSTART  */
    {               
        osinstance->instanceData->nonlinearExpressions = new NonlinearExpressions();
        osnlData->tmpnlcount = 0;
    }
    break;

  case 732: /* nlnumberatt: NUMBEROFNONLINEAREXPRESSIONS QUOTE INTEGER QUOTE GREATERTHAN  */
    { 
        if ( *(yyvsp[-3].sval) != *(yyvsp[-1].sval) ) 
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
        if ((yyvsp[-2].ival) < 0) parserData->parser_errors += 
            addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "number of expressions cannot be negative");
        osnlData->nlnodenumber = (yyvsp[-2].ival);
        osinstance->instanceData->nonlinearExpressions->numberOfNonlinearExpressions = (yyvsp[-2].ival);  
        if (osinstance->instanceData->nonlinearExpressions->numberOfNonlinearExpressions > 0 ) 
            osinstance->instanceData->nonlinearExpressions->nl = new Nl*[ (yyvsp[-2].ival) ];
        for (int i = 0; i < osinstance->instanceData->nonlinearExpressions->numberOfNonlinearExpressions; i++)
        {
            osinstance->instanceData->nonlinearExpressions->nl[i] = new Nl();
        }
    }
    break;

  case 735: /* scalarExpressionTree: nlstart nlAttributes GREATERTHAN nlnode NLEND  */
    {
    // IMPORTANT -- HERE IS WHERE WE CREATE THE EXPRESSION TREE
        osinstance->instanceData->nonlinearExpressions->nl[ osnlData->tmpnlcount]->osExpressionTree->m_treeRoot = 
            ((OSnLNode*)osnlData->nlNodeVec[ 0])->createExpressionTreeFromPrefix( osnlData->nlNodeVec);
        osnlData->tmpnlcount++;
    }
    break;

  case 736: /* nlstart: NLSTART  */
    {
        if (osnlData->tmpnlcount >= osnlData->nlnodenumber) 
            parserData->parser_errors += 
                addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of nl terms greater than number attribute");
        osglData->idxPresent = false;
        osglData->shapePresent = false;   

        // clear the vectors of pointers
        osnlData->nlNodeVec.clear();
        osnlData->sumVec.clear();
        osnlData->allDiffVec.clear();
        osnlData->maxVec.clear();
        osnlData->minVec.clear();
        osnlData->productVec.clear();
        osnlData->matrixSumVec.clear();
        osnlData->matrixProductVec.clear();
    }
    break;

  case 737: /* nlAttributes: nlAttributeList  */
{
    if (osglData->idxPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute idx is missing");    
}
    break;

  case 740: /* nlAttribute: osglIdxATT  */
    { 
        osinstance->instanceData->nonlinearExpressions->nl[ osnlData->tmpnlcount]->idx = osglData->idx;
        osinstance->instanceData->nonlinearExpressions->nl[ osnlData->tmpnlcount]->osExpressionTree
            = new ScalarExpressionTree();
    }
    break;

  case 741: /* nlAttribute: osglShapeATT  */
    {
        if (returnNlExprShape(osglData->shape) > 0)
            osinstance->instanceData->nonlinearExpressions->nl[ osnlData->tmpnlcount]->shape 
                = (ENUM_NL_EXPR_SHAPE)returnNlExprShape(osglData->shape);
        else
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData,
                "unknown shape specified in matrix transformation");
    }
    break;

  case 769: /* $@6: %empty  */
          {    osnlData->nlNodePoint = new OSnLNodeE();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);}
    break;

  case 773: /* $@7: %empty  */
            {    osnlData->nlNodePoint = new OSnLNodePI();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);}
    break;

  case 777: /* $@8: %empty  */
                  {
    osnlData->nlNodePoint = new OSnLNodeTimes();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 779: /* $@9: %empty  */
                {
    osnlData->nlNodePoint = new OSnLNodePlus();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 781: /* $@10: %empty  */
                  {
    osnlData->nlNodePoint = new OSnLNodeMinus();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 783: /* $@11: %empty  */
                    {
    osnlData->nlNodePoint = new OSnLNodeNegate();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 785: /* $@12: %empty  */
                    { 
    osnlData->nlNodePoint = new OSnLNodeDivide();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 787: /* $@13: %empty  */
                  {
    osnlData->nlNodePoint = new OSnLNodePower();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 789: /* $@14: %empty  */
            {
    osnlData->nlNodePoint = new OSnLNodeLn();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 791: /* $@15: %empty  */
                {
    osnlData->nlNodePoint = new OSnLNodeSqrt();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 793: /* $@16: %empty  */
                    {
    osnlData->nlNodePoint = new OSnLNodeSquare();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 795: /* $@17: %empty  */
              {
    osnlData->nlNodePoint = new OSnLNodeCos();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 797: /* $@18: %empty  */
              {
    osnlData->nlNodePoint = new OSnLNodeSin();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 799: /* $@19: %empty  */
              {
    osnlData->nlNodePoint = new OSnLNodeExp();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 802: /* absStart: ABSSTART  */
{
    osnlData->nlNodePoint = new OSnLNodeAbs();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 803: /* absEnd: ABSEND  */
{
#ifdef OSINSTANCE_AVAILABLE
    osinstance->instanceData->nonlinearExpressions->nl[ osnlData->tmpnlcount]->osExpressionTree->bADMustReTape = true;
#endif
}
    break;

  case 804: /* $@20: %empty  */
              {
    osnlData->nlNodePoint = new OSnLNodeErf();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 805: /* erf: ERFSTART $@20 nlnode ERFEND  */
                {
}
    break;

  case 806: /* $@21: %empty  */
            {
    osnlData->nlNodePoint = new OSnLNodeIf();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 807: /* if: IFSTART $@21 nlnode nlnode nlnode IFEND  */
{
#ifdef OSINSTANCE_AVAILABLE
    osinstance->instanceData->nonlinearExpressions->nl[ osnlData->tmpnlcount]->osExpressionTree->bADMustReTape = true;
#endif
}
    break;

  case 808: /* $@22: %empty  */
                                          {
    osnlData->nlNodePoint = new OSnLNodeMatrixDeterminant();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 810: /* $@23: %empty  */
                              {
    osnlData->nlNodePoint = new OSnLNodeMatrixTrace();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 812: /* $@24: %empty  */
                                    {
    osnlData->nlNodePoint = new OSnLNodeMatrixToScalar();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 814: /* number: numberStart numberAttributeList numberEnd  */
{
    osglData->valuePresent = false; 
    osglData->typePresent  = false; 
    osnlData->numberidattON = false;
}
    break;

  case 815: /* numberStart: NUMBERSTART  */
{
    osnlData->nlNodeNumberPoint = new OSnLNodeNumber();
    osnlData->nlNodeVec.push_back( osnlData->nlNodeNumberPoint);
}
    break;

  case 820: /* numberAttribute: osglTypeATT  */
    {
        osnlData->nlNodeNumberPoint->type = osglData->type;
    }
    break;

  case 821: /* numberAttribute: osglValueATT  */
    {
        osnlData->nlNodeNumberPoint->value = atof(osglData->value.c_str());
    }
    break;

  case 823: /* $@25: %empty  */
{
    if (osnlData->numberidattON) parserData->parser_errors += 
        addErrorMsg( NULL, osinstance, parserData, osglData, osnlData,"too many number id attributes"); 
    osnlData->numberidattON = true;
    osnlData->nlNodeNumberPoint->id = (yyvsp[0].sval);
    free((yyvsp[0].sval));
}
    break;

  case 825: /* $@26: %empty  */
{
    osnlData->nlNodeVariablePoint = new OSnLNodeVariable();
    osnlData->nlNodeVec.push_back( osnlData->nlNodeVariablePoint);
}
    break;

  case 826: /* variable: VARIABLESTART $@26 anotherVariableATT variableend  */
                                  {osnlData->variablecoefattON = false; osnlData->variableidxattON = false;}
    break;

  case 829: /* $@27: %empty  */
        {
            osnlData->nlNodeVariablePoint->inumberOfChildren = 1;
            osnlData->nlNodeVariablePoint->m_mChildren = new OSnLNode*[ 1];
        }
    break;

  case 833: /* variableATT: variablecoefATT  */
        {
            if (osnlData->variablecoefattON) parserData->parser_errors += 
                addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many variable coef attributes"); 
            osnlData->variablecoefattON = true; 
        }
    break;

  case 834: /* variableATT: variableidxATT  */
        {
            if (osnlData->variableidxattON) parserData->parser_errors += 
                addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "too many variable idx attributes"); 
            osnlData->variableidxattON = true; 
        }
    break;

  case 835: /* variablecoefATT: COEFATT QUOTE aNumber QUOTE  */
{ 
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) parserData->parser_errors += 
        addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    osnlData->nlNodeVariablePoint->coef = parserData->tempVal;
}
    break;

  case 836: /* variableidxATT: IDXATT QUOTE INTEGER QUOTE  */
{ 
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) ) parserData->parser_errors += 
        addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    osnlData->nlNodeVariablePoint->idx = (yyvsp[-1].ival);
}
    break;

  case 837: /* $@28: %empty  */
              {
    osnlData->nlNodePoint = new OSnLNodeSum();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
    osnlData->sumVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 838: /* sum: SUMSTART $@28 anothersumnlnode SUMEND  */
                        {
    ((OSnLNode*)osnlData->sumVec.back())->m_mChildren 
        = new OSnLNode*[ ((OSnLNode*)osnlData->sumVec.back())->inumberOfChildren];
    osnlData->sumVec.pop_back();
}
    break;

  case 840: /* anothersumnlnode: anothersumnlnode nlnode  */
                                            { ((OSnLNode*)osnlData->sumVec.back())->inumberOfChildren++; }
    break;

  case 841: /* $@29: %empty  */
                      {    
    osnlData->nlNodePoint = new OSnLNodeAllDiff ();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
    osnlData->allDiffVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 842: /* allDiff: ALLDIFFSTART $@29 anotherallDiffnlnode ALLDIFFEND  */
                                {
    ((OSnLNode*)osnlData->allDiffVec.back())->m_mChildren 
        = new OSnLNode*[ ((OSnLNode*)osnlData->allDiffVec.back())->inumberOfChildren];
    osnlData->allDiffVec.pop_back();
#ifdef OSINSTANCE_AVAILABLE
    osinstance->instanceData->nonlinearExpressions->nl[ osnlData->tmpnlcount]->osExpressionTree->bADMustReTape = true;
#endif
}
    break;

  case 844: /* anotherallDiffnlnode: anotherallDiffnlnode nlnode  */
                                          { ((OSnLNode*)osnlData->allDiffVec.back())->inumberOfChildren++; }
    break;

  case 845: /* $@30: %empty  */
              {
    osnlData->nlNodePoint = new OSnLNodeMax();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
    osnlData->maxVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 846: /* max: MAXSTART $@30 anothermaxnlnode MAXEND  */
                        {
    osnlData->maxVec.back()->m_mChildren = new OSnLNode*[ osnlData->maxVec.back()->inumberOfChildren];
    osnlData->maxVec.pop_back();
#ifdef OSINSTANCE_AVAILABLE
    osinstance->instanceData->nonlinearExpressions->nl[ osnlData->tmpnlcount]->osExpressionTree->bADMustReTape = true;
#endif
}
    break;

  case 848: /* anothermaxnlnode: anothermaxnlnode nlnode  */
                                      { osnlData->maxVec.back()->inumberOfChildren++; }
    break;

  case 849: /* $@31: %empty  */
              {
    osnlData->nlNodePoint = new OSnLNodeMin();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
    osnlData->minVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 850: /* min: MINSTART $@31 anotherminnlnode MINEND  */
                        {
    osnlData->minVec.back()->m_mChildren = new OSnLNode*[ osnlData->minVec.back()->inumberOfChildren];
    osnlData->minVec.pop_back();
#ifdef OSINSTANCE_AVAILABLE
    osinstance->instanceData->nonlinearExpressions->nl[ osnlData->tmpnlcount]->osExpressionTree->bADMustReTape = true;
#endif
}
    break;

  case 852: /* anotherminnlnode: anotherminnlnode nlnode  */
                                      { osnlData->minVec.back()->inumberOfChildren++; }
    break;

  case 853: /* $@32: %empty  */
                      {
    osnlData->nlNodePoint = new OSnLNodeProduct();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
    osnlData->productVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 854: /* product: PRODUCTSTART $@32 anotherproductnlnode PRODUCTEND  */
                                {
    osnlData->productVec.back()->m_mChildren = new OSnLNode*[ osnlData->productVec.back()->inumberOfChildren];
    osnlData->productVec.pop_back();
}
    break;

  case 856: /* anotherproductnlnode: anotherproductnlnode nlnode  */
                                          { osnlData->productVec.back()->inumberOfChildren++; }
    break;

  case 876: /* matrixReference: matrixReferenceStart matrixIdxATT matrixReferenceEnd  */
{
    osnlData->matrixidxattON = false;
}
    break;

  case 877: /* matrixReferenceStart: MATRIXREFERENCESTART  */
{
    osnlData->nlMNodeMatrixRef = new OSnLMNodeMatrixReference();
    osnlData->nlNodeVec.push_back(osnlData->nlMNodeMatrixRef);
}
    break;

  case 880: /* matrixIdxATT: IDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) )
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    osnlData->nlMNodeMatrixRef->idx = (yyvsp[-1].ival);
}
    break;

  case 881: /* matrixVarReference: matrixVarReferenceStart matrixVarIdxATT matrixVarReferenceEnd  */
{
    osnlData->matrixidxattON = false;
}
    break;

  case 882: /* matrixVarReferenceStart: MATRIXVARSTART  */
{
    osnlData->nlMNodeMatrixVar = new OSnLMNodeMatrixVar();
    osnlData->nlNodeVec.push_back(osnlData->nlMNodeMatrixVar);
}
    break;

  case 885: /* matrixVarIdxATT: IDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) )
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    osnlData->nlMNodeMatrixVar->idx = (yyvsp[-1].ival);
}
    break;

  case 886: /* matrixObjReference: matrixObjReferenceStart matrixObjIdxATT matrixObjReferenceEnd  */
{
    osnlData->matrixidxattON = false;
}
    break;

  case 887: /* matrixObjReferenceStart: MATRIXOBJSTART  */
{
    osnlData->nlMNodeMatrixObj = new OSnLMNodeMatrixObj();
    osnlData->nlNodeVec.push_back(osnlData->nlMNodeMatrixObj);
}
    break;

  case 890: /* matrixObjIdxATT: IDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) )
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    osnlData->nlMNodeMatrixObj->idx = (yyvsp[-1].ival);
}
    break;

  case 891: /* matrixConReference: matrixConReferenceStart matrixConIdxATT matrixConReferenceEnd  */
{
    osnlData->matrixidxattON = false;
}
    break;

  case 892: /* matrixConReferenceStart: MATRIXCONSTART  */
{
    osnlData->nlMNodeMatrixCon = new OSnLMNodeMatrixCon();
    osnlData->nlNodeVec.push_back(osnlData->nlMNodeMatrixCon);
}
    break;

  case 895: /* matrixConIdxATT: IDXATT QUOTE INTEGER QUOTE  */
{
    if ( *(yyvsp[-2].sval) != *(yyvsp[0].sval) )
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "start and end quotes are not the same");
    osnlData->nlMNodeMatrixCon->idx = (yyvsp[-1].ival);
}
    break;

  case 897: /* matrixDiagonalStart: MATRIXDIAGONALSTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixDiagonal();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 900: /* matrixDotTimesStart: MATRIXDOTTIMESSTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixDotTimes();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 903: /* identityMatrixStart: IDENTITYMATRIXSTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeIdentityMatrix();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 906: /* matrixInverseStart: MATRIXINVERSESTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixInverse();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 909: /* matrixLowerTriangleStart: MATRIXLOWERTRIANGLESTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixLowerTriangle();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 911: /* matrixLowerTriangleAttribute: includeDiagonalATT  */
{
    ((OSnLMNodeMatrixLowerTriangle*)osnlData->nlNodeVec.back())->includeDiagonal = osnlData->includeDiagonalAttribute;
}
    break;

  case 914: /* matrixUpperTriangleStart: MATRIXUPPERTRIANGLESTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixUpperTriangle();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 916: /* matrixUpperTriangleAttribute: includeDiagonalATT  */
{
    ((OSnLMNodeMatrixUpperTriangle*)osnlData->nlNodeVec.back())->includeDiagonal = osnlData->includeDiagonalAttribute;
}
    break;

  case 918: /* includeDiagonalATT: INCLUDEDIAGONALATT ATTRIBUTETEXT QUOTE  */
{
    if      (strcmp((yyvsp[-1].sval),"false") == 0) osnlData->includeDiagonalAttribute = false;
    else if (strcmp((yyvsp[-1].sval),"true" ) == 0) osnlData->includeDiagonalAttribute = true;
    else parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "osnlData->includeDiagonal attribute must be \"true\" or \"false\"");
    free((yyvsp[-1].sval));
}
    break;

  case 920: /* matrixMergeStart: MATRIXMERGESTART  */
{
     parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "matrix merge not yet implemented");
}
    break;

  case 924: /* matrixMinusStart: MATRIXMINUSSTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixMinus();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 927: /* matrixNegateStart: MATRIXNEGATESTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixNegate();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 930: /* matrixPlusStart: MATRIXPLUSSTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixPlus();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 933: /* matrixTimesStart: MATRIXTIMESSTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixTimes();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 935: /* $@33: %empty  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixProduct();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
    osnlData->matrixProductVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 936: /* matrixProduct: MATRIXPRODUCTSTART $@33 anothermatrixproductnode MATRIXPRODUCTEND  */
{
    osnlData->matrixProductVec.back()->m_mMatrixChildren = new OSnLMNode*[ osnlData->matrixProductVec.back()->inumberOfMatrixChildren];
    osnlData->matrixProductVec.pop_back();
}
    break;

  case 938: /* anothermatrixproductnode: anothermatrixproductnode OSnLMNode  */
{ 
    osnlData->matrixProductVec.back()->inumberOfMatrixChildren++; 
}
    break;

  case 940: /* matrixScalarTimesStart: MATRIXSCALARTIMESSTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixScalarTimes();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 943: /* matrixSubMatrixAtStart: MATRIXSUBMATRIXATSTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixSubmatrixAt();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 946: /* matrixTransposeStart: MATRIXTRANSPOSESTART  */
{
    osnlData->nlNodePoint = new OSnLMNodeMatrixTranspose();
    osnlData->nlNodeVec.push_back( osnlData->nlNodePoint);
}
    break;

  case 949: /* matrixExpressions: matrixExpressionsStart matrixExpressionsAtt matrixExpressionsContent  */
    {  
        if (osnlData->tmpnlcount < osnlData->nlnodenumber)  
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of matrix expressions less than number attribute");   
    }
    break;

  case 950: /* matrixExpressionsStart: MATRIXEXPRESSIONSSTART  */
    {               
    #ifdef OSINSTANCE_AVAILABLE
        osinstance->instanceData->matrixProgramming->matrixExpressions = new MatrixExpressions();
        osnlData->tmpnlcount = 0;
    #endif
    }
    break;

  case 952: /* numberOfExprATT: NUMBEROFEXPR QUOTE INTEGER QUOTE  */
    {
    #ifdef OSINSTANCE_AVAILABLE
        if (*(yyvsp[-2].sval) != *(yyvsp[0].sval)) 
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mismatched quotes");
        if ((yyvsp[-1].ival) < 0) parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, 
                        "number of expressions cannot be negative");
        osnlData->nlnodenumber = (yyvsp[-1].ival);
        osinstance->instanceData->matrixProgramming->matrixExpressions->numberOfExpr = (yyvsp[-1].ival);  
        if (osinstance->instanceData->matrixProgramming->matrixExpressions->numberOfExpr > 0 ) 
            osinstance->instanceData->matrixProgramming->matrixExpressions->expr
                = new MatrixExpression*[ (yyvsp[-1].ival) ];
        for (int i = 0; 
                 i < osinstance->instanceData->matrixProgramming->matrixExpressions->numberOfExpr;
                 i++)
            osinstance->instanceData->matrixProgramming->matrixExpressions->expr[i]
                = new MatrixExpression();
    #endif
    }
    break;

  case 959: /* matrixExpr: matrixExprStart matrixExprAttributes GREATERTHAN OSnLMNode EXPREND  */
    {
    // IMPORTANT -- HERE IS WHERE WE CREATE THE EXPRESSION TREE
    #ifdef OSINSTANCE_AVAILABLE
        osinstance->instanceData->matrixProgramming->matrixExpressions->expr[ osnlData->tmpnlcount]->matrixExpressionTree->m_treeRoot = 
            ((OSnLMNode*)osnlData->nlNodeVec[ 0])->createExpressionTreeFromPrefix( osnlData->nlNodeVec);
    #endif
        osnlData->tmpnlcount++;
    }
    break;

  case 960: /* matrixExprStart: EXPRSTART  */
    {
        if (osnlData->tmpnlcount >= osnlData->nlnodenumber) 
            parserData->parser_errors += 
                addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "actual number of matrix expressions greater than number attribute");
        osglData->idxPresent = false;
        osglData->shapePresent = false;   

        // clear the vectors of pointers
        osnlData->nlNodeVec.clear();
        osnlData->sumVec.clear();
        osnlData->allDiffVec.clear();
        osnlData->maxVec.clear();
        osnlData->minVec.clear();
        osnlData->productVec.clear();
        osnlData->matrixSumVec.clear();
        osnlData->matrixProductVec.clear();
    }
    break;

  case 961: /* matrixExprAttributes: matrixExprAttributeList  */
{
    if (osglData->idxPresent == false)
        parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData, "mandatory attribute idx is missing");    
}
    break;

  case 964: /* exprAttribute: osglIdxATT  */
    {
    #ifdef OSINSTANCE_AVAILABLE
        osinstance->instanceData->matrixProgramming->matrixExpressions->expr[ osnlData->tmpnlcount]->idx = osglData->idx;
        osinstance->instanceData->matrixProgramming->matrixExpressions->expr[ osnlData->tmpnlcount]->matrixExpressionTree
            = new MatrixExpressionTree();
    #endif
    }
    break;

  case 965: /* exprAttribute: osglShapeATT  */
    {
    #ifdef OSINSTANCE_AVAILABLE
        if (returnNlExprShape(osglData->shape) > 0)
            osinstance->instanceData->matrixProgramming->matrixExpressions
                ->expr[ osnlData->tmpnlcount]->shape 
                    = (ENUM_NL_EXPR_SHAPE)returnNlExprShape(osglData->shape);
        else
            parserData->parser_errors += addErrorMsg( NULL, osinstance, parserData, osglData, osnlData,
                "unknown shape specified in matrix transformation");
    #endif
    }
    break;



      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (&yylloc, osinstance, parserData, osglData, osnlData, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, osinstance, parserData, osglData, osnlData);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, osinstance, parserData, osglData, osnlData);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, osinstance, parserData, osglData, osnlData, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, osinstance, parserData, osglData, osnlData);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, osinstance, parserData, osglData, osnlData);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}




// user defined functions

void osilerror(YYLTYPE* mytype, OSInstance *osinstance, OSiLParserData* parserData, OSgLParserData* osglData, OSnLParserData* osnlData, std::string errormsg )
{
    osil_empty_vectors( parserData);
    osgl_empty_vectors( osglData);
    osnl_empty_vectors( osnlData);
    throw ErrorClass( errormsg);
} //end osilerror


std::string addErrorMsg(YYLTYPE* mytype, OSInstance *osinstance, OSiLParserData* parserData, OSgLParserData* osglData, OSnLParserData* osnlData, std::string errormsg )
{
    std::ostringstream outStr;
    outStr << "At line number " << osilget_lineno( scanner) << ": "; 
    outStr << osilget_text ( scanner ) << std::endl; 
    outStr << errormsg << std::endl;

    return outStr.str();
} //end addErrorMsg


void  yygetOSInstance( const char *osil, OSInstance* osinstance, OSiLParserData *parserData, OSgLParserData *osglData, OSnLParserData *osnlData) {
    try {
        parseInstanceHeader( &osil, osinstance, &parserData->osillineno);
        parseInstanceData( &osil, osinstance, &parserData->osillineno);    
        /** at this point here we have parsed everything through <linearConstraintCoefficients>
         *    we have done so without bison and just moved the pointer on osil to point to what is past
         *    the linear part    
         * call the flex scanner and start scanning the nonlinear part of the problem
         */    
        osil_scan_string( osil, scanner );
        osilset_lineno (parserData->osillineno , scanner );
        //
        // call the Bison parser
        //
        if(  osilparse( osinstance,  parserData, osglData, osnlData) != 0) {
            throw ErrorClass(  "Error parsing the OSiL");
        }
    }
    catch(const ErrorClass& eclass){
        throw ErrorClass(  eclass.errormsg); 
    }
}//end yygetOSInstance

bool isnewline(char c, int* osillineno){
    if(c != '\n') return false;
    (*osillineno)++;
    return true;
}//end isnewline()

bool parseInstanceHeader( const char **p, OSInstance *osinstance, int* osillineno){
    //
    *osillineno = 1;
    const char *pchar = *p;
    
        
    //first check of osil start
    const char *startOSiL = "<osil";
    const char *pOSiLStart = strstr(pchar, startOSiL);
    if(pOSiLStart == NULL){
      osilerror_wrapper( pchar,osillineno,"<osil> element missing"); 
      return false;
    }else{
        //look for osil end
            const char *pOSiLEnd = strstr(pOSiLStart, ">");
        if(pOSiLEnd == NULL) {  osilerror_wrapper( pchar,osillineno,"end of <osil> element missing"); return false;
            } else {
            pchar = pOSiLEnd;
            pchar++;
        }
    }
    
    
    // create a char array that holds the instance header information
    const char *startInstanceHeader = "<instanceHeader";
    const char *endInstanceHeader = "instanceHeader"; // "</instanceHeader";
    const char *startName = "ame"; // "<name";
    const char *startSource = "ource"; // "<source";
    const char *startDescription = "escription"; // "<description";
    const char *startFileCreator = "ileCreator"; // "<fileCreator";
    const char *startLicence = "icence"; // "<licence";
    const char *endName = "</name";
    const char *endSource = "</source";
    const char *endDescription = "</description";
    const char *endFileCreator = "</fileCreator";
    const char *endLicence = "</licence";
    const char *pinstanceHeadStart = strstr(pchar, startInstanceHeader);
    char *pelementText = NULL;
    const char *ptemp = NULL;
    int elementSize;

    bool namePresent = false;
    bool sourcePresent = false;
    bool descriptionPresent = false;
    bool fileCreatorPresent = false;
    bool licencePresent = false;

    if(pinstanceHeadStart == NULL ) {
        const char *startInstanceData = "<instanceData";
        *p = strstr(pchar, startInstanceData);
        return true;
    }
    // increment the line number counter if there are any newlines between the start of
    // the osil string and pinstanceHeadStart
    int    kount = pinstanceHeadStart - pchar;
    while( kount-- > 0) if(*(pchar++) == '\n') (*osillineno)++;
    // important! pchar now points to the '<' in <instanceHeader
    // that is, both pinstanceHeadStart and pchar point to the same thing
     // 
     // move to the end of <instanceHeader
     pchar+=15;
    // burn any whitespace
    for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;
    // pchar better be pointing to the '>' in the <instanceHeader> element
    // or to /> if we have <instanceHeader />
    if( *pchar == '/'){
        pchar++;
        // better point to a '>'
        if(*pchar != '>') {  osilerror_wrapper( pchar,osillineno,"improperly formed <instanceHeader> element"); return false;}
        // there is no instanceHeader data
        pchar++;
        *p = pchar;
        return true;
    }
    else{
        // pchar better be '>' or there is an error
        if(*pchar != '>') {  osilerror_wrapper( pchar,osillineno,"improperly formed <instanceHeader> element"); return false;}
    }
    pchar++;
    // we are pointing to the character after <instanceHeader>
    //
    // The next element could be </instanceHeader or one of the content elements (in arbitrary order):
    // <name
    // <source
    // <description
    // <fileCreator
    // <licence

    for (;;)
    {
        // first burn any whitespace
        for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;
        // remember where we are
        *p = pchar;
        // The next character should be '<'
        if (*pchar != '<') {osilerror_wrapper( pchar,osillineno,"improperly formed <name> element"); return false;}
        pchar++;
        switch (*pchar)
        {
            case 'n':    // <name
                if (namePresent)
                {  
                    osilerror_wrapper( pchar,osillineno,"duplicate <name> element"); 
                    return false;
                }
                else
                    namePresent = true;
                pchar++;
                while(*startName++  == *pchar) pchar++;
                if( (pchar - *p)  != 5) 
                {
                    osilerror_wrapper( pchar,osillineno,"tag not recognized"); 
                    return false;
                }
                else
                {
                    // we have a name element, process the text
                    // burn the whitespace
                    for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                    if( *pchar == '/')
                    {
                        pchar++;
                        // better point to a '>'
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <name> element"); 
                            return false;
                        }
                        pchar++;
                    }
                    else    
                    {
                        // pchar better be '>' or there is an error
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <name> element");
                             return false;
                        }
                        pchar++;
                        // process <name> element text
                        // there better be a </name
                        ptemp = strstr( pchar, endName);
                        if( ptemp == NULL) 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed </name> element"); 
                            return false;
                        }
                        elementSize = ptemp - pchar;
                        pelementText = new char[ elementSize + 1];
                        strncpy(pelementText, pchar, elementSize);
                        pelementText[ elementSize] = '\0';
                        osinstance->instanceHeader->name = pelementText;
                        //garbage collection
                        delete [] pelementText;
                        // move pchar up to the end of </name
                        while(elementSize-- > 0)
                        {
                            if(*pchar++ == '\n') (*osillineno)++;
                        }
                        // pchar should now be pointing to the start of </name
                        // move to first char after </name
                        pchar += 6;
                        // get rid of the whitespace
                        for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                        // we better have the '>' for the end of name
                        if(*pchar++ != '>')
                        {
                            osilerror_wrapper( pchar,osillineno,"improperly formed </name> element"); 
                            return false;
                        }   
                    }
                }
                break;

            case 's':    // <source
                if (sourcePresent)
                {  
                    osilerror_wrapper( pchar,osillineno,"duplicate <source> element"); 
                    return false;
                }
                else
                    sourcePresent = true;
                pchar++;
                while(*startSource++  == *pchar) pchar++;
                if( (pchar - *p)  != 7) 
                {
                    osilerror_wrapper( pchar,osillineno,"tag not recognized"); 
                    return false;
                }
                else
                {
                    // we have a source element, process the text
                    // burn the whitespace
                    for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                    if( *pchar == '/')
                    {
                        pchar++;
                        // better point to a '>'
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <source> element"); 
                            return false;
                        }
                        pchar++;
                    }
                    else    
                    {
                        // pchar better be '>' or there is an error
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <source> element");
                             return false;
                        }
                        pchar++;
                        // process <source> element text
                        // there better be a </source
                        ptemp = strstr( pchar, endSource);
                        if( ptemp == NULL) 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed </source> element"); 
                            return false;
                        }
                        elementSize = ptemp - pchar;
                        pelementText = new char[ elementSize + 1];
                        strncpy(pelementText, pchar, elementSize);
                        pelementText[ elementSize] = '\0';
                        osinstance->instanceHeader->source = pelementText;
                        //garbage collection
                        delete [] pelementText;
                        // move pchar up to the end of </source
                        while(elementSize-- > 0)
                        {
                            if(*pchar++ == '\n') (*osillineno)++;
                        }
                        // pchar should now be pointing to the start of </source
                        // move to first char after </source
                        pchar += 8;
                        // get rid of the whitespace
                        for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                        // we better have the '>' for the end of source
                        if(*pchar++ != '>')
                        {
                            osilerror_wrapper( pchar,osillineno,"improperly formed </source> element"); 
                            return false;
                        }   
                    }
                }
                break;

            case 'd':    // <description
                if (descriptionPresent)
                {  
                    osilerror_wrapper( pchar,osillineno,"duplicate <description> element"); 
                    return false;
                }
                else
                    descriptionPresent = true;
                pchar++;
                while(*startDescription++  == *pchar) pchar++;
                if( (pchar - *p)  != 12) 
                {
                    osilerror_wrapper( pchar,osillineno,"tag not recognized"); 
                    return false;
                }
                else
                {
                    // we have a description element, process the text
                    // burn the whitespace
                    for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                    if( *pchar == '/')
                    {
                        pchar++;
                        // better point to a '>'
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <description> element"); 
                            return false;
                        }
                        pchar++;
                    }
                    else    
                    {
                        // pchar better be '>' or there is an error
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <description> element");
                             return false;
                        }
                        pchar++;
                        // process <description> element text
                        // there better be a </description
                        ptemp = strstr( pchar, endDescription);
                        if( ptemp == NULL) 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed </description> element"); 
                            return false;
                        }
                        elementSize = ptemp - pchar;
                        pelementText = new char[ elementSize + 1];
                        strncpy(pelementText, pchar, elementSize);
                        pelementText[ elementSize] = '\0';
                        osinstance->instanceHeader->description = pelementText;
                        //garbage collection
                        delete [] pelementText;
                        // move pchar up to the end of </description
                        while(elementSize-- > 0)
                        {
                            if(*pchar++ == '\n') (*osillineno)++;
                        }
                        // pchar should now be pointing to the start of </description
                        // move to first char after </description
                        pchar += 13;
                        // get rid of the whitespace
                        for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                        // we better have the '>' for the end of description
                        if(*pchar++ != '>')
                        {
                            osilerror_wrapper( pchar,osillineno,"improperly formed </description> element"); 
                            return false;
                        }   
                    }
                }
                break;

            case 'f':    // <fileCreator
                if (fileCreatorPresent)
                {  
                    osilerror_wrapper( pchar,osillineno,"duplicate <fileCreator> element"); 
                    return false;
                }
                else
                    fileCreatorPresent = true;
                pchar++;
                while(*startFileCreator++  == *pchar) pchar++;
                if( (pchar - *p)  != 12) 
                {
                    osilerror_wrapper( pchar,osillineno,"tag not recognized"); 
                    return false;
                }
                else
                {
                    // we have a fileCreator element, process the text
                    // burn the whitespace
                    for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                    if( *pchar == '/')
                    {
                        pchar++;
                        // better point to a '>'
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <fileCreator> element"); 
                            return false;
                        }
                        pchar++;
                    }
                    else    
                    {
                        // pchar better be '>' or there is an error
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <fileCreator> element");
                             return false;
                        }
                        pchar++;
                        // process <fileCreator> element text
                        // there better be a </fileCreator
                        ptemp = strstr( pchar, endFileCreator);
                        if( ptemp == NULL) 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed </fileCreator> element"); 
                            return false;
                        }
                        elementSize = ptemp - pchar;
                        pelementText = new char[ elementSize + 1];
                        strncpy(pelementText, pchar, elementSize);
                        pelementText[ elementSize] = '\0';
                        osinstance->instanceHeader->fileCreator = pelementText;
                        //garbage collection
                        delete [] pelementText;
                        // move pchar up to the end of </fileCreator
                        while(elementSize-- > 0)
                        {
                            if(*pchar++ == '\n') (*osillineno)++;
                        }
                        // pchar should now be pointing to the start of </fileCreator
                        // move to first char after </fileCreator
                        pchar += 13;
                        // get rid of the whitespace
                        for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                        // we better have the '>' for the end of fileCreator
                        if(*pchar++ != '>')
                        {
                            osilerror_wrapper( pchar,osillineno,"improperly formed </fileCreator> element"); 
                            return false;
                        }   
                    }
                }
                break;

            case 'l':    // <licence
                if (licencePresent)
                {  
                    osilerror_wrapper( pchar,osillineno,"duplicate <licence> element"); 
                    return false;
                }
                else
                    licencePresent = true;
                pchar++;
                while(*startLicence++  == *pchar) pchar++;
                if( (pchar - *p)  != 8) 
                {
                    osilerror_wrapper( pchar,osillineno,"tag not recognized"); 
                    return false;
                }
                else
                {
                    // we have a licence element, process the text
                    // burn the whitespace
                    for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                    if( *pchar == '/')
                    {
                        pchar++;
                        // better point to a '>'
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <licence> element"); 
                            return false;
                        }
                        pchar++;
                    }
                    else    
                    {
                        // pchar better be '>' or there is an error
                        if(*pchar != '>') 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed <licence> element");
                             return false;
                        }
                        pchar++;
                        // process <licence> element text
                        // there better be a </licence
                        ptemp = strstr( pchar, endLicence);
                        if( ptemp == NULL) 
                        {  
                            osilerror_wrapper( pchar,osillineno,"improperly formed </licence> element"); 
                            return false;
                        }
                        elementSize = ptemp - pchar;
                        pelementText = new char[ elementSize + 1];
                        strncpy(pelementText, pchar, elementSize);
                        pelementText[ elementSize] = '\0';
                        osinstance->instanceHeader->licence = pelementText;
                        //garbage collection
                        delete [] pelementText;
                        // move pchar up to the end of </licence
                        while(elementSize-- > 0)
                        {
                            if(*pchar++ == '\n') (*osillineno)++;
                        }
                        // pchar should now be pointing to the start of </licence
                        // move to first char after </licence
                        pchar += 9;
                        // get rid of the whitespace
                        for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                        // we better have the '>' for the end of licence
                        if(*pchar++ != '>')
                        {
                            osilerror_wrapper( pchar,osillineno,"improperly formed </licence> element"); 
                            return false;
                        }   
                    }
                }
                break;

            case '/':    // </instanceHeader
                pchar++;
                while(*endInstanceHeader++  == *pchar) pchar++;
                if( (pchar - *p)  != 16) 
                {
                    osilerror_wrapper( pchar,osillineno,"improperly formed </instanceHeader> element"); 
                    return false;
                }
                // pchar now points to the first character after </instanceHeader
                // get rid of white space
                for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
                // pchar must point to '>' or there is an error
                if(*pchar != '>')
                {  
                    osilerror_wrapper( pchar,osillineno,"improperly formed </instanceHeader> element"); 
                    return false;
                }
                pchar++;
                *p = pchar;
                return true;

            default:
                {osilerror_wrapper( pchar,osillineno,"tag not recognized"); return false;}
        }
    }
    return false;
}//end parseInstanceHeader


bool parseInstanceData( const char **p, OSInstance *osinstance, int* osillineno){
    //
    const char *pchar = *p;
    const char *startInstanceData = "<instanceData";
    // at this point *pchar should be pointing to the first char after the > in </instanceHeader>
    // burn the white space
    for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
    // pchar should be point to a '<', if not there is an error
    if(*pchar != '<'){  osilerror_wrapper( pchar,osillineno,"improperly formed <instanceData element"); return false;}
    // make sure the element is <instanceData    
    *p = pchar;
    while(*startInstanceData++  == *pchar) pchar++;
    if( (pchar - *p) != 13) {  osilerror_wrapper( pchar,osillineno,"improperly formed <instanceData> element"); return false;}    
    // now burn whitespace
    for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
    // pchar must point to '>' or there is an error
    if(*pchar == '>'){
        pchar++;
        // we are now pointing to the first char after <instanceData>
        // burn any whitespace
        for( ; ISWHITESPACE( *pchar) || isnewline( *pchar, osillineno); pchar++ ) ;    
        // we should be pointing to the '<' char in <variables>
        *p = pchar;
        if( parseVariables  ( p, osinstance, osillineno) != true) throw ErrorClass("error in parseVariables");
        if( parseObjectives ( p, osinstance, osillineno) != true) throw ErrorClass("error in parseObjectives");
        if( parseConstraints( p, osinstance, osillineno) != true) throw ErrorClass("error in parseConstraints");
        if( parseLinearConstraintCoefficients( p, osinstance, osillineno) != true) throw ErrorClass("error in parseLinearConstraintCoefficients");
    }else{
        //osilerror_wrapper( pchar,osillineno,"improperly formed <instanceData> element"); 
        return true;
    }
    // we should be pointing to the '<' char in <variables>
    return true;
}// end parseInstanceData


bool parseVariables( const char **p,  OSInstance *osinstance, int* osillineno){
    clock_t start, finish;
    #ifdef CHECK_PARSE_TIME
    double duration;
    #endif
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;
    start = clock(); 
    const char *c_numberOfVariables = "numberOfVariables";
    const char *startVariables = "<variables";
    const char *endVariables = "</variables";
    const char *startVar = "<var";
    const char *endVar = "</var";
    // the attributes
    char *attText = NULL;
    const char *name = "name";
    //const char *initString = "initString";
    const char *type = "type";
    const char *mult = "mult";
    // others
    int i;
    int varcount = 0;
    int vt;
    int numberOfVariables = 0;
// variable attribute boolean variables
    bool varlbattON  = false;
    bool varubattON = false ;
    bool vartypeattON  = false;
    bool varnameattON = false ;
    //bool varinitattON = false ;
    //bool varinitStringattON = false ;
    bool varmultattON = false;
    bool foundVar = false;
    int varmult; 
    //
    // start parsing -- okay not to have variables 
    // burn white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    *p = ch;
    while(*startVariables++  == *ch) ch++;
    //if( (ch - *p) != 10) {  osilerror_wrapper( ch,osillineno,"incorrect <variables tag>"); return false;}
    if( (ch - *p) != 10) {   return true;}

    osinstance->instanceData->variables = new Variables();

    // find numberOfVariables attribute
    // eat the white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    *p = ch;
    while(*c_numberOfVariables++  == *ch) ch++;
    if( (ch - *p) != 17) {  osilerror_wrapper( ch,osillineno,"incorrect numberOfVariables attribute in <variables tag>"); return false;}    
    // buf_index should be pointing to the first character after numberOfVariables
    GETATTRIBUTETEXT;
    ch++;
    numberOfVariables = atoimod1( osillineno, attText, attTextEnd);
    delete [] attText;
    if(numberOfVariables <  0) {
        osilerror_wrapper( ch,osillineno,"there must be a nonnegative number of variables"); return false;
    }
    osinstance->instanceData->variables->numberOfVariables = numberOfVariables;
    if(numberOfVariables > 0){
        osinstance->instanceData->variables->var = new Variable*[ numberOfVariables];
        for(i = 0; i < numberOfVariables; i++){
            osinstance->instanceData->variables->var[ i] = new Variable();
        } 
    }
    // get rid of white space after the numberOfVariables element
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;                    
    // since there must be at least one variable,  this element must end with > 
    if(numberOfVariables > 0){
        // better have an > sign or not valid
        if(*ch != '>' ) {  osilerror_wrapper( ch,osillineno,"variables element does not have a proper closing >"); return false;}
        ch++;
        // get rid of white space
        for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
        // now loop over the var element when the numberOfVariables is strictly positive
        *p = ch;
        while(*startVar++  == *ch) ch++;
        if( (ch - *p) ==  4) foundVar = true;
            else {  osilerror_wrapper( ch,osillineno,"there must be at least one <var> element"); return false;}
        startVar -= 5;
        while(foundVar){
            varlbattON   = false;
            varubattON   = false;
            vartypeattON = false;
            varnameattON = false;
            varmultattON = false;
            varmult = 1;
            foundVar = false;
            vt = 0;
            // assume we are pointing to the first character after the r in <var
            // it should be whitespace
            for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            while(*ch != '/' && *ch != '>'){
                switch (*ch) {
                case 'n':
                    *p = ch;
                    while(*name++  == *ch) ch++;
                    if( (ch - *p) != 4 ) {  osilerror_wrapper( ch,osillineno,"error in variables name attribute"); return false;}
                    name -= 5;
                    if(varnameattON == true) {  osilerror_wrapper( ch,osillineno,"too many variable name attributes"); return false;}
                    varnameattON = true;
                    GETATTRIBUTETEXT;
                    osinstance->instanceData->variables->var[varcount]->name=attText;
                    delete [] attText;
                    break;
                case 't':
                    *p = ch;
                    while(*type++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in variables type attribute"); return false;}
                    type -= 5;
                    if(vartypeattON == true) {  osilerror_wrapper( ch,osillineno,"too many variable type attributes"); return false;}
                    vartypeattON = true;
                    GETATTRIBUTETEXT;
                    vt = returnVarType(attText[0]);
                    if( vt == 0 ) {  osilerror_wrapper( ch,osillineno,"variable type not recognized"); return false;}
                    osinstance->instanceData->variables->var[varcount]->type = attText[0];
                    delete [] attText;
                    break;
                case 'l':
                    ch++;
                    if(*ch++ != 'b') {  osilerror_wrapper( ch,osillineno,"error in variables lower bound attribute"); return false;}
                    if(varlbattON == true) {  osilerror_wrapper( ch,osillineno,"too many variable lb attributes"); return false;}
                    varlbattON = true;
                    GETATTRIBUTETEXT;
                    osinstance->instanceData->variables->var[varcount]->lb = atofmod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case 'u':
                    ch++;
                    if(*ch++ != 'b') {  osilerror_wrapper( ch,osillineno,"error in variables upper bound attribute"); return false;}
                    if(varubattON == true) {  osilerror_wrapper( ch,osillineno,"too many variable ub attributes"); return false;}
                    varubattON = true;
                    GETATTRIBUTETEXT;
                    osinstance->instanceData->variables->var[varcount]->ub = atofmod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case 'm':
                    *p = ch;
                    while(*mult++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in variables mult attribute"); return false;}
                    mult -= 5;
                    if(varmultattON == true) {  osilerror_wrapper( ch,osillineno,"too many variable mult attributes"); return false;}
                    varmultattON = true;
                    GETATTRIBUTETEXT;
                    varmult = atoimod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case ' ':
                    break;
                case '\n':
                    (*osillineno)++;
                    break;
                case '\t':
                    break;
                case '\r':
                    break;
                default:
                    osilerror_wrapper( ch,osillineno,"invalid attribute character"); 
                    return false;
                    break;
                }
                // reset default upper bound for binary variables
                if (vt == ENUM_VARTYPE_binary) 
                {
                    if (varubattON == false)
                        osinstance->instanceData->variables->var[varcount]->ub = 1.0;
                }
                ch++;
            }
            //
            // assume all the attributes have been processed
            // must have either /> or > and then whitespace and </var whitespace>
            if( *ch != '/' && *ch != '>') {  osilerror_wrapper( ch,osillineno,"incorrect end of <var> element"); return false;}
            if(*ch == '/'){
                ch++;
                if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"incorrect end of <var> element"); return false;}
                // get rid of whitespace
                ch++;
                for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
                // either have another <var> element or foundVar = false;
                *p = ch;
                while(*startVar++  == *ch) ch++;
                if( (ch - *p) == 4) {
                    foundVar = true;
                    startVar -= 5;
                }
                else {
                    foundVar = false;
                    ch = *p;
                }
            }
            else{
                // the buf_index is the > at the end of the var element 
                // double check to make sure it really is a >
                if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improper ending to a <var> element"); return false;}
                // look for </var
                // fist get rid of white space
                ch++;
                for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
                // we should be at </var or there is an error
                *p = ch;
                while(*endVar++  == *ch) ch++;
                endVar -= 6;
                if( (ch - *p) != 5) {  osilerror_wrapper( ch,osillineno,"</var> element missing"); return false;}
                // burn off the whitespace
                for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
                // better have an > to end </var
                if(*ch++ != '>') {  osilerror_wrapper( ch,osillineno,"</var> element missing >"); return false;}
                // look for a new <var> element
                // get rid of whitespace
                ch++;
                for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
                // either have another <var> element or foundVar = false;
                *p = ch;
                while(*startVar++  == *ch) ch++;
                if( (ch - *p) == 4) {
                    foundVar = true;
                    startVar -= 5;
                }
                else {
                    foundVar = false;
                    ch = *p;
                }
            }
            if( ((varcount+varmult) == numberOfVariables) && (foundVar == true) ) {   osilerror_wrapper( ch,osillineno,"attribute numberOfVariables is less than actual number found");  return false;}
            for (int k=1; k < varmult; k++)
            {
                osinstance->instanceData->variables->var[varcount+k]->name 
                = osinstance->instanceData->variables->var[varcount]->name;
                osinstance->instanceData->variables->var[varcount+k]->type 
                = osinstance->instanceData->variables->var[varcount]->type;
                osinstance->instanceData->variables->var[varcount+k]->lb 
                = osinstance->instanceData->variables->var[varcount]->lb;
                osinstance->instanceData->variables->var[varcount+k]->ub 
                = osinstance->instanceData->variables->var[varcount]->ub;
            }
            varcount += varmult;
        }// end while(foundVar)
        if(varcount < numberOfVariables) {  osilerror_wrapper( ch,osillineno,"attribute numberOfVariables is greater than actual number found");   return false;}
        // get the </variables> tag
        *p = ch;
        while(*endVariables++  == *ch) ch++;
        if( (ch - *p) != 11) {   osilerror_wrapper( ch,osillineno,"cannot find </variables> tag"); return false;}
        for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
        // better have >
        if(*ch != '>') {   osilerror_wrapper( ch,osillineno,"improperly formed </variables> tag"); return false;}
        ch++;
    }else {//end if(numberOfVariables > 0)
        // error if the number is negative
        if(numberOfVariables < 0) {  osilerror_wrapper( ch,osillineno,"cannot have a negative number of variables"); return false;}
        // if we are here we have numberOfVariables = 0
        // must close with /> or </variables>
        // get rid of white space
        for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
        if( *ch == '/'){
            // better have a >
            ch++;
            if( *ch  != '>') {  osilerror_wrapper( ch,osillineno,"improperly closed variables tag"); return false;}
            ch++;
        }
        else{
            // if we are here we must have an '>' and then  </constraints> tag
            if( *ch  != '>') {  osilerror_wrapper( ch,osillineno,"improperly closed variables tag"); return false;}
            ch++;
            // burn white space
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            *p = ch;
            while( *endVariables++  == *ch) ch++;
            if( (ch - *p) != 11) {  osilerror_wrapper( ch,osillineno, "cannot find </variables> tag"); return false; }
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
            // better have >
            if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </variables> tag"); return false;}    
            ch++;
        }
    }
    finish = clock();
    #ifdef CHECK_PARSE_TIME
    duration = (double) (finish - start) / CLOCKS_PER_SEC; 
    printf("TIME TO PARSE VARIABLES = %f\n", duration);
    #endif
    *p = ch;
    return true;
}//end parseVariables


bool parseObjectives( const char **p, OSInstance *osinstance, int* osillineno){
    clock_t start, finish;
    #ifdef CHECK_PARSE_TIME
    double duration;
    #endif
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;
    start = clock();
    const char *c_numberOfObjectives = "numberOfObjectives";
    const char *startObjectives = "<objectives";
    const char *endObjectives = "</objectives";
    const char *startObj = "<obj";
    const char *endObj = "</obj";
    // attributes
    char *attText = NULL;
    const char *constant = "constant";
    const char *maxOrMin = "maxOrMin";
    const char *numberOfObjCoef = "numberOfObjCoef";
    const char *weight = "weight";
    const char *name = "name";
    const char *mult = "mult";
    // others
    int i;
    // objective function attribute boolean variables
    bool objmaxOrMinattON = false;
    bool objnameattON = false;
    bool objconstantattON = false;
    bool objweightattON = false;
    bool objmultattON = false;
    bool objnumberOfObjCoefattON = false;
    int objcount = 0;
    int numberOfObjectives;
    bool foundObj;
    int objmult; 
    // start parsing
    // burn white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // if, present we should be pointing to <objectives element if there -- it is not required
    *p = ch;
    while( *startObjectives++  == *ch) ch++;
    if( (ch - *p) != 11) {
        //  note if we are here even though ch > *p we want to return *p
        return true;
    }

    osinstance->instanceData->objectives = new Objectives();

    // find numberOfObjectives attribute -- it is valid for this attribute to be missing. 
    // However if the  number attribute is missing assume it is    1 
    // eat the white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // we just ate the white space. If numberOfObjectives is missing we assume it is 1
    // we therefore must have > char
    if(*ch == '>'){
        numberOfObjectives = 1;
        //ch++;
    }
    else{
        *p = ch;
        while( *c_numberOfObjectives++  == *ch) ch++;
        if( (ch - *p) != 18) {  osilerror_wrapper( ch,osillineno,"incorrect numberOfObjectives attribute in <objectives> tag"); return false;}    
        GETATTRIBUTETEXT;
        numberOfObjectives = atoimod1( osillineno, attText, attTextEnd);
        delete [] attText;
        ch++;
    }
    if(numberOfObjectives > 0){
        // get rid of white space after the numberOfObjectives attribute
        for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
        // we must have an >
        /*if(*ch == '/'){
            ch++;
            if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"the objectives element does not have a proper closing"); return false; }
            else{
                if(numberOfObjectives > 0){   osilerror_wrapper( ch,osillineno,"numberOfObjectives positive but there are no objectives"); return false;}
                return false;
            }
        }*/
        //  we better have an > 
        if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"the objectives element does not have a proper closing"); return false;} 
        osinstance->instanceData->objectives->numberOfObjectives = numberOfObjectives;
        osinstance->instanceData->objectives->obj = new Objective*[ numberOfObjectives];
        for(i = 0; i < numberOfObjectives; i++){
            osinstance->instanceData->objectives->obj[ i] = new Objective();
        }     
    // get rid of white space after the <objectives> element
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // now loop over the obj elements, there must be at least one obj element
    *p = ch;
    while( *startObj++  == *ch) ch++;
    if( (ch - *p) == 4) foundObj = true;
        else {  osilerror_wrapper( ch,osillineno,"there must be at least one <obj> element"); return false;}
    startObj -= 5;
    start = clock();    
    while(foundObj){
        objmaxOrMinattON = false;
        objnameattON = false;
        objconstantattON = false;
        objweightattON = false;
        objmultattON = false;
        objnumberOfObjCoefattON = false;
        objmult = 1;
        // assume we are pointing to the first character after the r in <obj
        // it should be a space so let's increment ch
        ch++;
        while(*ch != '/' && *ch != '>'){
            switch (*ch) {
            case 'n':
                if( *(ch+1) == 'u'){
                    *p = ch;
                    while( *numberOfObjCoef++  == *ch) ch++;
                    numberOfObjCoef -= 16;
                    if( ( (ch - *p) != 15)  ) {  osilerror_wrapper( ch,osillineno,"error in objective numberOfObjCoef attribute"); return false;}
                    else{
                        if(objnumberOfObjCoefattON == true) {  osilerror_wrapper( ch,osillineno,"too many obj numberOfObjCoef attributes"); return false;}
                        objnumberOfObjCoefattON = true;
                        GETATTRIBUTETEXT;
                        osinstance->instanceData->objectives->obj[objcount]->numberOfObjCoef=atoimod1( osillineno,attText, attTextEnd);
                        if(osinstance->instanceData->objectives->obj[objcount]->numberOfObjCoef > 0 && osinstance->instanceData->variables->numberOfVariables == 0){  osilerror_wrapper( ch,osillineno,"we have zero variables, but have objective function coefficients"); return false;}
                        osinstance->instanceData->objectives->obj[objcount]->coef = new ObjCoef*[osinstance->instanceData->objectives->obj[ objcount]->numberOfObjCoef];
                        for(int i = 0; i < osinstance->instanceData->objectives->obj[ objcount]->numberOfObjCoef; i++)osinstance->instanceData->objectives->obj[objcount]->coef[i] = new ObjCoef();
                        delete [] attText;
                    }
                }
                else{
                    *p = ch;
                    while( *name++  == *ch) ch++;
                    name -= 5;
                    if( ( (ch - *p) != 4)  ) {  osilerror_wrapper( ch,osillineno,"error in objective name attribute"); return false;}
                    else{
                        if(objnameattON == true) {  osilerror_wrapper( ch,osillineno,"too many obj name attributes"); return false;}
                        objnameattON = true;
                        GETATTRIBUTETEXT;
                        osinstance->instanceData->objectives->obj[objcount]->name=attText;
                        delete [] attText;
                    }
                }
                break;
            case 'c':
                *p = ch;
                while( *constant++  == *ch) ch++;
                constant -= 9;    
                if( ( (ch - *p) != 8)  ) {  osilerror_wrapper( ch,osillineno,"error in objective constant attribute"); return false;}
                else{
                    if(objconstantattON == true) {  osilerror_wrapper( ch,osillineno,"too many obj constant attributes"); return false;}
                    objconstantattON = true;
                    GETATTRIBUTETEXT;
                    osinstance->instanceData->objectives->obj[objcount]->constant=atofmod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                }
                break;
            case 'w':
                *p = ch;
                while( *weight++  == *ch) ch++;
                weight -= 7;
                if( ( (ch - *p) != 6)  ) {  osilerror_wrapper( ch,osillineno,"error in objective weight attribute"); return false;}
                else{
                    if(objweightattON == true) {  osilerror_wrapper( ch,osillineno,"too many obj weight attributes"); return false;}
                    objweightattON = true;
                    GETATTRIBUTETEXT;
                    osinstance->instanceData->objectives->obj[objcount]->weight=atofmod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                }
                break;
            case 'm':
                if(*(ch+1) == 'a'){
                    *p = ch;
                    while( *maxOrMin++  == *ch) ch++;
                    maxOrMin -= 9;
                    if( ( ( ch - *p)  != 8)  ) {  osilerror_wrapper( ch,osillineno,"error in objective maxOrMin attribute"); return false;}
                    else{
                        if(objmaxOrMinattON == true) {  osilerror_wrapper( ch,osillineno,"too many obj maxOrMin attributes"); return false;}
                        objmaxOrMinattON = true;
                        GETATTRIBUTETEXT;
                        if( (strcmp("max", attText) != 0 ) && (strcmp("min", attText) != 0 ) ){osilerror_wrapper( ch,osillineno,"maxOrMin attribute in objective must be a max or min"); return false;}
                        osinstance->instanceData->objectives->obj[objcount]->maxOrMin = attText;
                        delete [] attText;
                    }
                }
                else{
                    *p = ch;
                    while( *mult++  == *ch) ch++;
                    mult -= 5;
                    if( ( (ch - *p) != 4)  ) {  osilerror_wrapper( ch,osillineno,"error in objective mult attribute"); return false;}
                    else{
                        if(objmultattON == true) {  osilerror_wrapper( ch,osillineno,"too many obj mult attributes"); return false;}
                        objmultattON = true;
                        GETATTRIBUTETEXT;
                        objmult = atoimod1( osillineno,attText, attTextEnd);
                        delete [] attText;
                    }
                }
                break;
            // come back and do multiplicity
            case ' ':
                break;
            case '\n':
                (*osillineno)++;
                break;
            case '\t':
                break;
            case '\r':
                break;
            default:
                 
                osilerror_wrapper( ch,osillineno,"invalid attribute character");
                return false;
                break;
            }
            ch++;
        }
        //
        // assume all the attributes have been processed
        // must have either /> or > and then whitespace and </obj whitespace>
        if( *ch != '/' && *ch != '>') {   osilerror_wrapper( ch,osillineno,"incorrect end of <obj> element"); return false;}
        if(*ch == '/'){
            ch++;
            if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"incorrect end of <obj> element"); return false;}
            // get rid of whitespace
            ch++;
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // either have another <obj> element or foundObj = false;
            for(i = 0; startObj[i]  == *ch; i++, ch++);
            if(i == 4) foundObj = true;
                else foundObj = false;
        }
        else{
            // the ch is the > at the end of the obj element
            // double check to make sure it really is a >
            if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improper ending to a <obj> element"); return false;}
            // look for </obj
            // fist get rid of white space
            ch++;
            // first get the <coef> elements
            parseObjCoef(&ch,  objcount, osinstance, osillineno);
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // we should be at </obj or there is an error
            for(i = 0; endObj[i]  == *ch; i++, ch++);
            if(i != 5) {  osilerror_wrapper( ch,osillineno,"</obj> element missing"); return false;}
            // burn off the whitespace
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // better have an > to end </obj
            if(*ch++ != '>'){   osilerror_wrapper( ch,osillineno,"</obj> element missing"); return false;}
            // look for a new <obj> element
            // get rid of whitespace
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // either have another <obj> element or foundObj = false;
            for(i = 0; startObj[i]  == *ch; i++, ch++);
            if(i == 4) foundObj = true;
                else foundObj = false;
        }
        if( ((objcount+objmult) == numberOfObjectives) && (foundObj == true)) {  osilerror_wrapper( ch,osillineno,"attribute numberOfObjectives is less than actual number found"); return false;}
        for (int k=1; k < objmult; k++)
        {
            osinstance->instanceData->objectives->obj[objcount+k]->name 
            = osinstance->instanceData->objectives->obj[objcount]->name;
            osinstance->instanceData->objectives->obj[objcount+k]->maxOrMin 
            = osinstance->instanceData->objectives->obj[objcount]->maxOrMin;
            osinstance->instanceData->objectives->obj[objcount+k]->constant 
            = osinstance->instanceData->objectives->obj[objcount]->constant;
            osinstance->instanceData->objectives->obj[objcount+k]->weight 
            = osinstance->instanceData->objectives->obj[objcount]->weight;
            osinstance->instanceData->objectives->obj[objcount+k]->numberOfObjCoef 
            = osinstance->instanceData->objectives->obj[objcount]->numberOfObjCoef;
            if (osinstance->instanceData->objectives->obj[objcount]->numberOfObjCoef > 0)
            {
                osinstance->instanceData->objectives->obj[objcount+k]->coef = new ObjCoef*[osinstance->instanceData->objectives->obj[ objcount]->numberOfObjCoef];
                for(int i = 0; i < osinstance->instanceData->objectives->obj[ objcount]->numberOfObjCoef; i++)
                {
                    osinstance->instanceData->objectives->obj[objcount+k]->coef[i] = new ObjCoef();
                    osinstance->instanceData->objectives->obj[objcount+k]->coef[i]->idx = 
                      osinstance->instanceData->objectives->obj[objcount]->coef[i]->idx;
                    osinstance->instanceData->objectives->obj[objcount+k]->coef[i]->value = 
                      osinstance->instanceData->objectives->obj[objcount]->coef[i]->value;
                }
            }
        }
        objcount += objmult;
    }
    if(objcount < numberOfObjectives) {  osilerror_wrapper( ch,osillineno,"attribute numberOfObjectives is greater than actual number found"); return false;}
    ch -= i;
    // get the </objectives> tag
    for(i = 0; endObjectives[i]  == *ch; i++, ch++);
    if(i != 12) {  osilerror_wrapper( ch,osillineno, "cannot find </objectives> tag"); return false; }
    for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
    // better have >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </objectives> tag"); return false;}    
    ch++;
    } // finish the (if numberOfObjectives > 0)
    else{
        // error if the number is negative
        if(numberOfObjectives < 0) {  osilerror_wrapper( ch,osillineno,"cannot have a negative number of objectives"); return false;}
        // if we are here we have exactly 0 objectives 
        // must close with /> or </objectives>
        // get rid of white space
        for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
        if( *ch == '/'){
            // better have a >
            ch++;
            if( *ch  != '>') {  osilerror_wrapper( ch,osillineno,"improperly closed objectives tag"); return false;}
            ch++;
        }
        else{
            // if we are here we must have an '>' and then  </objectives> tag
            if( *ch  != '>') {  osilerror_wrapper( ch,osillineno,"improperly closed objectives tag"); return false;}
            ch++;
            // burn white space
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            for(i = 0; endObjectives[i]  == *ch; i++, ch++);
            if(i != 12) {  osilerror_wrapper( ch,osillineno, "cannot find </objectives> tag"); return false; }
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
            // better have >
            if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </objectives> tag"); return false;}    
            ch++;
        }
    }
    finish = clock();
    #ifdef CHECK_PARSE_TIME
    duration = (double) (finish - start) / CLOCKS_PER_SEC; 
    printf("TIME TO PARSE OBJECTIVES = %f\n", duration);
    #endif
    *p = ch;
    return true;
}//end parseObjectives

bool parseConstraints( const char **p, OSInstance *osinstance, int* osillineno){
    clock_t start, finish;
    #ifdef CHECK_PARSE_TIME
    double duration;
    #endif
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;
    start = clock();    
    const char *c_numberOfConstraints = "numberOfConstraints";
    const char *startConstraints = "<constraints";
    const char *endConstraints = "</constraints";
    const char *startCon = "<con";
    const char *endCon = "</con";
    // attributes
    char *attText = NULL;
    const char *name = "name";
    const char *constant = "constant";
    const char *mult = "mult";
    // others
    int i; 
    int concount = 0;
    int numberOfConstraints = 0;
    // constraint attribute boolean variables
    bool conlbattON = false ;
    bool conubattON  = false;
    bool connameattON = false;
    bool conconstantattON  = false;
    bool conmultattON = false;
    bool foundCon = false;
    int conmult;
    // 
    // start parsing -- ok not to have constraints
    // burn white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // if, present we should be pointing to <constraints element if there -- it is not required
    *p = ch;
    for(i = 0; startConstraints[i]  == *ch; i++, ch++);
    while( *startConstraints++  == *ch) ch++;
    if( (ch - *p) != 12) {
        //  *p is the correct value for the pointer
        return true;
    }

    osinstance->instanceData->constraints = new Constraints();

    // find numberOfConstraints attribute
    // eat the white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    *p = ch;
    while( *c_numberOfConstraints++  == *ch) ch++;
    if( (ch - *p) != 19) {  osilerror_wrapper( ch,osillineno,"incorrect numberOfConstraints attribute in <constraints> tag"); return false;}    
    // ch should be pointing to the first character after numberOfConstraints
    GETATTRIBUTETEXT;
    ch++;
    numberOfConstraints = atoimod1( osillineno, attText, attTextEnd);
    delete [] attText;
    // key if
    //
    if(numberOfConstraints > 0){
        osinstance->instanceData->constraints->numberOfConstraints = numberOfConstraints;
        osinstance->instanceData->constraints->con = new Constraint*[ numberOfConstraints];
        for(i = 0; i < numberOfConstraints; i++){
            osinstance->instanceData->constraints->con[ i] = new Constraint();
        } 
    // get rid of white space after the numberOfConstraints element
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    //  we better have an > 
    if( *ch++ != '>') {   osilerror_wrapper( ch,osillineno,"the constraints element does not have a proper closing"); return false;} 
    // get rid of white space after the <constraints> element
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // now loop over the con elements, there must be at least one con element
    *p = ch;
    while( *startCon++  == *ch) ch++;
    if( (ch - *p) == 4) foundCon = true;
        else {  osilerror_wrapper( ch,osillineno,"there must be at least one <con> element"); return false;}
    startCon -= 5;
    while(foundCon){
        conlbattON = false ;
        conubattON  = false;
        connameattON = false;
        conconstantattON  = false;
        conmultattON = false;
        conmult = 1;

        // assume we are pointing to the first character after the n in <con
        // it should be a space so let's increment ch
        for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
        while(*ch != '/' && *ch != '>'){
            switch (*ch) {
            case 'n':
                *p = ch;
                while( *name++  == *ch) ch++;
                if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in constraints name attribute"); return false;}
                if(connameattON == true) {  osilerror_wrapper( ch,osillineno,"too many con name attributes"); return false;}
                name -= 5;
                connameattON = true;
                GETATTRIBUTETEXT;
                osinstance->instanceData->constraints->con[concount]->name=attText;
                delete [] attText;
                break;
            case 'c':
                *p = ch;
                while( *constant++  == *ch) ch++;
                if( ((ch - *p)  != 8)  ) {  osilerror_wrapper( ch,osillineno,"error in constraint constant attribute"); return false;}
                if(conconstantattON == true) {  osilerror_wrapper( ch,osillineno,"too many con constant attributes"); return false;}
                constant -= 9;
                conconstantattON = true;
                GETATTRIBUTETEXT;
                osinstance->instanceData->constraints->con[concount]->constant=atofmod1( osillineno,attText, attTextEnd);
                delete [] attText;
                break;
            case 'l':
                ch++;
                if(*ch++ != 'b') {   osilerror_wrapper( ch,osillineno,"error in constraint lb attribute"); return false;}
                if(conlbattON == true) {  osilerror_wrapper( ch,osillineno,"too many con lb attributes"); return false;}
                conlbattON = true;
                GETATTRIBUTETEXT;
                osinstance->instanceData->constraints->con[concount]->lb = atofmod1( osillineno,attText, attTextEnd);
                delete [] attText;
                break;
            case 'u':
                ch++;
                if(*ch++ != 'b') {  osilerror_wrapper( ch,osillineno,"error in constraint ub attribute"); return false;}
                if(conubattON == true) {  osilerror_wrapper( ch,osillineno,"too many con ub attributes"); return false;}
                conubattON = true;
                GETATTRIBUTETEXT;
                osinstance->instanceData->constraints->con[concount]->ub = atofmod1( osillineno,attText, attTextEnd);
                delete [] attText;
                break;
            case 'm':
                *p = ch;
                while( *mult++  == *ch) ch++;
                if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in constraints mult attribute"); return false;}
                if(conmultattON == true) {  osilerror_wrapper( ch,osillineno,"too many con mult attributes"); return false;}
                mult -= 5;
                conmultattON = true;
                GETATTRIBUTETEXT;
                conmult = atoimod1( osillineno,attText, attTextEnd);
                delete [] attText;
                break;
            case ' ':
                break;
            case '\n':
                (*osillineno)++;
                break;
            case '\t':
                break;
            case '\r':
                break;
            default:
                osilerror_wrapper( ch,osillineno,"invalid attribute character");
                return false;
                break;
            }
            ch++;
        }
        //
        // assume all the attributes have been processed
        // must have either /> or > and then whitespace and </con whitespace>
        if( *ch != '/' && *ch != '>') {  osilerror_wrapper( ch,osillineno,"incorrect end of <con> element"); return false;}
        if(*ch == '/'){
            ch++;
            if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"incorrect end of <con> element"); return false;}
            // get rid of whitespace
            ch++;
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // either have another <con> element or foundCon = false;
            *p = ch;
            while( *startCon++  == *ch) ch++;
            if( (ch - *p) == 4){
                 foundCon = true;
                 startCon -= 5;
            }
            else{
                foundCon = false;
                ch = *p;
            }
        }
        else{
            // the ch is the > at the end of the con element 
            // double check to make sure it really is a >
            if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improper ending to a <con> element"); return false;}
            // look for </con
            // fist get rid of white space
            ch++;
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // we should be at </con or there is an error
            *p = ch;
            while( *endCon++  == *ch) ch++;
            if( (ch - *p) != 5) {  osilerror_wrapper( ch,osillineno,"</con> element missing"); return false;}
            endCon -= 6;
            // burn off the whitespace
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // better have an > to end </con
            if(*ch++ != '>') {  osilerror_wrapper( ch,osillineno,"</con> element missing >"); return false;}
            // look for a new <con> element
            // get rid of whitespace
            ch++;
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // either have another <con> element or foundVar = false;
            *p = ch;
            while( *startCon++  == *ch) ch++;
            if( (ch - *p) == 4){
                 foundCon = true;
                 startCon -= 5;
            }
            else{
                 foundCon = false;
                 ch = *p;
            }
        }
        if( ((concount+conmult) == numberOfConstraints) && (foundCon == true) ) {  osilerror_wrapper( ch,osillineno,"attribute numberOfConstraints is less than actual number found"); return false;}
        for (int k=1; k < conmult; k++)
        {
            osinstance->instanceData->constraints->con[concount+k]->name
            = osinstance->instanceData->constraints->con[concount]->name ;
            osinstance->instanceData->constraints->con[concount+k]->constant
            = osinstance->instanceData->constraints->con[concount]->constant ;
            osinstance->instanceData->constraints->con[concount+k]->lb
            = osinstance->instanceData->constraints->con[concount]->lb ;
            osinstance->instanceData->constraints->con[concount+k]->ub
            = osinstance->instanceData->constraints->con[concount]->ub ;
        }
        concount += conmult;
    }
    if(concount < numberOfConstraints) {  osilerror_wrapper( ch,osillineno,"attribute numberOfConstraints is greater than actual number found"); return false;}
    // get the </constraints> tag
    *p = ch;
    while( *endConstraints++  == *ch) ch++;
    if( (ch - *p) != 13) {  osilerror_wrapper( ch,osillineno, "cannot find </constraints> tag"); return false;}
    for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
    // better have >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </constraints> tag");    return false;}
    ch++;
    }// end if(numberOfConstraints > 0)
    else{
        // error if the number is negative
        if(numberOfConstraints < 0) {  osilerror_wrapper( ch,osillineno,"cannot have a negative number of constraints"); return false;}
        // if we are here we have numberOfConstraints = 0
        // must close with /> or </constraints>
        // get rid of white space
        for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
        if( *ch == '/'){
            // better have a >
            ch++;
            if( *ch  != '>') {  osilerror_wrapper( ch,osillineno,"improperly closed constraints tag"); return false;}
            ch++;
        }
        else{
            // if we are here we must have an '>' and then  </constraints> tag
            if( *ch  != '>') {  osilerror_wrapper( ch,osillineno,"improperly closed constraints tag"); return false;}
            ch++;
            // burn white space
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            *p = ch;
            while( *endConstraints++  == *ch) ch++;
            if( (ch - *p) != 13) {  osilerror_wrapper( ch,osillineno, "cannot find </constraints> tag"); return false; }
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
            // better have >
            if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </constraints> tag"); return false;}    
            ch++;
        }
    }
    finish = clock();
    #ifdef CHECK_PARSE_TIME
    duration = (double) (finish - start) / CLOCKS_PER_SEC; 
    printf("TIME TO PARSE CONSTRAINTS = %f\n", duration);
    #endif
    *p = ch;
    return true;
}//end parseConstraints

bool parseLinearConstraintCoefficients( const char **p, OSInstance *osinstance, int* osillineno){;
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;    
    const char *c_numberOfValues = "numberOfValues";
    const char *startlinearConstraintCoefficients = "<linearConstraintCoefficients";
    const char *endlinearConstraintCoefficients = "</linearConstraintCoefficients";
    // attributes
    char *attText = NULL;
    // others
    int numberOfValues;
    // start parsing
    // burn white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // if, present we should be pointing to <linearConstraintCoefficients element if there -- it is not required
    *p = ch;
    while( *startlinearConstraintCoefficients++  == *ch) ch++;
    if( (ch - *p) != 29) {
        //reset ch
        ch = *p;
        return true;
    }

    osinstance->instanceData->linearConstraintCoefficients = new LinearConstraintCoefficients();

    // find numberOfValues attribute
    // eat the white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    *p = ch;
    while( *c_numberOfValues++  == *ch) ch++;
    if( (ch - *p) != 14) {  osilerror_wrapper( ch,osillineno,"incorrect numberOfValues attribute in <linearConstraintCoefficients> tag"); return false;}
    // ch should be pointing to the first character after numberOfValues
    GETATTRIBUTETEXT;
    ch++;
    numberOfValues = atoimod1( osillineno, attText, attTextEnd);
    if(numberOfValues > 0 && osinstance->instanceData->variables->numberOfVariables == 0){  osilerror_wrapper( ch,osillineno,"we have zero variables, but A matrix coefficients"); return false;}
    delete [] attText;
    if(numberOfValues <= 0) {  osilerror_wrapper( ch,osillineno,"the number of nonlinear nonzeros must be positive"); return false;}
    osinstance->instanceData->linearConstraintCoefficients->numberOfValues = numberOfValues;
    // get rid of white space after the numberOfConstraints element
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // we should have either an />  OR an >
    if(*ch == '/'){
        ch++;
        if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"the linearConstraintCoefficients element does not have a proper closing"); return false;} 
        else{
            if(numberOfValues > 0) {  osilerror_wrapper( ch,osillineno,"numberOfValues positive, but there are no values"); return false;}
            return false;
        }        
    }
    //  we better have an > 
    if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"the <linearConstraintCoefficients> element does not have a proper closing"); return false;}
    // get rid of white space after the <linearConstraintCoefficients> element
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    if(  parseStart(  &ch, osinstance, osillineno) != true) {osilerror_wrapper( ch,osillineno,"error processing <start> element"); return false;}
//    if( (parseColIdx( &ch, osinstance, osillineno) != true) && (parseRowIdx( &ch, osinstance, osillineno) != true)) return false;
//    if( (parseColIdx( &ch, osinstance, osillineno) == true) && (parseRowIdx( &ch, osinstance, osillineno) == true)) {osilerror_wrapper( ch,osillineno,"cannot store by both row and column"); return false;}

    if(  parseColIdx( &ch, osinstance, osillineno) == true) // <colIdx> is found as first element
    {
        if( parseRowIdx( &ch, osinstance, osillineno) == true) //also have <rowIdx> --- can't happen
        {
            osilerror_wrapper( ch,osillineno,"cannot store by both row and column"); 
            return false;
        }
    }
    else //<colIdx> is not the first element
    {
        if( parseRowIdx( &ch, osinstance, osillineno) != true) // neither <rowIdx> nor <colIdx> is present
        {
            osilerror_wrapper( ch,osillineno,"must have either RowIdx or ColIdx"); 
            return false;
        }
        else //<rowIdx> is found as first element
        {
            if ( parseColIdx( &ch, osinstance, osillineno) == true ) //also have <colIdx> --- can't happen 
            {
                osilerror_wrapper( ch,osillineno,"cannot store by both row and column"); 
                return false;
            }
        }
    }

    if(  parseValue(  &ch, osinstance, osillineno) != true) {osilerror_wrapper( ch,osillineno, "could not parse <value> element"); return false;}
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // get the </linearConstraintCoefficients> tag
    *p = ch;
    while( *endlinearConstraintCoefficients++  == *ch) ch++;
    if( (ch - *p) != 30) {  osilerror_wrapper( ch,osillineno, "cannot find </linearConstraintCoefficients> tag"); return false;}
    for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
    // better have >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </linearConstraintCoefficients> tag"); return false;}
    ch++;    
    *p = ch;
    return true;
}//end parseLinearConstraintCoefficients

bool parseStart(const char **p, OSInstance *osinstance, int* osillineno){
    clock_t start, finish;
    #ifdef CHECK_PARSE_TIME
    double duration;
    #endif
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;
    start = clock(); 
    const char* startStart = "<start";
    const char* endStart = "</start";
    const char* startEl = "<el";
    const char* endEl = "</el";
    // attributes
    char *attText = NULL;
    const char *incr = "incr";
    const char *mult = "mult";
    int kount = 0;
    int i;
    // element attribute boolean variables
    bool elmultattON = false ;
    bool elincrattON = false;
    bool foundEl = false;
    int elmult;
    int elincr;
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // if, present we should be pointing to <start element 
    *p = ch;
    while( *startStart++  == *ch) ch++;
    if( (ch - *p) != 6) {
        //reset ch
        ch = *p;
        return false;
    }
    // get rid of white space after <start
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // we should have either an >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed <start> element"); return false;}
    ch++;
    // get rid of white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // look for an <el> -- if none present must have b64 data
    *p = ch;
    while( *startEl++  == *ch) ch++;
    startEl -= 4;
    if( (ch - *p) != 3) {
        //reset ch
        ch = *p;
        // call base64 parse here
        int dataSize = 0;
        char* b64string = parseBase64(&ch, &dataSize, osillineno );
        if( b64string == NULL) {  osilerror_wrapper( ch,osillineno,"<start> must have children or base64 data"); return false;}
        std::string base64decodeddata = Base64::decodeb64( b64string );
        int base64decodeddatalength = base64decodeddata.length();
        int *intvec = NULL;
        osinstance->instanceData->linearConstraintCoefficients->start->el = new int[(base64decodeddatalength/dataSize) ];
        intvec = (int*)&base64decodeddata[0];
        for (i = 0; i < (base64decodeddatalength/dataSize); i++){
            osinstance->instanceData->linearConstraintCoefficients->start->el[ i] = *(intvec++);
        }
        delete [] b64string;
    }
    else{
        foundEl = true;
        osinstance->instanceData->linearConstraintCoefficients->start->el = 
        new int[ std::max( osinstance->instanceData->constraints->numberOfConstraints,
        osinstance->instanceData->variables->numberOfVariables) + 1];
        while(foundEl){
        
            elmultattON = false ;
            elincrattON  = false;
            elmult = 1;
            elincr = 0;

            // assume we are pointing to the first character after the l in <el
            // it should be a space so let's increment ch
            for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            while(*ch != '/' && *ch != '>'){
                switch (*ch) {
                case 'i':
                    *p = ch;
                    while( *incr++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in starts incr attribute"); return false;}
                    if(elincrattON == true) {  osilerror_wrapper( ch,osillineno,"too many el incr attributes"); return false;}
                    incr -= 5;
                    elincrattON = true;
                    GETATTRIBUTETEXT;
                    elincr = atoimod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case 'm':
                    *p = ch;
                    while( *mult++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in starts mult attribute"); return false;}
                    if(elmultattON == true) {  osilerror_wrapper( ch,osillineno,"too many el mult attributes"); return false;}
                    mult -= 5;
                    elmultattON = true;
                    GETATTRIBUTETEXT;
                    elmult = atoimod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case ' ':
                    break;
                case '\n':
                    (*osillineno)++;
                    break;
                case '\t':
                    break;
                case '\r':
                    break;
                default:
                    osilerror_wrapper( ch,osillineno,"invalid attribute character");
                    return false;
                    break;
                }
                ch++;
            }

            // start eating white space until an '>' is found,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed <el> tag"); return false;}
            // eat white space again,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // okay we better have a number, we will check later
            *p = ch;
            // find the end of the number, it better be an </el>
            // find </el
            while( *ch != '<' && *ch  != EOF){
                ch++;
            }
            // we better have a <, or not valid
            if(*ch != '<') {  osilerror_wrapper( ch,osillineno,"cannot find an </el>"); return false;}
            
            // we better not exceed allocation
            if(kount +elmult > std::max(osinstance->instanceData->constraints->numberOfConstraints,
                                        osinstance->instanceData->variables->numberOfVariables) + 1 )
            {
                 osilerror_wrapper( ch, osillineno,"number of start elements exceeds the maximum number of rows or columns plus  1");            
            }
            osinstance->instanceData->linearConstraintCoefficients->start->el[kount] = atoimod1( osillineno, *p, ch);
            for (int k=1; k < elmult; k++)
            {
                osinstance->instanceData->linearConstraintCoefficients->start->el[ kount+k]
                = osinstance->instanceData->linearConstraintCoefficients->start->el[ kount] + k*elincr;
            }
            kount += elmult;
            // we are pointing to <, make sure there is /el
            *p = ch;
            while( *endEl++  == *ch) ch++;
            endEl -= 5;
            if( (ch - *p) != 4 ) {  osilerror_wrapper( ch,osillineno,"cannot find an </el>"); return false;}
            // start eating white space until an '>' is found for </el>,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
            if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </el> tag"); return false;}
            // eat white space again,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // either have another <el> element or foundEl = false;
            *p = ch;
            while( *startEl++  == *ch) ch++;
            if( (ch - *p)  == 3){
                 foundEl = true;
                 startEl -= 4;
            }
            else{
                 foundEl = false;
                 ch = *p;
            }
        }    
        
        if(osinstance->instanceData->linearConstraintCoefficients->start->el[ kount - 1 ] != 
        osinstance->instanceData->linearConstraintCoefficients->numberOfValues ) 
        osilerror_wrapper( ch, osillineno,"the value of the last start element is not equal to numberOfValues");    
    }
    // get the </start> tag
    *p = ch;
    while( *endStart++  == *ch) ch++;
    if( (ch - *p) != 7) {  osilerror_wrapper( ch,osillineno, "cannot find </start> tag"); return false;}
    for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
    // better have >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </start> tag");    return false;}
    ch++;    
    // get the end element
    finish = clock();
    #ifdef CHECK_PARSE_TIME
    duration = (double) (finish - start) / CLOCKS_PER_SEC; 
    printf("TIME TO PARSE STARTS  = %f\n", duration);
    #endif
    *p = ch;
    osinstance->instanceData->linearConstraintCoefficients->iNumberOfStartElements = kount;

    return true;
}//end parseStart

bool parseRowIdx( const char **p, OSInstance *osinstance, int* osillineno){
    clock_t start, finish;
    #ifdef CHECK_PARSE_TIME
    double duration;
    #endif
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;
    start = clock(); 
    const char* startRowIdx = "<rowIdx";
    const char* endRowIdx = "</rowIdx";
    const char* startEl = "<el";
    const char* endEl = "</el";
    // attributes
    char *attText = NULL;
    const char *incr = "incr";
    const char *mult = "mult";
    int kount = 0;
    int i;
    // element attribute boolean variables
    bool elmultattON = false ;
    bool elincrattON = false;
    bool foundEl = false;
    int elmult;
    int elincr;
    int numberOfEl;
    
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // if, present we should be pointing to <rowIdx element 
    *p = ch;
    while( *startRowIdx++  == *ch) ch++;
    if( (ch - *p) != 7) {
        //reset ch
        ch = *p;
        return false;
    }
    // get rid of white space after <rowIdx
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // we should have either an >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed <rowIdx> element"); return false;}
    ch++;
    // get rid of white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // look for an <el> -- if none present must have b64 data
    *p = ch;
    while( *startEl++  == *ch) ch++;
    startEl -= 4;
    if( (ch - *p) != 3) {
        //reset ch
        ch = *p;
        // call base64 parse here
        int dataSize = 0;
        char* b64string = parseBase64(&ch, &dataSize, osillineno );
        if( b64string == NULL)  {  osilerror_wrapper( ch,osillineno,"<rowIdx> must have children or base64 data"); return false;}
        std::string base64decodeddata = Base64::decodeb64( b64string );
        int base64decodeddatalength = base64decodeddata.length();
        int *intvec = NULL;
        numberOfEl = (base64decodeddatalength/dataSize);
        osinstance->instanceData->linearConstraintCoefficients->rowIdx->el = new int[numberOfEl ];
        osinstance->instanceData->linearConstraintCoefficients->colIdx->el = NULL;
        osinstance->instanceData->linearConstraintCoefficients->rowIdx->numberOfEl = numberOfEl;
        osinstance->instanceData->linearConstraintCoefficients->colIdx->numberOfEl = 0;
        osinstance->instanceData->linearConstraintCoefficients->start->numberOfEl = osinstance->instanceData->variables->numberOfVariables + 1;
        intvec = (int*)&base64decodeddata[0];
        for(i = 0; i < numberOfEl; i++){
            osinstance->instanceData->linearConstraintCoefficients->rowIdx->el[ i] = *(intvec++);
            kount++;
        }
        delete [] b64string;
    }
    else{
        foundEl = true;
        // if we are here we are storing the problem by column
        // this means the number of start elements must equal the number of columns + 1
        if( osinstance->instanceData->linearConstraintCoefficients->iNumberOfStartElements != osinstance->instanceData->variables->numberOfVariables  + 1)
        osilerror_wrapper( ch, osillineno,"we are storing in column major format, but number of start elements not equal number of variables + 1");
        osinstance->instanceData->linearConstraintCoefficients->rowIdx->el = new int[ osinstance->instanceData->linearConstraintCoefficients->numberOfValues];
        osinstance->instanceData->linearConstraintCoefficients->colIdx->el = NULL;
        osinstance->instanceData->linearConstraintCoefficients->rowIdx->numberOfEl = osinstance->instanceData->linearConstraintCoefficients->numberOfValues;
        osinstance->instanceData->linearConstraintCoefficients->colIdx->numberOfEl = 0;
        osinstance->instanceData->linearConstraintCoefficients->start->numberOfEl = osinstance->instanceData->variables->numberOfVariables + 1;
        while(foundEl){
        
            elmultattON = false ;
            elincrattON  = false;
            elmult = 1;
            elincr = 0;

            // assume we are pointing to the first character after the l in <el
            // it should be a space so let's increment ch
            for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            while(*ch != '/' && *ch != '>'){
                switch (*ch) {
                case 'i':
                    *p = ch;
                    while( *incr++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in rowIdx incr attribute"); return false;}
                    if(elincrattON == true) {  osilerror_wrapper( ch,osillineno,"too many el incr attributes"); return false;}
                    incr -= 5;
                    elincrattON = true;
                    GETATTRIBUTETEXT;
                    elincr = atoimod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case 'm':
                    *p = ch;
                    while( *mult++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in rowIdx mult attribute"); return false;}
                    if(elmultattON == true) {  osilerror_wrapper( ch,osillineno,"too many el mult attributes"); return false;}
                    mult -= 5;
                    elmultattON = true;
                    GETATTRIBUTETEXT;
                    elmult = atoimod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case ' ':
                    break;
                case '\n':
                    (*osillineno)++;
                    break;
                case '\t':
                    break;
                case '\r':
                    break;
                default:
                    osilerror_wrapper( ch,osillineno,"invalid attribute character");
                    return false;
                    break;
                }
                ch++;
            }

            // start munging white space until an '>' is found,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
            if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed <el> tag"); return false;}
            // mung white space again,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
            // okay we better have a number, we will check later
            *p = ch;
            // find the end of the number, it better be an </el>
            // find </el
            while( *ch != '<' && *ch  != EOF){
                ch++;
            }
            // we better have a <, or not valid
            if(*ch != '<') {   osilerror_wrapper( ch,osillineno,"cannot find an </el>"); return false;}
            
            // we better not exceed allocation
            if(kount + elmult > osinstance->instanceData->linearConstraintCoefficients->numberOfValues) 
            {
                osilerror_wrapper( ch, osillineno,"number of rowIdx elements exceeds the number declared");            
            }
            osinstance->instanceData->linearConstraintCoefficients->rowIdx->el[ kount] = atoimod1( osillineno, *p, ch);
            for (int k=1; k < elmult; k++)
            {
                osinstance->instanceData->linearConstraintCoefficients->rowIdx->el[ kount+k] 
                = osinstance->instanceData->linearConstraintCoefficients->rowIdx->el[ kount] + k*elincr;
            }
            kount += elmult;
            // we are pointing to <, make sure there is /el
            *p = ch;
            while( *endEl++  == *ch) ch++;
            endEl -= 5;
            if( (ch - *p)  != 4 ) {  osilerror_wrapper( ch,osillineno,"cannot find an </el>"); return false;}
            // start munging white space until an '>' is found for </el>,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </el> tag"); return false;}
            // eat white space again,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // either have another <el> element or foundEl = false;
            *p = ch;
            while( *startEl++  == *ch) ch++;
            if( (ch - *p) == 3){
                foundEl = true;
                startEl -= 4;
            }
            else{
                foundEl = false;
                ch = *p;
            }
        }
    }
    // get the </rowIdx> tag
    *p = ch;
    while( *endRowIdx++  == *ch) ch++;
    if( (ch - *p) != 8) {  osilerror_wrapper( ch,osillineno, "cannot find </rowIdx> tag"); return false;}
    for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
    // better have >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </rowIdx> tag");}    
    ch++;    
    if(kount > osinstance->instanceData->linearConstraintCoefficients->numberOfValues) { osilerror_wrapper( ch,osillineno,"numberOfLinearCoefficients attribute less than number of row indices found"); return false;}
    if(kount < osinstance->instanceData->linearConstraintCoefficients->numberOfValues) { osilerror_wrapper( ch,osillineno,"numberOfLinearCoefficients attribute greater than number of row indices found"); return false;}
    finish = clock();
    #ifdef CHECK_PARSE_TIME
    duration = (double) (finish - start) / CLOCKS_PER_SEC; 
    printf("TIME TO PARSE ROW INDEXES = %f\n", duration);
    #endif
    *p = ch;
     return true;
}//end parseRowIdx


bool parseColIdx( const char **p, OSInstance *osinstance, int* osillineno){
    clock_t start, finish;
    #ifdef CHECK_PARSE_TIME
    double duration;
    #endif
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;
    start = clock(); 
    const char* startColIdx = "<colIdx";
    const char* endColIdx = "</colIdx";
    const char* startEl = "<el";
    const char* endEl = "</el";
    // attributes
    char *attText = NULL;
    const char *incr = "incr";
    const char *mult = "mult";
    int kount = 0;
    int i;
    // element attribute boolean variables
    bool elmultattON = false ;
    bool elincrattON = false;
    bool foundEl = false;
    int elmult;
    int elincr;
    int numberOfEl;
    
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // if, present we should be pointing to <colIdx element 
    *p = ch;
    while( *startColIdx++  == *ch) ch++;
    if( (ch - *p) != 7) {
        //reset ch
        ch = *p;
        return false;
    }
    // get rid of white space after <colIdx
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // we should have either an >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed <colIdx> element"); return false;}
    ch++;
    // get rid of white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // look for an <el> -- if none present must have b64 data
    *p = ch;
    while( *startEl++  == *ch) ch++;
    startEl -= 4;
    if( (ch - *p) != 3) {
        //reset ch
        ch = *p;
        // call base64 parse here
        int dataSize = 0;
        char* b64string = parseBase64(&ch, &dataSize, osillineno );
        if( b64string == NULL)  {  osilerror_wrapper( ch,osillineno,"<colIdx> must have children or base64 data"); return false;}
        std::string base64decodeddata = Base64::decodeb64( b64string );
        int base64decodeddatalength = base64decodeddata.length();
        int *intvec = NULL;
        numberOfEl = (base64decodeddatalength/dataSize);
        osinstance->instanceData->linearConstraintCoefficients->colIdx->el = new int[numberOfEl ];
        osinstance->instanceData->linearConstraintCoefficients->rowIdx->el = NULL;
        osinstance->instanceData->linearConstraintCoefficients->colIdx->numberOfEl = numberOfEl;
        osinstance->instanceData->linearConstraintCoefficients->rowIdx->numberOfEl = 0;
        osinstance->instanceData->linearConstraintCoefficients->start->numberOfEl = osinstance->instanceData->constraints->numberOfConstraints + 1;
        intvec = (int*)&base64decodeddata[0];
        for(i = 0; i < numberOfEl; i++){
            osinstance->instanceData->linearConstraintCoefficients->colIdx->el[ i] = *(intvec++);
            kount++;
        }
        delete [] b64string;
    }
    else{
        foundEl = true;
        // if we are here we are storing the problem by row
        // this means the number of start elements must equal the number of rows
        if(osinstance->instanceData->linearConstraintCoefficients->iNumberOfStartElements != osinstance->instanceData->constraints->numberOfConstraints  + 1)
        osilerror_wrapper( ch, osillineno,"we are storing in row major format, but number of start elements not equal number of rows + 1");
        osinstance->instanceData->linearConstraintCoefficients->colIdx->el = new int[ osinstance->instanceData->linearConstraintCoefficients->numberOfValues];
        osinstance->instanceData->linearConstraintCoefficients->rowIdx->el = NULL;
        osinstance->instanceData->linearConstraintCoefficients->colIdx->numberOfEl = osinstance->instanceData->linearConstraintCoefficients->numberOfValues;
        osinstance->instanceData->linearConstraintCoefficients->rowIdx->numberOfEl = 0;
        osinstance->instanceData->linearConstraintCoefficients->start->numberOfEl = osinstance->instanceData->constraints->numberOfConstraints + 1;
        while(foundEl){
        
            elmultattON = false ;
            elincrattON  = false;
            elmult = 1;
            elincr = 0;

            // assume we are pointing to the first character after the l in <el
            // it should be a space so let's increment ch
            for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            while(*ch != '/' && *ch != '>'){
                switch (*ch) {
                case 'i':
                    *p = ch;
                    while( *incr++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in colIdx incr attribute"); return false;}
                    if(elincrattON == true) {  osilerror_wrapper( ch,osillineno,"too many el incr attributes"); return false;}
                    incr -= 5;
                    elincrattON = true;
                    GETATTRIBUTETEXT;
                    elincr = atoimod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case 'm':
                    *p = ch;
                    while( *mult++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in colIdx mult attribute"); return false;}
                    if(elmultattON == true) {  osilerror_wrapper( ch,osillineno,"too many el mult attributes"); return false;}
                    mult -= 5;
                    elmultattON = true;
                    GETATTRIBUTETEXT;
                    elmult = atoimod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case ' ':
                    break;
                case '\n':
                    (*osillineno)++;
                    break;
                case '\t':
                    break;
                case '\r':
                    break;
                default:
                    osilerror_wrapper( ch,osillineno,"invalid attribute character");
                    return false;
                    break;
                }
                ch++;
            }
        
            // start eating white space until an '>' is found,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
            if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed <el> tag"); return false;}
            // eat white space again,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
            // okay we better have a number, we will check later
            *p = ch;
            // find the end of the number, it better be an </el>
            // find </el
            while( *ch != '<' && *ch  != EOF){
                ch++;
            }
            // we better have a <, or not valid
            if(*ch != '<') {  osilerror_wrapper( ch,osillineno,"cannot find an </el>"); return false;}
            // we better not exceed allocation
            if(kount + elmult > osinstance->instanceData->linearConstraintCoefficients->numberOfValues) 
            {
                osilerror_wrapper( ch, osillineno,"number of colIdx elements exceeds the number declared");            
            }
            osinstance->instanceData->linearConstraintCoefficients->colIdx->el[ kount] = atoimod1( osillineno, *p, ch);
            for (int k=1; k < elmult; k++)
            {
                osinstance->instanceData->linearConstraintCoefficients->colIdx->el[ kount+k] 
                = osinstance->instanceData->linearConstraintCoefficients->colIdx->el[ kount] + k*elincr;
            }
            kount += elmult;
            // we are pointing to <, make sure there is /el
            *p = ch;
            while( *endEl++  == *ch) ch++;
            endEl -= 5;
            if( (ch - *p) != 4 ) {  osilerror_wrapper( ch,osillineno,"cannot find an </el>"); return false;}
            // start eating white space until an '>' is found for </el>,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </el> tag"); return false;}
            // eat white space again,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            // either have another <el> element or foundEl = false;
            *p = ch;
            while( *startEl++  == *ch) ch++;
            if( (ch - *p) == 3){
                 foundEl = true;
                 startEl -= 4;
            }
            else{
                 foundEl = false;
                 ch = *p;
            }
        }
    }
    // get the </colIdx> tag
    *p = ch;
    while( *endColIdx++  == *ch) ch++;        
    if( (ch - *p) != 8) {  osilerror_wrapper( ch,osillineno, "cannot find </colIdx> tag"); return false;}
    for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );    
    // better have >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </colIdx> tag"); return false;}    
    ch++;    
    if(kount > osinstance->instanceData->linearConstraintCoefficients->numberOfValues) {  osilerror_wrapper( ch,osillineno,"numberOfLinearCoefficients attribute less than number of column indices found"); return false;}
    if(kount < osinstance->instanceData->linearConstraintCoefficients->numberOfValues) {  osilerror_wrapper( ch,osillineno,"numberOfLinearCoefficients attribute greater than number of column indices found"); return false;}
    finish = clock();
    #ifdef CHECK_PARSE_TIME
    duration = (double) (finish - start) / CLOCKS_PER_SEC; 
    printf("TIME TO PARSE COLUMN INDEXES = %f\n", duration);
    #endif
    *p = ch;
     return true;
}//end parseColIdx


bool parseValue( const char **p, OSInstance *osinstance, int* osillineno){
    clock_t start, finish;
    #ifdef CHECK_PARSE_TIME
    double duration;
    #endif
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;
    start = clock(); 
    const char* startValue = "<value";
    const char* endValue = "</value";
    const char* startEl = "<el";
    const char* endEl = "</el";
    // attributes
    char *attText = NULL;
    const char *incr = "incr";
    const char *mult = "mult";
    int kount = 0;
    int i;
    // element attribute boolean variables
    bool elmultattON = false ;
    bool elincrattON = false;
    bool foundEl = false;
    int elmult;
    double elincr;
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno) ; ch++ ) ;
    // if present we should be pointing to <value element 
    *p = ch;
    while( *startValue++  == *ch) ch++;
    if( (ch - *p) != 6) {
        //reset ch
        ch = *p;
        return false;
    }
    // get rid of white space after <value
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno) ; ch++ ) ;
    // we should have either an >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed <value> element"); return false;}
    ch++;
    // get rid of white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno) ; ch++ ) ;
    // look for an <el> -- if none present must have b64 data
    *p = ch;
    while( *startEl++  == *ch) ch++;
    startEl -= 4;
    if( (ch - *p) != 3) {
        //reset ch
        ch = *p;
        // call base64 parse here
        int dataSize = 0;
        char* b64string = parseBase64(&ch, &dataSize, osillineno );
        if( b64string == NULL)  {  osilerror_wrapper( ch,osillineno,"<start> must have children or base64 data"); return false;};
        std::string base64decodeddata = Base64::decodeb64( b64string );
        int base64decodeddatalength = base64decodeddata.length();
        osinstance->instanceData->linearConstraintCoefficients->value->el = new double[(base64decodeddatalength/dataSize) ];
        int kountChar = 0;
        int kj;
        /* Take care of Lou's memory alignment problem */
        /* dataSize had better equal sizeof( double) or we need to abandon ship */
        if( sizeof( double)  != dataSize ) {  
            osilerror_wrapper( ch, osillineno, 
                "base 64 encoded with a size of double different than on this machine"); 
            return false;
        }    
        union doubleBuffer{
            char memAlign[sizeof(double)];
            double dble;
        };
        doubleBuffer dbuf;
        for(i = 0; i < (base64decodeddatalength/dataSize); i++){
            for(kj = 0; kj < dataSize; kj++){
                dbuf.memAlign[ kj] = base64decodeddata[kountChar];
                kountChar++;
            }
            osinstance->instanceData->linearConstraintCoefficients->value->el[ i] = dbuf.dble;
            //std::cout << dbuf.dble << std::endl;
            kount++;
        }
        delete [] b64string;
    }
    else{
        foundEl = true;
        osinstance->instanceData->linearConstraintCoefficients->value->el = 
            new double[ osinstance->instanceData->linearConstraintCoefficients->numberOfValues];
        while( foundEl){
        
            elmultattON = false ;
            elincrattON  = false;
            elmult = 1;
            elincr = 0;

            // assume we are pointing to the first character after the l in <el
            // it should be a space so let's increment ch
            for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ );
            while(*ch != '/' && *ch != '>'){
                switch (*ch) {
                case 'i':
                    *p = ch;
                    while( *incr++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in values incr attribute"); return false;}
                    if(elincrattON == true) {  osilerror_wrapper( ch,osillineno,"too many el incr attributes"); return false;}
                    incr -= 5;
                    elincrattON = true;
                    GETATTRIBUTETEXT;
                    elincr = atofmod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case 'm':
                    *p = ch;
                    while( *mult++  == *ch) ch++;
                    if( (ch - *p) != 4) {  osilerror_wrapper( ch,osillineno,"error in values mult attribute"); return false;}
                    if(elmultattON == true) {  osilerror_wrapper( ch,osillineno,"too many el mult attributes"); return false;}
                    mult -= 5;
                    elmultattON = true;
                    GETATTRIBUTETEXT;
                    elmult = atoimod1( osillineno,attText, attTextEnd);
                    delete [] attText;
                    break;
                case ' ':
                    break;
                case '\n':
                    (*osillineno)++;
                    break;
                case '\t':
                    break;
                case '\r':
                    break;
                default:
                    osilerror_wrapper( ch,osillineno,"invalid attribute character");
                    return false;
                    break;
                }
                ch++;
            }
        
            // start eat white space until an '>' is found,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno) ; ch++ );
            if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed <el> tag"); return false;}
            // eat white space again,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno) ; ch++ ) ;
            *p = ch;
            // find the end of the number, it better be an </el>
            // find the < which begins the </el
            while( *ch != '<' && *ch != EOF){
                ch++;
            }
            // we better have a <, or not valid
            if(*ch != '<') {  osilerror_wrapper( ch,osillineno,"cannot find an </el>"); return false;}
            // we better not exceed allocation
            if(kount + elmult > osinstance->instanceData->linearConstraintCoefficients->numberOfValues) 
            {
                osilerror_wrapper( ch, osillineno,"number of nonzero elements exceeds the number declared");            
            }
            osinstance->instanceData->linearConstraintCoefficients->value->el[ kount] = atofmod1( osillineno, *p, ch);
            for (int k=1; k < elmult; k++)
            {
                osinstance->instanceData->linearConstraintCoefficients->value->el[ kount+k] 
                = osinstance->instanceData->linearConstraintCoefficients->value->el[ kount] + k*elincr;
            }
            kount += elmult;
            // we are pointing to <, make sure there is /el
            *p = ch;
            while( *endEl++  == *ch) ch++;
            endEl -= 5;
            if( (ch - *p) != 4 ) {  osilerror_wrapper( ch,osillineno,"cannot find an </el>"); return false;}
            // start eating white space until an '>' is found for </el>,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno) ; ch++ );
            if( *ch++ != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </el> tag"); return false;}
            // eat white space again,
            for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno) ; ch++ );
            // either have another <el> element or foundEl = false;
            *p = ch;
            while( *startEl++  == *ch) ch++;
            if( (ch - *p) == 3){
                 foundEl = true;
                 startEl -= 4;
            }
            else{
                foundEl = false;
                ch = *p;
            }
        }    
    }
    osinstance->instanceData->linearConstraintCoefficients->value->numberOfEl = osinstance->instanceData->linearConstraintCoefficients->numberOfValues;
    
    // get the </value> tag
    *p = ch;
    while( *endValue++  == *ch) ch++;
    if( (ch - *p) != 7) {  osilerror_wrapper( ch,osillineno, "cannot find </value> tag"); return false;}
    for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno) ; ch++ );    
    // better have >
    if(*ch != '>') {  osilerror_wrapper( ch,osillineno,"improperly formed </value> tag");     return false;}
    ch++;    
    if(kount < osinstance->instanceData->linearConstraintCoefficients->numberOfValues){  osilerror_wrapper( ch,osillineno,"numberOfLinearCoefficients greater than number of values found"); return false;}
    if(kount > osinstance->instanceData->linearConstraintCoefficients->numberOfValues){  osilerror_wrapper( ch,osillineno,"numberOfLinearCoefficients less than the number of values found"); return false;}
    finish = clock();
    #ifdef CHECK_PARSE_TIME
    duration = (double) (finish - start) / CLOCKS_PER_SEC; 
    printf("TIME TO PARSE VALUES = %f\n", duration);
    #endif
    *p = ch;
    return true;
}//end parseValue

bool parseObjCoef( const char **p, int objcount, OSInstance *osinstance, int* osillineno){
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;
    const char* startCoef = "<coef";
    const char* endCoef = "</coef";
    const char* c_idx = "idx";
    char *attText = NULL;
    int k;
    int numberOfObjCoef = 0; 
    if( osinstance->instanceData->objectives->numberOfObjectives <= 0)  {  osilerror_wrapper( ch,osillineno,"we can't have objective function coefficients without an objective function"); return false;}
    numberOfObjCoef = osinstance->instanceData->objectives->obj[objcount]->numberOfObjCoef;
    if(numberOfObjCoef > 0)    {
    for(k = 0; k < numberOfObjCoef; k++){
        for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
        // if, present we should be pointing to <coef element 
        *p = ch;
        while( *startCoef++  == *ch) ch++;
        if( (ch - *p) != 5) {  osilerror_wrapper( ch,osillineno,"improper <coef> element"); return false;}
        startCoef -= 6;
        // get the idx attribute
        // eat the white space after <coef
        for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
        *p = ch;
        while( *c_idx++  == *ch) ch++;
        if( (ch - *p) != 3) {  osilerror_wrapper( ch,osillineno,"incorrect idx attribute in objective function <idx> tag"); return false;}    
        c_idx -= 4;
        // ch should be pointing to the first character after idx attribute
        GETATTRIBUTETEXT;
        osinstance->instanceData->objectives->obj[objcount]->coef[ k]->idx  = atoimod1( osillineno, attText, attTextEnd);
        delete [] attText;
        ch++;    
        // eat white space
        for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
        // if we don't have a > there is an error
        if(*ch++ != '>') {  osilerror_wrapper( ch,osillineno,"incorrect <coef> element")    ; return false;}    
        // we should be pointing to first character after <coef>
        *p = ch;
        // eat characters until we find <
        for(; *ch != '<' && *ch != EOF; ch++); 
        // put back here

        // we should be pointing to a < in the </coef> tag    
        if(*ch != '<') {  osilerror_wrapper( ch,osillineno,"improper </coef> tag"); return false;}
        osinstance->instanceData->objectives->obj[objcount]->coef[ k]->value  = atofmod1( osillineno, *p, ch);
        *p = ch;
        while( *endCoef++  == *ch) ch++;
        if( (ch - *p) != 6)  {  osilerror_wrapper( ch,osillineno,"improper </coef> element"); return false;}
        endCoef -= 7;
        // get rid of white space after </coef
        for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
        // if we don't have a > there is an error
        if(*ch++ != '>') {  osilerror_wrapper( ch,osillineno,"incorrect </coef> element")    ; return false;}
    }
    }// end if(numberOfObjCoef > 0)
    *p = ch;
    return true;
}//end parseObjCoef

char *parseBase64(const char **p, int *dataSize, int* osillineno ){
    int ki, numChar;
    char *attTextEnd;
    const char *ch = *p;
    const char *sizeOf = "sizeOf";
    //char *numericType = "numericType";
    const char *startBase64BinaryData = "<base64BinaryData";
    const char *endBase64BinaryData = "</base64BinaryData";
    char *attText = NULL;
    char *b64string = NULL;
    int i;
    // start parsing
    for(i = 0; startBase64BinaryData[i]  == *ch; i++, ch++);
    if(i != 17) {
        ch -= i;
        *p = ch;
        return b64string;
    }
    // find sizeOf attribute
    // eat the white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    for(i = 0; sizeOf[i]  == *ch; i++, ch++);
    if(i != 6) {  osilerror_wrapper( ch,osillineno,"incorrect sizeOf attribute in <base64BinaryData> element"); return NULL;}    
    // ch should be pointing to the first character after sizeOf
    ch++; \
    for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;	\
    if(*ch == '\"'){ \
       ch++; \
       for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ; \
       *p = ch; \
       for( ; *ch != '\"'; ch++); \
    }\
    else{\
        if(*ch == '\'') { \
           ch++; \
           for(; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ; \
           *p = ch; \
           for( ; *ch != '\''; ch++); \
       } \
       else {  osilerror_wrapper( ch, osillineno,"missing quote on attribute"); return NULL;} \
    }\
    numChar = ch - *p; \
    attText = new char[numChar + 1]; \
    for(ki = 0; ki < numChar; ki++) attText[ki] = *((*p)++); \
    attText[ki] = '\0'; \
    attTextEnd = &attText[ki]; 
    ch++;
    *dataSize = atoimod1( osillineno, attText, attTextEnd);
    delete [] attText;
    // since the element must contain b64 data,  this element must end with > 
    // eat the white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // better have an > sign or not valid
    if(*ch != '>' ) {  osilerror_wrapper( ch,osillineno,"<base64BinaryData> element does not have a proper closing >"); return NULL;}
    ch++;
    // we are now pointing start of the data
    const char *b64textstart = ch;
    // eat characters until we get to the </base64BinaryData element
    for(; *ch != '<' && *ch != EOF; ch++);
    const char *b64textend = ch;
    // we should be pointing to </base64BinaryData>
    for(i = 0; endBase64BinaryData[i]  == *ch; i++, ch++);
    if(i != 18) { osilerror_wrapper( ch,osillineno," problem with <base64BinaryData> element"); return NULL;}
    int b64len = b64textend - b64textstart;
    b64string = new char[ b64len + 1]; 
    for(ki = 0; ki < b64len; ki++) b64string[ki] = b64textstart[ ki]; 
    b64string[ki] = '\0';    
    // burn the white space
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    // better have an > sign or not valid
    if(*ch != '>' ) {  osilerror_wrapper( ch,osillineno,"</base64BinaryData> element does not have a proper closing >"); return NULL;}
    ch++;
    for( ; ISWHITESPACE( *ch) || isnewline( *ch, osillineno); ch++ ) ;
    *p = ch;
    return b64string;
}


double atofmod1(int* osillineno, const char *number, const char *numberend){
    double val;
       char *pEnd;
    val = os_strtod_wrap(number, &pEnd);
    // pEnd should now point to the first character after the number;
    // burn off any white space    
    for( ; ISWHITESPACE( *pEnd) || isnewline( *pEnd, osillineno); pEnd++ ) ;
    // pEnd should now point to numberend, if not we have an error
    if(pEnd != numberend) osilerror_wrapper( pEnd,   osillineno, "error in parsing an XSD:double");
    return val;
}//end atofmod



int atoimod1(int* osillineno, const char *number, const char *numberend){
    // modified atoi from Kernighan and Ritchie
    int ival;
    int i, sign;
    int endWhiteSpace;
    for(i = 0; ISWHITESPACE( number[ i]) || isnewline( number[ i], osillineno) ; i++);
    endWhiteSpace = i;
    sign = (number[ i] == '-') ? -1 : 1;
    if (number[ i] == '+' || number[ i] == '-') i++;
    for(ival = 0; ISDIGIT( number[ i]); i++){
        ival = 10*ival + (number[ i] - '0') ;
    }
    if(i == endWhiteSpace) {  osilerror_wrapper( number,osillineno, "error in parsing an XSD:int" );     }
    // if we are here we should having nothing but white space until the end of the number
    for( ; ISWHITESPACE( number[ i]) || isnewline( number[ i], osillineno) ; i++);
    if(number[i] == *numberend){
        return sign*ival;
    }
    else {  osilerror_wrapper( number,osillineno, "error in parsing an XSD:int"); return OSINT_MAX;    }
}//end atoimod1

void osilerror_wrapper( const char* ch, int* osillineno, const char* errormsg){
    const int numErrorChar = 20;
    char errorArray[100] = "";
    strncpy(errorArray, ch, numErrorChar);
    std::ostringstream outStr;
    std::string error = errormsg;
    error = "PARSER ERROR:  Input is either not valid or well formed: "  + error;
    outStr << error << endl;
    outStr << "Here are " ;
    outStr << numErrorChar ;
    outStr << " characters currently being pointed to in the input string: ";
    outStr << errorArray;
    outStr << endl;
    outStr << "See line number: " << *osillineno << endl;  
    error = outStr.str();
    //osillex_destroy(scanner);
    throw ErrorClass( error);
}//end osilerror_wrapper

void osil_empty_vectors( OSiLParserData* parserData){
/*
    int k;
    int numOtherVarVec = parserData->otherVarVec.size();
   
    for( k = 0; k < numOtherVarVec; k++){
        if( (parserData->otherVarVec[ k]  != NULL) && (parserData->otherVarVec[ k]->otherVarText != NULL) ) 
            delete[] parserData->otherVarVec[ k]->otherVarText;
        if( (parserData->otherVarVec[ k]  != NULL) && (parserData->otherVarVec[ k]->otherVarIndex != NULL) ) 
            delete[] parserData->otherVarVec[ k]->otherVarIndex;
            
        if( parserData->otherVarVec[ k]  != NULL) delete parserData->otherVarVec[ k];
    }

      parserData->otherVarVec.clear(); 
      
      int numDualVals =  parserData->dualVals.size();
      for(k = 0; k < numDualVals; k++){
          if( parserData->dualVals[ k]  != NULL  ) 
            delete parserData->dualVals[ k];
      }
      parserData->dualVals.clear();
      
      
       int numObjVals =  parserData->objVals.size();
      for(k = 0; k < numObjVals; k++){
          if( parserData->objVals[ k]  != NULL  ) 
            delete parserData->objVals[ k];
      }
      parserData->objVals.clear();
      
      
       int numPrimalVals =  parserData->primalVals.size();
      for(k = 0; k < numPrimalVals; k++){    
          if( parserData->primalVals[ k]  != NULL  ) 
            delete parserData->primalVals[ k];
      }
      parserData->primalVals.clear();
*/      
}//end osil_empty_vectors

